/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         nft_parse
#define yylex           nft_lex
#define yyerror         nft_error
#define yydebug         nft_debug
#define yynerrs         nft_nerrs

/* First part of user prologue.  */
#line 11 "src/parser_bison.y"

#include <nft.h>

#include <ctype.h>
#include <stddef.h>
#include <stdio.h>
#include <inttypes.h>
#include <syslog.h>
#include <net/if.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <netinet/if_ether.h>
#include <linux/netfilter.h>
#include <linux/netfilter/nf_tables.h>
#include <linux/netfilter/nf_conntrack_tuple_common.h>
#include <linux/netfilter/nf_nat.h>
#include <linux/netfilter/nf_log.h>
#include <linux/netfilter/nfnetlink_osf.h>
#include <linux/netfilter/nf_synproxy.h>
#include <linux/xfrm.h>
#include <netinet/ip_icmp.h>
#include <netinet/icmp6.h>
#include <libnftnl/common.h>
#include <libnftnl/set.h>
#include <libnftnl/udata.h>

#include <rule.h>
#include <cmd.h>
#include <statement.h>
#include <expression.h>
#include <headers.h>
#include <utils.h>
#include <parser.h>
#include <erec.h>
#include <sctp_chunk.h>

#include "parser_bison.h"

void parser_init(struct nft_ctx *nft, struct parser_state *state,
		 struct list_head *msgs, struct list_head *cmds,
		 struct scope *top_scope)
{
	memset(state, 0, sizeof(*state));
	state->msgs = msgs;
	state->cmds = cmds;
	state->scopes[0] = scope_init(top_scope, NULL);
	init_list_head(&state->indesc_list);
}

static void yyerror(struct location *loc, struct nft_ctx *nft, void *scanner,
		    struct parser_state *state, const char *s)
{
	erec_queue(error(loc, "%s", s), state->msgs);
}

static struct scope *current_scope(const struct parser_state *state)
{
	return state->scopes[state->scope];
}

static int open_scope(struct parser_state *state, struct scope *scope)
{
	if (state->scope >= array_size(state->scopes) - 1) {
		state->scope_err = true;
		return -1;
	}

	scope_init(scope, current_scope(state));
	state->scopes[++state->scope] = scope;

	return 0;
}

static void close_scope(struct parser_state *state)
{
	if (state->scope_err || state->scope == 0) {
		state->scope_err = false;
		return;
	}

	state->scope--;
}

static void location_init(void *scanner, struct parser_state *state,
			  struct location *loc)
{
	memset(loc, 0, sizeof(*loc));
	loc->indesc = state->indesc;
}

static void location_update(struct location *loc, struct location *rhs, int n)
{
	if (n) {
		loc->indesc       = rhs[n].indesc;
		loc->line_offset  = rhs[1].line_offset;
		loc->first_line   = rhs[1].first_line;
		loc->first_column = rhs[1].first_column;
		loc->last_column  = rhs[n].last_column;
	} else {
		loc->indesc       = rhs[0].indesc;
		loc->line_offset  = rhs[0].line_offset;
		loc->first_line   = rhs[0].first_line;
		loc->first_column = loc->last_column = rhs[0].last_column;
	}
}

static struct expr *handle_concat_expr(const struct location *loc,
					 struct expr *expr,
					 struct expr *expr_l, struct expr *expr_r,
					 struct location loc_rhs[3])
{
	if (expr->etype != EXPR_CONCAT) {
		expr = concat_expr_alloc(loc);
		compound_expr_add(expr, expr_l);
	} else {
		location_update(&expr_r->location, loc_rhs, 2);

		expr = expr_l;
		expr->location = *loc;
	}

	compound_expr_add(expr, expr_r);
	return expr;
}

static bool already_set(const void *attr, const struct location *loc,
			struct parser_state *state)
{
	if (!attr)
		return false;

	erec_queue(error(loc, "You can only specify this once. This statement is duplicated."),
		   state->msgs);
	return true;
}

static struct expr *ifname_expr_alloc(const struct location *location,
				      struct list_head *queue,
				      const char *name)
{
	size_t length = strlen(name);
	struct expr *expr;

	if (length == 0) {
		free_const(name);
		erec_queue(error(location, "empty interface name"), queue);
		return NULL;
	}

	if (length >= IFNAMSIZ) {
		free_const(name);
		erec_queue(error(location, "interface name too long"), queue);
		return NULL;
	}

	expr = constant_expr_alloc(location, &ifname_type, BYTEORDER_HOST_ENDIAN,
				   length * BITS_PER_BYTE, name);

	free_const(name);

	return expr;
}

static void timeout_state_free(struct timeout_state *s)
{
	free_const(s->timeout_str);
	free(s);
}

static void timeout_states_free(struct list_head *list)
{
	struct timeout_state *ts, *next;

	list_for_each_entry_safe(ts, next, list, head) {
		list_del(&ts->head);
		timeout_state_free(ts);
	}

	free(list);
}

#define YYLLOC_DEFAULT(Current, Rhs, N)	location_update(&Current, Rhs, N)

#define symbol_value(loc, str) \
	symbol_expr_alloc(loc, SYMBOL_VALUE, current_scope(state), str)

/* Declare those here to avoid compiler warnings */
void nft_set_debug(int, void *);
int nft_lex(void *, void *, void *);

#line 267 "src/parser_bison.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_NFT_SRC_PARSER_BISON_H_INCLUDED
# define YY_NFT_SRC_PARSER_BISON_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int nft_debug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    TOKEN_EOF = 0,                 /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    JUNK = 258,                    /* "junk"  */
    CRLF = 259,                    /* "CRLF line terminators"  */
    NEWLINE = 260,                 /* "newline"  */
    COLON = 261,                   /* "colon"  */
    SEMICOLON = 262,               /* "semicolon"  */
    COMMA = 263,                   /* "comma"  */
    DOT = 264,                     /* "."  */
    EQ = 265,                      /* "=="  */
    NEQ = 266,                     /* "!="  */
    LT = 267,                      /* "<"  */
    GT = 268,                      /* ">"  */
    GTE = 269,                     /* ">="  */
    LTE = 270,                     /* "<="  */
    LSHIFT = 271,                  /* "<<"  */
    RSHIFT = 272,                  /* ">>"  */
    AMPERSAND = 273,               /* "&"  */
    CARET = 274,                   /* "^"  */
    NOT = 275,                     /* "!"  */
    SLASH = 276,                   /* "/"  */
    ASTERISK = 277,                /* "*"  */
    DASH = 278,                    /* "-"  */
    AT = 279,                      /* "@"  */
    VMAP = 280,                    /* "vmap"  */
    PLUS = 281,                    /* "+"  */
    INCLUDE = 282,                 /* "include"  */
    DEFINE = 283,                  /* "define"  */
    REDEFINE = 284,                /* "redefine"  */
    UNDEFINE = 285,                /* "undefine"  */
    FIB = 286,                     /* "fib"  */
    SOCKET = 287,                  /* "socket"  */
    TRANSPARENT = 288,             /* "transparent"  */
    WILDCARD = 289,                /* "wildcard"  */
    CGROUPV2 = 290,                /* "cgroupv2"  */
    TPROXY = 291,                  /* "tproxy"  */
    OSF = 292,                     /* "osf"  */
    SYNPROXY = 293,                /* "synproxy"  */
    MSS = 294,                     /* "mss"  */
    WSCALE = 295,                  /* "wscale"  */
    TYPEOF = 296,                  /* "typeof"  */
    HOOK = 297,                    /* "hook"  */
    HOOKS = 298,                   /* "hooks"  */
    DEVICE = 299,                  /* "device"  */
    DEVICES = 300,                 /* "devices"  */
    TABLE = 301,                   /* "table"  */
    TABLES = 302,                  /* "tables"  */
    CHAIN = 303,                   /* "chain"  */
    CHAINS = 304,                  /* "chains"  */
    RULE = 305,                    /* "rule"  */
    RULES = 306,                   /* "rules"  */
    SETS = 307,                    /* "sets"  */
    SET = 308,                     /* "set"  */
    ELEMENT = 309,                 /* "element"  */
    MAP = 310,                     /* "map"  */
    MAPS = 311,                    /* "maps"  */
    FLOWTABLE = 312,               /* "flowtable"  */
    HANDLE = 313,                  /* "handle"  */
    RULESET = 314,                 /* "ruleset"  */
    TRACE = 315,                   /* "trace"  */
    INET = 316,                    /* "inet"  */
    NETDEV = 317,                  /* "netdev"  */
    ADD = 318,                     /* "add"  */
    UPDATE = 319,                  /* "update"  */
    REPLACE = 320,                 /* "replace"  */
    CREATE = 321,                  /* "create"  */
    INSERT = 322,                  /* "insert"  */
    DELETE = 323,                  /* "delete"  */
    GET = 324,                     /* "get"  */
    LIST = 325,                    /* "list"  */
    RESET = 326,                   /* "reset"  */
    FLUSH = 327,                   /* "flush"  */
    RENAME = 328,                  /* "rename"  */
    DESCRIBE = 329,                /* "describe"  */
    IMPORT = 330,                  /* "import"  */
    EXPORT = 331,                  /* "export"  */
    DESTROY = 332,                 /* "destroy"  */
    MONITOR = 333,                 /* "monitor"  */
    ALL = 334,                     /* "all"  */
    ACCEPT = 335,                  /* "accept"  */
    DROP = 336,                    /* "drop"  */
    CONTINUE = 337,                /* "continue"  */
    JUMP = 338,                    /* "jump"  */
    GOTO = 339,                    /* "goto"  */
    RETURN = 340,                  /* "return"  */
    TO = 341,                      /* "to"  */
    CONSTANT = 342,                /* "constant"  */
    INTERVAL = 343,                /* "interval"  */
    DYNAMIC = 344,                 /* "dynamic"  */
    AUTOMERGE = 345,               /* "auto-merge"  */
    TIMEOUT = 346,                 /* "timeout"  */
    GC_INTERVAL = 347,             /* "gc-interval"  */
    ELEMENTS = 348,                /* "elements"  */
    EXPIRES = 349,                 /* "expires"  */
    POLICY = 350,                  /* "policy"  */
    MEMORY = 351,                  /* "memory"  */
    PERFORMANCE = 352,             /* "performance"  */
    SIZE = 353,                    /* "size"  */
    FLOW = 354,                    /* "flow"  */
    OFFLOAD = 355,                 /* "offload"  */
    METER = 356,                   /* "meter"  */
    METERS = 357,                  /* "meters"  */
    FLOWTABLES = 358,              /* "flowtables"  */
    NUM = 359,                     /* "number"  */
    STRING = 360,                  /* "string"  */
    QUOTED_STRING = 361,           /* "quoted string"  */
    ASTERISK_STRING = 362,         /* "string with a trailing asterisk"  */
    LL_HDR = 363,                  /* "ll"  */
    NETWORK_HDR = 364,             /* "nh"  */
    TRANSPORT_HDR = 365,           /* "th"  */
    BRIDGE = 366,                  /* "bridge"  */
    ETHER = 367,                   /* "ether"  */
    SADDR = 368,                   /* "saddr"  */
    DADDR = 369,                   /* "daddr"  */
    TYPE = 370,                    /* "type"  */
    VLAN = 371,                    /* "vlan"  */
    ID = 372,                      /* "id"  */
    CFI = 373,                     /* "cfi"  */
    DEI = 374,                     /* "dei"  */
    PCP = 375,                     /* "pcp"  */
    ARP = 376,                     /* "arp"  */
    HTYPE = 377,                   /* "htype"  */
    PTYPE = 378,                   /* "ptype"  */
    HLEN = 379,                    /* "hlen"  */
    PLEN = 380,                    /* "plen"  */
    OPERATION = 381,               /* "operation"  */
    IP = 382,                      /* "ip"  */
    HDRVERSION = 383,              /* "version"  */
    HDRLENGTH = 384,               /* "hdrlength"  */
    DSCP = 385,                    /* "dscp"  */
    ECN = 386,                     /* "ecn"  */
    LENGTH = 387,                  /* "length"  */
    FRAG_OFF = 388,                /* "frag-off"  */
    TTL = 389,                     /* "ttl"  */
    PROTOCOL = 390,                /* "protocol"  */
    CHECKSUM = 391,                /* "checksum"  */
    PTR = 392,                     /* "ptr"  */
    VALUE = 393,                   /* "value"  */
    LSRR = 394,                    /* "lsrr"  */
    RR = 395,                      /* "rr"  */
    SSRR = 396,                    /* "ssrr"  */
    RA = 397,                      /* "ra"  */
    ICMP = 398,                    /* "icmp"  */
    CODE = 399,                    /* "code"  */
    SEQUENCE = 400,                /* "seq"  */
    GATEWAY = 401,                 /* "gateway"  */
    MTU = 402,                     /* "mtu"  */
    IGMP = 403,                    /* "igmp"  */
    MRT = 404,                     /* "mrt"  */
    OPTIONS = 405,                 /* "options"  */
    IP6 = 406,                     /* "ip6"  */
    PRIORITY = 407,                /* "priority"  */
    FLOWLABEL = 408,               /* "flowlabel"  */
    NEXTHDR = 409,                 /* "nexthdr"  */
    HOPLIMIT = 410,                /* "hoplimit"  */
    ICMP6 = 411,                   /* "icmpv6"  */
    PPTR = 412,                    /* "param-problem"  */
    MAXDELAY = 413,                /* "max-delay"  */
    TADDR = 414,                   /* "taddr"  */
    AH = 415,                      /* "ah"  */
    RESERVED = 416,                /* "reserved"  */
    SPI = 417,                     /* "spi"  */
    ESP = 418,                     /* "esp"  */
    COMP = 419,                    /* "comp"  */
    FLAGS = 420,                   /* "flags"  */
    CPI = 421,                     /* "cpi"  */
    PORT = 422,                    /* "port"  */
    UDP = 423,                     /* "udp"  */
    SPORT = 424,                   /* "sport"  */
    DPORT = 425,                   /* "dport"  */
    UDPLITE = 426,                 /* "udplite"  */
    CSUMCOV = 427,                 /* "csumcov"  */
    TCP = 428,                     /* "tcp"  */
    ACKSEQ = 429,                  /* "ackseq"  */
    DOFF = 430,                    /* "doff"  */
    WINDOW = 431,                  /* "window"  */
    URGPTR = 432,                  /* "urgptr"  */
    OPTION = 433,                  /* "option"  */
    ECHO = 434,                    /* "echo"  */
    EOL = 435,                     /* "eol"  */
    MPTCP = 436,                   /* "mptcp"  */
    NOP = 437,                     /* "nop"  */
    SACK = 438,                    /* "sack"  */
    SACK0 = 439,                   /* "sack0"  */
    SACK1 = 440,                   /* "sack1"  */
    SACK2 = 441,                   /* "sack2"  */
    SACK3 = 442,                   /* "sack3"  */
    SACK_PERM = 443,               /* "sack-permitted"  */
    FASTOPEN = 444,                /* "fastopen"  */
    MD5SIG = 445,                  /* "md5sig"  */
    TIMESTAMP = 446,               /* "timestamp"  */
    COUNT = 447,                   /* "count"  */
    LEFT = 448,                    /* "left"  */
    RIGHT = 449,                   /* "right"  */
    TSVAL = 450,                   /* "tsval"  */
    TSECR = 451,                   /* "tsecr"  */
    SUBTYPE = 452,                 /* "subtype"  */
    DCCP = 453,                    /* "dccp"  */
    VXLAN = 454,                   /* "vxlan"  */
    VNI = 455,                     /* "vni"  */
    GRE = 456,                     /* "gre"  */
    GRETAP = 457,                  /* "gretap"  */
    GENEVE = 458,                  /* "geneve"  */
    SCTP = 459,                    /* "sctp"  */
    CHUNK = 460,                   /* "chunk"  */
    DATA = 461,                    /* "data"  */
    INIT = 462,                    /* "init"  */
    INIT_ACK = 463,                /* "init-ack"  */
    HEARTBEAT = 464,               /* "heartbeat"  */
    HEARTBEAT_ACK = 465,           /* "heartbeat-ack"  */
    ABORT = 466,                   /* "abort"  */
    SHUTDOWN = 467,                /* "shutdown"  */
    SHUTDOWN_ACK = 468,            /* "shutdown-ack"  */
    ERROR = 469,                   /* "error"  */
    COOKIE_ECHO = 470,             /* "cookie-echo"  */
    COOKIE_ACK = 471,              /* "cookie-ack"  */
    ECNE = 472,                    /* "ecne"  */
    CWR = 473,                     /* "cwr"  */
    SHUTDOWN_COMPLETE = 474,       /* "shutdown-complete"  */
    ASCONF_ACK = 475,              /* "asconf-ack"  */
    FORWARD_TSN = 476,             /* "forward-tsn"  */
    ASCONF = 477,                  /* "asconf"  */
    TSN = 478,                     /* "tsn"  */
    STREAM = 479,                  /* "stream"  */
    SSN = 480,                     /* "ssn"  */
    PPID = 481,                    /* "ppid"  */
    INIT_TAG = 482,                /* "init-tag"  */
    A_RWND = 483,                  /* "a-rwnd"  */
    NUM_OSTREAMS = 484,            /* "num-outbound-streams"  */
    NUM_ISTREAMS = 485,            /* "num-inbound-streams"  */
    INIT_TSN = 486,                /* "initial-tsn"  */
    CUM_TSN_ACK = 487,             /* "cum-tsn-ack"  */
    NUM_GACK_BLOCKS = 488,         /* "num-gap-ack-blocks"  */
    NUM_DUP_TSNS = 489,            /* "num-dup-tsns"  */
    LOWEST_TSN = 490,              /* "lowest-tsn"  */
    SEQNO = 491,                   /* "seqno"  */
    NEW_CUM_TSN = 492,             /* "new-cum-tsn"  */
    VTAG = 493,                    /* "vtag"  */
    RT = 494,                      /* "rt"  */
    RT0 = 495,                     /* "rt0"  */
    RT2 = 496,                     /* "rt2"  */
    RT4 = 497,                     /* "srh"  */
    SEG_LEFT = 498,                /* "seg-left"  */
    ADDR = 499,                    /* "addr"  */
    LAST_ENT = 500,                /* "last-entry"  */
    TAG = 501,                     /* "tag"  */
    SID = 502,                     /* "sid"  */
    HBH = 503,                     /* "hbh"  */
    FRAG = 504,                    /* "frag"  */
    RESERVED2 = 505,               /* "reserved2"  */
    MORE_FRAGMENTS = 506,          /* "more-fragments"  */
    DST = 507,                     /* "dst"  */
    MH = 508,                      /* "mh"  */
    META = 509,                    /* "meta"  */
    MARK = 510,                    /* "mark"  */
    IIF = 511,                     /* "iif"  */
    IIFNAME = 512,                 /* "iifname"  */
    IIFTYPE = 513,                 /* "iiftype"  */
    OIF = 514,                     /* "oif"  */
    OIFNAME = 515,                 /* "oifname"  */
    OIFTYPE = 516,                 /* "oiftype"  */
    SKUID = 517,                   /* "skuid"  */
    SKGID = 518,                   /* "skgid"  */
    NFTRACE = 519,                 /* "nftrace"  */
    RTCLASSID = 520,               /* "rtclassid"  */
    IBRIPORT = 521,                /* "ibriport"  */
    OBRIPORT = 522,                /* "obriport"  */
    IBRIDGENAME = 523,             /* "ibrname"  */
    OBRIDGENAME = 524,             /* "obrname"  */
    PKTTYPE = 525,                 /* "pkttype"  */
    CPU = 526,                     /* "cpu"  */
    IIFGROUP = 527,                /* "iifgroup"  */
    OIFGROUP = 528,                /* "oifgroup"  */
    CGROUP = 529,                  /* "cgroup"  */
    TIME = 530,                    /* "time"  */
    CLASSID = 531,                 /* "classid"  */
    NEXTHOP = 532,                 /* "nexthop"  */
    CT = 533,                      /* "ct"  */
    L3PROTOCOL = 534,              /* "l3proto"  */
    PROTO_SRC = 535,               /* "proto-src"  */
    PROTO_DST = 536,               /* "proto-dst"  */
    ZONE = 537,                    /* "zone"  */
    DIRECTION = 538,               /* "direction"  */
    EVENT = 539,                   /* "event"  */
    EXPECTATION = 540,             /* "expectation"  */
    EXPIRATION = 541,              /* "expiration"  */
    HELPER = 542,                  /* "helper"  */
    LABEL = 543,                   /* "label"  */
    STATE = 544,                   /* "state"  */
    STATUS = 545,                  /* "status"  */
    ORIGINAL = 546,                /* "original"  */
    REPLY = 547,                   /* "reply"  */
    COUNTER = 548,                 /* "counter"  */
    NAME = 549,                    /* "name"  */
    PACKETS = 550,                 /* "packets"  */
    BYTES = 551,                   /* "bytes"  */
    AVGPKT = 552,                  /* "avgpkt"  */
    LAST = 553,                    /* "last"  */
    NEVER = 554,                   /* "never"  */
    COUNTERS = 555,                /* "counters"  */
    QUOTAS = 556,                  /* "quotas"  */
    LIMITS = 557,                  /* "limits"  */
    SYNPROXYS = 558,               /* "synproxys"  */
    HELPERS = 559,                 /* "helpers"  */
    LOG = 560,                     /* "log"  */
    PREFIX = 561,                  /* "prefix"  */
    GROUP = 562,                   /* "group"  */
    SNAPLEN = 563,                 /* "snaplen"  */
    QUEUE_THRESHOLD = 564,         /* "queue-threshold"  */
    LEVEL = 565,                   /* "level"  */
    LIMIT = 566,                   /* "limit"  */
    RATE = 567,                    /* "rate"  */
    BURST = 568,                   /* "burst"  */
    OVER = 569,                    /* "over"  */
    UNTIL = 570,                   /* "until"  */
    QUOTA = 571,                   /* "quota"  */
    USED = 572,                    /* "used"  */
    SECMARK = 573,                 /* "secmark"  */
    SECMARKS = 574,                /* "secmarks"  */
    SECOND = 575,                  /* "second"  */
    MINUTE = 576,                  /* "minute"  */
    HOUR = 577,                    /* "hour"  */
    DAY = 578,                     /* "day"  */
    WEEK = 579,                    /* "week"  */
    _REJECT = 580,                 /* "reject"  */
    WITH = 581,                    /* "with"  */
    ICMPX = 582,                   /* "icmpx"  */
    SNAT = 583,                    /* "snat"  */
    DNAT = 584,                    /* "dnat"  */
    MASQUERADE = 585,              /* "masquerade"  */
    REDIRECT = 586,                /* "redirect"  */
    RANDOM = 587,                  /* "random"  */
    FULLY_RANDOM = 588,            /* "fully-random"  */
    PERSISTENT = 589,              /* "persistent"  */
    QUEUE = 590,                   /* "queue"  */
    QUEUENUM = 591,                /* "num"  */
    BYPASS = 592,                  /* "bypass"  */
    FANOUT = 593,                  /* "fanout"  */
    DUP = 594,                     /* "dup"  */
    FWD = 595,                     /* "fwd"  */
    NUMGEN = 596,                  /* "numgen"  */
    INC = 597,                     /* "inc"  */
    MOD = 598,                     /* "mod"  */
    OFFSET = 599,                  /* "offset"  */
    JHASH = 600,                   /* "jhash"  */
    SYMHASH = 601,                 /* "symhash"  */
    SEED = 602,                    /* "seed"  */
    POSITION = 603,                /* "position"  */
    INDEX = 604,                   /* "index"  */
    COMMENT = 605,                 /* "comment"  */
    XML = 606,                     /* "xml"  */
    JSON = 607,                    /* "json"  */
    VM = 608,                      /* "vm"  */
    NOTRACK = 609,                 /* "notrack"  */
    EXISTS = 610,                  /* "exists"  */
    MISSING = 611,                 /* "missing"  */
    EXTHDR = 612,                  /* "exthdr"  */
    IPSEC = 613,                   /* "ipsec"  */
    REQID = 614,                   /* "reqid"  */
    SPNUM = 615,                   /* "spnum"  */
    IN = 616,                      /* "in"  */
    OUT = 617,                     /* "out"  */
    XT = 618                       /* "xt"  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define TOKEN_EOF 0
#define YYerror 256
#define YYUNDEF 257
#define JUNK 258
#define CRLF 259
#define NEWLINE 260
#define COLON 261
#define SEMICOLON 262
#define COMMA 263
#define DOT 264
#define EQ 265
#define NEQ 266
#define LT 267
#define GT 268
#define GTE 269
#define LTE 270
#define LSHIFT 271
#define RSHIFT 272
#define AMPERSAND 273
#define CARET 274
#define NOT 275
#define SLASH 276
#define ASTERISK 277
#define DASH 278
#define AT 279
#define VMAP 280
#define PLUS 281
#define INCLUDE 282
#define DEFINE 283
#define REDEFINE 284
#define UNDEFINE 285
#define FIB 286
#define SOCKET 287
#define TRANSPARENT 288
#define WILDCARD 289
#define CGROUPV2 290
#define TPROXY 291
#define OSF 292
#define SYNPROXY 293
#define MSS 294
#define WSCALE 295
#define TYPEOF 296
#define HOOK 297
#define HOOKS 298
#define DEVICE 299
#define DEVICES 300
#define TABLE 301
#define TABLES 302
#define CHAIN 303
#define CHAINS 304
#define RULE 305
#define RULES 306
#define SETS 307
#define SET 308
#define ELEMENT 309
#define MAP 310
#define MAPS 311
#define FLOWTABLE 312
#define HANDLE 313
#define RULESET 314
#define TRACE 315
#define INET 316
#define NETDEV 317
#define ADD 318
#define UPDATE 319
#define REPLACE 320
#define CREATE 321
#define INSERT 322
#define DELETE 323
#define GET 324
#define LIST 325
#define RESET 326
#define FLUSH 327
#define RENAME 328
#define DESCRIBE 329
#define IMPORT 330
#define EXPORT 331
#define DESTROY 332
#define MONITOR 333
#define ALL 334
#define ACCEPT 335
#define DROP 336
#define CONTINUE 337
#define JUMP 338
#define GOTO 339
#define RETURN 340
#define TO 341
#define CONSTANT 342
#define INTERVAL 343
#define DYNAMIC 344
#define AUTOMERGE 345
#define TIMEOUT 346
#define GC_INTERVAL 347
#define ELEMENTS 348
#define EXPIRES 349
#define POLICY 350
#define MEMORY 351
#define PERFORMANCE 352
#define SIZE 353
#define FLOW 354
#define OFFLOAD 355
#define METER 356
#define METERS 357
#define FLOWTABLES 358
#define NUM 359
#define STRING 360
#define QUOTED_STRING 361
#define ASTERISK_STRING 362
#define LL_HDR 363
#define NETWORK_HDR 364
#define TRANSPORT_HDR 365
#define BRIDGE 366
#define ETHER 367
#define SADDR 368
#define DADDR 369
#define TYPE 370
#define VLAN 371
#define ID 372
#define CFI 373
#define DEI 374
#define PCP 375
#define ARP 376
#define HTYPE 377
#define PTYPE 378
#define HLEN 379
#define PLEN 380
#define OPERATION 381
#define IP 382
#define HDRVERSION 383
#define HDRLENGTH 384
#define DSCP 385
#define ECN 386
#define LENGTH 387
#define FRAG_OFF 388
#define TTL 389
#define PROTOCOL 390
#define CHECKSUM 391
#define PTR 392
#define VALUE 393
#define LSRR 394
#define RR 395
#define SSRR 396
#define RA 397
#define ICMP 398
#define CODE 399
#define SEQUENCE 400
#define GATEWAY 401
#define MTU 402
#define IGMP 403
#define MRT 404
#define OPTIONS 405
#define IP6 406
#define PRIORITY 407
#define FLOWLABEL 408
#define NEXTHDR 409
#define HOPLIMIT 410
#define ICMP6 411
#define PPTR 412
#define MAXDELAY 413
#define TADDR 414
#define AH 415
#define RESERVED 416
#define SPI 417
#define ESP 418
#define COMP 419
#define FLAGS 420
#define CPI 421
#define PORT 422
#define UDP 423
#define SPORT 424
#define DPORT 425
#define UDPLITE 426
#define CSUMCOV 427
#define TCP 428
#define ACKSEQ 429
#define DOFF 430
#define WINDOW 431
#define URGPTR 432
#define OPTION 433
#define ECHO 434
#define EOL 435
#define MPTCP 436
#define NOP 437
#define SACK 438
#define SACK0 439
#define SACK1 440
#define SACK2 441
#define SACK3 442
#define SACK_PERM 443
#define FASTOPEN 444
#define MD5SIG 445
#define TIMESTAMP 446
#define COUNT 447
#define LEFT 448
#define RIGHT 449
#define TSVAL 450
#define TSECR 451
#define SUBTYPE 452
#define DCCP 453
#define VXLAN 454
#define VNI 455
#define GRE 456
#define GRETAP 457
#define GENEVE 458
#define SCTP 459
#define CHUNK 460
#define DATA 461
#define INIT 462
#define INIT_ACK 463
#define HEARTBEAT 464
#define HEARTBEAT_ACK 465
#define ABORT 466
#define SHUTDOWN 467
#define SHUTDOWN_ACK 468
#define ERROR 469
#define COOKIE_ECHO 470
#define COOKIE_ACK 471
#define ECNE 472
#define CWR 473
#define SHUTDOWN_COMPLETE 474
#define ASCONF_ACK 475
#define FORWARD_TSN 476
#define ASCONF 477
#define TSN 478
#define STREAM 479
#define SSN 480
#define PPID 481
#define INIT_TAG 482
#define A_RWND 483
#define NUM_OSTREAMS 484
#define NUM_ISTREAMS 485
#define INIT_TSN 486
#define CUM_TSN_ACK 487
#define NUM_GACK_BLOCKS 488
#define NUM_DUP_TSNS 489
#define LOWEST_TSN 490
#define SEQNO 491
#define NEW_CUM_TSN 492
#define VTAG 493
#define RT 494
#define RT0 495
#define RT2 496
#define RT4 497
#define SEG_LEFT 498
#define ADDR 499
#define LAST_ENT 500
#define TAG 501
#define SID 502
#define HBH 503
#define FRAG 504
#define RESERVED2 505
#define MORE_FRAGMENTS 506
#define DST 507
#define MH 508
#define META 509
#define MARK 510
#define IIF 511
#define IIFNAME 512
#define IIFTYPE 513
#define OIF 514
#define OIFNAME 515
#define OIFTYPE 516
#define SKUID 517
#define SKGID 518
#define NFTRACE 519
#define RTCLASSID 520
#define IBRIPORT 521
#define OBRIPORT 522
#define IBRIDGENAME 523
#define OBRIDGENAME 524
#define PKTTYPE 525
#define CPU 526
#define IIFGROUP 527
#define OIFGROUP 528
#define CGROUP 529
#define TIME 530
#define CLASSID 531
#define NEXTHOP 532
#define CT 533
#define L3PROTOCOL 534
#define PROTO_SRC 535
#define PROTO_DST 536
#define ZONE 537
#define DIRECTION 538
#define EVENT 539
#define EXPECTATION 540
#define EXPIRATION 541
#define HELPER 542
#define LABEL 543
#define STATE 544
#define STATUS 545
#define ORIGINAL 546
#define REPLY 547
#define COUNTER 548
#define NAME 549
#define PACKETS 550
#define BYTES 551
#define AVGPKT 552
#define LAST 553
#define NEVER 554
#define COUNTERS 555
#define QUOTAS 556
#define LIMITS 557
#define SYNPROXYS 558
#define HELPERS 559
#define LOG 560
#define PREFIX 561
#define GROUP 562
#define SNAPLEN 563
#define QUEUE_THRESHOLD 564
#define LEVEL 565
#define LIMIT 566
#define RATE 567
#define BURST 568
#define OVER 569
#define UNTIL 570
#define QUOTA 571
#define USED 572
#define SECMARK 573
#define SECMARKS 574
#define SECOND 575
#define MINUTE 576
#define HOUR 577
#define DAY 578
#define WEEK 579
#define _REJECT 580
#define WITH 581
#define ICMPX 582
#define SNAT 583
#define DNAT 584
#define MASQUERADE 585
#define REDIRECT 586
#define RANDOM 587
#define FULLY_RANDOM 588
#define PERSISTENT 589
#define QUEUE 590
#define QUEUENUM 591
#define BYPASS 592
#define FANOUT 593
#define DUP 594
#define FWD 595
#define NUMGEN 596
#define INC 597
#define MOD 598
#define OFFSET 599
#define JHASH 600
#define SYMHASH 601
#define SEED 602
#define POSITION 603
#define INDEX 604
#define COMMENT 605
#define XML 606
#define JSON 607
#define VM 608
#define NOTRACK 609
#define EXISTS 610
#define MISSING 611
#define EXTHDR 612
#define IPSEC 613
#define REQID 614
#define SPNUM 615
#define IN 616
#define OUT 617
#define XT 618

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 222 "src/parser_bison.y"

	uint64_t		val;
	uint32_t		val32;
	uint8_t			val8;
	const char *		string;

	struct list_head	*list;
	struct cmd		*cmd;
	struct handle		handle;
	struct table		*table;
	struct chain		*chain;
	struct rule		*rule;
	struct stmt		*stmt;
	struct expr		*expr;
	struct set		*set;
	struct obj		*obj;
	struct flowtable	*flowtable;
	struct ct		*ct;
	const struct datatype	*datatype;
	struct handle_spec	handle_spec;
	struct position_spec	position_spec;
	struct prio_spec	prio_spec;
	struct limit_rate	limit_rate;
	struct tcp_kind_field {
		uint16_t kind; /* must allow > 255 for SACK1, 2.. hack */
		uint8_t field;
	} tcp_kind_field;
	struct timeout_state	*timeout_state;

#line 1076 "src/parser_bison.c"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif




int nft_parse (struct nft_ctx *nft, void *scanner, struct parser_state *state);


#endif /* !YY_NFT_SRC_PARSER_BISON_H_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_JUNK = 3,                       /* "junk"  */
  YYSYMBOL_CRLF = 4,                       /* "CRLF line terminators"  */
  YYSYMBOL_NEWLINE = 5,                    /* "newline"  */
  YYSYMBOL_COLON = 6,                      /* "colon"  */
  YYSYMBOL_SEMICOLON = 7,                  /* "semicolon"  */
  YYSYMBOL_COMMA = 8,                      /* "comma"  */
  YYSYMBOL_DOT = 9,                        /* "."  */
  YYSYMBOL_EQ = 10,                        /* "=="  */
  YYSYMBOL_NEQ = 11,                       /* "!="  */
  YYSYMBOL_LT = 12,                        /* "<"  */
  YYSYMBOL_GT = 13,                        /* ">"  */
  YYSYMBOL_GTE = 14,                       /* ">="  */
  YYSYMBOL_LTE = 15,                       /* "<="  */
  YYSYMBOL_LSHIFT = 16,                    /* "<<"  */
  YYSYMBOL_RSHIFT = 17,                    /* ">>"  */
  YYSYMBOL_AMPERSAND = 18,                 /* "&"  */
  YYSYMBOL_CARET = 19,                     /* "^"  */
  YYSYMBOL_NOT = 20,                       /* "!"  */
  YYSYMBOL_SLASH = 21,                     /* "/"  */
  YYSYMBOL_ASTERISK = 22,                  /* "*"  */
  YYSYMBOL_DASH = 23,                      /* "-"  */
  YYSYMBOL_AT = 24,                        /* "@"  */
  YYSYMBOL_VMAP = 25,                      /* "vmap"  */
  YYSYMBOL_PLUS = 26,                      /* "+"  */
  YYSYMBOL_INCLUDE = 27,                   /* "include"  */
  YYSYMBOL_DEFINE = 28,                    /* "define"  */
  YYSYMBOL_REDEFINE = 29,                  /* "redefine"  */
  YYSYMBOL_UNDEFINE = 30,                  /* "undefine"  */
  YYSYMBOL_FIB = 31,                       /* "fib"  */
  YYSYMBOL_SOCKET = 32,                    /* "socket"  */
  YYSYMBOL_TRANSPARENT = 33,               /* "transparent"  */
  YYSYMBOL_WILDCARD = 34,                  /* "wildcard"  */
  YYSYMBOL_CGROUPV2 = 35,                  /* "cgroupv2"  */
  YYSYMBOL_TPROXY = 36,                    /* "tproxy"  */
  YYSYMBOL_OSF = 37,                       /* "osf"  */
  YYSYMBOL_SYNPROXY = 38,                  /* "synproxy"  */
  YYSYMBOL_MSS = 39,                       /* "mss"  */
  YYSYMBOL_WSCALE = 40,                    /* "wscale"  */
  YYSYMBOL_TYPEOF = 41,                    /* "typeof"  */
  YYSYMBOL_HOOK = 42,                      /* "hook"  */
  YYSYMBOL_HOOKS = 43,                     /* "hooks"  */
  YYSYMBOL_DEVICE = 44,                    /* "device"  */
  YYSYMBOL_DEVICES = 45,                   /* "devices"  */
  YYSYMBOL_TABLE = 46,                     /* "table"  */
  YYSYMBOL_TABLES = 47,                    /* "tables"  */
  YYSYMBOL_CHAIN = 48,                     /* "chain"  */
  YYSYMBOL_CHAINS = 49,                    /* "chains"  */
  YYSYMBOL_RULE = 50,                      /* "rule"  */
  YYSYMBOL_RULES = 51,                     /* "rules"  */
  YYSYMBOL_SETS = 52,                      /* "sets"  */
  YYSYMBOL_SET = 53,                       /* "set"  */
  YYSYMBOL_ELEMENT = 54,                   /* "element"  */
  YYSYMBOL_MAP = 55,                       /* "map"  */
  YYSYMBOL_MAPS = 56,                      /* "maps"  */
  YYSYMBOL_FLOWTABLE = 57,                 /* "flowtable"  */
  YYSYMBOL_HANDLE = 58,                    /* "handle"  */
  YYSYMBOL_RULESET = 59,                   /* "ruleset"  */
  YYSYMBOL_TRACE = 60,                     /* "trace"  */
  YYSYMBOL_INET = 61,                      /* "inet"  */
  YYSYMBOL_NETDEV = 62,                    /* "netdev"  */
  YYSYMBOL_ADD = 63,                       /* "add"  */
  YYSYMBOL_UPDATE = 64,                    /* "update"  */
  YYSYMBOL_REPLACE = 65,                   /* "replace"  */
  YYSYMBOL_CREATE = 66,                    /* "create"  */
  YYSYMBOL_INSERT = 67,                    /* "insert"  */
  YYSYMBOL_DELETE = 68,                    /* "delete"  */
  YYSYMBOL_GET = 69,                       /* "get"  */
  YYSYMBOL_LIST = 70,                      /* "list"  */
  YYSYMBOL_RESET = 71,                     /* "reset"  */
  YYSYMBOL_FLUSH = 72,                     /* "flush"  */
  YYSYMBOL_RENAME = 73,                    /* "rename"  */
  YYSYMBOL_DESCRIBE = 74,                  /* "describe"  */
  YYSYMBOL_IMPORT = 75,                    /* "import"  */
  YYSYMBOL_EXPORT = 76,                    /* "export"  */
  YYSYMBOL_DESTROY = 77,                   /* "destroy"  */
  YYSYMBOL_MONITOR = 78,                   /* "monitor"  */
  YYSYMBOL_ALL = 79,                       /* "all"  */
  YYSYMBOL_ACCEPT = 80,                    /* "accept"  */
  YYSYMBOL_DROP = 81,                      /* "drop"  */
  YYSYMBOL_CONTINUE = 82,                  /* "continue"  */
  YYSYMBOL_JUMP = 83,                      /* "jump"  */
  YYSYMBOL_GOTO = 84,                      /* "goto"  */
  YYSYMBOL_RETURN = 85,                    /* "return"  */
  YYSYMBOL_TO = 86,                        /* "to"  */
  YYSYMBOL_CONSTANT = 87,                  /* "constant"  */
  YYSYMBOL_INTERVAL = 88,                  /* "interval"  */
  YYSYMBOL_DYNAMIC = 89,                   /* "dynamic"  */
  YYSYMBOL_AUTOMERGE = 90,                 /* "auto-merge"  */
  YYSYMBOL_TIMEOUT = 91,                   /* "timeout"  */
  YYSYMBOL_GC_INTERVAL = 92,               /* "gc-interval"  */
  YYSYMBOL_ELEMENTS = 93,                  /* "elements"  */
  YYSYMBOL_EXPIRES = 94,                   /* "expires"  */
  YYSYMBOL_POLICY = 95,                    /* "policy"  */
  YYSYMBOL_MEMORY = 96,                    /* "memory"  */
  YYSYMBOL_PERFORMANCE = 97,               /* "performance"  */
  YYSYMBOL_SIZE = 98,                      /* "size"  */
  YYSYMBOL_FLOW = 99,                      /* "flow"  */
  YYSYMBOL_OFFLOAD = 100,                  /* "offload"  */
  YYSYMBOL_METER = 101,                    /* "meter"  */
  YYSYMBOL_METERS = 102,                   /* "meters"  */
  YYSYMBOL_FLOWTABLES = 103,               /* "flowtables"  */
  YYSYMBOL_NUM = 104,                      /* "number"  */
  YYSYMBOL_STRING = 105,                   /* "string"  */
  YYSYMBOL_QUOTED_STRING = 106,            /* "quoted string"  */
  YYSYMBOL_ASTERISK_STRING = 107,          /* "string with a trailing asterisk"  */
  YYSYMBOL_LL_HDR = 108,                   /* "ll"  */
  YYSYMBOL_NETWORK_HDR = 109,              /* "nh"  */
  YYSYMBOL_TRANSPORT_HDR = 110,            /* "th"  */
  YYSYMBOL_BRIDGE = 111,                   /* "bridge"  */
  YYSYMBOL_ETHER = 112,                    /* "ether"  */
  YYSYMBOL_SADDR = 113,                    /* "saddr"  */
  YYSYMBOL_DADDR = 114,                    /* "daddr"  */
  YYSYMBOL_TYPE = 115,                     /* "type"  */
  YYSYMBOL_VLAN = 116,                     /* "vlan"  */
  YYSYMBOL_ID = 117,                       /* "id"  */
  YYSYMBOL_CFI = 118,                      /* "cfi"  */
  YYSYMBOL_DEI = 119,                      /* "dei"  */
  YYSYMBOL_PCP = 120,                      /* "pcp"  */
  YYSYMBOL_ARP = 121,                      /* "arp"  */
  YYSYMBOL_HTYPE = 122,                    /* "htype"  */
  YYSYMBOL_PTYPE = 123,                    /* "ptype"  */
  YYSYMBOL_HLEN = 124,                     /* "hlen"  */
  YYSYMBOL_PLEN = 125,                     /* "plen"  */
  YYSYMBOL_OPERATION = 126,                /* "operation"  */
  YYSYMBOL_IP = 127,                       /* "ip"  */
  YYSYMBOL_HDRVERSION = 128,               /* "version"  */
  YYSYMBOL_HDRLENGTH = 129,                /* "hdrlength"  */
  YYSYMBOL_DSCP = 130,                     /* "dscp"  */
  YYSYMBOL_ECN = 131,                      /* "ecn"  */
  YYSYMBOL_LENGTH = 132,                   /* "length"  */
  YYSYMBOL_FRAG_OFF = 133,                 /* "frag-off"  */
  YYSYMBOL_TTL = 134,                      /* "ttl"  */
  YYSYMBOL_PROTOCOL = 135,                 /* "protocol"  */
  YYSYMBOL_CHECKSUM = 136,                 /* "checksum"  */
  YYSYMBOL_PTR = 137,                      /* "ptr"  */
  YYSYMBOL_VALUE = 138,                    /* "value"  */
  YYSYMBOL_LSRR = 139,                     /* "lsrr"  */
  YYSYMBOL_RR = 140,                       /* "rr"  */
  YYSYMBOL_SSRR = 141,                     /* "ssrr"  */
  YYSYMBOL_RA = 142,                       /* "ra"  */
  YYSYMBOL_ICMP = 143,                     /* "icmp"  */
  YYSYMBOL_CODE = 144,                     /* "code"  */
  YYSYMBOL_SEQUENCE = 145,                 /* "seq"  */
  YYSYMBOL_GATEWAY = 146,                  /* "gateway"  */
  YYSYMBOL_MTU = 147,                      /* "mtu"  */
  YYSYMBOL_IGMP = 148,                     /* "igmp"  */
  YYSYMBOL_MRT = 149,                      /* "mrt"  */
  YYSYMBOL_OPTIONS = 150,                  /* "options"  */
  YYSYMBOL_IP6 = 151,                      /* "ip6"  */
  YYSYMBOL_PRIORITY = 152,                 /* "priority"  */
  YYSYMBOL_FLOWLABEL = 153,                /* "flowlabel"  */
  YYSYMBOL_NEXTHDR = 154,                  /* "nexthdr"  */
  YYSYMBOL_HOPLIMIT = 155,                 /* "hoplimit"  */
  YYSYMBOL_ICMP6 = 156,                    /* "icmpv6"  */
  YYSYMBOL_PPTR = 157,                     /* "param-problem"  */
  YYSYMBOL_MAXDELAY = 158,                 /* "max-delay"  */
  YYSYMBOL_TADDR = 159,                    /* "taddr"  */
  YYSYMBOL_AH = 160,                       /* "ah"  */
  YYSYMBOL_RESERVED = 161,                 /* "reserved"  */
  YYSYMBOL_SPI = 162,                      /* "spi"  */
  YYSYMBOL_ESP = 163,                      /* "esp"  */
  YYSYMBOL_COMP = 164,                     /* "comp"  */
  YYSYMBOL_FLAGS = 165,                    /* "flags"  */
  YYSYMBOL_CPI = 166,                      /* "cpi"  */
  YYSYMBOL_PORT = 167,                     /* "port"  */
  YYSYMBOL_UDP = 168,                      /* "udp"  */
  YYSYMBOL_SPORT = 169,                    /* "sport"  */
  YYSYMBOL_DPORT = 170,                    /* "dport"  */
  YYSYMBOL_UDPLITE = 171,                  /* "udplite"  */
  YYSYMBOL_CSUMCOV = 172,                  /* "csumcov"  */
  YYSYMBOL_TCP = 173,                      /* "tcp"  */
  YYSYMBOL_ACKSEQ = 174,                   /* "ackseq"  */
  YYSYMBOL_DOFF = 175,                     /* "doff"  */
  YYSYMBOL_WINDOW = 176,                   /* "window"  */
  YYSYMBOL_URGPTR = 177,                   /* "urgptr"  */
  YYSYMBOL_OPTION = 178,                   /* "option"  */
  YYSYMBOL_ECHO = 179,                     /* "echo"  */
  YYSYMBOL_EOL = 180,                      /* "eol"  */
  YYSYMBOL_MPTCP = 181,                    /* "mptcp"  */
  YYSYMBOL_NOP = 182,                      /* "nop"  */
  YYSYMBOL_SACK = 183,                     /* "sack"  */
  YYSYMBOL_SACK0 = 184,                    /* "sack0"  */
  YYSYMBOL_SACK1 = 185,                    /* "sack1"  */
  YYSYMBOL_SACK2 = 186,                    /* "sack2"  */
  YYSYMBOL_SACK3 = 187,                    /* "sack3"  */
  YYSYMBOL_SACK_PERM = 188,                /* "sack-permitted"  */
  YYSYMBOL_FASTOPEN = 189,                 /* "fastopen"  */
  YYSYMBOL_MD5SIG = 190,                   /* "md5sig"  */
  YYSYMBOL_TIMESTAMP = 191,                /* "timestamp"  */
  YYSYMBOL_COUNT = 192,                    /* "count"  */
  YYSYMBOL_LEFT = 193,                     /* "left"  */
  YYSYMBOL_RIGHT = 194,                    /* "right"  */
  YYSYMBOL_TSVAL = 195,                    /* "tsval"  */
  YYSYMBOL_TSECR = 196,                    /* "tsecr"  */
  YYSYMBOL_SUBTYPE = 197,                  /* "subtype"  */
  YYSYMBOL_DCCP = 198,                     /* "dccp"  */
  YYSYMBOL_VXLAN = 199,                    /* "vxlan"  */
  YYSYMBOL_VNI = 200,                      /* "vni"  */
  YYSYMBOL_GRE = 201,                      /* "gre"  */
  YYSYMBOL_GRETAP = 202,                   /* "gretap"  */
  YYSYMBOL_GENEVE = 203,                   /* "geneve"  */
  YYSYMBOL_SCTP = 204,                     /* "sctp"  */
  YYSYMBOL_CHUNK = 205,                    /* "chunk"  */
  YYSYMBOL_DATA = 206,                     /* "data"  */
  YYSYMBOL_INIT = 207,                     /* "init"  */
  YYSYMBOL_INIT_ACK = 208,                 /* "init-ack"  */
  YYSYMBOL_HEARTBEAT = 209,                /* "heartbeat"  */
  YYSYMBOL_HEARTBEAT_ACK = 210,            /* "heartbeat-ack"  */
  YYSYMBOL_ABORT = 211,                    /* "abort"  */
  YYSYMBOL_SHUTDOWN = 212,                 /* "shutdown"  */
  YYSYMBOL_SHUTDOWN_ACK = 213,             /* "shutdown-ack"  */
  YYSYMBOL_ERROR = 214,                    /* "error"  */
  YYSYMBOL_COOKIE_ECHO = 215,              /* "cookie-echo"  */
  YYSYMBOL_COOKIE_ACK = 216,               /* "cookie-ack"  */
  YYSYMBOL_ECNE = 217,                     /* "ecne"  */
  YYSYMBOL_CWR = 218,                      /* "cwr"  */
  YYSYMBOL_SHUTDOWN_COMPLETE = 219,        /* "shutdown-complete"  */
  YYSYMBOL_ASCONF_ACK = 220,               /* "asconf-ack"  */
  YYSYMBOL_FORWARD_TSN = 221,              /* "forward-tsn"  */
  YYSYMBOL_ASCONF = 222,                   /* "asconf"  */
  YYSYMBOL_TSN = 223,                      /* "tsn"  */
  YYSYMBOL_STREAM = 224,                   /* "stream"  */
  YYSYMBOL_SSN = 225,                      /* "ssn"  */
  YYSYMBOL_PPID = 226,                     /* "ppid"  */
  YYSYMBOL_INIT_TAG = 227,                 /* "init-tag"  */
  YYSYMBOL_A_RWND = 228,                   /* "a-rwnd"  */
  YYSYMBOL_NUM_OSTREAMS = 229,             /* "num-outbound-streams"  */
  YYSYMBOL_NUM_ISTREAMS = 230,             /* "num-inbound-streams"  */
  YYSYMBOL_INIT_TSN = 231,                 /* "initial-tsn"  */
  YYSYMBOL_CUM_TSN_ACK = 232,              /* "cum-tsn-ack"  */
  YYSYMBOL_NUM_GACK_BLOCKS = 233,          /* "num-gap-ack-blocks"  */
  YYSYMBOL_NUM_DUP_TSNS = 234,             /* "num-dup-tsns"  */
  YYSYMBOL_LOWEST_TSN = 235,               /* "lowest-tsn"  */
  YYSYMBOL_SEQNO = 236,                    /* "seqno"  */
  YYSYMBOL_NEW_CUM_TSN = 237,              /* "new-cum-tsn"  */
  YYSYMBOL_VTAG = 238,                     /* "vtag"  */
  YYSYMBOL_RT = 239,                       /* "rt"  */
  YYSYMBOL_RT0 = 240,                      /* "rt0"  */
  YYSYMBOL_RT2 = 241,                      /* "rt2"  */
  YYSYMBOL_RT4 = 242,                      /* "srh"  */
  YYSYMBOL_SEG_LEFT = 243,                 /* "seg-left"  */
  YYSYMBOL_ADDR = 244,                     /* "addr"  */
  YYSYMBOL_LAST_ENT = 245,                 /* "last-entry"  */
  YYSYMBOL_TAG = 246,                      /* "tag"  */
  YYSYMBOL_SID = 247,                      /* "sid"  */
  YYSYMBOL_HBH = 248,                      /* "hbh"  */
  YYSYMBOL_FRAG = 249,                     /* "frag"  */
  YYSYMBOL_RESERVED2 = 250,                /* "reserved2"  */
  YYSYMBOL_MORE_FRAGMENTS = 251,           /* "more-fragments"  */
  YYSYMBOL_DST = 252,                      /* "dst"  */
  YYSYMBOL_MH = 253,                       /* "mh"  */
  YYSYMBOL_META = 254,                     /* "meta"  */
  YYSYMBOL_MARK = 255,                     /* "mark"  */
  YYSYMBOL_IIF = 256,                      /* "iif"  */
  YYSYMBOL_IIFNAME = 257,                  /* "iifname"  */
  YYSYMBOL_IIFTYPE = 258,                  /* "iiftype"  */
  YYSYMBOL_OIF = 259,                      /* "oif"  */
  YYSYMBOL_OIFNAME = 260,                  /* "oifname"  */
  YYSYMBOL_OIFTYPE = 261,                  /* "oiftype"  */
  YYSYMBOL_SKUID = 262,                    /* "skuid"  */
  YYSYMBOL_SKGID = 263,                    /* "skgid"  */
  YYSYMBOL_NFTRACE = 264,                  /* "nftrace"  */
  YYSYMBOL_RTCLASSID = 265,                /* "rtclassid"  */
  YYSYMBOL_IBRIPORT = 266,                 /* "ibriport"  */
  YYSYMBOL_OBRIPORT = 267,                 /* "obriport"  */
  YYSYMBOL_IBRIDGENAME = 268,              /* "ibrname"  */
  YYSYMBOL_OBRIDGENAME = 269,              /* "obrname"  */
  YYSYMBOL_PKTTYPE = 270,                  /* "pkttype"  */
  YYSYMBOL_CPU = 271,                      /* "cpu"  */
  YYSYMBOL_IIFGROUP = 272,                 /* "iifgroup"  */
  YYSYMBOL_OIFGROUP = 273,                 /* "oifgroup"  */
  YYSYMBOL_CGROUP = 274,                   /* "cgroup"  */
  YYSYMBOL_TIME = 275,                     /* "time"  */
  YYSYMBOL_CLASSID = 276,                  /* "classid"  */
  YYSYMBOL_NEXTHOP = 277,                  /* "nexthop"  */
  YYSYMBOL_CT = 278,                       /* "ct"  */
  YYSYMBOL_L3PROTOCOL = 279,               /* "l3proto"  */
  YYSYMBOL_PROTO_SRC = 280,                /* "proto-src"  */
  YYSYMBOL_PROTO_DST = 281,                /* "proto-dst"  */
  YYSYMBOL_ZONE = 282,                     /* "zone"  */
  YYSYMBOL_DIRECTION = 283,                /* "direction"  */
  YYSYMBOL_EVENT = 284,                    /* "event"  */
  YYSYMBOL_EXPECTATION = 285,              /* "expectation"  */
  YYSYMBOL_EXPIRATION = 286,               /* "expiration"  */
  YYSYMBOL_HELPER = 287,                   /* "helper"  */
  YYSYMBOL_LABEL = 288,                    /* "label"  */
  YYSYMBOL_STATE = 289,                    /* "state"  */
  YYSYMBOL_STATUS = 290,                   /* "status"  */
  YYSYMBOL_ORIGINAL = 291,                 /* "original"  */
  YYSYMBOL_REPLY = 292,                    /* "reply"  */
  YYSYMBOL_COUNTER = 293,                  /* "counter"  */
  YYSYMBOL_NAME = 294,                     /* "name"  */
  YYSYMBOL_PACKETS = 295,                  /* "packets"  */
  YYSYMBOL_BYTES = 296,                    /* "bytes"  */
  YYSYMBOL_AVGPKT = 297,                   /* "avgpkt"  */
  YYSYMBOL_LAST = 298,                     /* "last"  */
  YYSYMBOL_NEVER = 299,                    /* "never"  */
  YYSYMBOL_COUNTERS = 300,                 /* "counters"  */
  YYSYMBOL_QUOTAS = 301,                   /* "quotas"  */
  YYSYMBOL_LIMITS = 302,                   /* "limits"  */
  YYSYMBOL_SYNPROXYS = 303,                /* "synproxys"  */
  YYSYMBOL_HELPERS = 304,                  /* "helpers"  */
  YYSYMBOL_LOG = 305,                      /* "log"  */
  YYSYMBOL_PREFIX = 306,                   /* "prefix"  */
  YYSYMBOL_GROUP = 307,                    /* "group"  */
  YYSYMBOL_SNAPLEN = 308,                  /* "snaplen"  */
  YYSYMBOL_QUEUE_THRESHOLD = 309,          /* "queue-threshold"  */
  YYSYMBOL_LEVEL = 310,                    /* "level"  */
  YYSYMBOL_LIMIT = 311,                    /* "limit"  */
  YYSYMBOL_RATE = 312,                     /* "rate"  */
  YYSYMBOL_BURST = 313,                    /* "burst"  */
  YYSYMBOL_OVER = 314,                     /* "over"  */
  YYSYMBOL_UNTIL = 315,                    /* "until"  */
  YYSYMBOL_QUOTA = 316,                    /* "quota"  */
  YYSYMBOL_USED = 317,                     /* "used"  */
  YYSYMBOL_SECMARK = 318,                  /* "secmark"  */
  YYSYMBOL_SECMARKS = 319,                 /* "secmarks"  */
  YYSYMBOL_SECOND = 320,                   /* "second"  */
  YYSYMBOL_MINUTE = 321,                   /* "minute"  */
  YYSYMBOL_HOUR = 322,                     /* "hour"  */
  YYSYMBOL_DAY = 323,                      /* "day"  */
  YYSYMBOL_WEEK = 324,                     /* "week"  */
  YYSYMBOL__REJECT = 325,                  /* "reject"  */
  YYSYMBOL_WITH = 326,                     /* "with"  */
  YYSYMBOL_ICMPX = 327,                    /* "icmpx"  */
  YYSYMBOL_SNAT = 328,                     /* "snat"  */
  YYSYMBOL_DNAT = 329,                     /* "dnat"  */
  YYSYMBOL_MASQUERADE = 330,               /* "masquerade"  */
  YYSYMBOL_REDIRECT = 331,                 /* "redirect"  */
  YYSYMBOL_RANDOM = 332,                   /* "random"  */
  YYSYMBOL_FULLY_RANDOM = 333,             /* "fully-random"  */
  YYSYMBOL_PERSISTENT = 334,               /* "persistent"  */
  YYSYMBOL_QUEUE = 335,                    /* "queue"  */
  YYSYMBOL_QUEUENUM = 336,                 /* "num"  */
  YYSYMBOL_BYPASS = 337,                   /* "bypass"  */
  YYSYMBOL_FANOUT = 338,                   /* "fanout"  */
  YYSYMBOL_DUP = 339,                      /* "dup"  */
  YYSYMBOL_FWD = 340,                      /* "fwd"  */
  YYSYMBOL_NUMGEN = 341,                   /* "numgen"  */
  YYSYMBOL_INC = 342,                      /* "inc"  */
  YYSYMBOL_MOD = 343,                      /* "mod"  */
  YYSYMBOL_OFFSET = 344,                   /* "offset"  */
  YYSYMBOL_JHASH = 345,                    /* "jhash"  */
  YYSYMBOL_SYMHASH = 346,                  /* "symhash"  */
  YYSYMBOL_SEED = 347,                     /* "seed"  */
  YYSYMBOL_POSITION = 348,                 /* "position"  */
  YYSYMBOL_INDEX = 349,                    /* "index"  */
  YYSYMBOL_COMMENT = 350,                  /* "comment"  */
  YYSYMBOL_XML = 351,                      /* "xml"  */
  YYSYMBOL_JSON = 352,                     /* "json"  */
  YYSYMBOL_VM = 353,                       /* "vm"  */
  YYSYMBOL_NOTRACK = 354,                  /* "notrack"  */
  YYSYMBOL_EXISTS = 355,                   /* "exists"  */
  YYSYMBOL_MISSING = 356,                  /* "missing"  */
  YYSYMBOL_EXTHDR = 357,                   /* "exthdr"  */
  YYSYMBOL_IPSEC = 358,                    /* "ipsec"  */
  YYSYMBOL_REQID = 359,                    /* "reqid"  */
  YYSYMBOL_SPNUM = 360,                    /* "spnum"  */
  YYSYMBOL_IN = 361,                       /* "in"  */
  YYSYMBOL_OUT = 362,                      /* "out"  */
  YYSYMBOL_XT = 363,                       /* "xt"  */
  YYSYMBOL_364_ = 364,                     /* '='  */
  YYSYMBOL_365_ = 365,                     /* '{'  */
  YYSYMBOL_366_ = 366,                     /* '}'  */
  YYSYMBOL_367_ = 367,                     /* '('  */
  YYSYMBOL_368_ = 368,                     /* ')'  */
  YYSYMBOL_369_ = 369,                     /* '|'  */
  YYSYMBOL_370_ = 370,                     /* '$'  */
  YYSYMBOL_371_ = 371,                     /* '['  */
  YYSYMBOL_372_ = 372,                     /* ']'  */
  YYSYMBOL_YYACCEPT = 373,                 /* $accept  */
  YYSYMBOL_input = 374,                    /* input  */
  YYSYMBOL_stmt_separator = 375,           /* stmt_separator  */
  YYSYMBOL_opt_newline = 376,              /* opt_newline  */
  YYSYMBOL_close_scope_ah = 377,           /* close_scope_ah  */
  YYSYMBOL_close_scope_arp = 378,          /* close_scope_arp  */
  YYSYMBOL_close_scope_at = 379,           /* close_scope_at  */
  YYSYMBOL_close_scope_comp = 380,         /* close_scope_comp  */
  YYSYMBOL_close_scope_ct = 381,           /* close_scope_ct  */
  YYSYMBOL_close_scope_counter = 382,      /* close_scope_counter  */
  YYSYMBOL_close_scope_last = 383,         /* close_scope_last  */
  YYSYMBOL_close_scope_dccp = 384,         /* close_scope_dccp  */
  YYSYMBOL_close_scope_destroy = 385,      /* close_scope_destroy  */
  YYSYMBOL_close_scope_dst = 386,          /* close_scope_dst  */
  YYSYMBOL_close_scope_dup = 387,          /* close_scope_dup  */
  YYSYMBOL_close_scope_esp = 388,          /* close_scope_esp  */
  YYSYMBOL_close_scope_eth = 389,          /* close_scope_eth  */
  YYSYMBOL_close_scope_export = 390,       /* close_scope_export  */
  YYSYMBOL_close_scope_fib = 391,          /* close_scope_fib  */
  YYSYMBOL_close_scope_frag = 392,         /* close_scope_frag  */
  YYSYMBOL_close_scope_fwd = 393,          /* close_scope_fwd  */
  YYSYMBOL_close_scope_gre = 394,          /* close_scope_gre  */
  YYSYMBOL_close_scope_hash = 395,         /* close_scope_hash  */
  YYSYMBOL_close_scope_hbh = 396,          /* close_scope_hbh  */
  YYSYMBOL_close_scope_ip = 397,           /* close_scope_ip  */
  YYSYMBOL_close_scope_ip6 = 398,          /* close_scope_ip6  */
  YYSYMBOL_close_scope_vlan = 399,         /* close_scope_vlan  */
  YYSYMBOL_close_scope_icmp = 400,         /* close_scope_icmp  */
  YYSYMBOL_close_scope_igmp = 401,         /* close_scope_igmp  */
  YYSYMBOL_close_scope_import = 402,       /* close_scope_import  */
  YYSYMBOL_close_scope_ipsec = 403,        /* close_scope_ipsec  */
  YYSYMBOL_close_scope_list = 404,         /* close_scope_list  */
  YYSYMBOL_close_scope_limit = 405,        /* close_scope_limit  */
  YYSYMBOL_close_scope_meta = 406,         /* close_scope_meta  */
  YYSYMBOL_close_scope_mh = 407,           /* close_scope_mh  */
  YYSYMBOL_close_scope_monitor = 408,      /* close_scope_monitor  */
  YYSYMBOL_close_scope_nat = 409,          /* close_scope_nat  */
  YYSYMBOL_close_scope_numgen = 410,       /* close_scope_numgen  */
  YYSYMBOL_close_scope_osf = 411,          /* close_scope_osf  */
  YYSYMBOL_close_scope_policy = 412,       /* close_scope_policy  */
  YYSYMBOL_close_scope_quota = 413,        /* close_scope_quota  */
  YYSYMBOL_close_scope_queue = 414,        /* close_scope_queue  */
  YYSYMBOL_close_scope_reject = 415,       /* close_scope_reject  */
  YYSYMBOL_close_scope_reset = 416,        /* close_scope_reset  */
  YYSYMBOL_close_scope_rt = 417,           /* close_scope_rt  */
  YYSYMBOL_close_scope_sctp = 418,         /* close_scope_sctp  */
  YYSYMBOL_close_scope_sctp_chunk = 419,   /* close_scope_sctp_chunk  */
  YYSYMBOL_close_scope_secmark = 420,      /* close_scope_secmark  */
  YYSYMBOL_close_scope_socket = 421,       /* close_scope_socket  */
  YYSYMBOL_close_scope_tcp = 422,          /* close_scope_tcp  */
  YYSYMBOL_close_scope_tproxy = 423,       /* close_scope_tproxy  */
  YYSYMBOL_close_scope_type = 424,         /* close_scope_type  */
  YYSYMBOL_close_scope_th = 425,           /* close_scope_th  */
  YYSYMBOL_close_scope_udp = 426,          /* close_scope_udp  */
  YYSYMBOL_close_scope_udplite = 427,      /* close_scope_udplite  */
  YYSYMBOL_close_scope_log = 428,          /* close_scope_log  */
  YYSYMBOL_close_scope_synproxy = 429,     /* close_scope_synproxy  */
  YYSYMBOL_close_scope_xt = 430,           /* close_scope_xt  */
  YYSYMBOL_common_block = 431,             /* common_block  */
  YYSYMBOL_line = 432,                     /* line  */
  YYSYMBOL_base_cmd = 433,                 /* base_cmd  */
  YYSYMBOL_add_cmd = 434,                  /* add_cmd  */
  YYSYMBOL_replace_cmd = 435,              /* replace_cmd  */
  YYSYMBOL_create_cmd = 436,               /* create_cmd  */
  YYSYMBOL_insert_cmd = 437,               /* insert_cmd  */
  YYSYMBOL_table_or_id_spec = 438,         /* table_or_id_spec  */
  YYSYMBOL_chain_or_id_spec = 439,         /* chain_or_id_spec  */
  YYSYMBOL_set_or_id_spec = 440,           /* set_or_id_spec  */
  YYSYMBOL_obj_or_id_spec = 441,           /* obj_or_id_spec  */
  YYSYMBOL_delete_cmd = 442,               /* delete_cmd  */
  YYSYMBOL_destroy_cmd = 443,              /* destroy_cmd  */
  YYSYMBOL_get_cmd = 444,                  /* get_cmd  */
  YYSYMBOL_list_cmd = 445,                 /* list_cmd  */
  YYSYMBOL_basehook_device_name = 446,     /* basehook_device_name  */
  YYSYMBOL_basehook_spec = 447,            /* basehook_spec  */
  YYSYMBOL_reset_cmd = 448,                /* reset_cmd  */
  YYSYMBOL_flush_cmd = 449,                /* flush_cmd  */
  YYSYMBOL_rename_cmd = 450,               /* rename_cmd  */
  YYSYMBOL_import_cmd = 451,               /* import_cmd  */
  YYSYMBOL_export_cmd = 452,               /* export_cmd  */
  YYSYMBOL_monitor_cmd = 453,              /* monitor_cmd  */
  YYSYMBOL_monitor_event = 454,            /* monitor_event  */
  YYSYMBOL_monitor_object = 455,           /* monitor_object  */
  YYSYMBOL_monitor_format = 456,           /* monitor_format  */
  YYSYMBOL_markup_format = 457,            /* markup_format  */
  YYSYMBOL_describe_cmd = 458,             /* describe_cmd  */
  YYSYMBOL_table_block_alloc = 459,        /* table_block_alloc  */
  YYSYMBOL_table_options = 460,            /* table_options  */
  YYSYMBOL_table_flags = 461,              /* table_flags  */
  YYSYMBOL_table_flag = 462,               /* table_flag  */
  YYSYMBOL_table_block = 463,              /* table_block  */
  YYSYMBOL_chain_block_alloc = 464,        /* chain_block_alloc  */
  YYSYMBOL_chain_block = 465,              /* chain_block  */
  YYSYMBOL_subchain_block = 466,           /* subchain_block  */
  YYSYMBOL_typeof_verdict_expr = 467,      /* typeof_verdict_expr  */
  YYSYMBOL_typeof_data_expr = 468,         /* typeof_data_expr  */
  YYSYMBOL_typeof_expr = 469,              /* typeof_expr  */
  YYSYMBOL_set_block_alloc = 470,          /* set_block_alloc  */
  YYSYMBOL_typeof_key_expr = 471,          /* typeof_key_expr  */
  YYSYMBOL_set_block = 472,                /* set_block  */
  YYSYMBOL_set_block_expr = 473,           /* set_block_expr  */
  YYSYMBOL_set_flag_list = 474,            /* set_flag_list  */
  YYSYMBOL_set_flag = 475,                 /* set_flag  */
  YYSYMBOL_map_block_alloc = 476,          /* map_block_alloc  */
  YYSYMBOL_ct_obj_type_map = 477,          /* ct_obj_type_map  */
  YYSYMBOL_map_block_obj_type = 478,       /* map_block_obj_type  */
  YYSYMBOL_map_block_obj_typeof = 479,     /* map_block_obj_typeof  */
  YYSYMBOL_map_block_data_interval = 480,  /* map_block_data_interval  */
  YYSYMBOL_map_block = 481,                /* map_block  */
  YYSYMBOL_set_mechanism = 482,            /* set_mechanism  */
  YYSYMBOL_set_policy_spec = 483,          /* set_policy_spec  */
  YYSYMBOL_flowtable_block_alloc = 484,    /* flowtable_block_alloc  */
  YYSYMBOL_flowtable_block = 485,          /* flowtable_block  */
  YYSYMBOL_flowtable_expr = 486,           /* flowtable_expr  */
  YYSYMBOL_flowtable_list_expr = 487,      /* flowtable_list_expr  */
  YYSYMBOL_flowtable_expr_member = 488,    /* flowtable_expr_member  */
  YYSYMBOL_data_type_atom_expr = 489,      /* data_type_atom_expr  */
  YYSYMBOL_data_type_expr = 490,           /* data_type_expr  */
  YYSYMBOL_obj_block_alloc = 491,          /* obj_block_alloc  */
  YYSYMBOL_counter_block = 492,            /* counter_block  */
  YYSYMBOL_quota_block = 493,              /* quota_block  */
  YYSYMBOL_ct_helper_block = 494,          /* ct_helper_block  */
  YYSYMBOL_ct_timeout_block = 495,         /* ct_timeout_block  */
  YYSYMBOL_ct_expect_block = 496,          /* ct_expect_block  */
  YYSYMBOL_limit_block = 497,              /* limit_block  */
  YYSYMBOL_secmark_block = 498,            /* secmark_block  */
  YYSYMBOL_synproxy_block = 499,           /* synproxy_block  */
  YYSYMBOL_type_identifier = 500,          /* type_identifier  */
  YYSYMBOL_hook_spec = 501,                /* hook_spec  */
  YYSYMBOL_prio_spec = 502,                /* prio_spec  */
  YYSYMBOL_extended_prio_name = 503,       /* extended_prio_name  */
  YYSYMBOL_extended_prio_spec = 504,       /* extended_prio_spec  */
  YYSYMBOL_int_num = 505,                  /* int_num  */
  YYSYMBOL_dev_spec = 506,                 /* dev_spec  */
  YYSYMBOL_flags_spec = 507,               /* flags_spec  */
  YYSYMBOL_policy_spec = 508,              /* policy_spec  */
  YYSYMBOL_policy_expr = 509,              /* policy_expr  */
  YYSYMBOL_chain_policy = 510,             /* chain_policy  */
  YYSYMBOL_identifier = 511,               /* identifier  */
  YYSYMBOL_string = 512,                   /* string  */
  YYSYMBOL_time_spec = 513,                /* time_spec  */
  YYSYMBOL_time_spec_or_num_s = 514,       /* time_spec_or_num_s  */
  YYSYMBOL_family_spec = 515,              /* family_spec  */
  YYSYMBOL_family_spec_explicit = 516,     /* family_spec_explicit  */
  YYSYMBOL_table_spec = 517,               /* table_spec  */
  YYSYMBOL_tableid_spec = 518,             /* tableid_spec  */
  YYSYMBOL_chain_spec = 519,               /* chain_spec  */
  YYSYMBOL_chainid_spec = 520,             /* chainid_spec  */
  YYSYMBOL_chain_identifier = 521,         /* chain_identifier  */
  YYSYMBOL_set_spec = 522,                 /* set_spec  */
  YYSYMBOL_setid_spec = 523,               /* setid_spec  */
  YYSYMBOL_set_identifier = 524,           /* set_identifier  */
  YYSYMBOL_flowtable_spec = 525,           /* flowtable_spec  */
  YYSYMBOL_flowtableid_spec = 526,         /* flowtableid_spec  */
  YYSYMBOL_flowtable_identifier = 527,     /* flowtable_identifier  */
  YYSYMBOL_obj_spec = 528,                 /* obj_spec  */
  YYSYMBOL_objid_spec = 529,               /* objid_spec  */
  YYSYMBOL_obj_identifier = 530,           /* obj_identifier  */
  YYSYMBOL_handle_spec = 531,              /* handle_spec  */
  YYSYMBOL_position_spec = 532,            /* position_spec  */
  YYSYMBOL_index_spec = 533,               /* index_spec  */
  YYSYMBOL_rule_position = 534,            /* rule_position  */
  YYSYMBOL_ruleid_spec = 535,              /* ruleid_spec  */
  YYSYMBOL_comment_spec = 536,             /* comment_spec  */
  YYSYMBOL_ruleset_spec = 537,             /* ruleset_spec  */
  YYSYMBOL_rule = 538,                     /* rule  */
  YYSYMBOL_rule_alloc = 539,               /* rule_alloc  */
  YYSYMBOL_stmt_list = 540,                /* stmt_list  */
  YYSYMBOL_stateful_stmt_list = 541,       /* stateful_stmt_list  */
  YYSYMBOL_objref_stmt_counter = 542,      /* objref_stmt_counter  */
  YYSYMBOL_objref_stmt_limit = 543,        /* objref_stmt_limit  */
  YYSYMBOL_objref_stmt_quota = 544,        /* objref_stmt_quota  */
  YYSYMBOL_objref_stmt_synproxy = 545,     /* objref_stmt_synproxy  */
  YYSYMBOL_objref_stmt_ct = 546,           /* objref_stmt_ct  */
  YYSYMBOL_objref_stmt = 547,              /* objref_stmt  */
  YYSYMBOL_stateful_stmt = 548,            /* stateful_stmt  */
  YYSYMBOL_stmt = 549,                     /* stmt  */
  YYSYMBOL_xt_stmt = 550,                  /* xt_stmt  */
  YYSYMBOL_chain_stmt_type = 551,          /* chain_stmt_type  */
  YYSYMBOL_chain_stmt = 552,               /* chain_stmt  */
  YYSYMBOL_verdict_stmt = 553,             /* verdict_stmt  */
  YYSYMBOL_verdict_map_stmt = 554,         /* verdict_map_stmt  */
  YYSYMBOL_verdict_map_expr = 555,         /* verdict_map_expr  */
  YYSYMBOL_verdict_map_list_expr = 556,    /* verdict_map_list_expr  */
  YYSYMBOL_verdict_map_list_member_expr = 557, /* verdict_map_list_member_expr  */
  YYSYMBOL_connlimit_stmt = 558,           /* connlimit_stmt  */
  YYSYMBOL_counter_stmt = 559,             /* counter_stmt  */
  YYSYMBOL_counter_stmt_alloc = 560,       /* counter_stmt_alloc  */
  YYSYMBOL_counter_args = 561,             /* counter_args  */
  YYSYMBOL_counter_arg = 562,              /* counter_arg  */
  YYSYMBOL_last_stmt = 563,                /* last_stmt  */
  YYSYMBOL_log_stmt = 564,                 /* log_stmt  */
  YYSYMBOL_log_stmt_alloc = 565,           /* log_stmt_alloc  */
  YYSYMBOL_log_args = 566,                 /* log_args  */
  YYSYMBOL_log_arg = 567,                  /* log_arg  */
  YYSYMBOL_level_type = 568,               /* level_type  */
  YYSYMBOL_log_flags = 569,                /* log_flags  */
  YYSYMBOL_log_flags_tcp = 570,            /* log_flags_tcp  */
  YYSYMBOL_log_flag_tcp = 571,             /* log_flag_tcp  */
  YYSYMBOL_limit_stmt = 572,               /* limit_stmt  */
  YYSYMBOL_quota_mode = 573,               /* quota_mode  */
  YYSYMBOL_quota_unit = 574,               /* quota_unit  */
  YYSYMBOL_quota_used = 575,               /* quota_used  */
  YYSYMBOL_quota_stmt = 576,               /* quota_stmt  */
  YYSYMBOL_limit_mode = 577,               /* limit_mode  */
  YYSYMBOL_limit_burst_pkts = 578,         /* limit_burst_pkts  */
  YYSYMBOL_limit_rate_pkts = 579,          /* limit_rate_pkts  */
  YYSYMBOL_limit_burst_bytes = 580,        /* limit_burst_bytes  */
  YYSYMBOL_limit_rate_bytes = 581,         /* limit_rate_bytes  */
  YYSYMBOL_limit_bytes = 582,              /* limit_bytes  */
  YYSYMBOL_time_unit = 583,                /* time_unit  */
  YYSYMBOL_reject_stmt = 584,              /* reject_stmt  */
  YYSYMBOL_reject_stmt_alloc = 585,        /* reject_stmt_alloc  */
  YYSYMBOL_reject_with_expr = 586,         /* reject_with_expr  */
  YYSYMBOL_reject_opts = 587,              /* reject_opts  */
  YYSYMBOL_nat_stmt = 588,                 /* nat_stmt  */
  YYSYMBOL_nat_stmt_alloc = 589,           /* nat_stmt_alloc  */
  YYSYMBOL_tproxy_stmt = 590,              /* tproxy_stmt  */
  YYSYMBOL_synproxy_stmt = 591,            /* synproxy_stmt  */
  YYSYMBOL_synproxy_stmt_alloc = 592,      /* synproxy_stmt_alloc  */
  YYSYMBOL_synproxy_args = 593,            /* synproxy_args  */
  YYSYMBOL_synproxy_arg = 594,             /* synproxy_arg  */
  YYSYMBOL_synproxy_config = 595,          /* synproxy_config  */
  YYSYMBOL_synproxy_obj = 596,             /* synproxy_obj  */
  YYSYMBOL_synproxy_ts = 597,              /* synproxy_ts  */
  YYSYMBOL_synproxy_sack = 598,            /* synproxy_sack  */
  YYSYMBOL_primary_stmt_expr = 599,        /* primary_stmt_expr  */
  YYSYMBOL_shift_stmt_expr = 600,          /* shift_stmt_expr  */
  YYSYMBOL_and_stmt_expr = 601,            /* and_stmt_expr  */
  YYSYMBOL_exclusive_or_stmt_expr = 602,   /* exclusive_or_stmt_expr  */
  YYSYMBOL_inclusive_or_stmt_expr = 603,   /* inclusive_or_stmt_expr  */
  YYSYMBOL_basic_stmt_expr = 604,          /* basic_stmt_expr  */
  YYSYMBOL_concat_stmt_expr = 605,         /* concat_stmt_expr  */
  YYSYMBOL_map_stmt_expr_set = 606,        /* map_stmt_expr_set  */
  YYSYMBOL_map_stmt_expr = 607,            /* map_stmt_expr  */
  YYSYMBOL_prefix_stmt_expr = 608,         /* prefix_stmt_expr  */
  YYSYMBOL_range_stmt_expr = 609,          /* range_stmt_expr  */
  YYSYMBOL_multiton_stmt_expr = 610,       /* multiton_stmt_expr  */
  YYSYMBOL_stmt_expr = 611,                /* stmt_expr  */
  YYSYMBOL_nat_stmt_args = 612,            /* nat_stmt_args  */
  YYSYMBOL_masq_stmt = 613,                /* masq_stmt  */
  YYSYMBOL_masq_stmt_alloc = 614,          /* masq_stmt_alloc  */
  YYSYMBOL_masq_stmt_args = 615,           /* masq_stmt_args  */
  YYSYMBOL_redir_stmt = 616,               /* redir_stmt  */
  YYSYMBOL_redir_stmt_alloc = 617,         /* redir_stmt_alloc  */
  YYSYMBOL_redir_stmt_arg = 618,           /* redir_stmt_arg  */
  YYSYMBOL_dup_stmt = 619,                 /* dup_stmt  */
  YYSYMBOL_fwd_stmt = 620,                 /* fwd_stmt  */
  YYSYMBOL_nf_nat_flags = 621,             /* nf_nat_flags  */
  YYSYMBOL_nf_nat_flag = 622,              /* nf_nat_flag  */
  YYSYMBOL_queue_stmt = 623,               /* queue_stmt  */
  YYSYMBOL_queue_stmt_compat = 624,        /* queue_stmt_compat  */
  YYSYMBOL_queue_stmt_alloc = 625,         /* queue_stmt_alloc  */
  YYSYMBOL_queue_stmt_args = 626,          /* queue_stmt_args  */
  YYSYMBOL_queue_stmt_arg = 627,           /* queue_stmt_arg  */
  YYSYMBOL_queue_expr = 628,               /* queue_expr  */
  YYSYMBOL_queue_stmt_expr_simple = 629,   /* queue_stmt_expr_simple  */
  YYSYMBOL_queue_stmt_expr = 630,          /* queue_stmt_expr  */
  YYSYMBOL_queue_stmt_flags = 631,         /* queue_stmt_flags  */
  YYSYMBOL_queue_stmt_flag = 632,          /* queue_stmt_flag  */
  YYSYMBOL_set_elem_expr_stmt = 633,       /* set_elem_expr_stmt  */
  YYSYMBOL_set_elem_expr_stmt_alloc = 634, /* set_elem_expr_stmt_alloc  */
  YYSYMBOL_set_stmt = 635,                 /* set_stmt  */
  YYSYMBOL_set_stmt_op = 636,              /* set_stmt_op  */
  YYSYMBOL_map_stmt = 637,                 /* map_stmt  */
  YYSYMBOL_meter_stmt = 638,               /* meter_stmt  */
  YYSYMBOL_meter_stmt_alloc = 639,         /* meter_stmt_alloc  */
  YYSYMBOL_match_stmt = 640,               /* match_stmt  */
  YYSYMBOL_variable_expr = 641,            /* variable_expr  */
  YYSYMBOL_symbol_expr = 642,              /* symbol_expr  */
  YYSYMBOL_set_ref_expr = 643,             /* set_ref_expr  */
  YYSYMBOL_set_ref_symbol_expr = 644,      /* set_ref_symbol_expr  */
  YYSYMBOL_integer_expr = 645,             /* integer_expr  */
  YYSYMBOL_primary_expr = 646,             /* primary_expr  */
  YYSYMBOL_fib_expr = 647,                 /* fib_expr  */
  YYSYMBOL_fib_result = 648,               /* fib_result  */
  YYSYMBOL_fib_flag = 649,                 /* fib_flag  */
  YYSYMBOL_fib_tuple = 650,                /* fib_tuple  */
  YYSYMBOL_osf_expr = 651,                 /* osf_expr  */
  YYSYMBOL_osf_ttl = 652,                  /* osf_ttl  */
  YYSYMBOL_shift_expr = 653,               /* shift_expr  */
  YYSYMBOL_and_expr = 654,                 /* and_expr  */
  YYSYMBOL_exclusive_or_expr = 655,        /* exclusive_or_expr  */
  YYSYMBOL_inclusive_or_expr = 656,        /* inclusive_or_expr  */
  YYSYMBOL_basic_expr = 657,               /* basic_expr  */
  YYSYMBOL_concat_expr = 658,              /* concat_expr  */
  YYSYMBOL_prefix_rhs_expr = 659,          /* prefix_rhs_expr  */
  YYSYMBOL_range_rhs_expr = 660,           /* range_rhs_expr  */
  YYSYMBOL_multiton_rhs_expr = 661,        /* multiton_rhs_expr  */
  YYSYMBOL_map_expr = 662,                 /* map_expr  */
  YYSYMBOL_expr = 663,                     /* expr  */
  YYSYMBOL_set_expr = 664,                 /* set_expr  */
  YYSYMBOL_set_list_expr = 665,            /* set_list_expr  */
  YYSYMBOL_set_list_member_expr = 666,     /* set_list_member_expr  */
  YYSYMBOL_meter_key_expr = 667,           /* meter_key_expr  */
  YYSYMBOL_meter_key_expr_alloc = 668,     /* meter_key_expr_alloc  */
  YYSYMBOL_set_elem_expr = 669,            /* set_elem_expr  */
  YYSYMBOL_set_elem_key_expr = 670,        /* set_elem_key_expr  */
  YYSYMBOL_set_elem_expr_alloc = 671,      /* set_elem_expr_alloc  */
  YYSYMBOL_set_elem_options = 672,         /* set_elem_options  */
  YYSYMBOL_set_elem_time_spec = 673,       /* set_elem_time_spec  */
  YYSYMBOL_set_elem_option = 674,          /* set_elem_option  */
  YYSYMBOL_set_elem_expr_options = 675,    /* set_elem_expr_options  */
  YYSYMBOL_set_elem_stmt_list = 676,       /* set_elem_stmt_list  */
  YYSYMBOL_set_elem_stmt = 677,            /* set_elem_stmt  */
  YYSYMBOL_set_elem_expr_option = 678,     /* set_elem_expr_option  */
  YYSYMBOL_set_lhs_expr = 679,             /* set_lhs_expr  */
  YYSYMBOL_set_rhs_expr = 680,             /* set_rhs_expr  */
  YYSYMBOL_initializer_expr = 681,         /* initializer_expr  */
  YYSYMBOL_counter_config = 682,           /* counter_config  */
  YYSYMBOL_counter_obj = 683,              /* counter_obj  */
  YYSYMBOL_quota_config = 684,             /* quota_config  */
  YYSYMBOL_quota_obj = 685,                /* quota_obj  */
  YYSYMBOL_secmark_config = 686,           /* secmark_config  */
  YYSYMBOL_secmark_obj = 687,              /* secmark_obj  */
  YYSYMBOL_ct_obj_type = 688,              /* ct_obj_type  */
  YYSYMBOL_ct_cmd_type = 689,              /* ct_cmd_type  */
  YYSYMBOL_ct_l4protoname = 690,           /* ct_l4protoname  */
  YYSYMBOL_ct_helper_config = 691,         /* ct_helper_config  */
  YYSYMBOL_timeout_states = 692,           /* timeout_states  */
  YYSYMBOL_timeout_state = 693,            /* timeout_state  */
  YYSYMBOL_ct_timeout_config = 694,        /* ct_timeout_config  */
  YYSYMBOL_ct_expect_config = 695,         /* ct_expect_config  */
  YYSYMBOL_ct_obj_alloc = 696,             /* ct_obj_alloc  */
  YYSYMBOL_limit_config = 697,             /* limit_config  */
  YYSYMBOL_limit_obj = 698,                /* limit_obj  */
  YYSYMBOL_relational_expr = 699,          /* relational_expr  */
  YYSYMBOL_list_rhs_expr = 700,            /* list_rhs_expr  */
  YYSYMBOL_rhs_expr = 701,                 /* rhs_expr  */
  YYSYMBOL_shift_rhs_expr = 702,           /* shift_rhs_expr  */
  YYSYMBOL_and_rhs_expr = 703,             /* and_rhs_expr  */
  YYSYMBOL_exclusive_or_rhs_expr = 704,    /* exclusive_or_rhs_expr  */
  YYSYMBOL_inclusive_or_rhs_expr = 705,    /* inclusive_or_rhs_expr  */
  YYSYMBOL_basic_rhs_expr = 706,           /* basic_rhs_expr  */
  YYSYMBOL_concat_rhs_expr = 707,          /* concat_rhs_expr  */
  YYSYMBOL_boolean_keys = 708,             /* boolean_keys  */
  YYSYMBOL_boolean_expr = 709,             /* boolean_expr  */
  YYSYMBOL_keyword_expr = 710,             /* keyword_expr  */
  YYSYMBOL_primary_rhs_expr = 711,         /* primary_rhs_expr  */
  YYSYMBOL_relational_op = 712,            /* relational_op  */
  YYSYMBOL_verdict_expr = 713,             /* verdict_expr  */
  YYSYMBOL_chain_expr = 714,               /* chain_expr  */
  YYSYMBOL_meta_expr = 715,                /* meta_expr  */
  YYSYMBOL_meta_key = 716,                 /* meta_key  */
  YYSYMBOL_meta_key_qualified = 717,       /* meta_key_qualified  */
  YYSYMBOL_meta_key_unqualified = 718,     /* meta_key_unqualified  */
  YYSYMBOL_meta_stmt = 719,                /* meta_stmt  */
  YYSYMBOL_socket_expr = 720,              /* socket_expr  */
  YYSYMBOL_socket_key = 721,               /* socket_key  */
  YYSYMBOL_offset_opt = 722,               /* offset_opt  */
  YYSYMBOL_numgen_type = 723,              /* numgen_type  */
  YYSYMBOL_numgen_expr = 724,              /* numgen_expr  */
  YYSYMBOL_xfrm_spnum = 725,               /* xfrm_spnum  */
  YYSYMBOL_xfrm_dir = 726,                 /* xfrm_dir  */
  YYSYMBOL_xfrm_state_key = 727,           /* xfrm_state_key  */
  YYSYMBOL_xfrm_state_proto_key = 728,     /* xfrm_state_proto_key  */
  YYSYMBOL_xfrm_expr = 729,                /* xfrm_expr  */
  YYSYMBOL_hash_expr = 730,                /* hash_expr  */
  YYSYMBOL_nf_key_proto = 731,             /* nf_key_proto  */
  YYSYMBOL_rt_expr = 732,                  /* rt_expr  */
  YYSYMBOL_rt_key = 733,                   /* rt_key  */
  YYSYMBOL_ct_expr = 734,                  /* ct_expr  */
  YYSYMBOL_ct_dir = 735,                   /* ct_dir  */
  YYSYMBOL_ct_key = 736,                   /* ct_key  */
  YYSYMBOL_ct_key_dir = 737,               /* ct_key_dir  */
  YYSYMBOL_ct_key_proto_field = 738,       /* ct_key_proto_field  */
  YYSYMBOL_ct_key_dir_optional = 739,      /* ct_key_dir_optional  */
  YYSYMBOL_symbol_stmt_expr = 740,         /* symbol_stmt_expr  */
  YYSYMBOL_list_stmt_expr = 741,           /* list_stmt_expr  */
  YYSYMBOL_ct_stmt = 742,                  /* ct_stmt  */
  YYSYMBOL_payload_stmt = 743,             /* payload_stmt  */
  YYSYMBOL_payload_expr = 744,             /* payload_expr  */
  YYSYMBOL_payload_raw_len = 745,          /* payload_raw_len  */
  YYSYMBOL_payload_raw_expr = 746,         /* payload_raw_expr  */
  YYSYMBOL_payload_base_spec = 747,        /* payload_base_spec  */
  YYSYMBOL_eth_hdr_expr = 748,             /* eth_hdr_expr  */
  YYSYMBOL_eth_hdr_field = 749,            /* eth_hdr_field  */
  YYSYMBOL_vlan_hdr_expr = 750,            /* vlan_hdr_expr  */
  YYSYMBOL_vlan_hdr_field = 751,           /* vlan_hdr_field  */
  YYSYMBOL_arp_hdr_expr = 752,             /* arp_hdr_expr  */
  YYSYMBOL_arp_hdr_field = 753,            /* arp_hdr_field  */
  YYSYMBOL_ip_hdr_expr = 754,              /* ip_hdr_expr  */
  YYSYMBOL_ip_hdr_field = 755,             /* ip_hdr_field  */
  YYSYMBOL_ip_option_type = 756,           /* ip_option_type  */
  YYSYMBOL_ip_option_field = 757,          /* ip_option_field  */
  YYSYMBOL_icmp_hdr_expr = 758,            /* icmp_hdr_expr  */
  YYSYMBOL_icmp_hdr_field = 759,           /* icmp_hdr_field  */
  YYSYMBOL_igmp_hdr_expr = 760,            /* igmp_hdr_expr  */
  YYSYMBOL_igmp_hdr_field = 761,           /* igmp_hdr_field  */
  YYSYMBOL_ip6_hdr_expr = 762,             /* ip6_hdr_expr  */
  YYSYMBOL_ip6_hdr_field = 763,            /* ip6_hdr_field  */
  YYSYMBOL_icmp6_hdr_expr = 764,           /* icmp6_hdr_expr  */
  YYSYMBOL_icmp6_hdr_field = 765,          /* icmp6_hdr_field  */
  YYSYMBOL_auth_hdr_expr = 766,            /* auth_hdr_expr  */
  YYSYMBOL_auth_hdr_field = 767,           /* auth_hdr_field  */
  YYSYMBOL_esp_hdr_expr = 768,             /* esp_hdr_expr  */
  YYSYMBOL_esp_hdr_field = 769,            /* esp_hdr_field  */
  YYSYMBOL_comp_hdr_expr = 770,            /* comp_hdr_expr  */
  YYSYMBOL_comp_hdr_field = 771,           /* comp_hdr_field  */
  YYSYMBOL_udp_hdr_expr = 772,             /* udp_hdr_expr  */
  YYSYMBOL_udp_hdr_field = 773,            /* udp_hdr_field  */
  YYSYMBOL_udplite_hdr_expr = 774,         /* udplite_hdr_expr  */
  YYSYMBOL_udplite_hdr_field = 775,        /* udplite_hdr_field  */
  YYSYMBOL_tcp_hdr_expr = 776,             /* tcp_hdr_expr  */
  YYSYMBOL_inner_inet_expr = 777,          /* inner_inet_expr  */
  YYSYMBOL_inner_eth_expr = 778,           /* inner_eth_expr  */
  YYSYMBOL_inner_expr = 779,               /* inner_expr  */
  YYSYMBOL_vxlan_hdr_expr = 780,           /* vxlan_hdr_expr  */
  YYSYMBOL_vxlan_hdr_field = 781,          /* vxlan_hdr_field  */
  YYSYMBOL_geneve_hdr_expr = 782,          /* geneve_hdr_expr  */
  YYSYMBOL_geneve_hdr_field = 783,         /* geneve_hdr_field  */
  YYSYMBOL_gre_hdr_expr = 784,             /* gre_hdr_expr  */
  YYSYMBOL_gre_hdr_field = 785,            /* gre_hdr_field  */
  YYSYMBOL_gretap_hdr_expr = 786,          /* gretap_hdr_expr  */
  YYSYMBOL_optstrip_stmt = 787,            /* optstrip_stmt  */
  YYSYMBOL_tcp_hdr_field = 788,            /* tcp_hdr_field  */
  YYSYMBOL_tcp_hdr_option_kind_and_field = 789, /* tcp_hdr_option_kind_and_field  */
  YYSYMBOL_tcp_hdr_option_sack = 790,      /* tcp_hdr_option_sack  */
  YYSYMBOL_tcp_hdr_option_type = 791,      /* tcp_hdr_option_type  */
  YYSYMBOL_tcpopt_field_sack = 792,        /* tcpopt_field_sack  */
  YYSYMBOL_tcpopt_field_window = 793,      /* tcpopt_field_window  */
  YYSYMBOL_tcpopt_field_tsopt = 794,       /* tcpopt_field_tsopt  */
  YYSYMBOL_tcpopt_field_maxseg = 795,      /* tcpopt_field_maxseg  */
  YYSYMBOL_tcpopt_field_mptcp = 796,       /* tcpopt_field_mptcp  */
  YYSYMBOL_dccp_hdr_expr = 797,            /* dccp_hdr_expr  */
  YYSYMBOL_dccp_hdr_field = 798,           /* dccp_hdr_field  */
  YYSYMBOL_sctp_chunk_type = 799,          /* sctp_chunk_type  */
  YYSYMBOL_sctp_chunk_common_field = 800,  /* sctp_chunk_common_field  */
  YYSYMBOL_sctp_chunk_data_field = 801,    /* sctp_chunk_data_field  */
  YYSYMBOL_sctp_chunk_init_field = 802,    /* sctp_chunk_init_field  */
  YYSYMBOL_sctp_chunk_sack_field = 803,    /* sctp_chunk_sack_field  */
  YYSYMBOL_sctp_chunk_alloc = 804,         /* sctp_chunk_alloc  */
  YYSYMBOL_sctp_hdr_expr = 805,            /* sctp_hdr_expr  */
  YYSYMBOL_sctp_hdr_field = 806,           /* sctp_hdr_field  */
  YYSYMBOL_th_hdr_expr = 807,              /* th_hdr_expr  */
  YYSYMBOL_th_hdr_field = 808,             /* th_hdr_field  */
  YYSYMBOL_exthdr_expr = 809,              /* exthdr_expr  */
  YYSYMBOL_hbh_hdr_expr = 810,             /* hbh_hdr_expr  */
  YYSYMBOL_hbh_hdr_field = 811,            /* hbh_hdr_field  */
  YYSYMBOL_rt_hdr_expr = 812,              /* rt_hdr_expr  */
  YYSYMBOL_rt_hdr_field = 813,             /* rt_hdr_field  */
  YYSYMBOL_rt0_hdr_expr = 814,             /* rt0_hdr_expr  */
  YYSYMBOL_rt0_hdr_field = 815,            /* rt0_hdr_field  */
  YYSYMBOL_rt2_hdr_expr = 816,             /* rt2_hdr_expr  */
  YYSYMBOL_rt2_hdr_field = 817,            /* rt2_hdr_field  */
  YYSYMBOL_rt4_hdr_expr = 818,             /* rt4_hdr_expr  */
  YYSYMBOL_rt4_hdr_field = 819,            /* rt4_hdr_field  */
  YYSYMBOL_frag_hdr_expr = 820,            /* frag_hdr_expr  */
  YYSYMBOL_frag_hdr_field = 821,           /* frag_hdr_field  */
  YYSYMBOL_dst_hdr_expr = 822,             /* dst_hdr_expr  */
  YYSYMBOL_dst_hdr_field = 823,            /* dst_hdr_field  */
  YYSYMBOL_mh_hdr_expr = 824,              /* mh_hdr_expr  */
  YYSYMBOL_mh_hdr_field = 825,             /* mh_hdr_field  */
  YYSYMBOL_exthdr_exists_expr = 826,       /* exthdr_exists_expr  */
  YYSYMBOL_exthdr_key = 827                /* exthdr_key  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   8942

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  373
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  455
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1383
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2370

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   618


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,   370,     2,     2,     2,
     367,   368,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   364,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   371,     2,   372,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   365,   369,   366,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,  1009,  1009,  1010,  1019,  1020,  1023,  1024,  1027,  1028,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
    1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,
    1059,  1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1079,
    1080,  1081,  1083,  1091,  1106,  1113,  1125,  1133,  1134,  1135,
    1136,  1156,  1157,  1158,  1159,  1160,  1161,  1162,  1163,  1164,
    1165,  1166,  1167,  1168,  1169,  1170,  1171,  1174,  1178,  1185,
    1189,  1197,  1201,  1205,  1212,  1219,  1229,  1236,  1245,  1249,
    1253,  1257,  1261,  1265,  1269,  1273,  1277,  1281,  1285,  1289,
    1293,  1299,  1305,  1309,  1316,  1320,  1328,  1335,  1342,  1352,
    1359,  1368,  1372,  1376,  1380,  1384,  1388,  1392,  1396,  1402,
    1408,  1409,  1412,  1413,  1416,  1417,  1420,  1421,  1424,  1428,
    1432,  1440,  1444,  1448,  1452,  1456,  1460,  1464,  1471,  1475,
    1479,  1485,  1489,  1493,  1499,  1503,  1507,  1511,  1515,  1519,
    1523,  1527,  1531,  1538,  1542,  1546,  1552,  1556,  1560,  1567,
    1573,  1577,  1581,  1585,  1589,  1593,  1597,  1601,  1605,  1609,
    1613,  1617,  1621,  1625,  1629,  1633,  1637,  1641,  1645,  1649,
    1653,  1657,  1661,  1665,  1669,  1673,  1677,  1681,  1685,  1689,
    1693,  1697,  1701,  1705,  1711,  1717,  1721,  1731,  1735,  1739,
    1744,  1748,  1752,  1756,  1761,  1765,  1769,  1773,  1778,  1782,
    1787,  1791,  1795,  1799,  1805,  1809,  1813,  1817,  1821,  1825,
    1829,  1835,  1842,  1848,  1856,  1862,  1870,  1879,  1880,  1883,
    1884,  1885,  1886,  1887,  1888,  1889,  1890,  1893,  1894,  1897,
    1898,  1899,  1902,  1911,  1921,  1925,  1935,  1936,  1941,  1955,
    1956,  1957,  1958,  1959,  1970,  1980,  1991,  2001,  2012,  2023,
    2032,  2041,  2050,  2061,  2072,  2086,  2096,  2097,  2098,  2099,
    2100,  2101,  2102,  2107,  2116,  2126,  2127,  2128,  2135,  2156,
    2167,  2172,  2176,  2182,  2193,  2206,  2211,  2212,  2215,  2216,
    2217,  2218,  2228,  2233,  2238,  2243,  2249,  2258,  2263,  2264,
    2275,  2276,  2279,  2283,  2286,  2287,  2288,  2289,  2293,  2298,
    2299,  2302,  2303,  2304,  2305,  2306,  2309,  2310,  2313,  2314,
    2317,  2318,  2319,  2320,  2325,  2330,  2347,  2370,  2384,  2393,
    2398,  2404,  2409,  2418,  2421,  2425,  2431,  2432,  2436,  2441,
    2442,  2443,  2444,  2458,  2462,  2466,  2472,  2477,  2484,  2489,
    2494,  2497,  2506,  2515,  2522,  2535,  2542,  2543,  2555,  2560,
    2561,  2562,  2563,  2567,  2577,  2578,  2579,  2580,  2584,  2594,
    2595,  2596,  2597,  2601,  2612,  2617,  2618,  2619,  2623,  2633,
    2634,  2635,  2636,  2640,  2650,  2651,  2652,  2653,  2657,  2667,
    2668,  2669,  2670,  2674,  2684,  2685,  2686,  2687,  2691,  2701,
    2702,  2703,  2704,  2705,  2708,  2744,  2751,  2755,  2758,  2768,
    2775,  2786,  2799,  2814,  2815,  2818,  2829,  2835,  2839,  2842,
    2848,  2861,  2866,  2875,  2876,  2879,  2880,  2883,  2884,  2885,
    2888,  2904,  2905,  2908,  2909,  2912,  2913,  2914,  2915,  2916,
    2917,  2920,  2929,  2938,  2946,  2954,  2962,  2970,  2978,  2986,
    2994,  3002,  3010,  3018,  3026,  3034,  3042,  3050,  3058,  3062,
    3067,  3075,  3082,  3089,  3103,  3107,  3114,  3118,  3124,  3136,
    3142,  3149,  3155,  3162,  3170,  3178,  3186,  3194,  3201,  3209,
    3210,  3211,  3212,  3213,  3216,  3217,  3218,  3219,  3220,  3223,
    3224,  3225,  3226,  3227,  3228,  3229,  3230,  3231,  3232,  3233,
    3234,  3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,  3243,
    3244,  3245,  3248,  3259,  3260,  3263,  3272,  3276,  3282,  3288,
    3293,  3296,  3301,  3306,  3309,  3315,  3320,  3328,  3329,  3331,
    3337,  3341,  3344,  3349,  3356,  3360,  3364,  3372,  3373,  3376,
    3382,  3386,  3389,  3406,  3411,  3416,  3421,  3426,  3432,  3462,
    3466,  3470,  3474,  3478,  3484,  3488,  3491,  3495,  3501,  3515,
    3526,  3527,  3528,  3531,  3532,  3535,  3536,  3551,  3569,  3570,
    3571,  3574,  3575,  3578,  3585,  3586,  3589,  3603,  3610,  3611,
    3626,  3627,  3628,  3629,  3630,  3633,  3636,  3642,  3648,  3652,
    3656,  3663,  3670,  3677,  3684,  3690,  3696,  3702,  3705,  3706,
    3709,  3715,  3721,  3727,  3734,  3741,  3749,  3750,  3753,  3759,
    3763,  3766,  3771,  3776,  3780,  3786,  3802,  3821,  3827,  3828,
    3834,  3835,  3841,  3842,  3843,  3844,  3845,  3846,  3847,  3848,
    3849,  3850,  3851,  3852,  3853,  3856,  3857,  3861,  3867,  3868,
    3874,  3875,  3881,  3882,  3888,  3891,  3892,  3903,  3904,  3907,
    3911,  3914,  3920,  3926,  3927,  3930,  3931,  3932,  3935,  3939,
    3943,  3948,  3953,  3958,  3964,  3968,  3972,  3976,  3982,  3987,
    3991,  3999,  4008,  4009,  4012,  4015,  4019,  4024,  4030,  4031,
    4034,  4037,  4041,  4045,  4049,  4054,  4061,  4066,  4074,  4079,
    4088,  4089,  4095,  4096,  4097,  4100,  4101,  4105,  4109,  4115,
    4116,  4119,  4125,  4129,  4132,  4137,  4143,  4144,  4147,  4148,
    4149,  4155,  4156,  4157,  4158,  4161,  4162,  4168,  4169,  4172,
    4173,  4176,  4182,  4189,  4196,  4207,  4208,  4209,  4212,  4220,
    4232,  4235,  4244,  4255,  4261,  4287,  4288,  4297,  4298,  4301,
    4310,  4321,  4322,  4323,  4324,  4325,  4326,  4327,  4328,  4329,
    4330,  4331,  4332,  4333,  4334,  4335,  4338,  4361,  4362,  4363,
    4366,  4367,  4368,  4369,  4370,  4373,  4377,  4380,  4384,  4391,
    4394,  4410,  4411,  4415,  4421,  4422,  4428,  4429,  4435,  4436,
    4442,  4445,  4446,  4457,  4463,  4469,  4470,  4473,  4479,  4480,
    4481,  4484,  4491,  4496,  4501,  4504,  4508,  4512,  4518,  4519,
    4526,  4532,  4533,  4534,  4542,  4543,  4546,  4552,  4558,  4562,
    4565,  4586,  4590,  4594,  4604,  4608,  4611,  4617,  4624,  4628,
    4634,  4648,  4657,  4662,  4668,  4684,  4688,  4696,  4700,  4704,
    4714,  4717,  4718,  4721,  4722,  4723,  4724,  4735,  4746,  4752,
    4773,  4779,  4796,  4802,  4803,  4804,  4807,  4808,  4809,  4812,
    4813,  4816,  4839,  4845,  4851,  4858,  4871,  4879,  4887,  4893,
    4897,  4901,  4905,  4909,  4916,  4921,  4932,  4946,  4952,  4956,
    4960,  4964,  4968,  4972,  4976,  4980,  4986,  4992,  5000,  5001,
    5002,  5005,  5006,  5010,  5016,  5017,  5023,  5024,  5030,  5031,
    5037,  5040,  5041,  5042,  5051,  5062,  5063,  5066,  5074,  5075,
    5076,  5077,  5078,  5079,  5080,  5081,  5082,  5083,  5084,  5085,
    5086,  5087,  5090,  5091,  5092,  5093,  5094,  5101,  5108,  5115,
    5122,  5129,  5136,  5143,  5150,  5157,  5164,  5171,  5178,  5185,
    5188,  5189,  5190,  5191,  5192,  5193,  5194,  5197,  5201,  5205,
    5209,  5213,  5217,  5223,  5224,  5234,  5238,  5242,  5258,  5259,
    5262,  5263,  5264,  5265,  5266,  5269,  5270,  5271,  5272,  5273,
    5274,  5275,  5276,  5277,  5278,  5279,  5280,  5281,  5282,  5283,
    5284,  5285,  5286,  5287,  5288,  5289,  5290,  5291,  5292,  5295,
    5315,  5319,  5334,  5338,  5342,  5348,  5352,  5358,  5359,  5360,
    5363,  5364,  5367,  5368,  5371,  5377,  5378,  5381,  5382,  5385,
    5386,  5389,  5390,  5393,  5401,  5428,  5433,  5438,  5444,  5445,
    5448,  5452,  5472,  5473,  5474,  5475,  5478,  5482,  5486,  5492,
    5493,  5496,  5497,  5498,  5499,  5500,  5501,  5502,  5503,  5504,
    5505,  5506,  5507,  5508,  5509,  5510,  5511,  5512,  5515,  5516,
    5517,  5518,  5519,  5520,  5521,  5524,  5525,  5526,  5527,  5530,
    5531,  5532,  5533,  5536,  5537,  5540,  5546,  5554,  5567,  5573,
    5582,  5583,  5584,  5585,  5586,  5587,  5588,  5589,  5590,  5591,
    5592,  5593,  5594,  5595,  5596,  5597,  5598,  5599,  5600,  5601,
    5602,  5603,  5606,  5624,  5633,  5634,  5635,  5636,  5649,  5655,
    5656,  5657,  5660,  5666,  5667,  5668,  5669,  5670,  5673,  5679,
    5680,  5681,  5682,  5683,  5684,  5685,  5686,  5687,  5690,  5694,
    5702,  5709,  5710,  5711,  5712,  5713,  5714,  5715,  5716,  5717,
    5718,  5719,  5720,  5723,  5724,  5725,  5726,  5729,  5730,  5731,
    5732,  5733,  5736,  5742,  5743,  5744,  5745,  5746,  5747,  5748,
    5751,  5757,  5758,  5759,  5760,  5763,  5769,  5770,  5771,  5772,
    5773,  5774,  5775,  5776,  5777,  5779,  5785,  5786,  5787,  5788,
    5789,  5790,  5791,  5792,  5793,  5794,  5797,  5803,  5804,  5805,
    5806,  5807,  5810,  5816,  5817,  5820,  5826,  5827,  5828,  5831,
    5837,  5838,  5839,  5840,  5843,  5849,  5850,  5851,  5852,  5855,
    5859,  5864,  5872,  5879,  5880,  5881,  5882,  5883,  5884,  5885,
    5886,  5887,  5888,  5889,  5890,  5891,  5892,  5895,  5896,  5897,
    5900,  5901,  5904,  5912,  5920,  5921,  5924,  5932,  5940,  5941,
    5944,  5948,  5955,  5956,  5957,  5960,  5967,  5974,  5975,  5976,
    5977,  5978,  5979,  5980,  5981,  5982,  5983,  5986,  5991,  5996,
    6001,  6006,  6011,  6018,  6019,  6020,  6021,  6022,  6025,  6026,
    6027,  6028,  6029,  6030,  6031,  6032,  6033,  6034,  6035,  6036,
    6045,  6046,  6049,  6052,  6053,  6056,  6059,  6062,  6066,  6077,
    6078,  6079,  6082,  6083,  6084,  6085,  6086,  6087,  6088,  6089,
    6090,  6091,  6092,  6093,  6094,  6095,  6096,  6097,  6098,  6099,
    6102,  6103,  6104,  6107,  6108,  6109,  6110,  6113,  6114,  6115,
    6116,  6117,  6120,  6121,  6122,  6123,  6126,  6131,  6135,  6139,
    6143,  6147,  6151,  6156,  6161,  6166,  6171,  6176,  6183,  6187,
    6193,  6194,  6195,  6196,  6199,  6207,  6208,  6211,  6212,  6213,
    6214,  6215,  6216,  6217,  6218,  6221,  6227,  6228,  6231,  6237,
    6238,  6239,  6240,  6243,  6249,  6255,  6261,  6264,  6270,  6271,
    6272,  6273,  6279,  6285,  6286,  6287,  6288,  6289,  6290,  6293,
    6299,  6300,  6303,  6309,  6310,  6311,  6312,  6313,  6316,  6330,
    6331,  6332,  6333,  6334
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "\"junk\"",
  "\"CRLF line terminators\"", "\"newline\"", "\"colon\"", "\"semicolon\"",
  "\"comma\"", "\".\"", "\"==\"", "\"!=\"", "\"<\"", "\">\"", "\">=\"",
  "\"<=\"", "\"<<\"", "\">>\"", "\"&\"", "\"^\"", "\"!\"", "\"/\"",
  "\"*\"", "\"-\"", "\"@\"", "\"vmap\"", "\"+\"", "\"include\"",
  "\"define\"", "\"redefine\"", "\"undefine\"", "\"fib\"", "\"socket\"",
  "\"transparent\"", "\"wildcard\"", "\"cgroupv2\"", "\"tproxy\"",
  "\"osf\"", "\"synproxy\"", "\"mss\"", "\"wscale\"", "\"typeof\"",
  "\"hook\"", "\"hooks\"", "\"device\"", "\"devices\"", "\"table\"",
  "\"tables\"", "\"chain\"", "\"chains\"", "\"rule\"", "\"rules\"",
  "\"sets\"", "\"set\"", "\"element\"", "\"map\"", "\"maps\"",
  "\"flowtable\"", "\"handle\"", "\"ruleset\"", "\"trace\"", "\"inet\"",
  "\"netdev\"", "\"add\"", "\"update\"", "\"replace\"", "\"create\"",
  "\"insert\"", "\"delete\"", "\"get\"", "\"list\"", "\"reset\"",
  "\"flush\"", "\"rename\"", "\"describe\"", "\"import\"", "\"export\"",
  "\"destroy\"", "\"monitor\"", "\"all\"", "\"accept\"", "\"drop\"",
  "\"continue\"", "\"jump\"", "\"goto\"", "\"return\"", "\"to\"",
  "\"constant\"", "\"interval\"", "\"dynamic\"", "\"auto-merge\"",
  "\"timeout\"", "\"gc-interval\"", "\"elements\"", "\"expires\"",
  "\"policy\"", "\"memory\"", "\"performance\"", "\"size\"", "\"flow\"",
  "\"offload\"", "\"meter\"", "\"meters\"", "\"flowtables\"", "\"number\"",
  "\"string\"", "\"quoted string\"", "\"string with a trailing asterisk\"",
  "\"ll\"", "\"nh\"", "\"th\"", "\"bridge\"", "\"ether\"", "\"saddr\"",
  "\"daddr\"", "\"type\"", "\"vlan\"", "\"id\"", "\"cfi\"", "\"dei\"",
  "\"pcp\"", "\"arp\"", "\"htype\"", "\"ptype\"", "\"hlen\"", "\"plen\"",
  "\"operation\"", "\"ip\"", "\"version\"", "\"hdrlength\"", "\"dscp\"",
  "\"ecn\"", "\"length\"", "\"frag-off\"", "\"ttl\"", "\"protocol\"",
  "\"checksum\"", "\"ptr\"", "\"value\"", "\"lsrr\"", "\"rr\"", "\"ssrr\"",
  "\"ra\"", "\"icmp\"", "\"code\"", "\"seq\"", "\"gateway\"", "\"mtu\"",
  "\"igmp\"", "\"mrt\"", "\"options\"", "\"ip6\"", "\"priority\"",
  "\"flowlabel\"", "\"nexthdr\"", "\"hoplimit\"", "\"icmpv6\"",
  "\"param-problem\"", "\"max-delay\"", "\"taddr\"", "\"ah\"",
  "\"reserved\"", "\"spi\"", "\"esp\"", "\"comp\"", "\"flags\"", "\"cpi\"",
  "\"port\"", "\"udp\"", "\"sport\"", "\"dport\"", "\"udplite\"",
  "\"csumcov\"", "\"tcp\"", "\"ackseq\"", "\"doff\"", "\"window\"",
  "\"urgptr\"", "\"option\"", "\"echo\"", "\"eol\"", "\"mptcp\"",
  "\"nop\"", "\"sack\"", "\"sack0\"", "\"sack1\"", "\"sack2\"",
  "\"sack3\"", "\"sack-permitted\"", "\"fastopen\"", "\"md5sig\"",
  "\"timestamp\"", "\"count\"", "\"left\"", "\"right\"", "\"tsval\"",
  "\"tsecr\"", "\"subtype\"", "\"dccp\"", "\"vxlan\"", "\"vni\"",
  "\"gre\"", "\"gretap\"", "\"geneve\"", "\"sctp\"", "\"chunk\"",
  "\"data\"", "\"init\"", "\"init-ack\"", "\"heartbeat\"",
  "\"heartbeat-ack\"", "\"abort\"", "\"shutdown\"", "\"shutdown-ack\"",
  "\"error\"", "\"cookie-echo\"", "\"cookie-ack\"", "\"ecne\"", "\"cwr\"",
  "\"shutdown-complete\"", "\"asconf-ack\"", "\"forward-tsn\"",
  "\"asconf\"", "\"tsn\"", "\"stream\"", "\"ssn\"", "\"ppid\"",
  "\"init-tag\"", "\"a-rwnd\"", "\"num-outbound-streams\"",
  "\"num-inbound-streams\"", "\"initial-tsn\"", "\"cum-tsn-ack\"",
  "\"num-gap-ack-blocks\"", "\"num-dup-tsns\"", "\"lowest-tsn\"",
  "\"seqno\"", "\"new-cum-tsn\"", "\"vtag\"", "\"rt\"", "\"rt0\"",
  "\"rt2\"", "\"srh\"", "\"seg-left\"", "\"addr\"", "\"last-entry\"",
  "\"tag\"", "\"sid\"", "\"hbh\"", "\"frag\"", "\"reserved2\"",
  "\"more-fragments\"", "\"dst\"", "\"mh\"", "\"meta\"", "\"mark\"",
  "\"iif\"", "\"iifname\"", "\"iiftype\"", "\"oif\"", "\"oifname\"",
  "\"oiftype\"", "\"skuid\"", "\"skgid\"", "\"nftrace\"", "\"rtclassid\"",
  "\"ibriport\"", "\"obriport\"", "\"ibrname\"", "\"obrname\"",
  "\"pkttype\"", "\"cpu\"", "\"iifgroup\"", "\"oifgroup\"", "\"cgroup\"",
  "\"time\"", "\"classid\"", "\"nexthop\"", "\"ct\"", "\"l3proto\"",
  "\"proto-src\"", "\"proto-dst\"", "\"zone\"", "\"direction\"",
  "\"event\"", "\"expectation\"", "\"expiration\"", "\"helper\"",
  "\"label\"", "\"state\"", "\"status\"", "\"original\"", "\"reply\"",
  "\"counter\"", "\"name\"", "\"packets\"", "\"bytes\"", "\"avgpkt\"",
  "\"last\"", "\"never\"", "\"counters\"", "\"quotas\"", "\"limits\"",
  "\"synproxys\"", "\"helpers\"", "\"log\"", "\"prefix\"", "\"group\"",
  "\"snaplen\"", "\"queue-threshold\"", "\"level\"", "\"limit\"",
  "\"rate\"", "\"burst\"", "\"over\"", "\"until\"", "\"quota\"",
  "\"used\"", "\"secmark\"", "\"secmarks\"", "\"second\"", "\"minute\"",
  "\"hour\"", "\"day\"", "\"week\"", "\"reject\"", "\"with\"", "\"icmpx\"",
  "\"snat\"", "\"dnat\"", "\"masquerade\"", "\"redirect\"", "\"random\"",
  "\"fully-random\"", "\"persistent\"", "\"queue\"", "\"num\"",
  "\"bypass\"", "\"fanout\"", "\"dup\"", "\"fwd\"", "\"numgen\"",
  "\"inc\"", "\"mod\"", "\"offset\"", "\"jhash\"", "\"symhash\"",
  "\"seed\"", "\"position\"", "\"index\"", "\"comment\"", "\"xml\"",
  "\"json\"", "\"vm\"", "\"notrack\"", "\"exists\"", "\"missing\"",
  "\"exthdr\"", "\"ipsec\"", "\"reqid\"", "\"spnum\"", "\"in\"", "\"out\"",
  "\"xt\"", "'='", "'{'", "'}'", "'('", "')'", "'|'", "'$'", "'['", "']'",
  "$accept", "input", "stmt_separator", "opt_newline", "close_scope_ah",
  "close_scope_arp", "close_scope_at", "close_scope_comp",
  "close_scope_ct", "close_scope_counter", "close_scope_last",
  "close_scope_dccp", "close_scope_destroy", "close_scope_dst",
  "close_scope_dup", "close_scope_esp", "close_scope_eth",
  "close_scope_export", "close_scope_fib", "close_scope_frag",
  "close_scope_fwd", "close_scope_gre", "close_scope_hash",
  "close_scope_hbh", "close_scope_ip", "close_scope_ip6",
  "close_scope_vlan", "close_scope_icmp", "close_scope_igmp",
  "close_scope_import", "close_scope_ipsec", "close_scope_list",
  "close_scope_limit", "close_scope_meta", "close_scope_mh",
  "close_scope_monitor", "close_scope_nat", "close_scope_numgen",
  "close_scope_osf", "close_scope_policy", "close_scope_quota",
  "close_scope_queue", "close_scope_reject", "close_scope_reset",
  "close_scope_rt", "close_scope_sctp", "close_scope_sctp_chunk",
  "close_scope_secmark", "close_scope_socket", "close_scope_tcp",
  "close_scope_tproxy", "close_scope_type", "close_scope_th",
  "close_scope_udp", "close_scope_udplite", "close_scope_log",
  "close_scope_synproxy", "close_scope_xt", "common_block", "line",
  "base_cmd", "add_cmd", "replace_cmd", "create_cmd", "insert_cmd",
  "table_or_id_spec", "chain_or_id_spec", "set_or_id_spec",
  "obj_or_id_spec", "delete_cmd", "destroy_cmd", "get_cmd", "list_cmd",
  "basehook_device_name", "basehook_spec", "reset_cmd", "flush_cmd",
  "rename_cmd", "import_cmd", "export_cmd", "monitor_cmd", "monitor_event",
  "monitor_object", "monitor_format", "markup_format", "describe_cmd",
  "table_block_alloc", "table_options", "table_flags", "table_flag",
  "table_block", "chain_block_alloc", "chain_block", "subchain_block",
  "typeof_verdict_expr", "typeof_data_expr", "typeof_expr",
  "set_block_alloc", "typeof_key_expr", "set_block", "set_block_expr",
  "set_flag_list", "set_flag", "map_block_alloc", "ct_obj_type_map",
  "map_block_obj_type", "map_block_obj_typeof", "map_block_data_interval",
  "map_block", "set_mechanism", "set_policy_spec", "flowtable_block_alloc",
  "flowtable_block", "flowtable_expr", "flowtable_list_expr",
  "flowtable_expr_member", "data_type_atom_expr", "data_type_expr",
  "obj_block_alloc", "counter_block", "quota_block", "ct_helper_block",
  "ct_timeout_block", "ct_expect_block", "limit_block", "secmark_block",
  "synproxy_block", "type_identifier", "hook_spec", "prio_spec",
  "extended_prio_name", "extended_prio_spec", "int_num", "dev_spec",
  "flags_spec", "policy_spec", "policy_expr", "chain_policy", "identifier",
  "string", "time_spec", "time_spec_or_num_s", "family_spec",
  "family_spec_explicit", "table_spec", "tableid_spec", "chain_spec",
  "chainid_spec", "chain_identifier", "set_spec", "setid_spec",
  "set_identifier", "flowtable_spec", "flowtableid_spec",
  "flowtable_identifier", "obj_spec", "objid_spec", "obj_identifier",
  "handle_spec", "position_spec", "index_spec", "rule_position",
  "ruleid_spec", "comment_spec", "ruleset_spec", "rule", "rule_alloc",
  "stmt_list", "stateful_stmt_list", "objref_stmt_counter",
  "objref_stmt_limit", "objref_stmt_quota", "objref_stmt_synproxy",
  "objref_stmt_ct", "objref_stmt", "stateful_stmt", "stmt", "xt_stmt",
  "chain_stmt_type", "chain_stmt", "verdict_stmt", "verdict_map_stmt",
  "verdict_map_expr", "verdict_map_list_expr",
  "verdict_map_list_member_expr", "connlimit_stmt", "counter_stmt",
  "counter_stmt_alloc", "counter_args", "counter_arg", "last_stmt",
  "log_stmt", "log_stmt_alloc", "log_args", "log_arg", "level_type",
  "log_flags", "log_flags_tcp", "log_flag_tcp", "limit_stmt", "quota_mode",
  "quota_unit", "quota_used", "quota_stmt", "limit_mode",
  "limit_burst_pkts", "limit_rate_pkts", "limit_burst_bytes",
  "limit_rate_bytes", "limit_bytes", "time_unit", "reject_stmt",
  "reject_stmt_alloc", "reject_with_expr", "reject_opts", "nat_stmt",
  "nat_stmt_alloc", "tproxy_stmt", "synproxy_stmt", "synproxy_stmt_alloc",
  "synproxy_args", "synproxy_arg", "synproxy_config", "synproxy_obj",
  "synproxy_ts", "synproxy_sack", "primary_stmt_expr", "shift_stmt_expr",
  "and_stmt_expr", "exclusive_or_stmt_expr", "inclusive_or_stmt_expr",
  "basic_stmt_expr", "concat_stmt_expr", "map_stmt_expr_set",
  "map_stmt_expr", "prefix_stmt_expr", "range_stmt_expr",
  "multiton_stmt_expr", "stmt_expr", "nat_stmt_args", "masq_stmt",
  "masq_stmt_alloc", "masq_stmt_args", "redir_stmt", "redir_stmt_alloc",
  "redir_stmt_arg", "dup_stmt", "fwd_stmt", "nf_nat_flags", "nf_nat_flag",
  "queue_stmt", "queue_stmt_compat", "queue_stmt_alloc", "queue_stmt_args",
  "queue_stmt_arg", "queue_expr", "queue_stmt_expr_simple",
  "queue_stmt_expr", "queue_stmt_flags", "queue_stmt_flag",
  "set_elem_expr_stmt", "set_elem_expr_stmt_alloc", "set_stmt",
  "set_stmt_op", "map_stmt", "meter_stmt", "meter_stmt_alloc",
  "match_stmt", "variable_expr", "symbol_expr", "set_ref_expr",
  "set_ref_symbol_expr", "integer_expr", "primary_expr", "fib_expr",
  "fib_result", "fib_flag", "fib_tuple", "osf_expr", "osf_ttl",
  "shift_expr", "and_expr", "exclusive_or_expr", "inclusive_or_expr",
  "basic_expr", "concat_expr", "prefix_rhs_expr", "range_rhs_expr",
  "multiton_rhs_expr", "map_expr", "expr", "set_expr", "set_list_expr",
  "set_list_member_expr", "meter_key_expr", "meter_key_expr_alloc",
  "set_elem_expr", "set_elem_key_expr", "set_elem_expr_alloc",
  "set_elem_options", "set_elem_time_spec", "set_elem_option",
  "set_elem_expr_options", "set_elem_stmt_list", "set_elem_stmt",
  "set_elem_expr_option", "set_lhs_expr", "set_rhs_expr",
  "initializer_expr", "counter_config", "counter_obj", "quota_config",
  "quota_obj", "secmark_config", "secmark_obj", "ct_obj_type",
  "ct_cmd_type", "ct_l4protoname", "ct_helper_config", "timeout_states",
  "timeout_state", "ct_timeout_config", "ct_expect_config", "ct_obj_alloc",
  "limit_config", "limit_obj", "relational_expr", "list_rhs_expr",
  "rhs_expr", "shift_rhs_expr", "and_rhs_expr", "exclusive_or_rhs_expr",
  "inclusive_or_rhs_expr", "basic_rhs_expr", "concat_rhs_expr",
  "boolean_keys", "boolean_expr", "keyword_expr", "primary_rhs_expr",
  "relational_op", "verdict_expr", "chain_expr", "meta_expr", "meta_key",
  "meta_key_qualified", "meta_key_unqualified", "meta_stmt", "socket_expr",
  "socket_key", "offset_opt", "numgen_type", "numgen_expr", "xfrm_spnum",
  "xfrm_dir", "xfrm_state_key", "xfrm_state_proto_key", "xfrm_expr",
  "hash_expr", "nf_key_proto", "rt_expr", "rt_key", "ct_expr", "ct_dir",
  "ct_key", "ct_key_dir", "ct_key_proto_field", "ct_key_dir_optional",
  "symbol_stmt_expr", "list_stmt_expr", "ct_stmt", "payload_stmt",
  "payload_expr", "payload_raw_len", "payload_raw_expr",
  "payload_base_spec", "eth_hdr_expr", "eth_hdr_field", "vlan_hdr_expr",
  "vlan_hdr_field", "arp_hdr_expr", "arp_hdr_field", "ip_hdr_expr",
  "ip_hdr_field", "ip_option_type", "ip_option_field", "icmp_hdr_expr",
  "icmp_hdr_field", "igmp_hdr_expr", "igmp_hdr_field", "ip6_hdr_expr",
  "ip6_hdr_field", "icmp6_hdr_expr", "icmp6_hdr_field", "auth_hdr_expr",
  "auth_hdr_field", "esp_hdr_expr", "esp_hdr_field", "comp_hdr_expr",
  "comp_hdr_field", "udp_hdr_expr", "udp_hdr_field", "udplite_hdr_expr",
  "udplite_hdr_field", "tcp_hdr_expr", "inner_inet_expr", "inner_eth_expr",
  "inner_expr", "vxlan_hdr_expr", "vxlan_hdr_field", "geneve_hdr_expr",
  "geneve_hdr_field", "gre_hdr_expr", "gre_hdr_field", "gretap_hdr_expr",
  "optstrip_stmt", "tcp_hdr_field", "tcp_hdr_option_kind_and_field",
  "tcp_hdr_option_sack", "tcp_hdr_option_type", "tcpopt_field_sack",
  "tcpopt_field_window", "tcpopt_field_tsopt", "tcpopt_field_maxseg",
  "tcpopt_field_mptcp", "dccp_hdr_expr", "dccp_hdr_field",
  "sctp_chunk_type", "sctp_chunk_common_field", "sctp_chunk_data_field",
  "sctp_chunk_init_field", "sctp_chunk_sack_field", "sctp_chunk_alloc",
  "sctp_hdr_expr", "sctp_hdr_field", "th_hdr_expr", "th_hdr_field",
  "exthdr_expr", "hbh_hdr_expr", "hbh_hdr_field", "rt_hdr_expr",
  "rt_hdr_field", "rt0_hdr_expr", "rt0_hdr_field", "rt2_hdr_expr",
  "rt2_hdr_field", "rt4_hdr_expr", "rt4_hdr_field", "frag_hdr_expr",
  "frag_hdr_field", "dst_hdr_expr", "dst_hdr_field", "mh_hdr_expr",
  "mh_hdr_field", "exthdr_exists_expr", "exthdr_key", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-1835)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1065)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1835,  8251, -1835,   732, -1835, -1835,   192,   203,   203,   203,
    1112,  1112,  1112,  1112,  1112,  1112,  1112,  1112, -1835, -1835,
    3082,   331,  1340,   383,  1458,   255,  7130,  1033,  1622,   278,
    7867,   133,   214,  1941,   198, -1835, -1835, -1835, -1835,   379,
    1112,  1112,  1112,  1112, -1835, -1835, -1835,   806, -1835,   203,
   -1835,   203,   141,  6952, -1835,   732, -1835, -1835,    81,    87,
     732,   203, -1835,   116,   247,  6952,   203, -1835,   378, -1835,
     203, -1835, -1835,  1112, -1835,  1112,  1112,  1112,  1112,  1112,
    1112,  1112,   525,  1112,  1112,  1112,  1112, -1835,  1112, -1835,
    1112,  1112,  1112,  1112,  1112,  1112,  1112,  1112,   549,  1112,
    1112,  1112,  1112, -1835,  1112, -1835,  1112,  1112,  1112,  1112,
    1112,  1112,   851,  1112,  1112,  1112,  1112,  1112,   314,  1112,
    1112,  1112,   497,  1112,  1433,  1749,  1806,  2299,  1112,  1112,
    1112,  2700, -1835,  1112,  1915,  1112,  1112,  1112,  1112,  2111,
    2379,  1112, -1835,  1112,  1112,  1112,  1112,  1112,   537,  1112,
   -1835,  1112, -1835,  1356,   905,   308,   508, -1835, -1835, -1835,
   -1835,   454,  1245,  1321,  1606,  3408,  1784,   552,  1585,  2857,
    1034,   186,   199,   657,   962,  3030,   826,  3620,   485, -1835,
    5727,  1410,   964,   387,   404,   819,   558,  1129,   612,   953,
    4981, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835,  5193, -1835, -1835,    70,  7691,   334,  1161,   639,
    7867,   203, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835,  1030, -1835, -1835,   399, -1835, -1835,  1030, -1835, -1835,
    1112,  1112,  1112,  1112,  1112,  1112,  1112,  1112,   549,  1112,
    1112,  1112,  1112, -1835, -1835, -1835,  1296, -1835, -1835, -1835,
    1112,  1112,  1112,    54, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835,   651,   671,   679, -1835, -1835, -1835,   307,   501,  1031,
   -1835, -1835, -1835,   632, -1835, -1835, -1835,   164,   164, -1835,
     636,   203,  8530,  3885,   526,   507, -1835,   110,   610, -1835,
   -1835, -1835, -1835, -1835,   209,   742,   608, -1835,   769,   883,
   -1835,   548,  6952, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,   813, -1835,
   -1835,   860, -1835, -1835, -1835,   583, -1835,  5295, -1835, -1835,
     824, -1835,   180, -1835,   241, -1835, -1835, -1835, -1835,  1152,
   -1835,   154, -1835, -1835, -1835, -1835, -1835,  1100,   918,   950,
     616, -1835,   589, -1835,  6340, -1835, -1835, -1835,   955, -1835,
   -1835, -1835,   957, -1835, -1835,  6721,  6721, -1835, -1835,   190,
     617,   641, -1835, -1835,   648, -1835, -1835, -1835,   665, -1835,
     668,   958,  6952, -1835,   116,   247, -1835,   378, -1835, -1835,
    1112,  1112,  1112,   741, -1835, -1835, -1835,  6952, -1835,   194,
   -1835, -1835, -1835,   242, -1835, -1835, -1835,   249,   247, -1835,
   -1835, -1835,   263, -1835, -1835,   378, -1835,   282,   682, -1835,
   -1835, -1835, -1835,  1112, -1835, -1835, -1835, -1835,   378, -1835,
   -1835, -1835,   996, -1835, -1835, -1835, -1835,  1112, -1835, -1835,
   -1835, -1835, -1835, -1835,  1112,  1112, -1835, -1835, -1835,  1008,
    1013, -1835,  1112,  1026, -1835,  1112, -1835,  1112, -1835,  1112,
   -1835,  1112, -1835, -1835, -1835, -1835,  1112, -1835, -1835, -1835,
    1112,  1112,   218,   203, -1835, -1835, -1835,   378, -1835, -1835,
    1112, -1835, -1835,  1112, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835,  1112, -1835,   203, -1835, -1835, -1835, -1835,
    1061, -1835, -1835, -1835, -1835, -1835,  1076,   556, -1835, -1835,
     780, -1835, -1835,   995,    88, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,   577,   675,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,  1486, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835,  3279, -1835, -1835,
   -1835, -1835,   998, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
    3021, -1835,  5936, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
    4303, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835,   188, -1835, -1835,   733, -1835, -1835, -1835,
   -1835, -1835, -1835,   749, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835,  2793, -1835, -1835, -1835,
   -1835,   770,   304,   779,  1024, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835,   775,   772, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,   378,
   -1835,   682, -1835,  1112, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835,  1030, -1835, -1835,
   -1835, -1835,    67,    -7,    15,   232, -1835, -1835, -1835,  5504,
    1044,  7482,  7867,   960, -1835, -1835, -1835, -1835,  1118,  1125,
     106,  1106,  1109,  1119,   181,  1123,  2793,  1130,  7482,   162,
    7482,   841,  7482, -1835, -1835,  1102,  7867,   855,  7482,  7482,
    1079,  1412, -1835,  6441,   163, -1835,  1412, -1835, -1835, -1835,
     839, -1835,  1120,  1131,   813, -1835, -1835, -1835,   767,  1412,
    1141,  1143,  1156,  1412,   860, -1835, -1835,   687, -1835, -1835,
    7482, -1835, -1835,  5713,  1183,  1245,  1321,  1606,  3408, -1835,
    1585,   613, -1835, -1835, -1835, -1835,  1188, -1835, -1835, -1835,
   -1835,  7482, -1835,  1261,  1211,  1270,   911,   897,   362, -1835,
   -1835, -1835, -1835,  1295,  1346,  1311, -1835, -1835, -1835, -1835,
    1316, -1835, -1835, -1835, -1835,   300, -1835, -1835,  1324,  1328,
   -1835, -1835, -1835,  1199,  1238, -1835, -1835,   824, -1835, -1835,
    1357, -1835, -1835, -1835, -1835,  1369, -1835, -1835,  5922, -1835,
    1369, -1835, -1835, -1835,   130, -1835, -1835,  1152, -1835,  1379,
   -1835,   203, -1835,  1038, -1835,  8383,  8383,  8383,  8383,  8383,
    7867,   145,  8072, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,  8383, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835,   384, -1835,  1268,  1378,
    1388,  1029,  1235,  1406, -1835, -1835, -1835,  8072,  7482,  7482,
    1319,   157,   732,  1434, -1835,  1249,   732,  1347, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835,  1416,  1095,  1113,
    1128, -1835,  1133,  1135, -1835, -1835, -1835, -1835,  1190,  1191,
     983,  1412, -1835, -1835,  1420,  1422,  1425,  1145,  1429, -1835,
    1431,  1149, -1835, -1835, -1835, -1835, -1835, -1835, -1835,  1440,
   -1835, -1835, -1835, -1835, -1835,  1112, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835,  1452,   905, -1835, -1835, -1835,
   -1835,  1455, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
     784, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835,  1469, -1835,  1376, -1835, -1835,
    1372, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
    1111, -1835,  1134,  1442, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835,   994,  1417,  1312,  1312, -1835, -1835, -1835,  1344, -1835,
   -1835, -1835, -1835,  1350,  1352, -1835,  1354,  1355,  1359,   494,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,  1477,
   -1835, -1835,  1478, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835,  1278, -1835,  1306, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835,  1494,  1495,  1262, -1835, -1835,
   -1835, -1835, -1835,  1501,   276, -1835, -1835, -1835,  1252, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835,  1254,  1255,  1258,  1506,
   -1835, -1835,   841, -1835, -1835, -1835,  1528, -1835, -1835, -1835,
   -1835,  7482,  3408,  1585,  1624,  6131, -1835,   154,   221,  1625,
    3320,  1412,  1412,  1542,  7867,  7482,  7482,  7482, -1835,  1543,
    7482,  1596,  7482, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
    1550, -1835,   144,  1634, -1835, -1835,   239,   259,   304, -1835,
     360,   412,   216,  1615, -1835,  7482, -1835, -1835,   883,  1345,
     764,   228, -1835,   925,  1406,   883, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835,  1511,   726, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835,   734,   762, -1835,   788, -1835,
   -1835, -1835,  7482,  1656,  7482, -1835, -1835, -1835,   658,   670,
   -1835,  7482, -1835, -1835,  1301, -1835, -1835,  7482,  7482,  7482,
    7482,  7482,  1568,  7482,  7482,   160,  7482,  1369,  7482,  1587,
    1665,  1590,  2387,  2387, -1835, -1835, -1835,  7482,  1346,  7482,
    1346, -1835,  1659,  1660, -1835,   855, -1835,  7867, -1835, -1835,
    1268,  1378,  1388, -1835,   883, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835,  1329,  8383,  8383,  8383,  8383,  8383,  8383,  8383,
    8383,  8572,  8383,  8383,   700, -1835,  1323, -1835, -1835, -1835,
   -1835, -1835,  1580, -1835,   725,  2020, -1835,  2345,  3638,  2872,
    4190,  1237, -1835, -1835, -1835, -1835, -1835, -1835,  1335,  1336,
    1337, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835,  1697, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835,  3320, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,  1334,  1353,
   -1835, -1835, -1835, -1835, -1835, -1835,  1262,   257,  1604, -1835,
   -1835, -1835, -1835, -1835,  1331, -1835, -1835, -1835, -1835, -1835,
    1428,  2653, -1835,  1550,  2697, -1835,  1286,   144, -1835,   938,
   -1835, -1835,  7482,  7482,  1706, -1835, -1835,  1613,  1613, -1835,
     221, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
    1361,  1625,  6952,   221, -1835, -1835, -1835, -1835, -1835, -1835,
    7482, -1835, -1835, -1835,   215,  1439,  1443,  1712, -1835, -1835,
   -1835,  1418,   130, -1835,  7867,   130,  7482,  1709, -1835,  8302,
   -1835,  1563,  1462,  1441,  1451,   983,   764, -1835,  1663,  1613,
   -1835,   659, -1835,  6441, -1835,  5019, -1835, -1835, -1835, -1835,
    1762, -1835, -1835,  1343, -1835, -1835,  1343, -1835,  1701,  1343,
   -1835, -1835,  7482, -1835, -1835, -1835, -1835, -1835,  1261,  1211,
    1270, -1835, -1835, -1835, -1835, -1835, -1835, -1835,  1771,  7482,
    1617,  7482, -1835, -1835, -1835, -1835,  1346, -1835,  1346,  1369,
   -1835, -1835,   469,  6615,   165, -1835, -1835, -1835,  1434,  1774,
   -1835, -1835,  1268,  1378,  1388, -1835,   201,  1434, -1835, -1835,
     925,  8383,  8572, -1835,  1684,  1753, -1835, -1835, -1835, -1835,
   -1835,   203,   203,   203,   203,   203,  1693,   585,   203,   203,
     203,   203, -1835, -1835, -1835,   732, -1835,  1435,   147, -1835,
    1700, -1835, -1835, -1835,   732,   732,   732,   732,   732,  7867,
   -1835,  1613,  1613,  1444,  1385,  1702,   777,  1475,  1620, -1835,
    1497,   983, -1835, -1835, -1835,   732,   732,   732,   580, -1835,
    7867,  1613,  1613,  1449,   777,  1475, -1835, -1835, -1835,   732,
     732,   580,  1717,  1464,  1732, -1835, -1835, -1835, -1835, -1835,
    2751,  3986,  3219,  4538,  2072, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835,  4334,  2169, -1835, -1835,  1729, -1835, -1835, -1835,
    1827, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
    1737, -1835, -1835, -1835, -1835, -1835, -1835, -1835,  2444, -1835,
    2057,   926,   475,  1747, -1835, -1835, -1835, -1835, -1835,  1439,
    1443, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835,  1418, -1835, -1835, -1835, -1835, -1835, -1835, -1835,  7482,
   -1835, -1835, -1835, -1835, -1835, -1835,  7867,  1470,   221, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835,  1526,  1832, -1835,  1752,
   -1835,  1757, -1835,  1526,  1758, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835,  7482,   164,   164,   883,  1406, -1835,   286,  1768,
   -1835,   251,   841,  1769, -1835, -1835, -1835, -1835,   764, -1835,
   -1835, -1835,   732, -1835,   726, -1835, -1835, -1835, -1835, -1835,
   -1835,  7482, -1835,  1780, -1835,  1369,  1369,  7867, -1835,   521,
    1868,   883, -1835,  1434,  1434,  1688,  1779, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,  1876, -1835,
     203,   203,   203, -1835, -1835, -1835, -1835, -1835,   541, -1835,
   -1835, -1835, -1835, -1835,  1785, -1835, -1835, -1835, -1835, -1835,
   -1835,  1883, -1835,   732,   732,   378, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835,  1885, -1835, -1835,
   -1835, -1835, -1835,  1179, -1835, -1835, -1835, -1835, -1835, -1835,
     798,   732,   732,   378,   929,  1179, -1835, -1835, -1835,  1743,
     541,   732, -1835, -1835, -1835, -1835, -1835, -1835,  2524,  1170,
    2174, -1835, -1835, -1835, -1835,  1798, -1835,  1262, -1835, -1835,
   -1835,  1539,   776,  1112, -1835, -1835, -1835, -1835, -1835,  1613,
    1801,   776,  1809,  1112, -1835, -1835, -1835, -1835, -1835,  1804,
    1112, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835,  6952, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835,  1619, -1835,   176, -1835, -1835, -1835,
     144, -1835, -1835, -1835, -1835, -1835, -1835,  1811,  1626, -1835,
   -1835,  1550,   144, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
    7482,  1552,  7867, -1835,  1735,  6615, -1835, -1835,  1728,   732,
    1558,  1559,  1569,  1570,  1572,  1693, -1835, -1835, -1835,  1573,
    1575,  1576,  1579,   187,   732, -1835, -1835,  1903,  7867, -1835,
   -1835, -1835, -1835,   777, -1835,  1475, -1835,  7223, -1835, -1835,
   -1835,   730, -1835,   175,   732,   732, -1835, -1835, -1835, -1835,
   -1835,  1942, -1835,  1586, -1835, -1835,   732,   732, -1835,   732,
     732,   732,   732,   732, -1835,  1817,   732, -1835,  1589, -1835,
   -1835, -1835, -1835, -1835,  1849, -1835, -1835,  1439,  1443,  1418,
   -1835, -1835, -1835, -1835,  1592,   883, -1835, -1835,  1688, -1835,
   -1835, -1835, -1835, -1835, -1835,  1594,  1595,  1597, -1835, -1835,
   -1835, -1835, -1835, -1835,   166, -1835, -1835, -1835,  1861, -1835,
   -1835, -1835, -1835,  7867,  5404, -1835, -1835, -1835, -1835, -1835,
   -1835,   732,  1958, -1835,   732,  1959, -1835,   732,   777,  1866,
   -1835, -1835, -1835,   954, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835,  1729, -1835,  1869, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835,   776, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835,  1728,  2836,  4682,  3519,  4799,  2583,
   -1835, -1835, -1835,  2926,  3075,  2532,  1096,   183, -1835,  1504,
   -1835,  1883, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
    7867, -1835, -1835,   923, -1835,  1867,  1871, -1835,  1972,   169,
   -1835,   732, -1835, -1835, -1835, -1835, -1835,   732,   732,   732,
     732,   732,  2639,  1858,  2702,   732,   732,   732,   732, -1835,
   -1835,   137,  1616,  1743, -1835,  1974, -1835, -1835, -1835, -1835,
    1448,  1869,   732, -1835, -1835, -1835, -1835, -1835, -1835,   732,
     732,   732, -1835, -1835, -1835, -1835, -1835, -1835,   541, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     1,     0,     4,     5,     0,     0,     0,     0,
     443,   443,   443,   443,   443,   443,   443,   443,   447,   450,
     443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   449,     9,    28,    29,     0,
     443,   443,   443,   443,    68,    67,     3,     0,    71,     0,
     444,     0,   468,     0,    66,     0,   435,   436,     0,     0,
       0,     0,   627,    87,    89,     0,     0,   295,     0,   318,
       0,   348,    72,   443,    73,   443,   443,   443,   443,   443,
     443,   443,     0,   443,   443,   443,   443,    74,   443,    75,
     443,   443,   443,   443,   443,   443,   443,   443,     0,   443,
     443,   443,   443,    76,   443,    77,   443,   474,   443,   474,
     443,   474,   474,   443,   443,   474,   443,   474,     0,   443,
     474,   474,     0,   443,   474,   474,   474,   474,   443,   443,
     443,   474,    35,   443,   474,   443,   443,   443,   443,   474,
     474,   443,    47,   443,   443,   443,   443,   474,     0,   443,
      80,   443,    81,     0,     0,     0,   779,   750,   437,   438,
     439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    25,    25,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   965,   966,   967,   968,   969,   970,   971,   972,   973,
     974,   975,   976,   977,   978,   979,   980,   981,   982,   983,
     984,   986,     0,   988,   987,     0,     0,     0,     0,    34,
       0,     0,    85,   746,   745,   751,   752,   252,   762,   763,
     756,   956,   757,   760,   764,   761,   758,   759,   753,  1070,
    1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,  1080,
    1081,  1082,  1083,    53,  1088,  1089,  1090,  1091,  1085,  1086,
    1087,   754,  1337,  1338,  1339,  1340,  1341,  1342,  1343,  1344,
     755,     0,   249,   250,     0,    33,   233,     0,    21,   235,
     443,   443,   443,   443,   443,   443,   443,   443,     0,   443,
     443,   443,   443,    16,   238,    39,   239,   448,   445,   446,
     443,   443,   443,    13,   877,   850,   852,    70,    69,   451,
     453,     0,     0,     0,   470,   469,   471,     0,   618,     0,
     735,   736,   737,     0,   947,   948,   949,   523,   524,   952,
       0,     0,     0,     0,   539,   544,   549,     0,   572,   596,
     608,   609,   684,   690,   711,     0,     0,   992,     0,     7,
      92,   476,   478,   489,   490,   491,   492,   493,   521,   503,
     479,    61,   275,   518,   499,   527,   497,    13,   537,    14,
      59,   547,   495,   496,    46,   599,    40,     0,    54,    60,
     616,    40,   683,    40,   689,    18,    24,   509,    45,   709,
     515,     0,   516,   501,   740,   500,   781,   784,   786,   788,
     790,   791,   798,   800,     0,   799,   743,   526,   956,   504,
     510,   502,   753,   519,    62,     0,     0,    65,   462,     0,
       0,     0,    91,   456,     0,    95,   311,   310,     0,   459,
       0,     0,     0,   627,   112,   114,   295,     0,   318,   348,
     443,   443,   443,    13,   877,   850,   852,     0,    60,     0,
     136,   137,   138,     0,   130,   131,   139,     0,   132,   133,
     141,   142,     0,   134,   135,     0,   143,     0,   145,   146,
     854,   855,   853,   443,    13,    36,    44,    51,     0,    60,
     203,   475,   205,   170,   171,   172,   173,   443,   174,   176,
     200,   199,   198,   192,   443,   474,   196,   195,   197,   854,
     855,   856,   443,     0,    13,   443,   177,   443,   180,   443,
     183,   443,   189,    36,    44,    51,   443,   186,    78,   220,
     443,   443,   475,   216,   218,   215,   222,     0,   223,    13,
     443,   208,   207,   443,   213,   211,    44,    79,   224,   225,
     226,   227,   230,   443,   229,     0,  1097,  1094,  1095,    56,
       0,   770,   771,   772,   773,   774,   776,     0,   997,   999,
       0,   998,    52,     0,     0,  1335,  1336,    56,  1099,  1100,
      55,    20,    55,  1103,  1104,  1105,  1106,    30,     0,     0,
    1109,  1110,  1111,  1112,  1113,     9,  1131,  1132,  1126,  1121,
    1122,  1123,  1124,  1125,  1127,  1128,  1129,  1130,     0,    28,
      55,  1146,  1145,  1144,  1147,  1148,  1149,    31,    55,  1152,
    1153,  1154,    32,  1163,  1164,  1156,  1157,  1158,  1160,  1159,
    1161,  1162,    29,  1175,    55,  1171,  1168,  1167,  1172,  1170,
    1169,  1173,  1174,    31,  1178,  1181,  1177,  1179,  1180,     8,
    1184,  1183,    19,  1186,  1187,  1188,    11,  1192,  1193,  1190,
    1191,    57,  1198,  1195,  1196,  1197,    58,  1245,  1239,  1242,
    1243,  1237,  1238,  1240,  1241,  1244,  1246,     0,  1199,    55,
    1279,  1280,     0,    15,  1225,  1224,  1217,  1218,  1219,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,  1211,  1212,    53,
    1221,  1220,  1223,  1222,  1214,  1215,  1216,  1232,  1234,  1233,
       0,    25,     0,  1229,  1228,  1227,  1226,  1333,  1330,  1331,
       0,  1332,    49,    55,    28,  1350,  1024,    29,  1349,  1352,
    1022,  1023,    34,     0,    48,    48,     0,    48,  1356,    48,
    1359,  1358,  1360,     0,    48,  1347,  1346,    27,  1368,  1365,
    1363,  1364,  1366,  1367,    23,  1371,  1370,    17,    55,  1374,
    1377,  1373,  1376,    38,    37,   960,   961,   962,    51,   963,
      34,    37,   958,   959,  1039,  1040,  1046,  1032,  1033,  1031,
    1041,  1042,  1062,  1035,  1044,  1037,  1038,  1043,  1034,  1036,
    1029,  1030,  1060,  1059,  1061,    51,     0,    12,  1047,  1003,
    1002,     0,   798,     0,     0,    48,    27,    23,    17,    38,
    1378,  1007,  1008,   985,  1006,     0,   744,  1084,   232,   251,
      82,   234,    83,    60,   154,   155,   132,   156,   157,     0,
     158,   160,   161,   443,    13,    36,    44,    51,    86,    84,
     240,   241,   243,   242,   245,   246,   244,   247,   874,   874,
     874,    97,     0,     0,   572,     0,   465,   466,   467,     0,
       0,     0,     0,     0,   954,   953,   950,   951,     0,     0,
       0,    37,    37,     0,     0,     0,     0,    12,     0,     0,
       0,   580,     0,   570,   571,     0,     0,     0,     0,     0,
       0,     0,     6,     0,     0,   802,     0,   477,   480,   520,
       0,   494,     0,     0,   538,   540,   498,   505,     0,     0,
       0,     0,     0,     0,   548,   550,   506,     0,   595,   507,
       0,    47,    16,     0,     0,    20,    30,     9,    28,   915,
      29,     0,   920,   918,   919,    14,     0,    40,    40,   905,
     906,     0,   645,   648,   650,   652,   654,   655,   660,   665,
     663,   664,   666,   668,   607,   632,   633,   643,   907,   634,
     641,   635,   642,   638,   639,     0,   636,   637,     0,   667,
     640,   508,   517,     0,     0,   624,   623,   617,   619,   511,
       0,   702,   703,   704,   682,   687,   700,   512,     0,   688,
     693,   513,   514,   705,     0,   727,   728,   710,   712,   715,
     725,     0,   748,     0,   747,     0,     0,     0,     0,     0,
       0,     0,     0,   940,   941,   942,   943,   944,   945,   946,
      20,    30,     9,    28,    31,   932,    29,    31,     8,    19,
      11,    57,    58,    53,    15,    25,    49,    40,     0,   922,
     890,   923,   795,   796,   902,   889,   879,   878,   894,   896,
     898,   900,   901,   888,   924,   925,   891,     0,     0,     0,
       0,     7,     0,   844,   843,   901,     0,     0,   404,    60,
     259,   276,   298,   330,   349,   472,   111,     0,     0,     0,
       0,   118,     0,     0,   874,   874,   874,   120,     0,     0,
     572,     0,   129,   153,     0,     0,     0,     0,     0,   144,
       0,     0,   874,   148,   151,   149,   152,   169,   191,     0,
     206,   175,   194,   193,    12,   443,   179,   178,   181,   184,
     190,   185,   182,   188,   187,   217,   219,   221,   210,   209,
     212,   214,   228,   231,  1096,     0,     0,    55,   767,   768,
      22,     0,   995,   780,    42,    42,  1334,  1101,  1098,  1107,
    1102,    20,    28,    20,    28,  1108,  1133,  1134,  1135,  1136,
      28,  1118,  1143,  1142,  1151,  1150,  1155,  1166,  1165,  1176,
    1182,  1185,  1189,  1194,    10,  1263,  1269,  1267,  1258,  1259,
    1262,  1264,  1253,  1254,  1255,  1256,  1257,  1265,  1260,  1261,
    1266,  1201,  1268,  1200,  1281,    15,  1277,  1213,  1231,  1230,
    1235,  1285,  1282,  1283,  1284,  1286,  1287,  1288,  1289,  1290,
    1291,  1292,  1293,  1294,  1295,  1296,  1297,  1298,  1299,  1316,
      50,  1328,  1351,  1018,  1019,  1025,    48,  1020,  1348,     0,
    1353,  1355,     0,  1357,  1345,  1362,  1369,  1375,  1372,   957,
     964,   955,  1045,  1048,  1049,     0,  1051,     0,  1050,  1052,
    1053,    12,    12,  1054,  1026,     0,     0,  1000,  1380,  1379,
    1381,  1382,  1383,     0,     0,   765,   168,   159,     0,   874,
     163,   166,   164,   167,   236,   248,     0,     0,     0,     0,
     369,    13,   580,   394,    36,   374,     0,    44,   399,   851,
      51,     0,    28,    29,   610,     0,    60,     0,   729,   731,
       0,     0,     0,     0,     0,     0,     0,     0,    12,     0,
       0,  1054,     0,    13,   440,   545,   546,    36,   578,   579,
       0,    44,     0,     0,   724,    45,   719,   718,     0,   723,
     721,   722,     0,   696,   698,     0,   522,   815,     7,     7,
     817,   811,   814,   901,   840,     7,   801,   473,   285,   542,
     543,   541,   563,    20,     0,     0,   561,   557,   552,   553,
     554,   555,   558,   556,   551,     0,     0,    53,     0,   674,
     916,   917,     0,   669,     0,   908,   911,   912,   909,   910,
     921,     0,   914,   913,     0,   632,   641,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   676,     0,     0,
       0,     0,     0,     0,   621,   622,   620,     0,     0,     0,
     691,   714,   719,   718,   713,     0,    10,     0,   782,   783,
     785,   787,   789,   792,     7,   528,   530,   797,   909,   931,
     910,   933,   930,   929,   935,   927,   928,   926,   936,   934,
     937,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   885,   884,   901,   990,  1069,   846,
     845,    63,     0,    64,     0,     0,   109,     0,     0,     0,
       0,     0,    60,   259,   276,   298,   330,   349,     0,     0,
       0,    13,    36,    44,    51,   463,   452,   454,   276,   457,
     460,   349,    12,   204,   201,    12,     0,   775,   769,   766,
      52,   777,   778,  1114,  1116,  1115,  1117,    55,  1138,  1140,
    1139,  1141,  1120,    28,     0,  1275,  1247,  1272,  1249,  1276,
    1252,  1273,  1274,  1250,  1270,  1271,  1248,  1251,  1278,  1313,
    1312,  1314,  1315,  1321,  1303,  1304,  1305,  1306,  1318,  1307,
    1308,  1309,  1310,  1311,  1319,  1320,  1322,  1323,  1324,  1325,
    1326,  1327,    55,  1302,  1301,  1317,    49,  1021,     0,     0,
      28,    28,    29,    29,  1027,  1028,  1000,  1000,     0,    26,
    1005,  1009,  1010,    34,     0,   349,    12,   384,   389,   379,
       0,     0,    98,     0,     0,   105,     0,     0,   100,     0,
     107,   612,     0,     0,   611,   486,   732,     0,     0,   823,
     730,   818,  1263,  1267,  1262,  1266,  1268,    53,    10,    10,
       0,   810,     0,   808,    37,    37,    12,   535,    12,    12,
       0,    12,   483,   484,     0,   581,   584,     0,   485,   574,
     573,   575,     0,   706,     0,     0,     0,     0,   805,     0,
     806,     0,    13,     0,     0,   572,   816,   826,     0,     0,
     839,   812,   824,   804,   803,     0,   562,    28,   566,   567,
      53,   565,   597,     0,   601,   598,     0,   603,     0,     0,
     605,   675,     0,   679,   681,   644,   646,   647,   649,   651,
     653,   661,   662,   656,   659,   658,   657,   671,   670,     0,
       0,     0,  1063,  1064,  1065,  1066,   685,   701,   692,   694,
     726,   749,     0,     0,     0,   531,   939,   887,   881,     0,
     892,   893,   895,   897,   899,   886,   793,   880,   794,   903,
     904,     0,     0,   793,     0,     0,    60,   406,   405,   408,
     407,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    88,   261,   260,     0,   255,     0,     0,    55,
       0,    90,   278,   277,     0,     0,     0,     0,     0,     0,
     307,     0,     0,     0,     0,     0,     0,     0,     0,   539,
       0,   572,    93,   300,   299,     0,     0,     0,     0,   481,
       0,     0,     0,     0,     0,     0,    94,   332,   331,     0,
       0,     0,     0,     0,     0,    13,    96,   351,   350,   128,
       0,     0,     0,     0,     0,   384,   389,   379,   121,   126,
     122,   127,     0,     0,   150,   202,     0,   996,  1137,  1119,
       0,  1300,  1329,  1354,  1361,  1055,  1056,  1057,  1058,    41,
       0,    26,  1001,  1017,  1013,  1012,  1011,    34,     0,   165,
       0,     0,     0,     0,    13,   371,   370,   373,   372,   581,
     584,    36,   396,   395,   398,   397,    44,   376,   375,   378,
     377,   575,    51,   401,   400,   403,   402,   613,   615,     0,
     821,   822,   819,  1236,   994,   993,     0,     0,   809,   991,
     989,   487,   536,   488,    12,  1067,     0,   586,   588,     0,
      36,     0,    36,     0,     0,    44,   720,   716,   717,    45,
      45,   697,     0,     0,     0,     7,   841,   842,     0,     0,
     828,     0,   580,     0,   827,   820,   837,   838,   813,   825,
     525,   286,     0,   560,     0,   559,    55,    55,    47,    55,
     672,     0,   678,     0,   680,   686,   695,     0,   733,     0,
       0,     7,   529,   883,   882,   628,     0,   110,   464,   368,
     455,   275,   458,   295,   318,   461,   348,   258,   254,   256,
       0,     0,     0,   368,   368,   368,   368,   262,     0,   433,
     434,    43,   432,   431,     0,   429,   279,   281,   280,   284,
     282,   296,   293,     0,     0,     0,   347,   346,    43,   345,
     409,   411,   412,   410,   365,   413,   366,    55,   364,   314,
     315,   317,   316,     0,   313,   301,   308,   309,   305,   482,
       0,     0,     0,     0,     0,     0,   343,   342,   340,     0,
       0,     0,   354,   113,   115,   116,   117,   119,     0,     0,
       0,   140,   147,  1092,    10,     0,  1004,  1000,  1016,  1014,
     162,     0,     0,     0,    12,   386,   385,   388,   387,     0,
       0,     0,     0,     0,    12,   391,   390,   393,   392,     0,
       0,    12,   381,   380,   383,   382,   847,    99,   875,   876,
     106,   101,   849,   108,   614,     0,   741,  1068,   590,   591,
     592,   593,   594,   583,     0,   568,     0,   585,   569,   587,
       0,   577,   707,   708,   699,   807,    12,     0,     0,    14,
      14,     0,     0,   287,   564,    31,    31,   606,   604,   673,
       0,     0,     0,   734,     0,   533,   532,   629,   630,     0,
       0,     0,     0,     0,     0,     0,   368,   368,   368,     0,
       0,     0,     0,     0,     0,   357,   430,     0,     0,   303,
     304,   306,   344,     0,   297,     0,   302,     0,   333,   334,
     341,   329,   339,     0,     0,     0,   355,    12,    12,    12,
    1093,     0,    26,     0,    57,    53,     0,     0,   103,     0,
       0,     0,     0,     0,   104,     0,     0,   102,     0,   582,
     589,   576,   832,    12,     0,   835,   836,   581,   584,   575,
     600,   602,   677,   738,     0,     7,   631,   625,   628,   404,
     276,   298,   330,   349,   257,     0,     0,     0,   369,   394,
     374,   399,   362,   361,     0,   358,   363,   283,     0,   294,
     367,   312,    60,     0,     0,    13,    36,    44,    51,   292,
     291,     0,     0,   326,     0,   288,   328,     0,     0,     0,
     423,   417,   416,   420,   415,   418,   419,   352,   353,   124,
     125,   123,     0,  1015,     0,   860,   859,   866,   868,   871,
     872,   869,   870,   873,     0,   862,   742,   833,    13,    36,
      36,    44,   739,   534,   630,     0,     0,     0,     0,     0,
     384,   389,   379,     0,     0,     0,     0,     7,   356,   428,
     325,   290,   319,   320,    12,   321,   323,   322,   324,   336,
       0,   338,    55,     0,   424,     0,     0,  1202,     0,     0,
     863,     0,   829,   830,   831,   834,   626,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   360,
     359,     0,     0,     0,   327,   289,   337,    55,   422,   421,
       0,     0,     0,    55,    60,   263,   264,   265,   266,     0,
       0,     0,    13,    36,    44,    51,   425,   426,     0,   414,
     335,   441,   442,   865,   864,    43,   861,   274,    12,    12,
      12,   267,   272,   268,   273,   427,   867,   270,   271,   269
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1835, -1835,    -1, -1266,   966,    64, -1345,   965,  -535,  -361,
    -899,  -691,  1074,  1192, -1835,   980,  -522, -1835, -1835,  1206,
   -1835,  -142, -1626,  1210,   -23,   -15,  1411,  -604, -1835, -1835,
    -694, -1835,  -474,  -720,  1212, -1835,  -282, -1835,   877, -1822,
    -480, -1238, -1835,  -880,  -494,  -929, -1835,  -511,   523,  -671,
   -1835,  -385,  1466,  -996,   993, -1835,  -441, -1835,    12, -1835,
   -1835,  1996, -1835, -1835, -1835,  1741,  1755,   596,  1375, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835,    19, -1835,  1600, -1835, -1835,   -86,
     572,  -352, -1400, -1835, -1835, -1835, -1629,  -420, -1835, -1415,
    -410,   264,   -95,  -419, -1835,  -100, -1835, -1835, -1406, -1418,
   -1835,  -424, -1414, -1800, -1835,  -234,   -88, -1639,  -808,  -152,
    -147, -1677, -1674, -1669,  -145,  -141,  -128, -1835, -1835,  -260,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,   115,  -771,
   -1501, -1835,   298,   -36,  3338, -1835,   153, -1835, -1835,  1216,
   -1835,   341,   269,  1781, -1835,   413, -1835,  -770,  1636, -1835,
   -1835,   246,   354,  1023,  2001,   -48, -1835, -1835, -1420, -1835,
   -1835, -1835, -1835, -1835, -1835, -1367,  -343, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835,   138, -1835, -1835, -1835, -1835,  1177,
   -1835, -1835, -1835, -1835,  1171, -1835, -1835, -1835,   168, -1835,
    -318, -1470, -1651, -1835, -1178, -1628, -1455, -1618, -1444,   193,
     197, -1835, -1835,  -865, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835,  1116,  -347,  1645,   -98,  -176,  -328,   712,   715,   711,
   -1835,  -792, -1835, -1835, -1835, -1835, -1835, -1835,  1695, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,  -363,   698,
   -1835, -1835, -1835, -1835,  1122,   476,  -932,   481,  1234,   719,
   -1341, -1835, -1835,  1812, -1835, -1835, -1835, -1835,   -67,    -8,
    -846,  -358,   253,   -22, -1835, -1835, -1835,  1004,     5, -1835,
   -1835, -1835, -1835, -1835,  -177,  -213, -1835, -1835,   691,  -828,
    1920,   -21, -1835,   803,   273, -1835, -1547, -1835, -1835,   542,
   -1835, -1389, -1835,   505, -1399,   506, -1835, -1835,  1733,  -660,
    1707,  -612,  1708,  -607,  1705,   195, -1835, -1834, -1835, -1835,
    -168, -1835, -1835,  -626,  -602,  1710, -1835,  -374,  -324,  -838,
    -844,  -836, -1835,  -290,  -851, -1835,  -225,  1889,  -843, -1835,
   -1493,  -317,   302,  1834, -1835,   -41, -1835,   631, -1835, -1412,
   -1835,   645, -1835, -1835, -1835, -1835, -1835,   787,  -281,   921,
    1446,   969,  1831,  1838, -1835, -1835,  -521,   179, -1835, -1835,
   -1835,  1005,   -65, -1835, -1835,   -61, -1835,   -46, -1835,   -40,
   -1835,   -75, -1835, -1835, -1835,   -68, -1835,   -47, -1835,   -30,
   -1835,   -20, -1835,   -19, -1835,   -10, -1835,    -5, -1835,     3,
   -1835,     9, -1835,    16,  1467, -1835,   -72, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835,  1515, -1026, -1835,
   -1835, -1835, -1835, -1835,    17, -1835, -1835, -1835, -1835,   984,
   -1835, -1835,    25, -1835,    26, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835, -1835,
   -1835, -1835, -1835, -1835, -1835
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,  1787,   883,  1159,  1367,  1504,  1161,  1244,   841,
     896,  1186,   828,  1226,   981,  1160,  1365,   812,  1489,  1225,
     982,   700,  1823,  1224,  1418,  1420,  1366,  1153,  1155,   810,
     803,   518,  1094,  1229,  1228,   829,   909,  2026,  1491,  2126,
    1095,   983,   906,   537,  1217,  1211,  1546,  1096,  1132,   807,
     961,  1137,  1124,  1162,  1163,   897,   962,   889,  1788,    46,
      47,    48,    74,    87,    89,   452,   456,   461,   448,   103,
     293,   105,   132,  1100,   480,   142,   150,   152,   275,   278,
     295,   296,   837,  1264,   276,   222,   420,  1735,  1948,  1949,
    1457,   421,  1458,  1645,  2220,  2221,  1971,   424,  1765,  1459,
     425,  1993,  1994,   428,  2284,  2223,  2224,  2228,  1460,  1766,
    1978,   430,  1461,  2124,  2204,  2205,  1986,  1987,  2110,  1571,
    1576,  1832,  1830,  1831,  1574,  1579,  1455,  1988,  1744,  2144,
    2233,  2234,  2235,  2323,  1745,  1746,  1961,  1962,  1938,   223,
    1306,  2353,    49,    50,    61,   455,    52,   459,  1941,   463,
     464,  1943,    71,   469,  1946,   450,   451,  1939,   314,   315,
     316,    53,   432,  1589,   482,  1748,   351,   352,  1768,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,  1415,  1694,  1695,   366,   367,   368,   894,   895,
     369,   370,   371,   904,   905,  1353,  1347,  1650,  1651,   372,
    1276,  1621,  1885,   373,  1310,  1880,  1615,  1882,  1616,  1617,
    2073,   374,   375,  1654,   908,   376,   377,   378,   379,   380,
     967,   968,  1720,   419,  2108,  2187,   932,   933,   934,   935,
     936,   937,   938,  1674,   939,   940,   941,   942,   943,   944,
     381,   382,   974,   383,   384,   979,   385,   386,   975,   976,
     387,   388,   389,   987,   988,  1313,  1314,  1315,   989,   990,
    1287,  1288,   390,   391,   392,   393,   394,   395,   224,   945,
     993,  1030,   946,   396,   228,  1130,   556,   557,   947,   564,
     397,   398,   399,   400,   401,   402,  1032,  1033,  1034,   403,
     404,   405,   884,   885,  1602,  1603,  1329,  1330,  1331,  1590,
    1906,  1591,  1641,  1636,  1637,  1642,  1332,  1895,  1052,  1838,
     842,  1850,   844,  1856,   845,   473,   503,  2156,  2055,  2299,
    2300,  2038,  2048,  1266,  1845,   843,   406,  1053,  1054,  1038,
    1039,  1040,  1041,  1333,  1043,   948,   949,   950,  1046,  1047,
     407,   856,   951,   761,   762,   231,   409,   952,   562,  1559,
     791,   953,  1254,   804,  1563,  1827,   234,   954,   723,   956,
     724,   957,   786,   787,  1241,  1242,   788,   958,   959,   410,
     411,   960,  2024,   239,   550,   240,   571,   241,   577,   242,
     585,   243,   599,  1150,  1503,   244,   607,   245,   612,   246,
     622,   247,   633,   248,   639,   249,   642,   250,   646,   251,
     651,   252,   656,   253,   690,   691,   692,   254,   693,   255,
     706,   256,   701,   257,   413,   668,  1181,  1596,  1183,  1516,
    1508,  1513,  1506,  1510,   258,   673,  1209,  1545,  1528,  1534,
    1523,  1210,   259,   712,   260,   567,   261,   262,   737,   263,
     725,   264,   727,   265,   729,   266,   734,   267,   744,   268,
     747,   269,   753,   270,   800
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      44,   426,    54,   792,  1113,   350,   891,  1083,   227,   888,
     890,   857,   408,    45,   298,  1073,  1070,   422,  1187,  1072,
     875,   980,   225,   299,   408,  1425,  1370,  1071,  1215,  1158,
    1036,  1360,  1334,   994,  1112,   229,   850,   702,  1098,  1111,
    1781,  1231,  1779,   805,  1091,   225,   308,   427,  1319,  1138,
    1792,   279,  1401,  1794,   414,  1089,  1121,   225,   229,   417,
    1793,  1691,  1628,  1630,  1791,   880,  1692,  1803,  1097,  1643,
     229,   481,  1059,   481,  1279,   481,   481,  1623,  1802,   481,
    1037,   481,  1077,  1069,   481,   481,  1860,  1861,   481,   481,
     481,   481,  1769,  1769,  1573,   481,   955,  1430,   522,   969,
     297,   977,   679,   522,   522,   679,  1087,  1851,   705,   680,
    1326,   481,   680,  1093,  1042,  1337,   676,  1117,  1839,   676,
    2020,  2018,    58,    59,    60,  1055,  1055,  2019,  1348,  1840,
     681,   677,  1352,   681,   677,  2004,  1897,   678,  1907,  1374,
     678,  2000,  1231,  1106,  1819,  1821,  1930,   682,  1693,   763,
     682,  1828,  1408,  1409,  1411,  1416,  2132,   683,   684,  1410,
     683,   684,   882,  1412,   309,    64,   310,   685,  1118,   991,
     685,  1335,   686,  1931,  2277,   686,   418,  2331,   991,  1044,
     687,   423,  1271,   687,   991,   429,   688,  1139,   882,   688,
    1044,  1044,   271,   689,   694,  2028,   689,   694,  2229,   311,
    2062,  1862,   695,   696,  1293,   695,   696,  2161,   225,  -750,
    2145,  2058,   225,  1267,  1268,  1152,  1134,  -750,  -750,  -750,
    -750,   229,  2059,  1154,  1405,   229,   431,  1959,  1960,  1057,
     435,  1218,  1277,  1220,   157,  1221,  1876,  1904,  1280,  1157,
    1223,  1274,   158,   159,   160,   458,   431,  1230,  -745,  1619,
    1973,  1974,  1084,  1864,  1865,  -745,  -745,  -745,  -745,    65,
     855,   855,  -716,   485,  1597,  1243,   970,  1304,  -752,    56,
    2001,  2002,  1929,   277,  1232,  -752,  -752,  -752,  -752,  2230,
    2231,  2170,  -717,   226,  1184,  1298,   431,   524,  2202,  2203,
     808,   763,  2202,  2203,  -745,   876,   811,   539,    55,    56,
    1085,  1248,  1624,   294,   545,  1272,   226,  1086,    56,   104,
    1279,   408,  1587,  1000,  -752,  1588,  1263,   502,   226,  1638,
    1877,  1088,  1639,  -444,   992,  1769,   151,   978,  1212,   873,
     874,   640,   230,  1428,   447,   716,   806,   158,   159,   160,
    1090,   558,   559,   560,   225,  1301,  1262,    56,   641,  -848,
     439,  1261,  1427,   643,    56,   230,  1304,   229,  1273,  1002,
     494,   495,  1269,  1227,   644,   645,   468,   230,    56,  -760,
     426,  1384,  1256,  1781,   877,  1779,  -760,  -760,  -760,  -760,
    1275,    73,  1135,  1035,  1066,   492,  1388,    56,  1389,   453,
    2086,   408,  1433,   849,  1035,  1035,  1029,  1258,   426,  1082,
    2090,  1999,   789,   714,   870,  1434,   408,  1029,  1029,  1257,
    1419,   426,   790,  1421,  1999,  -760,   427,  1385,  1471,  -848,
    2301,  -761,   871,    62,   225,  1769,  1769,   717,  -761,  -761,
    -761,  -761,  1270,    88,   714,   816,   431,   229,  1561,   225,
    1620,  1586,   854,   854,   427,   415,   860,   460,  1468,  1469,
    1470,   416,   229,   303,   304,   305,   306,   427,   717,   481,
     426,  1305,    57,  1260,   720,   721,  1482,  -761,  1473,   226,
     300,  1294,  1878,   226,  1474,  1927,     3,  1472,  1810,  1862,
       4,  -253,     5,   823,   272,   273,   274,   519,   433,   312,
     313,  1657,    57,  1660,  1518,  1299,   443,   444,   445,   446,
     221,    57,     6,     7,     8,     9,   427,   221,  2222,  1904,
    1414,  1878,   971,   972,   973,   221,  -444,   221,   230,   479,
    1598,  1599,   230,  1450,   221,   349,  2243,  2102,  2261,  1336,
     221,  1932,  2278,  2366,   221,  2332,   504,  2232,  2159,  1675,
      57,   513,   514,   515,  1390,   221,   722,    57,  2365,  2259,
    2089,   529,  1625,   221,   536,  1058,   821,   221,  1930,  1189,
    2260,    57,  1999,   561,   418,   272,   273,   274,   309,  1484,
    -750,   886,   310,   971,   972,   973,  1151,   423,   886,   453,
      57,  1387,   429,   543,  2281,     4,  2101,     5,   499,  2293,
    2049,  1672,  1700,  1701,  1703,  2314,  2312,  1278,  1000,  1702,
    2087,  1558,  2313,  1704,  1820,   226,  1391,  1156,  -745,  1542,
    2171,  2185,  -275,   697,  1001,  2152,   440,  1812,  1456,  1493,
     698,  1495,  2179,   565,   566,   679,  1543,   679,  -752,  2085,
    1190,   726,   680,  1566,   680,  1562,  2177,   817,   310,  1289,
     470,   676,   563,   994,  1002,  1372,  1373,  2178,   728,  1145,
     699,  2082,  2083,   681,   230,   681,   677,  1031,  1044,  1544,
    1123,   232,   678,  1318,   301,  2105,   302,   608,  1031,  1031,
     682,  1127,   682,  1444,  1116,   233,  1950,   794,  1417,  2150,
     683,   684,   683,   684,   232,   226,  1658,   735,   609,  1141,
     685,  1213,   685,  1890,   879,   686,   232,   686,   233,   858,
     226,   610,  1214,   687,  1142,   687,  1554,  1555,  1433,   688,
     233,   688,   736,   838,   839,   840,   689,   694,   689,   694,
    1462,  1711,  1547,  1445,  2091,   695,   696,   695,   696,  -760,
       4,   526,     5,   528,   230,   714,   859,     4,  1432,     5,
     714,   745,  1488,   349, -1018,  1431, -1018,  1758,   221,   230,
    1638,   809,   426,  1639,  2050,   846, -1019,  1446, -1019,   717,
     716,  2184,  1759,  1607,   717,  1714,   746,   335,  2212,  1580,
    1044,  1044,  1044,  1044,  1044,   847,  2267,  1044,  1896,  2269,
    1760,  -761,   500,   848,   472,  1761,  2268,  1143,  1916,   647,
    2266,  1917,  1334,   648,  1919,   851,  1319,  1578,   427,  1758,
    1575,   501,  1144,  1044,  2137,   853,   307,  2128,  1279,  1316,
     441,     4,   442,     5,  1759,  1128,  1129,   235,  2226,   335,
     868,  1646,  1044,  1413,   869,   886,   649,   650,   878,  2352,
    1355,  1618,  1760,  1613,   471,  1928,   472,  1761,   157,  1652,
     235,  2051,  1334,  1356,   225,  1585,  1342,   232,  1781,  1653,
    1779,   232,   235,  1074,  1075,  1076,  1265,   229,  1758,   611,
    1357,   233,  1328,   963,   964,   233,   157,  1652,   225,  1824,
    1951,  1648,  1952,  1759,   881,  1029,  1649,  1656,   335,  1343,
     818,   229,  1980,  1429,  1869,  1870,  1092,  2103,   882,   720,
     721,  1760,   157,  1652,  1344,  1368,  1761,   487,   886,  1497,
    1769,  1769, -1018,  1659,   872,  1369,  2123,  1981,  1982,   907,
    1572,   221,    18,    19, -1019,  1104,  1498,  1402,  1382,  2263,
    1383,  1499,  1500,  1375,   873,   874,  1863,     3,     4,   994,
       5,     4,  2133,     5,   992,  2141,   997,  1631,  2133,     3,
    1345,   669,  1612,     4,  2154,     5,  1452,  1804,  1442,  2155,
    1805,   236,  1632,     6,     7,     8,     9,  1633,  1953,  1954,
    1955,  1956,    35,  1801, -1018,     6,     7,     8,     9,   998,
    1634,   722,    36,  1564,   236,  1635, -1019,  2295,    37,  1915,
    2296,  1035,  1060,   232,   730,   999,   236,  1029,  1029,  1029,
    1029,  1029,   225,  1800,  1029,   670,   671,   233,  1799,   237,
     801,   802,    38,   235,   672,   229,  1061,   235,  1048,   886,
    1049,  2319,   965,  1062,  1358,   966,   311,  2039,   551,   552,
    1029,  1789,   237,  2215,  2040,   898,  1035,   994,  1501,  1346,
    1063,  1829,  1983,  1064,   237,   238,  -848,  1689,  2097,  1029,
    1099,  2216,  1631,   158,   159,   160,  2217,  -348,  2218,  1666,
    1667,  1451,  1984,  1985,  -857,  1453,  1673,  1632,   412,  -858,
    1698,  2041,  1633,   232,   731,   732,   733,  1707,   748,  1125,
     412,  1871,  1105,  1872,  1873,  1634,  1875,   233,   232,   713,
    1635,  1601,   749,   133,   134,  1126,   135,   136,   137,   750,
    1131,   714,   233,   715,   320,   321,  2042,     3,   652,   322,
    1133,     4,  1185,     5,  1219,   226,  1406,   751,   892,   893,
    1798,   716,  1808,  1245,   752,   717,   995,   996,   718,  1494,
    1222,  1496,  1246,     6,     7,     8,     9,  1502,  1247,  1317,
    1285,   653,   654,  2029,   655,  1253,  1031,   236,  1290,   235,
    1255,   236,  1291,  1697,  1699,  2119,  2120,  2121,  2122,  1292,
    1705,  1699,  1708,  1710,   230,  1308,  1309,  1811,  2245,  1295,
     553,   554,  1296,   634,   555,  1325,   899,   900,   901,   902,
     903,     3,  1297,    18,    19,     4,  1300,     5,   230,   635,
    2116,  2117,  2118,  1302,     4,   237,     5,  2135,   636,   237,
    2175,  2176,   985,   986,  1289,   637,   638,     6,     7,     8,
       9,   158,   159,   160,  1338,  2043,  1312,   719,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,   235,
     992,   238,  1519,    35,  1339,   238,  1520,  1521,  1522,  1379,
      67,    68,    69,    36,   235,  1340,  1259,  1403,     3,    37,
     720,   721,     4,  1440,     5,  1349,   738,  1350,  1031,  1031,
    1031,  1031,  1031,   226,  1334,  1031,  1441,  1440,  1442,  1867,
    1351,  2039,   739,    38,     6,     7,     8,     9,  2040,  1364,
    1452,  1900,  1442,   236,  1371,  1937,   886,  1377,  1378,  1782,
    1381,  1031,  1783,   740,  1435,  1436,   225,     3,   886,  1380,
     741,     4,  2044,     5,   436,   437,   438,   873,   874,   229,
    1031,  1386,   230,  1394,  1852,  2041,  1511,  1512,  2195,  2196,
    2197,   465,   466,     6,     7,     8,     9,  1903,   992, -1063,
     478,   237,   722,  1925, -1064,  1926,   138,  1514,  1515,   489,
     490,  1440,  1392,   139,   140,   496,  1393,  1933,  1934,  2067,
    2042,  2063,  1395,   830,  1712,   831,  1442,   832,   833,   141,
     882,  1629,   527,   236,  1964,   834,   835,   412,   568,   569,
     570,   540,   541,  1397,  1676,   544,  2061,  2060,   236,  1375,
    1375,  1375,  1375,  1375,   887,  1375,  1375,  1398,    75,   742,
     743,   272,   273,   274,  1682,  1682,    76,  1405,    77,   836,
    -572,  1550,  1551,    78,    79,    80,  1437,    81,  1439,   225,
     795,   237,  1784,  1407,  1044,  2081,  2075,  1438,  2078,   796,
     797,  1318,   229,   798,   799,  1443,   237,   408,  1044,  1552,
    1553,  1699,  1699,  1449,  2012,  1029,  1029,  1029,  1029,  1029,
    1029,  1029,  1029,  1029,  1029,  1029,   572,   412,   573,   574,
     575,   576,  1433,   875,  1825,  1826,   886,   157,  1652,  2043,
     225,  1454,   412,  1715,  1717,  1057,  1733,  1742,  1763,  1777,
    1463,   546,  2318,   229,   547,   548,   549,  1718,  1044,  1734,
    1743,  1764,  1778,  2057,   474,   475,   476,   477,  1464,   505,
    1809,  1976,  1977,   232,  2246,  1269,  1044,  1044,   984,   985,
     986,  2180,  2181,  1465,    18,    19,    90,   233,  1466,  2158,
    1467,   819,   820,  1272,    91,  1279,    92,   232,    93,  2164,
    1478,    94,    95,    96,  1481,    97,  2167,   158,   159,   160,
     886,  1320,  2114,  2112,  1475,  2113,  1476,  1815,  1816,  1477,
    1785,  2095,  2096,  1479,  2098,  1480,  2148,  1817,  1818,  1529,
    1530,  1531,  1532,  1533,    35,  1483,   707,   226,  2321,  2322,
    2346,  2172,  2351,  1304,    36,  1887,  1486,  1316,  1402,  1490,
      37,   408,  1989,  1990,  1991,  2131,  1992,  1505,  1507,  1509,
    1835,  1684,  1685,  1842,  1517,  1847,  1536,   857,  1853,   708,
     709,  1548,  1549,  1836,    38,  1537,  1843,  1538,  1848,  2111,
    1539,  1854,  1540,  2140,   225,  1541,   230,  1912,  1556,  1557,
     873,   874,  2134,  1786,   408,  1560,  1558,   229,  1655,  1655,
    1570,  1655,  2239,  2240,  2241,   710,   225,  1565,    82,  1567,
    1568,  1029,  1328,  1569,  1913,  1146,  1147,  1148,  1149,   229,
    1582,   232,  1577,    83,  1000,  1029,   886,   225,  2257,   235,
    1524,  1525,  1526,  1527,  1911,   233,  1600,  1608,   711,  1610,
     229,    84,  1846,  1601,  1614,   813,    85,  1622,    86,  1626,
     226,  1647,  1662,  1321,   824,   825,   826,   827,   143,  1665,
     144,  1963,  1671,  1679,  1680,   145,  1681,   146,   971,   972,
     973,   147,  -716,  -717,  1713,  1029,  1031,  1031,  1031,  1031,
    1031,  1031,  1031,  1031,  1031,  1031,  1031,  1696,   613,   614,
    1795,  1796,  1797,  1029,  1029,  1806,  1813,  2288,  1822,   230,
    1102,   226,  1859,   615,  1289,   616,   617,   618,  1304,   578,
     579,   148,  2168,   149,  1833,  1814,  1866,  1972,   580,   581,
     582,   583,   584,  1883,  1957,  1884,    98,  2287,   619,   620,
     621,   225,  2286,  1966,  1967,  1968,  1969,  1970,  1972,  2324,
     408,    99,  1879,  1892,   229,  1898,  1881,  1899,  1901,  1122,
     230,   408,   225,  1902,  1995,  1996,  1997,  1998,  1905,   100,
    1914,  2280,  1918,   236,   101,   229,   102,  1921,  2006,  2007,
    2008,  2305,  1440,   225,  1923,  2303,  2304,   235,  1935,  1733,
    1742,  1763,  1777,  1936,   225,   507,   229,   236,  1947,  1958,
    1965,  1742,  1734,  1743,  1764,  1778,  1979,   229,  1975,   871,
      18,    19,   864,  2003,  1743,   324,   325,   326,  1893,  1894,
     329,   237,  2009,  2367,  2368,  2369,   855,   855,  2010,  2035,
    2045,  2052,  2011,  2023,  2364,  2025,  2066,  1940,  1942,  1942,
    1945,  2027,  2036,  2046,  2053,   237,  2068,  2069,  2070,  2071,
    2072,  2056,   509,  -589,  2285,   226,  2074,   238,   225,     3,
      35,  2076,  2080,     4,  2363,     5,  2100,    18,    19,  2362,
      36,   229,  2088,  2092,  2104,  1888,    37,  1317,  1403,  2107,
    1044,   238,  1031,  2109,  2115,     6,     7,     8,     9,  1289,
    2127,  2125,  2128,  2357,  2133,  2143,  1031,  2302,   226,   600,
      38,   601,  2151,  2153,   230,  2160,  1655,  2326,   426,  1655,
    2165,  2093,  1655,  2162,  2169,  2173,  2186,    35,  2183,   225,
     602,   236,  2174,  2189,  2190,   232,   230,    36,   603,   604,
     605,   606,   229,    37,  2191,  2192,   426,  2193,  2198,   233,
    2199,  2200,  2350,  2125,  2201,  2208,  1031,   230,  2356,  2039,
    2242,  2244,  2254,  2258,   427,  2256,  2040,    38,  2262,  2270,
    2271,   520,  2272,   521,  1031,  1031,  2279,  2290,  -293,   237,
    2294,  2328,  2129,  2130,  2298,  2329,    18,    19,  2330,   280,
    2348,  2361,   427,  -294,  1422,  1424,  1361,   281,  1140,   282,
    1251,   283,  2136,  2041,   284,   285,   286,  2157,   287,  1423,
    2138,  2139,   226,  1250,  2142,   238,  1249,  2163,   854,   854,
    2146,  1252,  1492,  1807,  2166,  1426,    72,  2035,  2045,  2052,
    -443,     3,   814,   226,   408,     4,    35,     5,  2042,  2194,
    2036,  2046,  2053,  1136,  1068,  1790,    36,   815,   232,  2005,
    2211,  2227,    37,  2320,   226,  2210,  2273,     6,     7,     8,
       9,   230,   233,  2275,  2274,   226,  2206,   225,     3,  1057,
    2276,  2265,     4,  2349,     5,  1944,    38,  1065,   822,  2106,
     229,  1341,   230,     3,  2077,  1354,  2236,     4,  1067,     5,
    2079,   235,  2094,  1396,     6,     7,     8,     9,  2306,   232,
    2264,  1668,  1670,   230,   225,  1669,  1687,  1029,  1886,     6,
       7,     8,     9,   233,   230,  1889,  2209,   229,  2188,  1404,
     484,  1322,   486,   488,  1782,  2225,   491,  1783,   493,   226,
     225,   497,   498,  2207,  1690,   506,   508,   510,   512,   225,
    1487,   852,   517,   229,  1709,   525,   793,  2043,  1644,  2065,
     532,   535,   229,  2237,  2238,  1868,  1908,  1909,   542,  1056,
    1078,  1081,  2031,  1080,  1079,  2247,  2248,   530,  2249,  2250,
    2251,  2252,  2253,  2354,   866,  2255,   862,  1188,   230,  1216,
       3,   867,    18,    19,     4,     3,     5,  2297,  1535,     4,
     226,     5,  1182,     0,     0,     0,     0,     0,     0,     0,
       0,  1972,  2032,     0,   235,     0,     6,     7,     8,     9,
       0,     6,     7,     8,     9,   225,     0,     0,   886,     0,
    2206,  1782,     0,  -443,  1783,   236,  -443,     0,   229,   288,
    2289,     0,    35,  2291,  2340,   408,  2292,     0,     0,   230,
       0,     0,    36,   232,   289,     0,     0,  1784,    37,     0,
       0,     0,     0,     0,     0,   235,     0,   233,     0,     0,
       0,     0,   290,     0,  2347,   232,     0,   291,   225,   292,
       0,     0,    38,   237,  1717,  1742,  1763,  1777,  2325,  1320,
       0,   229,  1835,  1842,  1847,  1853,   232,  1718,  1743,  1764,
    1778,  2125,   225,     0,     0,  1836,  1843,  1848,  1854,  2049,
     233,     0,  2327,  1045,     0,   229,     0,     0,     0,   238,
    2333,     0,     0,     0,  1045,  1045,  2334,  2335,  2336,  2337,
    2338,  2035,  2045,  2052,  2342,  2343,  2344,  2345,   226,     0,
       0,     0,     0,     0,  2036,  2046,  2053,     0,   236,     0,
       0,  2355,     0,     0,  1784,     0,  2033,     0,  2358,  2359,
    2360,     0,     0,     0,     0,   511,     3,     0,     0,     0,
       4,     0,     5,     0,  1640,   226,     0,     0,  1031,     0,
      18,    19,     0,     0,     0,  1785,     0,   230,     0,     0,
     886,     0,     6,     7,     8,     9,   237,     0,     0,   236,
     232,   226,     0,  1721,     0,     0,  1716,     0,     0,   235,
     226,     0,     0,  1722,   233,     0,     0,     0,  1723,     0,
    1724,   232,  1725,     0,   230,     0,     0,   886,     0,  -443,
      35,  1321,   238,     0,     0,   233,     0,     0,     0,     0,
      36,     0,   232,  2034,     0,   533,    37,   237,     0,     0,
     230,     0,   235,   232,     0,     0,   233,     0,  2017,   230,
      18,    19,     0,     0,     0,     3,     0,   233,     0,     4,
      38,     5,     0,  2050,     0,     0,     0,     0,   911,     0,
       0,     0,  1785,   412,   912,     0,   226,     0,     0,     0,
       0,     6,     7,     8,     9,     0,     0,     0,  1719,     0,
    1736,  1747,  1767,  1780,  -443,     0,  1782,     0,     0,  1783,
      35,     0,   158,   159,   160,     0,  1103,   232,     0,  1010,
      36,     0,     0,  1011,     0,     0,    37,     0,  1012,     0,
    1726,   233,     0,     0,  1013,   230,     0,     0,   919,   226,
       0,     0,     0,   236,   886,     3,     0,     0,     0,     4,
      38,     5,     0,     3,     0,  2022,   235,     4,  1016,     5,
    2149,     0,     0,   226,  1284,   236,  1286,     0,     0,     0,
       0,     6,     7,     8,     9,     0,     0,   235,   232,     6,
       7,     8,     9,  1303,     0,  1307,   236,  1311,   230,     0,
       0,   237,   233,  1323,  1324,     0,     0,     0,   235,     0,
       0,     0,     0,     0,     3,     0,     0,     0,     4,   235,
       5,     0,   230,   237,  1837,     0,     0,  1844,     0,  1849,
       0,     0,  1855,     0,     0,  1359,     0,   412,  1363,  1784,
       6,     7,     8,     9,   237,     0,     0,     0,     0,  2031,
       0,     0,     0,  1727,     0,  1782,     0,     0,  1783,   238,
       0,     0,     0,     0,     0,     0,  -572,     0,  1728,     0,
       3,     0,     0,     0,     4,     0,     5,     0,     0,     0,
     412,     0,     0,   235,     3,     0,  1729,     0,     4,  2032,
       5,  1730,     0,  1731,  1640,     0,     6,     7,     8,     9,
     236,     0,     0,  1400,     0,   922,     0,  -443,   923,   924,
       6,     7,     8,     9,     0,   925,     0,     0,     0,     0,
       0,   236,     0,     0,     0,   886,   232,     0,     3,     0,
       0,     0,     4,     3,     5,     0,     0,     4,     0,     5,
     233,  1732,   236,     0,   235,   927,   928,     0,   237,     0,
       0,     0,     0,   236,     6,     7,     8,     9,     0,     6,
       7,     8,     9,   232,  2031,     0,     0,  1785,     0,   237,
       0,     0,     0,  1447,  1448,     0,   516,   233,  1784,     0,
       0,     0,     3,     0,   238,     0,     4,   221,     5,   232,
     237,    18,    19,     0,     0,     0,     0,     0,   232,     0,
       0,   237,  1045,   233,  2032,   238,     0,     0,     6,     7,
       8,     9,   233,     0,     0,     0,     0,   236,     0,  1721,
       0,     0,     0,     0,     0,     0,   412,     0,     0,  1722,
       0,     0,     0,  2033,  1723,     0,  1724,   412,  1725,     0,
    2030,    35,     0,  1736,  1747,  1767,  1780,  2049,     0,     0,
    1376,    36,     0,     0,     0,  1747,     0,    37,     0,     0,
       0,     0,     0,     0,     0,   237,     0,     3,     0,     0,
       0,     4,     0,     5,   232,     0,   873,   874,   236,     0,
       0,    38,   235,  2037,  2047,  2054,     0,     0,   233,     0,
       0,     0,     0,     6,     7,     8,     9,     0,     0,     0,
       0,   238,     0,     3,   886,  1057,  1785,     4,     0,     5,
       0,     0,   886,     0,  1045,  1045,  1045,  1045,  1045,   235,
    2147,  1045,     0,     0,     0,     0,   237,   232,  2317,     6,
       7,     8,     9,     0,     0,     0,  1233,  1234,     0,     0,
       0,   233,     0,  1749,     0,   235,  1726,  1045,  2033,     0,
    1235,   232,     0,     0,   235,     0,     0,     3,  1236,     0,
       0,     4,   238,     5,     0,   233,  1045,     0,     0,     0,
       0,     0,     0,     0,  1237,     0,     0,     0,  1269,  2311,
       0,     0,     0,     6,     7,     8,     9,     0,     0,     0,
       0,     0,  1750,  1751,  1752,  1753,     0,  1754,     0,     0,
    1755,   623,   624,     0,   625,     0,  1581,     0,     0,     0,
    1584,  2050,     0,     0,     0,     0,   236,  1756,     0,   886,
    1604,  1605,  1606,   626,     0,  1609,     0,  1611,     0,     0,
     235,   627,   628,   886,   629,  2339,     0,     0,     0,  1272,
       0,     0,     0,     0,   630,   631,   632,     0,     0,  1834,
    1627,     0,     0,   236,     0,     0,     0,     0,     0,  1727,
       0,     0,     0,     0,   237,     0,     0,  1757,     0,     0,
       0,  2037,  2047,  2054,  1728,     0,     0,   886,     0,   236,
       0,     0,   886,   235,     0,     0,     0,  1661,   236,  1663,
       0,     0,  1729,  1841,     0,     0,  1664,  1730,  2341,  1731,
     412,   237,  1238,  1239,  1240,   772,     3,   235,     0,     0,
       4,  1677,     5,  1678,     0,     0,     0,     0,   782,   783,
     784,     0,  1686,     0,  1688,     0,     0,   237,     0,     0,
       0,   886,     6,     7,     8,     9,   237,   238,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2013,     0,     0,
      10,     0,     0,     0,     0,     0,     0,     0,    11,     0,
      12,   161,    13,   238,   236,    14,    15,    16,     0,    17,
       0,     0,   238,    18,    19,     0,     0,     0,   165,     0,
    1758,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   166,  1759,   657,     0,     0,   167,
     335,     0,   168,     0,     0,   658,     0,   169,     0,     0,
       0,   170,   237,  1760,   171,   172,   886,   236,  1761,   173,
       0,   659,   174,    35,   175,   660,     0,     0,     0,   661,
     662,     0,  2307,    36,   663,   664,   665,   666,   667,    37,
       0,   236,     0,     0,     0,     0,     0,     0,   238,   176,
       3,  1269,   886,     0,     4,   181,     5,     0,     0,     0,
       0,     0,     0,    38,     0,   237,     0,     0,  1762,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     8,     9,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
    1749,     0,     0,     0,     0,     0,  1376,  1376,  1376,  1376,
    1376,   412,  1376,  1376,     0,     0,   886,  1857,  1858,     0,
       0,  1683,  1683,     0,     0,     0,     0,     0,  1719,  1747,
    1767,  1780,  2315,     0,     0,   238,  1837,  1844,  1849,  1855,
       0,     0,     0,  1164,     0,  1874,     0,     0,     0,  1750,
    1751,  1752,  1753,     0,  1754,     0,     0,  1755,  1165,     0,
       0,  1891,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,     0,  1756,  2037,  2047,  2054,     0,    51,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    63,
      51,    51,    66,    66,    66,    70,     0,  1920,    51,  1592,
      39,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1922,    40,  1924,     0,     0,     0,
       0,     0,     0,  1166,  1757,     0,     0,  1272,     0,     0,
       0,     0,     0,    41,     0,     0,     0,     0,    42,     0,
      43,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    51,     0,     0,   434,    51,    66,    66,    66,    70,
       0,     0,     0,     0,  1166,   886,    51,     0,   449,   454,
     457,    51,   462,    66,    66,   467,     0,   449,   449,   449,
     449,  2316,    66,     0,     0,     0,   483,     0,    51,     0,
       0,    66,    66,     0,    70,  1167,     0,    66,  1168,  1169,
    1170,  1171,  1172,  1173,  1174,  1175,  1176,  1177,  1178,  1179,
    1180,    51,   523,   462,    66,   462,     0,   531,   534,     0,
       0,   538,    51,    66,    66,     0,     0,    66,     0,    51,
       0,     0,     0,     0,     0,     0,  1593,  1758,     0,  1168,
    1169,  1594,  1171,  1172,  1173,  1174,  1175,  1176,  1177,  1178,
    1179,  1595,  1759,     0,     0,     0,     0,   335,  1045,     0,
       3,   586,   587,     0,     4,   588,     5,     0,     0,     0,
    1760,     0,  1045,     0,     0,  1761,   589,   590,   591,   592,
     593,   594,   595,   596,   597,     0,     6,     7,     8,     9,
       0,     0,     0,     0,  2064,     0,     0,     0,     0,     0,
    1749,     0,     0,     0,     0,     0,     0,     0,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1045,     0,     0,  2015,   598,  2084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1045,  1045,     0,     0,     0,     0,     0,     0,     0,  1750,
    1751,  1752,  1753,     0,  1754,     0,  2099,  1755,   449,   454,
     457,    51,   462,    66,    66,   467,     0,   449,   449,   449,
     449,     0,     0,     0,  1756,     0,     0,     0,     0,     3,
       0,     0,     0,     4,     0,     5,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   153,     0,     0,     6,     7,     8,     9,   154,
     155,     0,     0,     0,   317,   156,   318,     0,     0,     0,
       0,     0,     0,  1737,  1757,     0,     0,     0,     0,     0,
       0,   319,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   320,   321,     0,     0,     0,   322,     0,     0,   323,
       0,     0,     0,     0,     0,     0,     0,     0,   324,   325,
     326,   327,   328,   329,     0,     0,     0,     0,     0,     0,
     161,     0,   162,  1738,     0,     0,   163,   330,     0,   331,
       0,   164,   157,   158,   159,   160,     0,   165,   161,     0,
     162,     0,     0,  1739,   163,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,   165,     0,     0,   167,     0,
       0,   168,     0,     0,     0,     0,   169,     0,     0,     0,
     170,   166,     0,   171,   172,   674,   167,     0,   173,   168,
       0,   174,     0,   175,   169,  2182,     0,  1758,   170,     0,
       0,   171,   172,  1740,     0,     0,   173,     0,     0,   174,
       0,   175,  1759,     0,     0,     0,     0,   335,   176,     0,
     675,     0,     0,     0,   181,  1101,     0,     0,     0,     0,
    1760,     0,    66,     0,     0,  1761,   176,   177,     0,   178,
     179,   180,   181,  1107,     0,  1108,     0,  1109,     0,  1110,
       0,     0,     0,     0,  1114,     0,     0,     0,  1115,    51,
       0,     0,     0,     0,     0,     0,     0,     0,  1119,   886,
       0,  1120,     0,     0,     0,     0,     0,   182,   183,   184,
     185,    66,     0,     0,     0,  2309,   186,   187,     0,     0,
     188,   189,   332,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,     0,     0,   333,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   334,     0,     0,     0,     0,   335,     0,     0,     0,
       0,     0,     0,   336,     0,     0,     0,     0,     0,   337,
       0,     0,     0,     0,   338,     0,     0,     0,     0,     0,
     213,   214,     0,   339,     0,     0,   340,   341,   342,   343,
       0,     0,     0,   344,     0,     0,   863,   345,   346,   215,
       0,     0,     0,   216,   217,     0,     0,     3,   886,     0,
       0,     4,   347,     5,  1045,   218,   219,     0,   764,   765,
       0,   348,   766,   349,  1741,   220,     0,     0,   221,     0,
     153,     0,     0,     6,     7,     8,     9,   154,   155,     0,
     767,     0,   317,   156,   318,     0,     0,     0,     0,     0,
       0,  1737,     0,     0,     0,     0,     0,     0,     0,   319,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   320,
     321,     0,     0,     0,   322,     0,     0,   323,     0,     0,
       0,     0,     0,     0,     0,     0,   324,   325,   326,   327,
     328,   329,     0,     0,     0,     0,     0,   864,     0,     0,
       0,  1738,     0,     0,     0,   330,     0,   331,     0,     0,
     157,   158,   159,   160,     0,     0,   161,     0,   162,     0,
       0,  1739,   163,     0,     0,     0,     0,   164,     0,     0,
       0,     0,     0,   165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   166,
       0,     0,     0,     0,   167,     0,     0,   168,     0,     0,
     768,     0,   169,     0,     0,     0,   170,     0,     0,   171,
     172,  1740,     0,     0,   173,     0,     0,   174,     0,   175,
       0,     0,     0,     0,   769,   770,   771,   772,   773,   774,
     865,   775,   776,   777,   778,   779,   780,   781,     0,     0,
     782,   783,   784,     0,   176,   177,     0,   178,   179,   180,
     181,     3,     0,     0,     0,     4,     0,     5,     0,     0,
       0,     0,     0,   785,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     8,
       9,     0,     0,     0,     0,   182,   183,   184,   185,     0,
       0,  1770,     0,     0,   186,   187,     0,     0,   188,   189,
     332,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,     0,     0,   333,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   334,
       0,  1771,  1772,  1773,   335,  1754,     0,     0,  1755,     0,
       0,   336,     0,     0,     0,     0,     0,   337,     0,     0,
       0,     0,   338,     0,     0,  1774,     0,     0,   213,   214,
       0,   339,     0,     0,   340,   341,   342,   343,     0,     0,
       0,   344,     0,     0,     0,   345,   346,   215,     0,     0,
       0,   216,   217,     0,     0,     3,   886,     0,     0,     4,
     347,     5,     0,   218,   219,     0,     0,     0,     0,   348,
       0,   349,  2014,   220,     0,  1775,   221,     0,   153,     0,
       0,     6,     7,     8,     9,   154,   155,     0,     0,     0,
     317,   156,   318,     0,     0,     0,     0,     0,     0,  1737,
       0,     0,     0,     0,     0,     0,     0,   319,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   320,   321,     0,
       0,     0,   322,     0,     0,   323,     0,     0,     0,     0,
       0,     0,     0,     0,   324,   325,   326,   327,   328,   329,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1738,
       0,     0,     0,   330,     0,   331,     0,     0,   157,   158,
     159,   160,     0,  1485,   161,     0,   162,     0,     0,  1739,
     163,     0,     0,     0,     0,   164,     0,     0,     0,     0,
       0,   165,     0,     0,     0,     0,     0,     0,  1758,     0,
       0,     0,     0,     0,     0,     0,     0,   166,     0,     0,
       0,     0,   167,  1759,     0,   168,  1191,     0,   335,     0,
     169,     0,     0,     0,   170,     0,     0,   171,   172,  1740,
       0,  1760,   173,     0,     0,   174,  1761,   175,     0,  1192,
    1193,  1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,     0,     0,     0,     0,
       0,     0,   176,   177,     0,   178,   179,   180,   181,     3,
     886,     0,     0,     4,     0,     5,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1776,     0,     0,     0,
       0,     0,     0,     0,     0,     6,     7,     8,     9,     0,
       0,     0,     0,   182,   183,   184,   185,     0,     0,  1770,
       0,     0,   186,   187,     0,     0,   188,   189,   332,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,     0,   333,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   334,     0,  1771,
    1772,  1773,   335,  1754,     0,     0,  1755,     0,     0,   336,
       0,     0,     0,     0,     0,   337,     0,     0,     0,     0,
     338,     0,     0,  1774,     0,     0,   213,   214,     0,   339,
       0,     0,   340,   341,   342,   343,     0,     0,     0,   344,
       0,     0,     0,   345,   346,   215,     0,     0,     0,   216,
     217,     0,     0,     3,   886,     0,     0,     4,   347,     5,
       0,   218,   219,     0,     0,     0,     0,   348,     0,   349,
    2021,   220,     0,  1775,   221,     0,   153,     0,     0,     6,
       7,     8,     9,   154,   155,     0,     0,     0,   317,   156,
     318,     0,     0,     0,     0,     0,     0,  1737,     0,     0,
       0,     0,     0,     0,     0,   319,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   320,   321,     0,     0,     0,
     322,     0,     0,   323,     0,     0,     0,     0,     0,     0,
       0,     0,   324,   325,   326,   327,   328,   329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1738,     0,     0,
       0,   330,     0,   331,     0,     0,   157,   158,   159,   160,
       0,     0,   161,     0,   162,     0,     0,  1739,   163,     0,
       3,     0,     0,   164,     4,     0,     5,     0,     0,   165,
       0,     0,     0,     0,     0,     0,  1758,     0,     0,     0,
       0,     0,     0,     0,     0,   166,     6,     7,     8,     9,
     167,  1759,     0,   168,     0,     0,   335,     0,   169,     0,
    1770,     0,   170,     0,     0,   171,   172,  1740,     0,  1760,
     173,     0,     0,   174,  1761,   175,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     176,   177,     0,   178,   179,   180,   181,     0,   886,     0,
    1771,  1772,  1773,     0,  1754,     0,     0,  1755,     0,     0,
       0,     0,     0,     0,  2016,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1774,     0,     0,     0,     0,     0,
       0,   182,   183,   184,   185,     0,     0,     0,     0,     0,
     186,   187,     0,     0,   188,   189,   332,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,     0,     0,
     333,     0,     0,     0,  1775,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   334,     0,     0,     0,     0,
     335,     0,     0,     0,     0,     0,     0,   336,     0,     0,
       0,     0,     0,   337,     0,     0,     0,     0,   338,     0,
       0,     0,     0,     0,   213,   214,     0,   339,     0,     0,
     340,   341,   342,   343,     0,     0,     0,   344,     0,     0,
       0,   345,   346,   215,     4,     0,     5,   216,   217,     0,
       0,     0,   886,     0,     0,     0,   347,     0,     0,   218,
     219,     0,     0,   153,     0,   348,     0,   349,  2308,   220,
     154,   155,   221,     0,     0,   317,   156,   318,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   319,     0,     0,     0,     0,  1758,     0,     0,
       0,     0,   320,   321,     0,     0,   754,   322,     0,     0,
     323,     0,  1759,     0,     0,     0,     0,   335,     0,   324,
     325,   326,   327,   328,   329,     0,     0,     0,     0,     0,
    1760,     0,     0,   755,     0,  1761,   756,     0,   330,     0,
     331,     0,     0,   157,   158,   159,   160,     0,     0,   161,
       0,   162,     0,   757,     0,   163,     0,     0,     0,     0,
     164,     0,     0,     0,     0,     0,   165,     0,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   166,     0,     0,  2310,     0,   167,     0,     0,
     168,     0,     0,     0,     0,   169,     0,     0,     0,   170,
       0,     0,   171,   172,     0,     0,     0,   173,     0,     0,
     174,     0,   175,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   176,   177,     0,
     178,   179,   180,   181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,     0,   182,   183,
     184,   185,     0,     0,     0,     0,     0,   186,   187,     0,
       0,   188,   189,   332,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,     0,     0,   333,     0,   758,
       0,   910,     0,   213,   214,     0,   764,   765,     0,     0,
     766,     0,   334,   759,     0,     0,     0,   335,     0,   153,
       0,     0,     0,     0,   336,     0,     0,   155,   767,     0,
     337,     0,   156,     0,     0,   338,     0,     0,     0,   760,
       0,   213,   214,     0,   339,     0,     0,   340,   341,   342,
     343,     0,     0,     0,   344,     0,     0,     0,   345,   346,
     215,     0,     0,     0,   216,   217,   911,     0,     0,     0,
       0,     0,   912,   347,     0,     0,   218,   219,     0,     0,
       0,   913,   348,   914,   349,  1910,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   157,
     158,   159,   160,     0,     0,   161,     0,   915,     0,     0,
       0,   916,     0,     0,     0,     0,   917,     0,     0,     0,
       0,     0,   918,     0,     0,     0,   919,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   166,     0,
       0,     0,     0,   167,     0,     0,   920,     0,   768,     0,
       0,   169,     0,     0,     0,   170,     0,     0,   171,   172,
       0,     0,     0,   173,     0,     0,   174,     0,   175,     0,
       0,     0,   769,   770,   771,   772,   773,   774,     0,   775,
     776,   777,   778,   779,   780,   781,     0,     0,   782,   783,
     784,     0,     0,   176,   177,  2282,   178,   179,   180,   181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1281,   785,     0,     0,     0,     0,     0,   764,   765,     0,
       0,   766,     0,     0,     0,     0,     0,     0,   153,     0,
       0,     0,     0,     0,   921,     0,   155,     0,     0,   767,
       0,   156,     0,     0,     0,     0,     0,     0,     0,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,     0,     0,   212,     0,   911,     0,     0,     0,     0,
       0,   912,     0,   922,     0,     0,   923,   924,     0,     0,
       0,     0,     0,   925,     0,     0,     0,     0,     0,     0,
       0,   926,     0,     0,     0,     0,     0,     0,   157,   158,
     159,   160,     0,     0,   161,     0,   915,   213,   214,     0,
     916,     0,     0,   927,   928,   917,     0,     0,     0,     0,
       0,  1282,     0,     0,     0,   919,   215,     0,     0,     0,
     216,   217,     0,     0,     0,     0,     0,   166,     0,     0,
     929,   930,   167,   760,     0,  1283,     0,     0,     0,   768,
     169,     0,   931,     0,   170,   221,     0,   171,   172,     0,
       0,     0,   173,     0,     0,   174,     0,   175,     0,     0,
       0,     0,     0,   769,   770,   771,   772,   773,   774,  2283,
     775,   776,   777,   778,   779,   780,   781,     0,     0,   782,
     783,   784,   176,   177,     0,   178,   179,   180,   181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,   785,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   153,     0,     0,
       0,     0,     0,   921,     0,   155,     0,     0,     0,     0,
     156,     0,     0,     0,     0,     0,     0,     0,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,     0,   212,     0,   911,     0,     0,     0,     0,     0,
     912,     0,   922,     0,     0,   923,   924,     0,     0,     0,
       0,     0,   925,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   157,   158,   159,
     160,     0,     0,   161,     0,   915,   213,   214,     0,   916,
       0,     0,   927,   928,   917,     0,     0,   161,     0,   162,
    1282,     0,   703,   163,   919,   215,     0,     0,   164,   216,
     217,     0,     0,     0,   165,     0,   166,     0,     0,   929,
     930,   167,   760,     0,  1283,     0,     0,     0,     0,   169,
     166,   931,     0,   170,   221,   167,   171,   172,   168,     0,
       0,   173,     0,   169,   174,     0,   175,   170,     0,     0,
     171,   172,     0,     0,     0,   173,     0,     0,   174,     0,
     175,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   176,   177,     0,   178,   179,   180,   181,     0,     0,
       0,     0,     0,     0,     0,   176,     0,   704,  1399,     0,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   153,     0,     0,     0,
       0,     0,   921,     0,   155,     0,     0,     0,     0,   156,
       0,     0,     0,     0,     0,     0,     0,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,     0,
       0,   212,     0,   911,     0,     0,     0,     0,     0,   912,
       0,   922,     0,     0,   923,   924,     0,     0,     0,     0,
       0,   925,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   157,   158,   159,   160,
       0,     0,   161,     0,   915,   213,   214,     0,   916,     0,
       0,   927,   928,   917,     0,     0,   161,     0,   162,  1282,
       0,     0,   163,   919,   215,     0,     0,   164,   216,   217,
       0,     0,     0,   165,     0,   166,     0,     0,   929,   930,
     167,   760,     0,  1283,     0,     0,     0,     0,   169,   166,
     931,     0,   170,   221,   167,   171,   172,   168,     0,     0,
     173,     0,   169,   174,     0,   175,   170,     0,     0,   171,
     172,     0,     0,     0,   173,     0,     0,   174,     0,   175,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     176,   177,     0,   178,   179,   180,   181,     0,     0,     0,
       0,     0,     0,     0,   176,     0,     0,  1583,     0,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   153,     0,     0,     0,     0,
       0,   921,     0,   155,     0,     0,     0,     0,   156,     0,
       0,     0,     0,     0,     0,     0,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,     0,     0,
     212,     0,   911,     0,     0,     0,     0,     0,   912,     0,
     922,     0,     0,   923,   924,     0,     0,     0,     0,     0,
     925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   157,   158,   159,   160,     0,
       0,   161,     0,   915,   213,   214,     0,   916,     0,     0,
     927,   928,   917,     0,     0,     0,     0,     0,  1282,     0,
       0,     0,   919,   215,     0,     0,     0,   216,   217,     0,
       0,     0,     0,     0,   166,     0,     0,   929,   930,   167,
     760,     0,  1283,     0,     0,     0,     0,   169,     0,   931,
       0,   170,   221,     0,   171,   172,     0,     0,     0,   173,
       0,     0,   174,     0,   175,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   176,
     177,     0,   178,   179,   180,   181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,  1004,  1005,  1006,  1007,  1008,     0,     0,     0,     0,
    1009,     0,     0,     0,   991,     0,     0,     0,     0,     0,
     921,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,     0,     0,   212,
       0,   911,     0,     0,     0,     0,     0,   912,     0,   922,
       0,     0,   923,   924,     0,     0,     0,     0,     0,   925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   157,   158,   159,   160,     0,     0,
       0,     0,  1010,   213,   214,     0,  1011,     0,     0,   927,
     928,  1012,     0,  1327,     0,     0,     0,  1013,     0,     0,
       0,   919,   215,     0,     0,     0,   216,   217,     0,     0,
       0,     0,     0,  1014,     0,     0,   929,   930,  1015,   760,
       0,  1016,     0,     0,     0,     0,  1017,     0,   931,     0,
    1018,   221,     0,  1019,  1020,     0,     0,     0,  1021,     0,
       0,  1022,   911,  1023,     0,     0,     0,     0,   912,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1024,     0,
       0,  1025,     0,     0,  1026,   157,   158,   159,   160,     0,
       0,     0,     0,  1010,     0,     0,     0,  1011,     0,     0,
       0,     0,  1012,     0,     0,     0,     0,     0,  1013,     0,
       0,     0,   919,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1014,     0,     0,     0,     0,  1015,
       0,     0,  1016,     0,     0,     0,     0,  1017,     0,     0,
       0,  1018,     0,     0,  1019,  1020,     0,     0,     0,  1021,
       0,     0,  1022,     0,  1023,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   922,     0,
       0,   923,   924,     0,     0,     0,     0,  1327,   925,  1024,
       0,     0,  1025,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   927,   928,
       0,  1027,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   911,     0,     0,     0,
       0,     0,   912,     0,     0,   929,   930,     0,     0,     0,
       0,     0,     0,     0,     0,   349,     0,  1028,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,   157,
     158,   159,   160,     0,     0,     0,     0,  1010,     0,   922,
       0,  1011,   923,   924,     0,     0,  1012,     0,     0,   925,
       0,     0,  1013,     0,  1050,   991,   919,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1014,     0,
       0,     0,     0,  1015,     0,     0,  1016,     0,     0,   927,
     928,  1017,  1027,     0,     0,  1018,     0,     0,  1019,  1020,
       0,     0,     0,  1021,     0,     0,  1022,     0,  1023,     0,
       0,     0,   911,     0,     0,     0,   929,   930,   912,     0,
       0,     0,     0,     0,     0,     0,   349,     0,  1028,     0,
       0,   221,     0,  1024,     0,     0,  1025,     0,     0,  1026,
       0,     0,     0,     0,     0,   157,   158,   159,   160,     0,
       0,     0,     0,  1010,     0,     0,     0,  1011,     0,     0,
       0,     0,  1012,     0,     0,     0,     0,     0,  1013,     0,
       0,     0,   919,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1014,     0,     0,     0,     0,  1015,
       0,     0,  1016,     0,     0,     0,     0,  1017,     0,     0,
       0,  1018,     0,     0,  1019,  1020,     0,     0,     0,  1021,
       0,     0,  1022,     0,  1023,     0,     0,     0,     0,     0,
       0,     0,     0,   922,     0,     0,   923,   924,     0,     0,
       0,     0,     0,   925,     0,     0,     0,     0,     0,  1024,
       0,     0,  1025,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   927,   928,     0,  1027,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     929,   930,     0,     0,     0,     0,   153,     0,     0,     0,
       0,     0,  1028,   154,   155,   221,     0,     0,   317,   156,
     318,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   319,     0,     0,     0,   922,
       0,     0,   923,   924,     0,   320,   321,     0,     0,   925,
     322,     0,     0,   323,     0,     0,     0,     0,     0,     0,
       0,     0,   324,   325,   326,   327,   328,   329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   927,
     928,   330,  1027,   331,     0,     0,   157,   158,   159,   160,
       0,     0,   161,     0,   162,     0,     0,     0,   163,     0,
       0,     0,     0,   164,     0,     0,   929,   930,     0,   165,
       0,     0,     0,     0,     0,     0,  1051,     0,  1028,     0,
       0,   221,     0,     0,     0,   166,     0,     0,     0,     0,
     167,     0,     0,   168,     0,     0,     0,     0,   169,     0,
       0,     0,   170,     0,     0,   171,   172,     0,     0,     0,
     173,     0,     0,   174,     0,   175,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     176,   177,     0,   178,   179,   180,   181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   106,     0,
       0,     0,     0,   107,     0,     0,   108,   109,   110,   111,
       0,     0,   112,   113,     0,   114,   115,   116,     0,   117,
       0,   182,   183,   184,   185,     0,     0,     0,     0,     0,
     186,   187,     0,     0,   188,   189,   332,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,     0,   118,
     333,   119,   120,   121,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   334,     0,   153,     0,     0,
     335,     0,     0,     0,   154,   155,     0,   336,     0,     0,
     156,  2212,     0,   337,     0,     0,     0,     0,   338,     0,
       0,     0,     0,     0,   213,   214,     0,   339,     0,     0,
     340,   341,   342,   343,     0,     0,     0,   344,     0,     0,
       0,   345,   346,   215,     0,     0,     0,   216,   217,     0,
       0,     0,     0,     0,     0,     0,   347,     0,     0,   218,
     219,  2213,     0,     0,     0,   348,     0,   349,     0,   220,
       0,     0,   221,     0,     0,     0,     0,   157,   158,   159,
     160,     0,     0,   161,     0,   162,     0,     0,     0,   163,
       0,     0,     0,     0,   164,     0,     0,     0,     0,     0,
     165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   166,     0,     0,     0,
       0,   167,     0,     0,   168,     0,     0,     0,     0,   169,
       0,     0,     0,   170,     0,     0,   171,   172,     0,     0,
       0,   173,     0,     0,   174,     0,   175,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   122,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   176,   177,   123,   178,   179,   180,   181,     0,     0,
     124,   125,   126,   127,     0,     0,     0,     0,     0,     0,
       0,   128,     0,     0,     0,     0,   129,     0,   130,   131,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,   184,   185,     0,     0,     0,     0,
       0,   186,   187,     0,     0,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,     0,
       0,  2214,     0,     0,     0,     0,   153,     0,     0,     0,
       0,     0,     0,     0,   155,     0,  2215,     0,     0,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2216,     0,     0,     0,     0,  2217,
       0,  2218,     0,     0,     0,   213,   214,     0,     0,     0,
       0,     0,     0,   911,     0,     0,     0,     0,  2219,   912,
       0,     0,     0,     0,   215,     0,     0,     0,   216,   217,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,   219,     0,     0,     0,     0,   157,   158,   159,   160,
     220,     0,   161,   221,   915,     0,     0,     0,   916,     0,
       0,     0,     0,   917,     0,     0,     0,     0,     0,  1282,
       0,     0,     0,   919,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   166,     0,     0,     0,     0,
     167,     0,     0,  1283,     0,     0,     0,     0,   169,     0,
       0,     0,   170,     0,     0,   171,   172,     0,     0,     0,
     173,     0,     0,   174,     0,   175,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     176,   177,     0,   178,   179,   180,   181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   153,     0,     0,     0,     0,
       0,   921,   154,   155,     0,     0,     0,     0,   156,     0,
       0,     0,     0,     0,     0,     0,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     922,     0,     0,   923,   924,     0,     0,     0,     0,     0,
     925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   157,   158,   159,   160,     0,
       0,   161,     0,   162,   213,   214,     0,   163,     0,     0,
     927,   928,   164,     0,     0,     0,     0,     0,   165,     0,
       0,     0,     0,   215,     0,     0,     0,   216,   217,     0,
       0,     0,     0,     0,   166,     0,     0,   929,   930,   167,
     760,     0,   168,     0,     0,     0,     0,   169,     0,   931,
       0,   170,   221,     0,   171,   172,     0,     0,     0,   173,
       0,     0,   174,     0,   175,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   176,
     177,   153,   178,   179,   180,   181,     0,     0,   154,   155,
       0,     0,     0,     0,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,   184,   185,     0,     0,     0,     0,     0,   186,
     187,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,     0,     0,   212,
       0,   157,   158,   159,   160,     0,     0,   161,     0,   162,
       0,     0,     0,   163,     0,     0,     0,     0,   164,     0,
       0,     0,     0,     0,   165,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     166,     0,     0,   213,   214,   167,     0,     0,   168,     0,
       0,     0,     0,   169,     0,     0,     0,   170,     0,     0,
     171,   172,   215,     0,     0,   173,   216,   217,   174,     0,
     175,     0,     0,     0,     0,     0,     0,     0,   218,   219,
       0,     0,     0,     0,     0,     0,   349,     0,   220,     0,
       0,   221,     0,     0,     0,   176,   177,     0,   178,   179,
     180,   181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   991,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,   184,   185,
       0,     0,     0,     0,     0,   186,   187,     0,     0,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   911,     0,   212,     0,     0,     0,   912,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   157,   158,   159,   160,
       0,     0,     0,     0,  1010,     0,     0,     0,  1011,   213,
     214,     0,     0,  1012,     0,     0,     0,     0,     0,  1013,
       0,     0,     0,   919,     0,     0,     0,     0,   215,     0,
       0,     0,   216,   217,     0,  1014,     0,     0,     0,     0,
    1015,     0,     0,  1016,   218,   219,     0,     0,  1017,     0,
       0,     0,  1018,     0,   220,  1019,  1020,   221,     0,     0,
    1021,     0,     0,  1022,     0,  1023,     0,     0,     0,     0,
       0,     2,     3,     0,     0,     0,     4,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1024,     0,     0,  1025,     0,     0,  1026,     0,     6,     7,
       8,     9,     0,     0,     0,     0,     0,     0,     0,    10,
       0,     0,     0,     0,     0,     0,     0,    11,     0,    12,
       0,    13,     0,     0,    14,    15,    16,     0,    17,     0,
       0,     0,    18,    19,    20,     0,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -443,     0,     0,     0,
     922,     0,    35,   923,   924,     0,     0,     0,     0,     0,
     925,     0,    36,   911,     0,     0,     0,     0,    37,   912,
       0,     0,   324,   325,   326,  1893,  1894,   329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     927,   928,    38,  1027,     0,     0,   157,   158,   159,   160,
       0,     0,     0,     0,  1010,     0,     0,     0,  1011,     0,
       0,     0,     0,  1012,     0,     0,     0,   929,   930,  1013,
       0,     0,     0,   919,     0,     0,     0,   349,     0,  1028,
       0,     0,   221,     0,     0,  1014,     0,     0,     0,     0,
    1015,     0,     0,  1016,   911,     0,     0,     0,  1017,     0,
     912,     0,  1018,     0,     0,  1019,  1020,     0,     0,     0,
    1021,     0,     0,  1022,     0,  1023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   157,   158,   159,
     160,     0,     0,     0,     0,  1010,     0,     0,     0,  1011,
    1024,     0,     0,  1025,  1012,     0,  1026,     0,     0,     0,
    1013,     0,     0,     0,   919,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1014,     0,     0,    39,
       0,  1015,     0,     0,  1016,     0,     0,     0,     0,  1017,
       0,     0,     0,  1018,    40,     0,  1019,  1020,     0,  -443,
       0,  1021,     0,     0,  1022,     0,  1023,     0,     0,     0,
       0,     0,    41,     0,     0,     0,     0,    42,     0,    43,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1024,     0,     0,  1025,     0,     0,  1026,     0,     0,
     922,     0,     0,   923,   924,     0,     0,     0,     0,     0,
     925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     927,   928,     0,  1027,     0,   861,     0,     0,     0,     0,
       0,     0,     0,   911,     0,     0,     0,     0,     0,   912,
       0,     0,     0,     0,     0,     0,     0,   929,   930,     0,
       0,     0,   755,     0,     0,   756,     0,     0,     0,  1028,
       0,   922,   221,     0,   923,   924,  1706,   158,   159,   160,
       0,   925,   757,     0,  1010,     0,     0,     0,  1011,     0,
       0,     0,     0,  1012,     0,     0,     0,     0,     0,  1013,
       0,     0,     0,   919,     0,     0,     0,     0,     0,     0,
       0,   927,   928,     0,  1027,  1014,     0,     0,     0,     0,
    1015,     0,     0,  1016,     0,     0,     0,     0,  1017,     0,
       0,     0,  1018,     0,     0,  1019,  1020,     0,   929,   930,
    1021,     0,     0,  1022,     0,  1023,     0,     0,     0,     0,
    1028,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1024,     0,     0,  1025,     0,     0,  1026,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   758,     0,
       0,     0,   213,   214,     0,     0,     0,     0,     0,     0,
     922,     0,   759,   923,   924,     0,     0,     0,     0,     0,
     925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   760,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     927,   928,     0,  1027,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   929,   930,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1028,
       0,     0,   221
};

static const yytype_int16 yycheck[] =
{
       1,    68,     3,   216,   515,    53,   367,   448,    30,   352,
     362,   328,    53,     1,    37,   439,   436,    65,   689,   438,
     338,   384,    30,    38,    65,  1021,   925,   437,   722,   633,
     404,   911,   883,   391,   514,    30,   317,   179,   479,   513,
    1460,   761,  1460,   220,   468,    53,    47,    68,   876,   571,
    1465,    32,   984,  1467,    55,   465,   536,    65,    53,    60,
    1466,  1406,  1328,  1329,  1464,   346,  1407,  1481,   478,  1335,
      65,   107,   419,   109,   845,   111,   112,  1315,  1478,   115,
     404,   117,   443,   435,   120,   121,  1587,  1588,   124,   125,
     126,   127,  1459,  1460,  1272,   131,   377,  1026,   134,   381,
      36,   383,   177,   139,   140,   180,   458,  1577,   180,   177,
     881,   147,   180,   474,   404,   886,   177,   527,  1573,   180,
    1797,  1795,     7,     8,     9,   415,   416,  1796,   899,  1573,
     177,   177,   903,   180,   180,  1774,  1629,   177,  1639,   931,
     180,  1770,   862,   504,  1556,  1557,  1693,   177,  1414,   190,
     180,  1565,   995,   996,   998,  1001,  1978,   177,   177,   997,
     180,   180,     5,   999,    49,    12,    51,   177,   529,    24,
     180,     8,   177,     8,     8,   180,    61,     8,    24,   404,
     177,    66,   842,   180,    24,    70,   177,   572,     5,   180,
     415,   416,    59,   177,   177,  1821,   180,   180,    23,    58,
    1851,  1590,   177,   177,    98,   180,   180,  2041,   216,     8,
    2010,  1839,   220,   839,   840,   600,   128,    16,    17,    18,
      19,   216,  1840,   608,     8,   220,    73,    80,    81,    39,
      77,   725,   844,   727,   104,   729,    21,  1636,   845,   624,
     734,   843,   105,   106,   107,    92,    93,   758,     9,   105,
    1751,  1752,    58,  1598,  1599,    16,    17,    18,    19,    13,
     327,   328,    23,   110,  1290,   786,    86,   105,     9,   105,
    1771,  1772,  1692,    59,   785,    16,    17,    18,    19,   104,
     105,   105,    23,    30,   669,   104,   133,   134,   105,   106,
     271,   332,   105,   106,    55,    86,   277,   144,   106,   105,
      58,   795,    86,   105,   151,   312,    53,    58,   105,    54,
    1081,   352,    91,     9,    55,    94,   827,   122,    65,    91,
     105,    58,    94,   105,   391,  1692,    48,    86,   713,   314,
     315,   145,    30,  1024,    88,   147,   221,   105,   106,   107,
      58,    33,    34,    35,   352,   866,   826,   105,   162,   295,
      81,   825,  1023,   154,   105,    53,   105,   352,   365,    55,
      46,    47,   295,   748,   165,   166,    97,    65,   105,     9,
     437,     9,   813,  1793,   165,  1793,    16,    17,    18,    19,
     365,    50,   294,   404,   432,   116,    86,   105,    88,    91,
     104,   432,     8,    86,   415,   416,   404,   821,   465,   447,
    1901,  1768,   332,   127,   294,    21,   447,   415,   416,   819,
    1014,   478,   342,  1017,  1781,    55,   437,    55,  1078,   365,
    2254,     9,   312,    10,   432,  1792,  1793,   151,    16,    17,
      18,    19,   365,    50,   127,   282,   283,   432,   162,   447,
     296,  1287,   327,   328,   465,   364,   331,    93,  1074,  1075,
    1076,   364,   447,    40,    41,    42,    43,   478,   151,   495,
     527,   299,   298,   824,   276,   277,  1092,    55,  1080,   216,
      91,   365,   296,   220,  1081,     6,     1,  1079,  1504,  1868,
       5,   365,     7,   288,   351,   352,   353,   133,    75,   348,
     349,  1356,   298,  1358,  1185,   314,    83,    84,    85,    86,
     370,   298,    27,    28,    29,    30,   527,   370,  2137,  1908,
     365,   296,   332,   333,   334,   370,   298,   370,   216,   106,
    1291,  1292,   220,   366,   370,   365,  2152,     6,  2179,   366,
     370,   366,   366,  2355,   370,   366,   123,   362,  2039,  1385,
     298,   128,   129,   130,   244,   370,   358,   298,  2348,  2177,
     299,   138,   336,   370,   141,   365,   287,   370,  2105,   701,
    2178,   298,  1929,   255,   449,   351,   352,   353,   453,  1104,
     369,   350,   457,   332,   333,   334,   599,   462,   350,   281,
     298,   944,   467,    46,  2213,     5,  1927,     7,    91,  2228,
     115,  1383,  1435,  1436,  1438,  2272,  2270,   365,     9,  1437,
     314,   344,  2271,  1439,   347,   352,   306,   622,   369,   115,
    2080,  2104,   365,   128,    25,  2027,    91,  1546,  1059,  1141,
     135,  1143,  2092,   169,   170,   700,   132,   702,   369,  1895,
     702,   244,   700,  1259,   702,   359,  2091,   283,   523,   852,
      91,   702,   134,  1001,    55,   927,   928,  2091,   244,   585,
     165,  1889,  1890,   700,   352,   702,   702,   404,   883,   165,
     545,    30,   702,   876,   285,  1931,   287,   115,   415,   416,
     700,   115,   702,  1047,   521,    30,    91,   343,  1002,  2024,
     700,   700,   702,   702,    53,   432,  1357,   129,   136,   112,
     700,   714,   702,  1625,    86,   700,    65,   702,    53,    63,
     447,   149,   717,   700,   127,   702,  1241,  1242,     8,   700,
      65,   702,   154,   300,   301,   302,   700,   700,   702,   702,
    1067,    21,  1216,  1047,  1902,   700,   700,   702,   702,   369,
       5,   135,     7,   137,   432,   127,   100,     5,  1028,     7,
     127,   129,  1127,   365,    86,  1027,    88,   278,   370,   447,
      91,   352,   819,    94,   279,   104,    86,  1047,    88,   151,
     147,  2102,   293,  1298,   151,    40,   154,   298,    38,  1280,
     995,   996,   997,   998,   999,   104,  2191,  1002,  1629,  2193,
     311,   369,   285,   104,   287,   316,  2192,   112,  1653,   132,
    2190,  1656,  1643,   136,  1659,   294,  1624,  1277,   819,   278,
    1274,   304,   127,  1028,     6,   173,     0,     9,  1579,   876,
     285,     5,   287,     7,   293,   259,   260,    30,    88,   298,
     294,  1343,  1047,  1000,   317,   350,   169,   170,    86,  2330,
     143,  1311,   311,  1307,   285,   366,   287,   316,   104,   105,
      53,   366,  1693,   156,   852,  1286,    79,   216,  2268,   115,
    2268,   220,    65,   440,   441,   442,   837,   852,   278,   307,
     173,   216,   883,    39,    40,   220,   104,   105,   876,  1563,
     285,   145,   287,   293,   105,   883,   150,   115,   298,   112,
     284,   876,   105,  1025,  1604,  1605,   473,   366,     5,   276,
     277,   311,   104,   105,   127,   918,   316,    46,   350,   115,
    2267,  2268,   244,   115,   294,   920,   365,   130,   131,   326,
    1271,   370,    61,    62,   244,   502,   132,   984,    21,  2185,
      23,   137,   138,   931,   314,   315,  1597,     1,     5,  1287,
       7,     5,     9,     7,  1001,     6,    18,   278,     9,     1,
     173,   115,  1303,     5,   168,     7,    21,  1482,    23,   173,
    1485,    30,   293,    27,    28,    29,    30,   298,  1728,  1729,
    1730,  1731,   111,  1474,   306,    27,    28,    29,    30,    19,
     311,   358,   121,  1254,    53,   316,   306,    23,   127,  1650,
      26,  1002,   365,   352,   165,   369,    65,   995,   996,   997,
     998,   999,  1000,  1473,  1002,   169,   170,   352,  1472,    30,
     361,   362,   151,   216,   178,  1000,   365,   220,    53,   350,
      53,  2277,   188,   365,   327,   191,    58,    91,   113,   114,
    1028,  1462,    53,   293,    98,   165,  1047,  1385,   244,   262,
     365,  1566,   255,   365,    65,    30,   295,  1400,  1918,  1047,
      44,   311,   278,   105,   106,   107,   316,   365,   318,  1377,
    1378,  1052,   275,   276,    46,  1056,  1384,   293,    53,    46,
    1434,   135,   298,   432,   245,   246,   247,  1441,   115,     8,
      65,  1606,    46,  1608,  1609,   311,  1611,   432,   447,   115,
     316,  1294,   129,    50,    51,     9,    53,    54,    55,   136,
     310,   127,   447,   129,    63,    64,   170,     1,   136,    68,
     105,     5,   104,     7,   371,   852,   991,   154,   295,   296,
    1471,   147,  1497,   343,   161,   151,    16,    17,   154,  1142,
     371,  1144,   343,    27,    28,    29,    30,  1150,   104,   876,
      86,   169,   170,  1827,   172,   360,   883,   216,   178,   352,
     368,   220,    24,  1433,  1434,  1953,  1954,  1955,  1956,    24,
    1440,  1441,  1442,  1443,   852,   314,   315,  1542,  2154,    53,
     255,   256,    53,   129,   259,    86,   306,   307,   308,   309,
     310,     1,    53,    61,    62,     5,    53,     7,   876,   145,
    1950,  1951,  1952,    53,     5,   216,     7,     8,   154,   220,
    2089,  2090,   337,   338,  1407,   161,   162,    27,    28,    29,
      30,   105,   106,   107,   365,   279,   104,   243,  1433,  1434,
    1435,  1436,  1437,  1438,  1439,  1440,  1441,  1442,  1443,   432,
    1287,   216,   228,   111,   104,   220,   232,   233,   234,    18,
      14,    15,    16,   121,   447,   104,   823,   984,     1,   127,
     276,   277,     5,     8,     7,   104,   117,   104,   995,   996,
     997,   998,   999,  1000,  2105,  1002,    21,     8,    23,  1602,
     104,    91,   133,   151,    27,    28,    29,    30,    98,    86,
      21,  1632,    23,   352,    86,  1716,   350,    16,    17,    42,
     369,  1028,    45,   154,    16,    17,  1294,     1,   350,    19,
     161,     5,   366,     7,    78,    79,    80,   314,   315,  1294,
    1047,     6,  1000,   104,   366,   135,   195,   196,  2116,  2117,
    2118,    95,    96,    27,    28,    29,    30,  1635,  1385,     8,
     104,   352,   358,  1686,     8,  1688,   293,   193,   194,   113,
     114,     8,     8,   300,   301,   119,     8,  1711,  1712,  1874,
     170,  1852,   104,    47,    21,    49,    23,    51,    52,   316,
       5,     6,   136,   432,  1739,    59,    60,   352,   113,   114,
     115,   145,   146,     6,  1385,   149,  1846,  1841,   447,  1377,
    1378,  1379,  1380,  1381,   351,  1383,  1384,     8,    38,   250,
     251,   351,   352,   353,  1392,  1393,    46,     8,    48,    93,
     104,   113,   114,    53,    54,    55,    18,    57,   369,  1407,
     239,   432,   165,   365,  1629,  1885,  1880,    19,  1882,   248,
     249,  1624,  1407,   252,   253,     9,   447,  1458,  1643,   113,
     114,  1711,  1712,   104,  1785,  1433,  1434,  1435,  1436,  1437,
    1438,  1439,  1440,  1441,  1442,  1443,   115,   432,   117,   118,
     119,   120,     8,  1761,   113,   114,   350,   104,   105,   279,
    1458,   104,   447,  1454,  1455,    39,  1457,  1458,  1459,  1460,
     365,   105,   366,  1458,   108,   109,   110,  1455,  1693,  1457,
    1458,  1459,  1460,  1834,    99,   100,   101,   102,   365,    46,
    1503,    96,    97,   852,  2155,   295,  1711,  1712,   336,   337,
     338,  2095,  2096,   365,    61,    62,    38,   852,   365,  2034,
     365,   285,   286,   312,    46,  2276,    48,   876,    50,  2044,
     365,    53,    54,    55,   365,    57,  2051,   105,   106,   107,
     350,   876,  1946,  1943,   104,  1944,   104,  1550,  1551,   104,
     293,  1916,  1917,   104,  1919,   104,   366,  1552,  1553,   227,
     228,   229,   230,   231,   111,   105,   136,  1294,    44,    45,
    2321,  2086,   104,   105,   121,  1622,   104,  1624,  1625,   104,
     127,  1602,    87,    88,    89,  1975,    91,    98,   192,   197,
    1571,  1392,  1393,  1574,   132,  1576,   232,  1894,  1579,   169,
     170,   104,   104,  1571,   151,   235,  1574,   235,  1576,  1941,
     236,  1579,   237,  2003,  1602,   236,  1294,  1645,   104,   104,
     314,   315,  1987,   366,  1645,   104,   344,  1602,  1355,  1356,
     104,  1358,  2147,  2148,  2149,   205,  1624,   365,   278,   365,
     365,  1629,  1643,   365,  1647,   139,   140,   141,   142,  1624,
       6,  1000,   104,   293,     9,  1643,   350,  1645,  2173,   852,
     223,   224,   225,   226,  1645,  1000,   104,   104,   238,    53,
    1645,   311,   366,  1866,   104,   280,   316,    23,   318,    44,
    1407,   150,     6,   876,   289,   290,   291,   292,    46,   368,
      48,  1738,   104,    86,     9,    53,    86,    55,   332,   333,
     334,    59,    23,    23,   104,  1693,  1433,  1434,  1435,  1436,
    1437,  1438,  1439,  1440,  1441,  1442,  1443,   368,   113,   114,
     365,   365,   365,  1711,  1712,     8,   372,  2218,   104,  1407,
     494,  1458,     6,   128,  1927,   130,   131,   132,   105,   113,
     114,    99,  2065,   101,   296,   372,   365,  1749,   122,   123,
     124,   125,   126,    21,  1735,   317,   278,  2217,   153,   154,
     155,  1749,  2216,  1744,  1745,  1746,  1747,  1748,  1770,  2284,
    1791,   293,   313,    44,  1749,   192,   313,   295,   317,   543,
    1458,  1802,  1770,   312,  1765,  1766,  1767,  1768,   105,   311,
       8,  2212,    71,   852,   316,  1770,   318,     6,  1779,  1780,
    1781,  2261,     8,  1791,   167,  2259,  2260,  1000,   104,  1790,
    1791,  1792,  1793,    40,  1802,    46,  1791,   876,   105,   364,
     100,  1802,  1790,  1791,  1792,  1793,   104,  1802,   364,   312,
      61,    62,   192,   364,  1802,    80,    81,    82,    83,    84,
      85,   852,   105,  2358,  2359,  2360,  1893,  1894,   364,  1830,
    1831,  1832,   100,   104,  2345,     8,   366,  1722,  1723,  1724,
    1725,   104,  1830,  1831,  1832,   876,   320,   321,   322,   323,
     324,   104,    46,    21,  2215,  1602,   104,   852,  1866,     1,
     111,   104,   104,     5,  2344,     7,    86,    61,    62,  2343,
     121,  1866,   104,   104,     6,  1622,   127,  1624,  1625,   191,
    2105,   876,  1629,   104,     8,    27,    28,    29,    30,  2102,
     105,  1958,     9,  2334,     9,   152,  1643,  2258,  1645,   115,
     151,   117,   104,   364,  1602,   104,  1653,  2292,  1975,  1656,
     106,  1912,  1659,   104,   295,   104,   188,   111,   366,  1927,
     136,  1000,   296,   365,   365,  1294,  1624,   121,   144,   145,
     146,   147,  1927,   127,   365,   365,  2003,   365,   365,  1294,
     365,   365,  2327,  2010,   365,    42,  1693,  1645,  2333,    91,
       8,   365,   135,   104,  1975,   366,    98,   151,   366,   365,
     365,    46,   365,    48,  1711,  1712,   105,     9,     9,  1000,
     104,   104,  1973,  1974,   105,   104,    61,    62,     6,    38,
     364,  2342,  2003,     9,  1018,  1020,   912,    46,   577,    48,
     798,    50,  1993,   135,    53,    54,    55,  2033,    57,  1019,
    2001,  2002,  1749,   797,  2005,  1000,   796,  2043,  1893,  1894,
    2011,   799,  1135,  1490,  2050,  1022,    20,  2018,  2019,  2020,
     105,     1,   281,  1770,  2065,     5,   111,     7,   170,  2115,
    2018,  2019,  2020,   567,   434,  1463,   121,   282,  1407,  1775,
    2135,  2141,   127,  2277,  1791,  2133,  2198,    27,    28,    29,
      30,  1749,  1407,  2200,  2199,  1802,  2123,  2065,     1,    39,
    2201,  2189,     5,  2323,     7,  1724,   151,   431,   287,  1931,
    2065,   894,  1770,     1,  1881,   904,  2143,     5,   433,     7,
    1883,  1294,  1914,   967,    27,    28,    29,    30,  2264,  1458,
    2188,  1379,  1381,  1791,  2102,  1380,  1398,  2105,  1622,    27,
      28,    29,    30,  1458,  1802,  1624,  2128,  2102,  2109,   987,
     109,   877,   111,   112,    42,  2137,   115,    45,   117,  1866,
    2128,   120,   121,  2124,  1405,   124,   125,   126,   127,  2137,
    1126,   319,   131,  2128,  1443,   134,   216,   279,  1335,  1866,
     139,   140,  2137,  2144,  2145,  1603,  1641,  1641,   147,   416,
     443,   446,    95,   445,   444,  2156,  2157,    46,  2159,  2160,
    2161,  2162,  2163,  2331,   333,  2166,   332,   700,  1866,   723,
       1,   333,    61,    62,     5,     1,     7,  2242,  1194,     5,
    1927,     7,   667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2213,   135,    -1,  1407,    -1,    27,    28,    29,    30,
      -1,    27,    28,    29,    30,  2213,    -1,    -1,   350,    -1,
    2277,    42,    -1,   298,    45,  1294,   105,    -1,  2213,   278,
    2221,    -1,   111,  2224,   366,  2266,  2227,    -1,    -1,  1927,
      -1,    -1,   121,  1602,   293,    -1,    -1,   165,   127,    -1,
      -1,    -1,    -1,    -1,    -1,  1458,    -1,  1602,    -1,    -1,
      -1,    -1,   311,    -1,  2321,  1624,    -1,   316,  2266,   318,
      -1,    -1,   151,  1294,  2265,  2266,  2267,  2268,  2290,  1624,
      -1,  2266,  2273,  2274,  2275,  2276,  1645,  2265,  2266,  2267,
    2268,  2348,  2290,    -1,    -1,  2273,  2274,  2275,  2276,   115,
    1645,    -1,  2293,   404,    -1,  2290,    -1,    -1,    -1,  1294,
    2301,    -1,    -1,    -1,   415,   416,  2307,  2308,  2309,  2310,
    2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,  2065,    -1,
      -1,    -1,    -1,    -1,  2312,  2313,  2314,    -1,  1407,    -1,
      -1,  2332,    -1,    -1,   165,    -1,   279,    -1,  2339,  2340,
    2341,    -1,    -1,    -1,    -1,    46,     1,    -1,    -1,    -1,
       5,    -1,     7,    -1,  1331,  2102,    -1,    -1,  2105,    -1,
      61,    62,    -1,    -1,    -1,   293,    -1,  2065,    -1,    -1,
     350,    -1,    27,    28,    29,    30,  1407,    -1,    -1,  1458,
    1749,  2128,    -1,    38,    -1,    -1,   366,    -1,    -1,  1602,
    2137,    -1,    -1,    48,  1749,    -1,    -1,    -1,    53,    -1,
      55,  1770,    57,    -1,  2102,    -1,    -1,   350,    -1,   298,
     111,  1624,  1407,    -1,    -1,  1770,    -1,    -1,    -1,    -1,
     121,    -1,  1791,   366,    -1,    46,   127,  1458,    -1,    -1,
    2128,    -1,  1645,  1802,    -1,    -1,  1791,    -1,   366,  2137,
      61,    62,    -1,    -1,    -1,     1,    -1,  1802,    -1,     5,
     151,     7,    -1,   279,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,   293,  1458,    77,    -1,  2213,    -1,    -1,    -1,
      -1,    27,    28,    29,    30,    -1,    -1,    -1,  1455,    -1,
    1457,  1458,  1459,  1460,   105,    -1,    42,    -1,    -1,    45,
     111,    -1,   105,   106,   107,    -1,   495,  1866,    -1,   112,
     121,    -1,    -1,   116,    -1,    -1,   127,    -1,   121,    -1,
     165,  1866,    -1,    -1,   127,  2213,    -1,    -1,   131,  2266,
      -1,    -1,    -1,  1602,   350,     1,    -1,    -1,    -1,     5,
     151,     7,    -1,     1,    -1,   366,  1749,     5,   151,     7,
     366,    -1,    -1,  2290,   849,  1624,   851,    -1,    -1,    -1,
      -1,    27,    28,    29,    30,    -1,    -1,  1770,  1927,    27,
      28,    29,    30,   868,    -1,   870,  1645,   872,  2266,    -1,
      -1,  1602,  1927,   878,   879,    -1,    -1,    -1,  1791,    -1,
      -1,    -1,    -1,    -1,     1,    -1,    -1,    -1,     5,  1802,
       7,    -1,  2290,  1624,  1571,    -1,    -1,  1574,    -1,  1576,
      -1,    -1,  1579,    -1,    -1,   910,    -1,  1602,   913,   165,
      27,    28,    29,    30,  1645,    -1,    -1,    -1,    -1,    95,
      -1,    -1,    -1,   278,    -1,    42,    -1,    -1,    45,  1624,
      -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,   293,    -1,
       1,    -1,    -1,    -1,     5,    -1,     7,    -1,    -1,    -1,
    1645,    -1,    -1,  1866,     1,    -1,   311,    -1,     5,   135,
       7,   316,    -1,   318,  1641,    -1,    27,    28,    29,    30,
    1749,    -1,    -1,   978,    -1,   288,    -1,   298,   291,   292,
      27,    28,    29,    30,    -1,   298,    -1,    -1,    -1,    -1,
      -1,  1770,    -1,    -1,    -1,   350,  2065,    -1,     1,    -1,
      -1,    -1,     5,     1,     7,    -1,    -1,     5,    -1,     7,
    2065,   366,  1791,    -1,  1927,   328,   329,    -1,  1749,    -1,
      -1,    -1,    -1,  1802,    27,    28,    29,    30,    -1,    27,
      28,    29,    30,  2102,    95,    -1,    -1,   293,    -1,  1770,
      -1,    -1,    -1,  1048,  1049,    -1,    46,  2102,   165,    -1,
      -1,    -1,     1,    -1,  1749,    -1,     5,   370,     7,  2128,
    1791,    61,    62,    -1,    -1,    -1,    -1,    -1,  2137,    -1,
      -1,  1802,   883,  2128,   135,  1770,    -1,    -1,    27,    28,
      29,    30,  2137,    -1,    -1,    -1,    -1,  1866,    -1,    38,
      -1,    -1,    -1,    -1,    -1,    -1,  1791,    -1,    -1,    48,
      -1,    -1,    -1,   279,    53,    -1,    55,  1802,    57,    -1,
     366,   111,    -1,  1790,  1791,  1792,  1793,   115,    -1,    -1,
     931,   121,    -1,    -1,    -1,  1802,    -1,   127,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1866,    -1,     1,    -1,    -1,
      -1,     5,    -1,     7,  2213,    -1,   314,   315,  1927,    -1,
      -1,   151,  2065,  1830,  1831,  1832,    -1,    -1,  2213,    -1,
      -1,    -1,    -1,    27,    28,    29,    30,    -1,    -1,    -1,
      -1,  1866,    -1,     1,   350,    39,   293,     5,    -1,     7,
      -1,    -1,   350,    -1,   995,   996,   997,   998,   999,  2102,
     366,  1002,    -1,    -1,    -1,    -1,  1927,  2266,   366,    27,
      28,    29,    30,    -1,    -1,    -1,   113,   114,    -1,    -1,
      -1,  2266,    -1,    41,    -1,  2128,   165,  1028,   279,    -1,
     127,  2290,    -1,    -1,  2137,    -1,    -1,     1,   135,    -1,
      -1,     5,  1927,     7,    -1,  2290,  1047,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   151,    -1,    -1,    -1,   295,   366,
      -1,    -1,    -1,    27,    28,    29,    30,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    -1,    95,    -1,    -1,
      98,   114,   115,    -1,   117,    -1,  1281,    -1,    -1,    -1,
    1285,   279,    -1,    -1,    -1,    -1,  2065,   115,    -1,   350,
    1295,  1296,  1297,   136,    -1,  1300,    -1,  1302,    -1,    -1,
    2213,   144,   145,   350,   147,   366,    -1,    -1,    -1,   312,
      -1,    -1,    -1,    -1,   157,   158,   159,    -1,    -1,   366,
    1325,    -1,    -1,  2102,    -1,    -1,    -1,    -1,    -1,   278,
      -1,    -1,    -1,    -1,  2065,    -1,    -1,   165,    -1,    -1,
      -1,  2018,  2019,  2020,   293,    -1,    -1,   350,    -1,  2128,
      -1,    -1,   350,  2266,    -1,    -1,    -1,  1362,  2137,  1364,
      -1,    -1,   311,   366,    -1,    -1,  1371,   316,   366,   318,
    2065,  2102,   279,   280,   281,   282,     1,  2290,    -1,    -1,
       5,  1386,     7,  1388,    -1,    -1,    -1,    -1,   295,   296,
     297,    -1,  1397,    -1,  1399,    -1,    -1,  2128,    -1,    -1,
      -1,   350,    27,    28,    29,    30,  2137,  2102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      48,   110,    50,  2128,  2213,    53,    54,    55,    -1,    57,
      -1,    -1,  2137,    61,    62,    -1,    -1,    -1,   127,    -1,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,   293,   136,    -1,    -1,   148,
     298,    -1,   151,    -1,    -1,   145,    -1,   156,    -1,    -1,
      -1,   160,  2213,   311,   163,   164,   350,  2266,   316,   168,
      -1,   161,   171,   111,   173,   165,    -1,    -1,    -1,   169,
     170,    -1,   366,   121,   174,   175,   176,   177,   178,   127,
      -1,  2290,    -1,    -1,    -1,    -1,    -1,    -1,  2213,   198,
       1,   295,   350,    -1,     5,   204,     7,    -1,    -1,    -1,
      -1,    -1,    -1,   151,    -1,  2266,    -1,    -1,   366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    27,    28,    29,    30,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2290,
      41,    -1,    -1,    -1,    -1,    -1,  1377,  1378,  1379,  1380,
    1381,  2266,  1383,  1384,    -1,    -1,   350,  1582,  1583,    -1,
      -1,  1392,  1393,    -1,    -1,    -1,    -1,    -1,  2265,  2266,
    2267,  2268,   366,    -1,    -1,  2290,  2273,  2274,  2275,  2276,
      -1,    -1,    -1,    24,    -1,  1610,    -1,    -1,    -1,    90,
      91,    92,    93,    -1,    95,    -1,    -1,    98,    39,    -1,
      -1,  1626,  1433,  1434,  1435,  1436,  1437,  1438,  1439,  1440,
    1441,  1442,  1443,    -1,   115,  2312,  2313,  2314,    -1,     1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,
      12,    13,    14,    15,    16,    17,    -1,  1662,    20,    39,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1679,   293,  1681,    -1,    -1,    -1,
      -1,    -1,    -1,   104,   165,    -1,    -1,   312,    -1,    -1,
      -1,    -1,    -1,   311,    -1,    -1,    -1,    -1,   316,    -1,
     318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    73,    -1,    -1,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    -1,   104,   350,    88,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   366,   104,    -1,    -1,    -1,   108,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   176,    -1,   119,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   133,   134,   135,   136,   137,    -1,   139,   140,    -1,
      -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,   151,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   278,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   293,    -1,    -1,    -1,    -1,   298,  1629,    -1,
       1,   113,   114,    -1,     5,   117,     7,    -1,    -1,    -1,
     311,    -1,  1643,    -1,    -1,   316,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,    27,    28,    29,    30,
      -1,    -1,    -1,    -1,  1859,    -1,    -1,    -1,    -1,    -1,
      41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1693,    -1,    -1,   366,   178,  1892,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1711,  1712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    -1,    95,    -1,  1921,    98,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,     1,
      -1,    -1,    -1,     5,    -1,     7,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    24,    -1,    -1,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    36,    37,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    45,   165,    -1,    -1,    -1,    -1,    -1,
      -1,    53,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    64,    -1,    -1,    -1,    68,    -1,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    -1,    -1,    -1,    -1,    -1,
     110,    -1,   112,    95,    -1,    -1,   116,    99,    -1,   101,
      -1,   121,   104,   105,   106,   107,    -1,   127,   110,    -1,
     112,    -1,    -1,   115,   116,    -1,    -1,    -1,    -1,   121,
      -1,    -1,    -1,   143,    -1,   127,    -1,    -1,   148,    -1,
      -1,   151,    -1,    -1,    -1,    -1,   156,    -1,    -1,    -1,
     160,   143,    -1,   163,   164,   165,   148,    -1,   168,   151,
      -1,   171,    -1,   173,   156,  2100,    -1,   278,   160,    -1,
      -1,   163,   164,   165,    -1,    -1,   168,    -1,    -1,   171,
      -1,   173,   293,    -1,    -1,    -1,    -1,   298,   198,    -1,
     200,    -1,    -1,    -1,   204,   487,    -1,    -1,    -1,    -1,
     311,    -1,   494,    -1,    -1,   316,   198,   199,    -1,   201,
     202,   203,   204,   505,    -1,   507,    -1,   509,    -1,   511,
      -1,    -1,    -1,    -1,   516,    -1,    -1,    -1,   520,   521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,   350,
      -1,   533,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   543,    -1,    -1,    -1,   366,   248,   249,    -1,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,    -1,    -1,   278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,    -1,    -1,    -1,    -1,   298,    -1,    -1,    -1,
      -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,   311,
      -1,    -1,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,   331,
      -1,    -1,    -1,   335,    -1,    -1,    91,   339,   340,   341,
      -1,    -1,    -1,   345,   346,    -1,    -1,     1,   350,    -1,
      -1,     5,   354,     7,  2105,   357,   358,    -1,   113,   114,
      -1,   363,   117,   365,   366,   367,    -1,    -1,   370,    -1,
      24,    -1,    -1,    27,    28,    29,    30,    31,    32,    -1,
     135,    -1,    36,    37,    38,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      64,    -1,    -1,    -1,    68,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,   192,    -1,    -1,
      -1,    95,    -1,    -1,    -1,    99,    -1,   101,    -1,    -1,
     104,   105,   106,   107,    -1,    -1,   110,    -1,   112,    -1,
      -1,   115,   116,    -1,    -1,    -1,    -1,   121,    -1,    -1,
      -1,    -1,    -1,   127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,   148,    -1,    -1,   151,    -1,    -1,
     255,    -1,   156,    -1,    -1,    -1,   160,    -1,    -1,   163,
     164,   165,    -1,    -1,   168,    -1,    -1,   171,    -1,   173,
      -1,    -1,    -1,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,    -1,   198,   199,    -1,   201,   202,   203,
     204,     1,    -1,    -1,    -1,     5,    -1,     7,    -1,    -1,
      -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    27,    28,    29,
      30,    -1,    -1,    -1,    -1,   239,   240,   241,   242,    -1,
      -1,    41,    -1,    -1,   248,   249,    -1,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,    -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,
      -1,    91,    92,    93,   298,    95,    -1,    -1,    98,    -1,
      -1,   305,    -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,
      -1,    -1,   316,    -1,    -1,   115,    -1,    -1,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,
      -1,   335,    -1,    -1,    -1,   339,   340,   341,    -1,    -1,
      -1,   345,   346,    -1,    -1,     1,   350,    -1,    -1,     5,
     354,     7,    -1,   357,   358,    -1,    -1,    -1,    -1,   363,
      -1,   365,   366,   367,    -1,   165,   370,    -1,    24,    -1,
      -1,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      36,    37,    38,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    64,    -1,
      -1,    -1,    68,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,
      -1,    -1,    -1,    99,    -1,   101,    -1,    -1,   104,   105,
     106,   107,    -1,  1105,   110,    -1,   112,    -1,    -1,   115,
     116,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,
      -1,   127,    -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,   148,   293,    -1,   151,   183,    -1,   298,    -1,
     156,    -1,    -1,    -1,   160,    -1,    -1,   163,   164,   165,
      -1,   311,   168,    -1,    -1,   171,   316,   173,    -1,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,    -1,    -1,    -1,
      -1,    -1,   198,   199,    -1,   201,   202,   203,   204,     1,
     350,    -1,    -1,     5,    -1,     7,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    27,    28,    29,    30,    -1,
      -1,    -1,    -1,   239,   240,   241,   242,    -1,    -1,    41,
      -1,    -1,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
      -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    91,
      92,    93,   298,    95,    -1,    -1,    98,    -1,    -1,   305,
      -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,    -1,    -1,
     316,    -1,    -1,   115,    -1,    -1,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,    -1,   335,
      -1,    -1,    -1,   339,   340,   341,    -1,    -1,    -1,   345,
     346,    -1,    -1,     1,   350,    -1,    -1,     5,   354,     7,
      -1,   357,   358,    -1,    -1,    -1,    -1,   363,    -1,   365,
     366,   367,    -1,   165,   370,    -1,    24,    -1,    -1,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    36,    37,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    53,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    64,    -1,    -1,    -1,
      68,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,
      -1,    99,    -1,   101,    -1,    -1,   104,   105,   106,   107,
      -1,    -1,   110,    -1,   112,    -1,    -1,   115,   116,    -1,
       1,    -1,    -1,   121,     5,    -1,     7,    -1,    -1,   127,
      -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    27,    28,    29,    30,
     148,   293,    -1,   151,    -1,    -1,   298,    -1,   156,    -1,
      41,    -1,   160,    -1,    -1,   163,   164,   165,    -1,   311,
     168,    -1,    -1,   171,   316,   173,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     198,   199,    -1,   201,   202,   203,   204,    -1,   350,    -1,
      91,    92,    93,    -1,    95,    -1,    -1,    98,    -1,    -1,
      -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,
      -1,   239,   240,   241,   242,    -1,    -1,    -1,    -1,    -1,
     248,   249,    -1,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,    -1,    -1,
     278,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,
     298,    -1,    -1,    -1,    -1,    -1,    -1,   305,    -1,    -1,
      -1,    -1,    -1,   311,    -1,    -1,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,    -1,   335,    -1,    -1,
      -1,   339,   340,   341,     5,    -1,     7,   345,   346,    -1,
      -1,    -1,   350,    -1,    -1,    -1,   354,    -1,    -1,   357,
     358,    -1,    -1,    24,    -1,   363,    -1,   365,   366,   367,
      31,    32,   370,    -1,    -1,    36,    37,    38,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    53,    -1,    -1,    -1,    -1,   278,    -1,    -1,
      -1,    -1,    63,    64,    -1,    -1,   105,    68,    -1,    -1,
      71,    -1,   293,    -1,    -1,    -1,    -1,   298,    -1,    80,
      81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,    -1,
     311,    -1,    -1,   132,    -1,   316,   135,    -1,    99,    -1,
     101,    -1,    -1,   104,   105,   106,   107,    -1,    -1,   110,
      -1,   112,    -1,   152,    -1,   116,    -1,    -1,    -1,    -1,
     121,    -1,    -1,    -1,    -1,    -1,   127,    -1,    -1,   350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,   366,    -1,   148,    -1,    -1,
     151,    -1,    -1,    -1,    -1,   156,    -1,    -1,    -1,   160,
      -1,    -1,   163,   164,    -1,    -1,    -1,   168,    -1,    -1,
     171,    -1,   173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,    -1,   239,   240,
     241,   242,    -1,    -1,    -1,    -1,    -1,   248,   249,    -1,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,    -1,    -1,   278,    -1,   318,
      -1,     6,    -1,   322,   323,    -1,   113,   114,    -1,    -1,
     117,    -1,   293,   332,    -1,    -1,    -1,   298,    -1,    24,
      -1,    -1,    -1,    -1,   305,    -1,    -1,    32,   135,    -1,
     311,    -1,    37,    -1,    -1,   316,    -1,    -1,    -1,   358,
      -1,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
     331,    -1,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,    -1,    -1,    -1,   345,   346,    71,    -1,    -1,    -1,
      -1,    -1,    77,   354,    -1,    -1,   357,   358,    -1,    -1,
      -1,    86,   363,    88,   365,   366,   367,    -1,    -1,   370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,
     105,   106,   107,    -1,    -1,   110,    -1,   112,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,
      -1,    -1,   127,    -1,    -1,    -1,   131,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,   148,    -1,    -1,   151,    -1,   255,    -1,
      -1,   156,    -1,    -1,    -1,   160,    -1,    -1,   163,   164,
      -1,    -1,    -1,   168,    -1,    -1,   171,    -1,   173,    -1,
      -1,    -1,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   198,   199,    91,   201,   202,   203,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       6,   318,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
      -1,   117,    -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,
      -1,    -1,    -1,    -1,   239,    -1,    32,    -1,    -1,   135,
      -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,    -1,    -1,   278,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    77,    -1,   288,    -1,    -1,   291,   292,    -1,    -1,
      -1,    -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   306,    -1,    -1,    -1,    -1,    -1,    -1,   104,   105,
     106,   107,    -1,    -1,   110,    -1,   112,   322,   323,    -1,
     116,    -1,    -1,   328,   329,   121,    -1,    -1,    -1,    -1,
      -1,   127,    -1,    -1,    -1,   131,   341,    -1,    -1,    -1,
     345,   346,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,
     355,   356,   148,   358,    -1,   151,    -1,    -1,    -1,   255,
     156,    -1,   367,    -1,   160,   370,    -1,   163,   164,    -1,
      -1,    -1,   168,    -1,    -1,   171,    -1,   173,    -1,    -1,
      -1,    -1,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,   297,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
      -1,    -1,   278,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      77,    -1,   288,    -1,    -1,   291,   292,    -1,    -1,    -1,
      -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,   105,   106,
     107,    -1,    -1,   110,    -1,   112,   322,   323,    -1,   116,
      -1,    -1,   328,   329,   121,    -1,    -1,   110,    -1,   112,
     127,    -1,   115,   116,   131,   341,    -1,    -1,   121,   345,
     346,    -1,    -1,    -1,   127,    -1,   143,    -1,    -1,   355,
     356,   148,   358,    -1,   151,    -1,    -1,    -1,    -1,   156,
     143,   367,    -1,   160,   370,   148,   163,   164,   151,    -1,
      -1,   168,    -1,   156,   171,    -1,   173,   160,    -1,    -1,
     163,   164,    -1,    -1,    -1,   168,    -1,    -1,   171,    -1,
     173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   198,    -1,   200,     6,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,
      -1,    -1,   239,    -1,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,    -1,
      -1,   278,    -1,    71,    -1,    -1,    -1,    -1,    -1,    77,
      -1,   288,    -1,    -1,   291,   292,    -1,    -1,    -1,    -1,
      -1,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,   105,   106,   107,
      -1,    -1,   110,    -1,   112,   322,   323,    -1,   116,    -1,
      -1,   328,   329,   121,    -1,    -1,   110,    -1,   112,   127,
      -1,    -1,   116,   131,   341,    -1,    -1,   121,   345,   346,
      -1,    -1,    -1,   127,    -1,   143,    -1,    -1,   355,   356,
     148,   358,    -1,   151,    -1,    -1,    -1,    -1,   156,   143,
     367,    -1,   160,   370,   148,   163,   164,   151,    -1,    -1,
     168,    -1,   156,   171,    -1,   173,   160,    -1,    -1,   163,
     164,    -1,    -1,    -1,   168,    -1,    -1,   171,    -1,   173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   198,    -1,    -1,     6,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,   239,    -1,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,    -1,    -1,
     278,    -1,    71,    -1,    -1,    -1,    -1,    -1,    77,    -1,
     288,    -1,    -1,   291,   292,    -1,    -1,    -1,    -1,    -1,
     298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   104,   105,   106,   107,    -1,
      -1,   110,    -1,   112,   322,   323,    -1,   116,    -1,    -1,
     328,   329,   121,    -1,    -1,    -1,    -1,    -1,   127,    -1,
      -1,    -1,   131,   341,    -1,    -1,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,   355,   356,   148,
     358,    -1,   151,    -1,    -1,    -1,    -1,   156,    -1,   367,
      -1,   160,   370,    -1,   163,   164,    -1,    -1,    -1,   168,
      -1,    -1,   171,    -1,   173,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      20,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,    -1,    -1,   278,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    77,    -1,   288,
      -1,    -1,   291,   292,    -1,    -1,    -1,    -1,    -1,   298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   104,   105,   106,   107,    -1,    -1,
      -1,    -1,   112,   322,   323,    -1,   116,    -1,    -1,   328,
     329,   121,    -1,    22,    -1,    -1,    -1,   127,    -1,    -1,
      -1,   131,   341,    -1,    -1,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,   143,    -1,    -1,   355,   356,   148,   358,
      -1,   151,    -1,    -1,    -1,    -1,   156,    -1,   367,    -1,
     160,   370,    -1,   163,   164,    -1,    -1,    -1,   168,    -1,
      -1,   171,    71,   173,    -1,    -1,    -1,    -1,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   198,    -1,
      -1,   201,    -1,    -1,   204,   104,   105,   106,   107,    -1,
      -1,    -1,    -1,   112,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,   127,    -1,
      -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,   148,
      -1,    -1,   151,    -1,    -1,    -1,    -1,   156,    -1,    -1,
      -1,   160,    -1,    -1,   163,   164,    -1,    -1,    -1,   168,
      -1,    -1,   171,    -1,   173,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,
      -1,   291,   292,    -1,    -1,    -1,    -1,    22,   298,   198,
      -1,    -1,   201,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,   329,
      -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    77,    -1,    -1,   355,   356,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   365,    -1,   367,    -1,    -1,
     370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,
     105,   106,   107,    -1,    -1,    -1,    -1,   112,    -1,   288,
      -1,   116,   291,   292,    -1,    -1,   121,    -1,    -1,   298,
      -1,    -1,   127,    -1,    23,    24,   131,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,   148,    -1,    -1,   151,    -1,    -1,   328,
     329,   156,   331,    -1,    -1,   160,    -1,    -1,   163,   164,
      -1,    -1,    -1,   168,    -1,    -1,   171,    -1,   173,    -1,
      -1,    -1,    71,    -1,    -1,    -1,   355,   356,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,   367,    -1,
      -1,   370,    -1,   198,    -1,    -1,   201,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,   104,   105,   106,   107,    -1,
      -1,    -1,    -1,   112,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,   127,    -1,
      -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,   148,
      -1,    -1,   151,    -1,    -1,    -1,    -1,   156,    -1,    -1,
      -1,   160,    -1,    -1,   163,   164,    -1,    -1,    -1,   168,
      -1,    -1,   171,    -1,   173,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,   291,   292,    -1,    -1,
      -1,    -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,   198,
      -1,    -1,   201,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   328,   329,    -1,   331,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     355,   356,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,
      -1,    -1,   367,    31,    32,   370,    -1,    -1,    36,    37,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    53,    -1,    -1,    -1,   288,
      -1,    -1,   291,   292,    -1,    63,    64,    -1,    -1,   298,
      68,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
     329,    99,   331,   101,    -1,    -1,   104,   105,   106,   107,
      -1,    -1,   110,    -1,   112,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,   121,    -1,    -1,   355,   356,    -1,   127,
      -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,   367,    -1,
      -1,   370,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
     148,    -1,    -1,   151,    -1,    -1,    -1,    -1,   156,    -1,
      -1,    -1,   160,    -1,    -1,   163,   164,    -1,    -1,    -1,
     168,    -1,    -1,   171,    -1,   173,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    38,    -1,
      -1,    -1,    -1,    43,    -1,    -1,    46,    47,    48,    49,
      -1,    -1,    52,    53,    -1,    55,    56,    57,    -1,    59,
      -1,   239,   240,   241,   242,    -1,    -1,    -1,    -1,    -1,
     248,   249,    -1,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,    -1,    99,
     278,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   293,    -1,    24,    -1,    -1,
     298,    -1,    -1,    -1,    31,    32,    -1,   305,    -1,    -1,
      37,    38,    -1,   311,    -1,    -1,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,    -1,   335,    -1,    -1,
      -1,   339,   340,   341,    -1,    -1,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,   357,
     358,    88,    -1,    -1,    -1,   363,    -1,   365,    -1,   367,
      -1,    -1,   370,    -1,    -1,    -1,    -1,   104,   105,   106,
     107,    -1,    -1,   110,    -1,   112,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,
     127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,   148,    -1,    -1,   151,    -1,    -1,    -1,    -1,   156,
      -1,    -1,    -1,   160,    -1,    -1,   163,   164,    -1,    -1,
      -1,   168,    -1,    -1,   171,    -1,   173,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   198,   199,   293,   201,   202,   203,   204,    -1,    -1,
     300,   301,   302,   303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   311,    -1,    -1,    -1,    -1,   316,    -1,   318,   319,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,   240,   241,   242,    -1,    -1,    -1,    -1,
      -1,   248,   249,    -1,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,    -1,
      -1,   278,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,   293,    -1,    -1,    37,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   311,    -1,    -1,    -1,    -1,   316,
      -1,   318,    -1,    -1,    -1,   322,   323,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,   335,    77,
      -1,    -1,    -1,    -1,   341,    -1,    -1,    -1,   345,   346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     357,   358,    -1,    -1,    -1,    -1,   104,   105,   106,   107,
     367,    -1,   110,   370,   112,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,   127,
      -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
     148,    -1,    -1,   151,    -1,    -1,    -1,    -1,   156,    -1,
      -1,    -1,   160,    -1,    -1,   163,   164,    -1,    -1,    -1,
     168,    -1,    -1,   171,    -1,   173,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,   239,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,    -1,    -1,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     288,    -1,    -1,   291,   292,    -1,    -1,    -1,    -1,    -1,
     298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   104,   105,   106,   107,    -1,
      -1,   110,    -1,   112,   322,   323,    -1,   116,    -1,    -1,
     328,   329,   121,    -1,    -1,    -1,    -1,    -1,   127,    -1,
      -1,    -1,    -1,   341,    -1,    -1,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,   355,   356,   148,
     358,    -1,   151,    -1,    -1,    -1,    -1,   156,    -1,   367,
      -1,   160,   370,    -1,   163,   164,    -1,    -1,    -1,   168,
      -1,    -1,   171,    -1,   173,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   198,
     199,    24,   201,   202,   203,   204,    -1,    -1,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   240,   241,   242,    -1,    -1,    -1,    -1,    -1,   248,
     249,    -1,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,    -1,    -1,   278,
      -1,   104,   105,   106,   107,    -1,    -1,   110,    -1,   112,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,   121,    -1,
      -1,    -1,    -1,    -1,   127,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,   322,   323,   148,    -1,    -1,   151,    -1,
      -1,    -1,    -1,   156,    -1,    -1,    -1,   160,    -1,    -1,
     163,   164,   341,    -1,    -1,   168,   345,   346,   171,    -1,
     173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,   358,
      -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,   367,    -1,
      -1,   370,    -1,    -1,    -1,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
      -1,    -1,    -1,    -1,    -1,   248,   249,    -1,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,    71,    -1,   278,    -1,    -1,    -1,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,   105,   106,   107,
      -1,    -1,    -1,    -1,   112,    -1,    -1,    -1,   116,   322,
     323,    -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,   127,
      -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,   341,    -1,
      -1,    -1,   345,   346,    -1,   143,    -1,    -1,    -1,    -1,
     148,    -1,    -1,   151,   357,   358,    -1,    -1,   156,    -1,
      -1,    -1,   160,    -1,   367,   163,   164,   370,    -1,    -1,
     168,    -1,    -1,   171,    -1,   173,    -1,    -1,    -1,    -1,
      -1,     0,     1,    -1,    -1,    -1,     5,    -1,     7,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     198,    -1,    -1,   201,    -1,    -1,   204,    -1,    27,    28,
      29,    30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    38,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    46,    -1,    48,
      -1,    50,    -1,    -1,    53,    54,    55,    -1,    57,    -1,
      -1,    -1,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
     288,    -1,   111,   291,   292,    -1,    -1,    -1,    -1,    -1,
     298,    -1,   121,    71,    -1,    -1,    -1,    -1,   127,    77,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,   329,   151,   331,    -1,    -1,   104,   105,   106,   107,
      -1,    -1,    -1,    -1,   112,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,   121,    -1,    -1,    -1,   355,   356,   127,
      -1,    -1,    -1,   131,    -1,    -1,    -1,   365,    -1,   367,
      -1,    -1,   370,    -1,    -1,   143,    -1,    -1,    -1,    -1,
     148,    -1,    -1,   151,    71,    -1,    -1,    -1,   156,    -1,
      77,    -1,   160,    -1,    -1,   163,   164,    -1,    -1,    -1,
     168,    -1,    -1,   171,    -1,   173,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,   105,   106,
     107,    -1,    -1,    -1,    -1,   112,    -1,    -1,    -1,   116,
     198,    -1,    -1,   201,   121,    -1,   204,    -1,    -1,    -1,
     127,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,   278,
      -1,   148,    -1,    -1,   151,    -1,    -1,    -1,    -1,   156,
      -1,    -1,    -1,   160,   293,    -1,   163,   164,    -1,   298,
      -1,   168,    -1,    -1,   171,    -1,   173,    -1,    -1,    -1,
      -1,    -1,   311,    -1,    -1,    -1,    -1,   316,    -1,   318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   198,    -1,    -1,   201,    -1,    -1,   204,    -1,    -1,
     288,    -1,    -1,   291,   292,    -1,    -1,    -1,    -1,    -1,
     298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,   329,    -1,   331,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,   356,    -1,
      -1,    -1,   132,    -1,    -1,   135,    -1,    -1,    -1,   367,
      -1,   288,   370,    -1,   291,   292,   104,   105,   106,   107,
      -1,   298,   152,    -1,   112,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,   127,
      -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   328,   329,    -1,   331,   143,    -1,    -1,    -1,    -1,
     148,    -1,    -1,   151,    -1,    -1,    -1,    -1,   156,    -1,
      -1,    -1,   160,    -1,    -1,   163,   164,    -1,   355,   356,
     168,    -1,    -1,   171,    -1,   173,    -1,    -1,    -1,    -1,
     367,    -1,    -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     198,    -1,    -1,   201,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,
      -1,    -1,   322,   323,    -1,    -1,    -1,    -1,    -1,    -1,
     288,    -1,   332,   291,   292,    -1,    -1,    -1,    -1,    -1,
     298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,   329,    -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,   356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,    -1,   370
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   374,     0,     1,     5,     7,    27,    28,    29,    30,
      38,    46,    48,    50,    53,    54,    55,    57,    61,    62,
      63,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,   111,   121,   127,   151,   278,
     293,   311,   316,   318,   375,   431,   432,   433,   434,   515,
     516,   517,   519,   534,   375,   106,   105,   298,   511,   511,
     511,   517,   528,   517,   519,   534,   517,   522,   522,   522,
     517,   525,   434,    50,   435,    38,    46,    48,    53,    54,
      55,    57,   278,   293,   311,   316,   318,   436,    50,   437,
      38,    46,    48,    50,    53,    54,    55,    57,   278,   293,
     311,   316,   318,   442,    54,   444,    38,    43,    46,    47,
      48,    49,    52,    53,    55,    56,    57,    59,    99,   101,
     102,   103,   278,   293,   300,   301,   302,   303,   311,   316,
     318,   319,   445,    50,    51,    53,    54,    55,   293,   300,
     301,   316,   448,    46,    48,    53,    55,    59,    99,   101,
     449,    48,   450,    24,    31,    32,    37,   104,   105,   106,
     107,   110,   112,   116,   121,   127,   143,   148,   151,   156,
     160,   163,   164,   168,   171,   173,   198,   199,   201,   202,
     203,   204,   239,   240,   241,   242,   248,   249,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   278,   322,   323,   341,   345,   346,   357,   358,
     367,   370,   458,   512,   641,   642,   645,   646,   647,   651,
     715,   718,   720,   724,   729,   730,   732,   734,   744,   746,
     748,   750,   752,   754,   758,   760,   762,   764,   766,   768,
     770,   772,   774,   776,   780,   782,   784,   786,   797,   805,
     807,   809,   810,   812,   814,   816,   818,   820,   822,   824,
     826,    59,   351,   352,   353,   451,   457,    59,   452,   457,
      38,    46,    48,    50,    53,    54,    55,    57,   278,   293,
     311,   316,   318,   443,   105,   453,   454,   378,   397,   398,
      91,   285,   287,   528,   528,   528,   528,     0,   375,   511,
     511,    58,   348,   349,   531,   532,   533,    36,    38,    53,
      63,    64,    68,    71,    80,    81,    82,    83,    84,    85,
      99,   101,   254,   278,   293,   298,   305,   311,   316,   325,
     328,   329,   330,   331,   335,   339,   340,   354,   363,   365,
     538,   539,   540,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   558,   559,   560,   563,
     564,   565,   572,   576,   584,   585,   588,   589,   590,   591,
     592,   613,   614,   616,   617,   619,   620,   623,   624,   625,
     635,   636,   637,   638,   639,   640,   646,   653,   654,   655,
     656,   657,   658,   662,   663,   664,   699,   713,   718,   719,
     742,   743,   744,   787,   375,   364,   364,   375,   511,   596,
     459,   464,   538,   511,   470,   473,   641,   664,   476,   511,
     484,   519,   535,   528,   517,   519,   522,   522,   522,   525,
      91,   285,   287,   528,   528,   528,   528,   534,   441,   517,
     528,   529,   438,   515,   517,   518,   439,   517,   519,   520,
     535,   440,   517,   522,   523,   522,   522,   517,   525,   526,
      91,   285,   287,   688,   441,   441,   441,   441,   522,   528,
     447,   516,   537,   517,   537,   519,   537,    46,   537,   522,
     522,   537,   525,   537,    46,    47,   522,   537,   537,    91,
     285,   304,   688,   689,   528,    46,   537,    46,   537,    46,
     537,    46,   537,   528,   528,   528,    46,   537,   404,   535,
      46,    48,   516,   517,   519,   537,   440,   522,   440,   528,
      46,   517,   537,    46,   517,   537,   528,   416,   517,   519,
     522,   522,   537,    46,   522,   519,   105,   108,   109,   110,
     747,   113,   114,   255,   256,   259,   649,   650,    33,    34,
      35,   255,   721,   134,   652,   169,   170,   808,   113,   114,
     115,   749,   115,   117,   118,   119,   120,   751,   113,   114,
     122,   123,   124,   125,   126,   753,   113,   114,   117,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   178,   755,
     115,   117,   136,   144,   145,   146,   147,   759,   115,   136,
     149,   307,   761,   113,   114,   128,   130,   131,   132,   153,
     154,   155,   763,   114,   115,   117,   136,   144,   145,   147,
     157,   158,   159,   765,   129,   145,   154,   161,   162,   767,
     145,   162,   769,   154,   165,   166,   771,   132,   136,   169,
     170,   773,   136,   169,   170,   172,   775,   136,   145,   161,
     165,   169,   170,   174,   175,   176,   177,   178,   788,   115,
     169,   170,   178,   798,   165,   200,   748,   750,   752,   754,
     758,   760,   762,   764,   766,   768,   770,   772,   774,   776,
     777,   778,   779,   781,   797,   805,   807,   128,   135,   165,
     394,   785,   394,   115,   200,   779,   783,   136,   169,   170,
     205,   238,   806,   115,   127,   129,   147,   151,   154,   243,
     276,   277,   358,   731,   733,   813,   244,   815,   244,   817,
     165,   245,   246,   247,   819,   129,   154,   811,   117,   133,
     154,   161,   250,   251,   821,   129,   154,   823,   115,   129,
     136,   154,   161,   825,   105,   132,   135,   152,   318,   332,
     358,   716,   717,   718,   113,   114,   117,   135,   255,   279,
     280,   281,   282,   283,   284,   286,   287,   288,   289,   290,
     291,   292,   295,   296,   297,   318,   735,   736,   739,   332,
     342,   723,   658,   663,   343,   239,   248,   249,   252,   253,
     827,   361,   362,   403,   726,   657,   511,   422,   457,   352,
     402,   457,   390,   441,   438,   439,   519,   535,   440,   522,
     522,   525,   526,   688,   441,   441,   441,   441,   385,   408,
      47,    49,    51,    52,    59,    60,    93,   455,   528,   528,
     528,   382,   683,   698,   685,   687,   104,   104,   104,    86,
     731,   294,   636,   173,   511,   641,   714,   714,    63,   100,
     511,   105,   716,    91,   192,   285,   735,   736,   294,   317,
     294,   312,   294,   314,   315,   573,    86,   165,    86,    86,
     731,   105,     5,   376,   665,   666,   350,   536,   549,   430,
     464,   382,   295,   296,   561,   562,   383,   428,   165,   306,
     307,   308,   309,   310,   566,   567,   415,   326,   587,   409,
       6,    71,    77,    86,    88,   112,   116,   121,   127,   131,
     151,   239,   288,   291,   292,   298,   306,   328,   329,   355,
     356,   367,   599,   600,   601,   602,   603,   604,   605,   607,
     608,   609,   610,   611,   612,   642,   645,   651,   708,   709,
     710,   715,   720,   724,   730,   731,   732,   734,   740,   741,
     744,   423,   429,    39,    40,   188,   191,   593,   594,   409,
      86,   332,   333,   334,   615,   621,   622,   409,    86,   618,
     621,   387,   393,   414,   336,   337,   338,   626,   627,   631,
     632,    24,   641,   643,   644,    16,    17,    18,    19,   369,
       9,    25,    55,    10,    11,    12,    13,    14,    15,    20,
     112,   116,   121,   127,   143,   148,   151,   156,   160,   163,
     164,   168,   171,   173,   198,   201,   204,   331,   367,   642,
     644,   645,   659,   660,   661,   664,   700,   701,   702,   703,
     704,   705,   706,   707,   709,   710,   711,   712,    53,    53,
      23,   365,   681,   700,   701,   706,   681,    39,   365,   595,
     365,   365,   365,   365,   365,   531,   538,   596,   459,   464,
     470,   473,   476,   484,   528,   528,   528,   382,   683,   698,
     685,   687,   538,   429,    58,    58,    58,   464,    58,   473,
      58,   484,   528,   382,   405,   413,   420,   473,   429,    44,
     446,   517,   522,   537,   528,    46,   382,   517,   517,   517,
     517,   405,   413,   420,   517,   517,   519,   473,   382,   517,
     517,   413,   522,   511,   425,     8,     9,   115,   259,   260,
     648,   310,   421,   105,   128,   294,   425,   424,   389,   424,
     399,   112,   127,   112,   127,   378,   139,   140,   141,   142,
     756,   397,   424,   400,   424,   401,   398,   424,   400,   377,
     388,   380,   426,   427,    24,    39,   104,   176,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   789,   790,   791,   424,   104,   384,   422,   777,   394,
     779,   183,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   799,
     804,   418,   424,   397,   398,   403,   733,   417,   417,   371,
     417,   417,   371,   417,   396,   392,   386,   424,   407,   406,
     420,   406,   420,   113,   114,   127,   135,   151,   279,   280,
     281,   737,   738,   739,   381,   343,   343,   104,   417,   396,
     392,   386,   407,   360,   725,   368,   429,   473,   484,   528,
     382,   405,   413,   420,   456,   457,   696,   696,   696,   295,
     365,   682,   312,   365,   697,   365,   573,   684,   365,   512,
     686,     6,   127,   151,   611,    86,   611,   633,   634,   658,
     178,    24,    24,    98,   365,    53,    53,    53,   104,   314,
      53,   739,    53,   611,   105,   299,   513,   611,   314,   315,
     577,   611,   104,   628,   629,   630,   641,   645,   658,   662,
     724,   730,   631,   611,   611,    86,   512,    22,   664,   669,
     670,   671,   679,   706,   707,     8,   366,   512,   365,   104,
     104,   562,    79,   112,   127,   173,   262,   569,   512,   104,
     104,   104,   512,   568,   567,   143,   156,   173,   327,   611,
     416,   385,     6,   611,    86,   389,   399,   378,   397,   398,
     383,    86,   409,   409,   604,   642,   710,    16,    17,    18,
      19,   369,    21,    23,     9,    55,     6,   621,    86,    88,
     244,   306,     8,     8,   104,   104,   594,     6,     8,     6,
     611,   629,   641,   645,   627,     8,   511,   365,   711,   711,
     702,   703,   704,   657,   365,   555,   643,   701,   397,   400,
     398,   400,   377,   388,   380,   426,   427,   422,   384,   394,
     418,   409,   706,     8,    21,    16,    17,    18,    19,   369,
       8,    21,    23,     9,   700,   701,   706,   611,   611,   104,
     366,   375,    21,   375,   104,   499,   429,   463,   465,   472,
     481,   485,   595,   365,   365,   365,   365,   365,   696,   696,
     696,   682,   697,   684,   686,   104,   104,   104,   365,   104,
     104,   365,   696,   105,   381,   517,   104,   650,   424,   391,
     104,   411,   411,   389,   397,   389,   397,   115,   132,   137,
     138,   244,   397,   757,   379,    98,   795,   192,   793,   197,
     796,   195,   196,   794,   193,   194,   792,   132,   384,   228,
     232,   233,   234,   803,   223,   224,   225,   226,   801,   227,
     228,   229,   230,   231,   802,   802,   232,   235,   235,   236,
     237,   236,   115,   132,   165,   800,   419,   417,   104,   104,
     113,   114,   113,   114,   381,   381,   104,   104,   344,   722,
     104,   162,   359,   727,   731,   365,   696,   365,   365,   365,
     104,   492,   382,   577,   497,   405,   493,   104,   413,   498,
     420,   611,     6,     6,   611,   429,   643,    91,    94,   536,
     672,   674,    39,   176,   181,   191,   790,   791,   512,   512,
     104,   658,   667,   668,   611,   611,   611,   381,   104,   611,
      53,   611,   382,   405,   104,   579,   581,   582,   413,   105,
     296,   574,    23,   414,    86,   336,    44,   611,   376,     6,
     376,   278,   293,   298,   311,   316,   676,   677,    91,    94,
     536,   675,   678,   376,   666,   466,   389,   150,   145,   150,
     570,   571,   105,   115,   586,   645,   115,   586,   422,   115,
     586,   611,     6,   611,   611,   368,   599,   599,   600,   601,
     602,   104,   604,   599,   606,   643,   664,   611,   611,    86,
       9,    86,   642,   710,   740,   740,   611,   622,   611,   621,
     632,   379,   633,   376,   556,   557,   368,   706,   700,   706,
     711,   711,   702,   703,   704,   706,   104,   700,   706,   661,
     706,    21,    21,   104,    40,   375,   366,   375,   431,   536,
     595,    38,    48,    53,    55,    57,   165,   278,   293,   311,
     316,   318,   366,   375,   431,   460,   536,    45,    95,   115,
     165,   366,   375,   431,   501,   507,   508,   536,   538,    41,
      90,    91,    92,    93,    95,    98,   115,   165,   278,   293,
     311,   316,   366,   375,   431,   471,   482,   536,   541,   548,
      41,    91,    92,    93,   115,   165,   366,   375,   431,   482,
     536,   541,    42,    45,   165,   293,   366,   375,   431,   429,
     463,   465,   472,   481,   485,   365,   365,   365,   382,   405,
     413,   420,   465,   485,   381,   381,     8,   421,   424,   397,
     791,   424,   418,   372,   372,   397,   397,   398,   398,   722,
     347,   722,   104,   395,   403,   113,   114,   728,   485,   381,
     495,   496,   494,   296,   366,   375,   431,   536,   682,   579,
     581,   366,   375,   431,   536,   697,   366,   375,   431,   536,
     684,   574,   366,   375,   431,   536,   686,   611,   611,     6,
     513,   513,   674,   422,   379,   379,   365,   549,   672,   406,
     406,   381,   381,   381,   611,   381,    21,   105,   296,   313,
     578,   313,   580,    21,   317,   575,   628,   641,   645,   630,
     629,   611,    44,    83,    84,   680,   707,   713,   192,   295,
     382,   317,   312,   573,   677,   105,   673,   513,   676,   678,
     366,   375,   538,   397,     8,   422,   586,   586,    71,   586,
     611,     6,   611,   167,   611,   621,   621,     6,   366,   541,
     669,     8,   366,   700,   700,   104,    40,   429,   511,   530,
     511,   521,   511,   524,   524,   511,   527,   105,   461,   462,
      91,   285,   287,   530,   530,   530,   530,   375,   364,    80,
      81,   509,   510,   641,   424,   100,   375,   375,   375,   375,
     375,   469,   646,   513,   513,   364,    96,    97,   483,   104,
     105,   130,   131,   255,   275,   276,   489,   490,   500,    87,
      88,    89,    91,   474,   475,   375,   375,   375,   375,   548,
     469,   513,   513,   364,   490,   474,   375,   375,   375,   105,
     364,   100,   382,   366,   366,   366,   366,   366,   495,   496,
     494,   366,   366,   104,   745,     8,   410,   104,   395,   403,
     366,    95,   135,   279,   366,   375,   431,   536,   694,    91,
      98,   135,   170,   279,   366,   375,   431,   536,   695,   115,
     279,   366,   375,   431,   536,   691,   104,   382,   578,   580,
     405,   413,   575,   420,   611,   667,   366,   381,   320,   321,
     322,   323,   324,   583,   104,   405,   104,   582,   405,   583,
     104,   413,   414,   414,   611,   376,   104,   314,   104,   299,
     513,   577,   104,   375,   571,   424,   424,   416,   424,   611,
      86,   633,     6,   366,     6,   376,   557,   191,   597,   104,
     491,   464,   470,   476,   484,     8,   530,   530,   530,   491,
     491,   491,   491,   365,   486,   641,   412,   105,     9,   375,
     375,   473,   412,     9,   424,     8,   375,     6,   375,   375,
     473,     6,   375,   152,   502,   486,   375,   366,   366,   366,
     379,   104,   722,   364,   168,   173,   690,   516,   381,   513,
     104,   690,   104,   516,   381,   106,   516,   381,   549,   295,
     105,   574,   381,   104,   296,   383,   383,   579,   581,   574,
     400,   400,   611,   366,   633,   713,   188,   598,   375,   365,
     365,   365,   365,   365,   462,   491,   491,   491,   365,   365,
     365,   365,   105,   106,   487,   488,   641,   375,    42,   646,
     489,   475,    38,    88,   278,   293,   311,   316,   318,   335,
     467,   468,   469,   478,   479,   646,    88,   478,   480,    23,
     104,   105,   362,   503,   504,   505,   641,   375,   375,   381,
     381,   381,     8,   395,   365,   426,   422,   375,   375,   375,
     375,   375,   375,   375,   135,   375,   366,   381,   104,   578,
     580,   575,   366,   376,   597,   499,   465,   472,   481,   485,
     365,   365,   365,   492,   497,   493,   498,     8,   366,   105,
     429,   469,    91,   285,   477,   382,   405,   413,   420,   375,
       9,   375,   375,   490,   104,    23,    26,   745,   105,   692,
     693,   690,   382,   405,   405,   413,   598,   366,   366,   366,
     366,   366,   495,   496,   494,   366,   366,   366,   366,   376,
     488,    44,    45,   506,   381,   646,   424,   375,   104,   104,
       6,     8,   366,   375,   375,   375,   375,   375,   375,   366,
     366,   366,   375,   375,   375,   375,   512,   641,   364,   502,
     424,   104,   513,   514,   693,   375,   424,   429,   375,   375,
     375,   382,   405,   413,   420,   486,   412,   381,   381,   381
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   373,   374,   374,   375,   375,   376,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   431,   431,   431,   431,   432,   432,   432,
     432,   433,   433,   433,   433,   433,   433,   433,   433,   433,
     433,   433,   433,   433,   433,   433,   433,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   435,   436,   436,   436,   436,   436,   436,   436,   436,
     436,   436,   436,   436,   436,   436,   436,   436,   436,   437,
     438,   438,   439,   439,   440,   440,   441,   441,   442,   442,
     442,   442,   442,   442,   442,   442,   442,   442,   442,   442,
     442,   442,   442,   442,   443,   443,   443,   443,   443,   443,
     443,   443,   443,   443,   443,   443,   443,   443,   443,   444,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   446,   447,   447,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   448,   448,
     448,   448,   448,   448,   449,   449,   449,   449,   449,   449,
     449,   450,   451,   451,   452,   452,   453,   454,   454,   455,
     455,   455,   455,   455,   455,   455,   455,   456,   456,   457,
     457,   457,   458,   459,   460,   460,   461,   461,   462,   463,
     463,   463,   463,   463,   463,   463,   463,   463,   463,   463,
     463,   463,   463,   463,   463,   464,   465,   465,   465,   465,
     465,   465,   465,   465,   465,   466,   466,   466,   467,   467,
     468,   468,   468,   469,   469,   470,   471,   471,   472,   472,
     472,   472,   472,   472,   472,   472,   472,   472,   472,   472,
     473,   473,   474,   474,   475,   475,   475,   475,   476,   477,
     477,   478,   478,   478,   478,   478,   479,   479,   480,   480,
     481,   481,   481,   481,   481,   481,   481,   481,   481,   481,
     481,   481,   481,   481,   482,   482,   483,   483,   484,   485,
     485,   485,   485,   485,   485,   485,   486,   486,   487,   487,
     487,   488,   488,   488,   489,   489,   490,   490,   491,   492,
     492,   492,   492,   492,   493,   493,   493,   493,   493,   494,
     494,   494,   494,   494,   495,   495,   495,   495,   495,   496,
     496,   496,   496,   496,   497,   497,   497,   497,   497,   498,
     498,   498,   498,   498,   499,   499,   499,   499,   499,   500,
     500,   500,   500,   500,   501,   502,   503,   503,   504,   504,
     504,   504,   504,   505,   505,   506,   506,   506,   506,   507,
     508,   509,   509,   510,   510,   511,   511,   512,   512,   512,
     513,   514,   514,   515,   515,   516,   516,   516,   516,   516,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   534,
     534,   534,   535,   536,   537,   537,   538,   538,   539,   540,
     540,   541,   541,   542,   543,   544,   545,   546,   546,   547,
     547,   547,   547,   547,   548,   548,   548,   548,   548,   549,
     549,   549,   549,   549,   549,   549,   549,   549,   549,   549,
     549,   549,   549,   549,   549,   549,   549,   549,   549,   549,
     549,   549,   550,   551,   551,   552,   553,   553,   554,   555,
     555,   556,   556,   556,   557,   558,   558,   559,   559,   560,
     561,   561,   562,   562,   563,   563,   563,   564,   564,   565,
     566,   566,   567,   567,   567,   567,   567,   567,   568,   569,
     569,   569,   569,   569,   570,   570,   571,   571,   572,   572,
     573,   573,   573,   574,   574,   575,   575,   576,   577,   577,
     577,   578,   578,   579,   580,   580,   581,   581,   582,   582,
     583,   583,   583,   583,   583,   584,   585,   586,   586,   587,
     587,   587,   587,   587,   587,   587,   587,   588,   589,   589,
     590,   590,   590,   590,   590,   590,   591,   591,   592,   593,
     593,   594,   594,   594,   594,   595,   595,   596,   597,   597,
     598,   598,   599,   599,   599,   599,   599,   599,   599,   599,
     599,   599,   599,   599,   599,   600,   600,   600,   601,   601,
     602,   602,   603,   603,   604,   605,   605,   606,   606,   607,
     607,   608,   609,   610,   610,   611,   611,   611,   612,   612,
     612,   612,   612,   612,   612,   612,   612,   612,   612,   612,
     612,   612,   613,   613,   614,   615,   615,   615,   616,   616,
     617,   618,   618,   618,   618,   618,   619,   619,   620,   620,
     621,   621,   622,   622,   622,   623,   623,   623,   623,   624,
     624,   625,   626,   626,   627,   627,   628,   628,   629,   629,
     629,   630,   630,   630,   630,   631,   631,   632,   632,   633,
     633,   634,   635,   635,   635,   636,   636,   636,   637,   637,
     638,   639,   639,   640,   641,   642,   642,   643,   643,   644,
     645,   646,   646,   646,   646,   646,   646,   646,   646,   646,
     646,   646,   646,   646,   646,   646,   647,   648,   648,   648,
     649,   649,   649,   649,   649,   650,   650,   651,   651,   652,
     652,   653,   653,   653,   654,   654,   655,   655,   656,   656,
     657,   658,   658,   659,   660,   661,   661,   662,   663,   663,
     663,   664,   665,   665,   665,   666,   666,   666,   667,   667,
     668,   669,   669,   669,   670,   670,   671,   671,   672,   672,
     673,   674,   674,   674,   675,   675,   676,   676,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   678,   678,   678,
     679,   680,   680,   681,   681,   681,   681,   682,   683,   684,
     685,   686,   687,   688,   688,   688,   689,   689,   689,   690,
     690,   691,   691,   692,   692,   693,   694,   694,   694,   695,
     695,   695,   695,   695,   696,   697,   697,   698,   699,   699,
     699,   699,   699,   699,   699,   699,   700,   700,   701,   701,
     701,   702,   702,   702,   703,   703,   704,   704,   705,   705,
     706,   707,   707,   707,   707,   708,   708,   709,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   711,   711,   711,   711,   711,   711,   711,   711,
     711,   711,   711,   711,   711,   711,   711,   711,   711,   711,
     712,   712,   712,   712,   712,   712,   712,   713,   713,   713,
     713,   713,   713,   714,   714,   715,   715,   715,   716,   716,
     717,   717,   717,   717,   717,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   719,
     719,   719,   719,   719,   719,   720,   720,   721,   721,   721,
     722,   722,   723,   723,   724,   725,   725,   726,   726,   727,
     727,   728,   728,   729,   729,   730,   730,   730,   731,   731,
     732,   732,   733,   733,   733,   733,   734,   734,   734,   735,
     735,   736,   736,   736,   736,   736,   736,   736,   736,   736,
     736,   736,   736,   736,   736,   736,   736,   736,   737,   737,
     737,   737,   737,   737,   737,   738,   738,   738,   738,   739,
     739,   739,   739,   740,   740,   741,   741,   742,   742,   743,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   744,   745,   746,   747,   747,   747,   747,   748,   749,
     749,   749,   750,   751,   751,   751,   751,   751,   752,   753,
     753,   753,   753,   753,   753,   753,   753,   753,   754,   754,
     754,   755,   755,   755,   755,   755,   755,   755,   755,   755,
     755,   755,   755,   756,   756,   756,   756,   757,   757,   757,
     757,   757,   758,   759,   759,   759,   759,   759,   759,   759,
     760,   761,   761,   761,   761,   762,   763,   763,   763,   763,
     763,   763,   763,   763,   763,   764,   765,   765,   765,   765,
     765,   765,   765,   765,   765,   765,   766,   767,   767,   767,
     767,   767,   768,   769,   769,   770,   771,   771,   771,   772,
     773,   773,   773,   773,   774,   775,   775,   775,   775,   776,
     776,   776,   776,   777,   777,   777,   777,   777,   777,   777,
     777,   777,   777,   777,   777,   777,   777,   778,   778,   778,
     779,   779,   780,   780,   781,   781,   782,   782,   783,   783,
     784,   784,   785,   785,   785,   786,   787,   788,   788,   788,
     788,   788,   788,   788,   788,   788,   788,   789,   789,   789,
     789,   789,   789,   790,   790,   790,   790,   790,   791,   791,
     791,   791,   791,   791,   791,   791,   791,   791,   791,   791,
     792,   792,   793,   794,   794,   795,   796,   797,   797,   798,
     798,   798,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     800,   800,   800,   801,   801,   801,   801,   802,   802,   802,
     802,   802,   803,   803,   803,   803,   804,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   805,   805,
     806,   806,   806,   806,   807,   808,   808,   809,   809,   809,
     809,   809,   809,   809,   809,   810,   811,   811,   812,   813,
     813,   813,   813,   814,   815,   816,   817,   818,   819,   819,
     819,   819,   820,   821,   821,   821,   821,   821,   821,   822,
     823,   823,   824,   825,   825,   825,   825,   825,   826,   827,
     827,   827,   827,   827
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     3,     5,     5,     3,     2,     1,     1,     2,
       2,     1,     2,     2,     2,     2,     2,     2,     3,     3,
       2,     2,     3,     3,     3,     2,     3,     2,     6,     2,
       6,     3,     2,     6,     6,     3,     6,     3,     5,     7,
       5,     7,     8,     8,     8,     5,     7,     5,     7,     5,
       7,     3,     2,     6,     2,     6,     6,     6,     3,     6,
       3,     5,     5,     8,     8,     8,     5,     5,     5,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       6,     2,     2,     2,     3,     2,     2,     6,     3,     3,
       5,     3,     3,     3,     2,     2,     2,     2,     2,     3,
       2,     2,     6,     3,     3,     5,     3,     3,     3,     3,
       2,     2,     2,     2,     2,     3,     2,     2,     3,     3,
       2,     3,     3,     2,     3,     3,     2,     3,     3,     2,
       3,     3,     2,     3,     3,     2,     2,     2,     2,     2,
       2,     4,     5,     2,     2,     1,     2,     2,     2,     3,
       3,     2,     3,     2,     3,     2,     2,     3,     2,     3,
       2,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     3,     2,     1,     2,     1,     3,     0,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     2,     1,     0,     2,     1,     1,     3,     1,     0,
       2,     2,     3,     8,     8,     8,     8,     9,     9,    10,
      10,    10,     9,     9,     9,     0,     0,     2,     2,     3,
       3,     3,     3,     5,     3,     0,     2,     3,     1,     3,
       2,     1,     1,     1,     3,     0,     2,     3,     0,     2,
       2,     3,     4,     4,     4,     3,     4,     2,     3,     3,
       1,     1,     3,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     1,     0,
       0,     2,     2,     4,     4,     8,     6,     7,     6,     4,
       3,     4,     3,     3,     3,     2,     1,     1,     0,     0,
       2,     2,     5,     5,     3,     4,     3,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     3,     0,     0,
       2,     2,     2,     2,     0,     2,     2,     2,     2,     0,
       2,     2,     2,     2,     0,     2,     2,     2,     2,     0,
       2,     2,     2,     2,     0,     2,     2,     2,     2,     0,
       2,     2,     2,     2,     0,     2,     2,     2,     2,     1,
       1,     1,     1,     1,     7,     2,     1,     1,     1,     1,
       1,     3,     3,     1,     2,     2,     2,     3,     0,     2,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     2,     2,     1,     2,     1,
       1,     2,     3,     2,     3,     1,     2,     3,     1,     2,
       3,     1,     2,     3,     1,     2,     2,     2,     1,     2,
       2,     2,     2,     2,     0,     1,     1,     2,     1,     1,
       2,     1,     2,     4,     4,     4,     4,     5,     5,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     2,     2,     2,     2,     1,     1,     2,     1,     1,
       2,     1,     3,     1,     1,     5,     1,     1,     3,     3,
       1,     1,     3,     3,     5,     4,     5,     1,     2,     1,
       1,     2,     2,     2,     1,     3,     3,     1,     2,     1,
       1,     2,     2,     2,     2,     2,     2,     2,     1,     3,
       3,     1,     2,     1,     3,     1,     1,     1,     6,     6,
       1,     1,     0,     1,     1,     0,     3,     6,     1,     1,
       0,     0,     3,     3,     0,     2,     2,     3,     2,     2,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     0,
       6,     3,     6,     3,     5,     3,     5,     2,     1,     1,
       3,     4,     4,     5,     6,     5,     1,     2,     1,     1,
       2,     2,     2,     1,     1,     6,     8,     0,     0,     1,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     3,     3,     1,     3,
       1,     3,     1,     3,     1,     1,     3,     1,     1,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     2,
       3,     3,     4,     5,     2,     3,     2,     6,     4,     3,
       4,     3,     2,     1,     1,     3,     4,     1,     2,     1,
       1,     2,     3,     1,     3,     4,     3,     5,     3,     6,
       1,     3,     1,     1,     1,     2,     4,     6,     6,     1,
       2,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       2,     1,     4,     5,     6,     1,     1,     1,     7,     8,
       1,     6,     8,     1,     2,     1,     1,     1,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     4,     1,     1,     2,
       1,     1,     1,     1,     1,     3,     1,     4,     4,     0,
       2,     1,     3,     3,     1,     3,     1,     3,     1,     3,
       1,     1,     3,     3,     3,     1,     1,     3,     1,     1,
       1,     3,     1,     3,     3,     3,     3,     5,     1,     2,
       1,     1,     2,     3,     1,     1,     2,     1,     1,     2,
       1,     2,     2,     1,     1,     2,     1,     2,     2,     6,
       6,     6,     4,     5,     6,     4,     4,     2,     2,     1,
       1,     1,     1,     1,     1,     2,     2,     4,     0,     4,
       0,     1,     0,     1,     1,     1,     1,     1,     1,     2,
       2,     6,     3,     1,     3,     3,     3,     7,     3,     3,
       3,     3,     3,     3,     0,     4,     4,     0,     2,     2,
       4,     4,     5,     5,     3,     3,     3,     3,     1,     1,
       1,     1,     3,     3,     1,     3,     1,     3,     1,     3,
       1,     1,     1,     3,     3,     1,     1,     1,     2,     2,
       2,     2,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     2,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     2,     1,     2,     2,     2,     2,     2,     2,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     5,
       3,     5,     1,     5,     5,     3,     5,     1,     1,     1,
       0,     2,     1,     1,     6,     2,     0,     1,     1,     1,
       1,     1,     1,     5,     6,     8,     6,     5,     2,     2,
       3,     4,     1,     1,     1,     2,     3,     4,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     1,
       1,     1,     1,     1,     1,     3,     3,     5,     6,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     7,     1,     1,     2,     1,     3,     1,
       1,     2,     3,     1,     1,     1,     1,     2,     3,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     3,     5,
       4,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     3,     2,     1,     1,     1,     1,     1,     1,
       3,     2,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     3,     1,     1,     3,     1,     1,     1,     3,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     2,
       3,     3,     9,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     1,     2,     2,     1,     1,
       3,     3,     1,     1,     1,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     4,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     3,     5,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     3,     1,
       1,     2,     1,     3,     4,     3,     1,     3,     1,     1,
       1,     4,     3,     1,     1,     1,     1,     1,     1,     3,
       1,     1,     3,     1,     1,     2,     1,     1,     2,     2,
       2,     2,     2,     2
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, nft, scanner, state, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, nft, scanner, state); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (nft);
  YY_USE (scanner);
  YY_USE (state);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, nft, scanner, state);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), nft, scanner, state);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, nft, scanner, state); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
  YYLTYPE *yylloc;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (nft);
  YY_USE (scanner);
  YY_USE (state);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yykind)
    {
    case YYSYMBOL_STRING: /* "string"  */
#line 379 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6218 "src/parser_bison.c"
        break;

    case YYSYMBOL_QUOTED_STRING: /* "quoted string"  */
#line 379 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6224 "src/parser_bison.c"
        break;

    case YYSYMBOL_ASTERISK_STRING: /* "string with a trailing asterisk"  */
#line 379 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6230 "src/parser_bison.c"
        break;

    case YYSYMBOL_line: /* line  */
#line 703 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6236 "src/parser_bison.c"
        break;

    case YYSYMBOL_base_cmd: /* base_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6242 "src/parser_bison.c"
        break;

    case YYSYMBOL_add_cmd: /* add_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6248 "src/parser_bison.c"
        break;

    case YYSYMBOL_replace_cmd: /* replace_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6254 "src/parser_bison.c"
        break;

    case YYSYMBOL_create_cmd: /* create_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6260 "src/parser_bison.c"
        break;

    case YYSYMBOL_insert_cmd: /* insert_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6266 "src/parser_bison.c"
        break;

    case YYSYMBOL_table_or_id_spec: /* table_or_id_spec  */
#line 709 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6272 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_or_id_spec: /* chain_or_id_spec  */
#line 711 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6278 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_or_id_spec: /* set_or_id_spec  */
#line 716 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6284 "src/parser_bison.c"
        break;

    case YYSYMBOL_obj_or_id_spec: /* obj_or_id_spec  */
#line 718 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6290 "src/parser_bison.c"
        break;

    case YYSYMBOL_delete_cmd: /* delete_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6296 "src/parser_bison.c"
        break;

    case YYSYMBOL_destroy_cmd: /* destroy_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6302 "src/parser_bison.c"
        break;

    case YYSYMBOL_get_cmd: /* get_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6308 "src/parser_bison.c"
        break;

    case YYSYMBOL_list_cmd: /* list_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6314 "src/parser_bison.c"
        break;

    case YYSYMBOL_basehook_device_name: /* basehook_device_name  */
#line 732 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6320 "src/parser_bison.c"
        break;

    case YYSYMBOL_basehook_spec: /* basehook_spec  */
#line 724 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6326 "src/parser_bison.c"
        break;

    case YYSYMBOL_reset_cmd: /* reset_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6332 "src/parser_bison.c"
        break;

    case YYSYMBOL_flush_cmd: /* flush_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6338 "src/parser_bison.c"
        break;

    case YYSYMBOL_rename_cmd: /* rename_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6344 "src/parser_bison.c"
        break;

    case YYSYMBOL_import_cmd: /* import_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6350 "src/parser_bison.c"
        break;

    case YYSYMBOL_export_cmd: /* export_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6356 "src/parser_bison.c"
        break;

    case YYSYMBOL_monitor_cmd: /* monitor_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6362 "src/parser_bison.c"
        break;

    case YYSYMBOL_monitor_event: /* monitor_event  */
#line 958 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6368 "src/parser_bison.c"
        break;

    case YYSYMBOL_describe_cmd: /* describe_cmd  */
#line 706 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6374 "src/parser_bison.c"
        break;

    case YYSYMBOL_table_block_alloc: /* table_block_alloc  */
#line 738 "src/parser_bison.y"
            { close_scope(state); table_free(((*yyvaluep).table)); }
#line 6380 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_block_alloc: /* chain_block_alloc  */
#line 740 "src/parser_bison.y"
            { close_scope(state); chain_free(((*yyvaluep).chain)); }
#line 6386 "src/parser_bison.c"
        break;

    case YYSYMBOL_typeof_verdict_expr: /* typeof_verdict_expr  */
#line 817 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6392 "src/parser_bison.c"
        break;

    case YYSYMBOL_typeof_data_expr: /* typeof_data_expr  */
#line 817 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6398 "src/parser_bison.c"
        break;

    case YYSYMBOL_typeof_expr: /* typeof_expr  */
#line 817 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6404 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_block_alloc: /* set_block_alloc  */
#line 751 "src/parser_bison.y"
            { set_free(((*yyvaluep).set)); }
#line 6410 "src/parser_bison.c"
        break;

    case YYSYMBOL_typeof_key_expr: /* typeof_key_expr  */
#line 817 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6416 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_block_expr: /* set_block_expr  */
#line 858 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6422 "src/parser_bison.c"
        break;

    case YYSYMBOL_map_block_alloc: /* map_block_alloc  */
#line 754 "src/parser_bison.y"
            { set_free(((*yyvaluep).set)); }
#line 6428 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtable_block_alloc: /* flowtable_block_alloc  */
#line 758 "src/parser_bison.y"
            { flowtable_free(((*yyvaluep).flowtable)); }
#line 6434 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtable_expr: /* flowtable_expr  */
#line 858 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6440 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtable_list_expr: /* flowtable_list_expr  */
#line 858 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6446 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtable_expr_member: /* flowtable_expr_member  */
#line 858 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6452 "src/parser_bison.c"
        break;

    case YYSYMBOL_data_type_atom_expr: /* data_type_atom_expr  */
#line 700 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6458 "src/parser_bison.c"
        break;

    case YYSYMBOL_data_type_expr: /* data_type_expr  */
#line 700 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6464 "src/parser_bison.c"
        break;

    case YYSYMBOL_obj_block_alloc: /* obj_block_alloc  */
#line 761 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 6470 "src/parser_bison.c"
        break;

    case YYSYMBOL_type_identifier: /* type_identifier  */
#line 695 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6476 "src/parser_bison.c"
        break;

    case YYSYMBOL_prio_spec: /* prio_spec  */
#line 729 "src/parser_bison.y"
            { expr_free(((*yyvaluep).prio_spec).expr); }
#line 6482 "src/parser_bison.c"
        break;

    case YYSYMBOL_extended_prio_name: /* extended_prio_name  */
#line 732 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6488 "src/parser_bison.c"
        break;

    case YYSYMBOL_extended_prio_spec: /* extended_prio_spec  */
#line 729 "src/parser_bison.y"
            { expr_free(((*yyvaluep).prio_spec).expr); }
#line 6494 "src/parser_bison.c"
        break;

    case YYSYMBOL_dev_spec: /* dev_spec  */
#line 735 "src/parser_bison.y"
            { free(((*yyvaluep).expr)); }
#line 6500 "src/parser_bison.c"
        break;

    case YYSYMBOL_policy_expr: /* policy_expr  */
#line 815 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6506 "src/parser_bison.c"
        break;

    case YYSYMBOL_identifier: /* identifier  */
#line 695 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6512 "src/parser_bison.c"
        break;

    case YYSYMBOL_string: /* string  */
#line 695 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6518 "src/parser_bison.c"
        break;

    case YYSYMBOL_table_spec: /* table_spec  */
#line 709 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6524 "src/parser_bison.c"
        break;

    case YYSYMBOL_tableid_spec: /* tableid_spec  */
#line 709 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6530 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_spec: /* chain_spec  */
#line 711 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6536 "src/parser_bison.c"
        break;

    case YYSYMBOL_chainid_spec: /* chainid_spec  */
#line 711 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6542 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_identifier: /* chain_identifier  */
#line 714 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6548 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_spec: /* set_spec  */
#line 716 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6554 "src/parser_bison.c"
        break;

    case YYSYMBOL_setid_spec: /* setid_spec  */
#line 716 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6560 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_identifier: /* set_identifier  */
#line 721 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6566 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtable_spec: /* flowtable_spec  */
#line 714 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6572 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtableid_spec: /* flowtableid_spec  */
#line 721 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6578 "src/parser_bison.c"
        break;

    case YYSYMBOL_obj_spec: /* obj_spec  */
#line 718 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6584 "src/parser_bison.c"
        break;

    case YYSYMBOL_objid_spec: /* objid_spec  */
#line 718 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6590 "src/parser_bison.c"
        break;

    case YYSYMBOL_obj_identifier: /* obj_identifier  */
#line 721 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6596 "src/parser_bison.c"
        break;

    case YYSYMBOL_handle_spec: /* handle_spec  */
#line 714 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6602 "src/parser_bison.c"
        break;

    case YYSYMBOL_position_spec: /* position_spec  */
#line 714 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6608 "src/parser_bison.c"
        break;

    case YYSYMBOL_index_spec: /* index_spec  */
#line 714 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6614 "src/parser_bison.c"
        break;

    case YYSYMBOL_rule_position: /* rule_position  */
#line 714 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6620 "src/parser_bison.c"
        break;

    case YYSYMBOL_ruleid_spec: /* ruleid_spec  */
#line 714 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6626 "src/parser_bison.c"
        break;

    case YYSYMBOL_comment_spec: /* comment_spec  */
#line 695 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6632 "src/parser_bison.c"
        break;

    case YYSYMBOL_ruleset_spec: /* ruleset_spec  */
#line 714 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6638 "src/parser_bison.c"
        break;

    case YYSYMBOL_rule: /* rule  */
#line 742 "src/parser_bison.y"
            { rule_free(((*yyvaluep).rule)); }
#line 6644 "src/parser_bison.c"
        break;

    case YYSYMBOL_stmt_list: /* stmt_list  */
#line 764 "src/parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); free(((*yyvaluep).list)); }
#line 6650 "src/parser_bison.c"
        break;

    case YYSYMBOL_stateful_stmt_list: /* stateful_stmt_list  */
#line 764 "src/parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); free(((*yyvaluep).list)); }
#line 6656 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt_counter: /* objref_stmt_counter  */
#line 770 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6662 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt_limit: /* objref_stmt_limit  */
#line 770 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6668 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt_quota: /* objref_stmt_quota  */
#line 770 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6674 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt_synproxy: /* objref_stmt_synproxy  */
#line 770 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6680 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt_ct: /* objref_stmt_ct  */
#line 770 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6686 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt: /* objref_stmt  */
#line 770 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6692 "src/parser_bison.c"
        break;

    case YYSYMBOL_stateful_stmt: /* stateful_stmt  */
#line 768 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6698 "src/parser_bison.c"
        break;

    case YYSYMBOL_stmt: /* stmt  */
#line 766 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6704 "src/parser_bison.c"
        break;

    case YYSYMBOL_xt_stmt: /* xt_stmt  */
#line 982 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6710 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_stmt: /* chain_stmt  */
#line 794 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6716 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_stmt: /* verdict_stmt  */
#line 766 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6722 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_stmt: /* verdict_map_stmt  */
#line 852 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6728 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_expr: /* verdict_map_expr  */
#line 855 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6734 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_list_expr: /* verdict_map_list_expr  */
#line 855 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6740 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_list_member_expr: /* verdict_map_list_member_expr  */
#line 855 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6746 "src/parser_bison.c"
        break;

    case YYSYMBOL_connlimit_stmt: /* connlimit_stmt  */
#line 782 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6752 "src/parser_bison.c"
        break;

    case YYSYMBOL_counter_stmt: /* counter_stmt  */
#line 768 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6758 "src/parser_bison.c"
        break;

    case YYSYMBOL_counter_stmt_alloc: /* counter_stmt_alloc  */
#line 768 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6764 "src/parser_bison.c"
        break;

    case YYSYMBOL_last_stmt: /* last_stmt  */
#line 768 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6770 "src/parser_bison.c"
        break;

    case YYSYMBOL_log_stmt: /* log_stmt  */
#line 779 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6776 "src/parser_bison.c"
        break;

    case YYSYMBOL_log_stmt_alloc: /* log_stmt_alloc  */
#line 779 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6782 "src/parser_bison.c"
        break;

    case YYSYMBOL_limit_stmt: /* limit_stmt  */
#line 782 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6788 "src/parser_bison.c"
        break;

    case YYSYMBOL_quota_unit: /* quota_unit  */
#line 732 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6794 "src/parser_bison.c"
        break;

    case YYSYMBOL_quota_stmt: /* quota_stmt  */
#line 782 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6800 "src/parser_bison.c"
        break;

    case YYSYMBOL_reject_stmt: /* reject_stmt  */
#line 785 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6806 "src/parser_bison.c"
        break;

    case YYSYMBOL_reject_stmt_alloc: /* reject_stmt_alloc  */
#line 785 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6812 "src/parser_bison.c"
        break;

    case YYSYMBOL_reject_with_expr: /* reject_with_expr  */
#line 800 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6818 "src/parser_bison.c"
        break;

    case YYSYMBOL_nat_stmt: /* nat_stmt  */
#line 787 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6824 "src/parser_bison.c"
        break;

    case YYSYMBOL_nat_stmt_alloc: /* nat_stmt_alloc  */
#line 787 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6830 "src/parser_bison.c"
        break;

    case YYSYMBOL_tproxy_stmt: /* tproxy_stmt  */
#line 790 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6836 "src/parser_bison.c"
        break;

    case YYSYMBOL_synproxy_stmt: /* synproxy_stmt  */
#line 792 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6842 "src/parser_bison.c"
        break;

    case YYSYMBOL_synproxy_stmt_alloc: /* synproxy_stmt_alloc  */
#line 792 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6848 "src/parser_bison.c"
        break;

    case YYSYMBOL_synproxy_obj: /* synproxy_obj  */
#line 878 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 6854 "src/parser_bison.c"
        break;

    case YYSYMBOL_primary_stmt_expr: /* primary_stmt_expr  */
#line 839 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6860 "src/parser_bison.c"
        break;

    case YYSYMBOL_shift_stmt_expr: /* shift_stmt_expr  */
#line 841 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6866 "src/parser_bison.c"
        break;

    case YYSYMBOL_and_stmt_expr: /* and_stmt_expr  */
#line 843 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6872 "src/parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_stmt_expr: /* exclusive_or_stmt_expr  */
#line 843 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6878 "src/parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_stmt_expr: /* inclusive_or_stmt_expr  */
#line 843 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6884 "src/parser_bison.c"
        break;

    case YYSYMBOL_basic_stmt_expr: /* basic_stmt_expr  */
#line 839 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6890 "src/parser_bison.c"
        break;

    case YYSYMBOL_concat_stmt_expr: /* concat_stmt_expr  */
#line 831 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6896 "src/parser_bison.c"
        break;

    case YYSYMBOL_map_stmt_expr_set: /* map_stmt_expr_set  */
#line 831 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6902 "src/parser_bison.c"
        break;

    case YYSYMBOL_map_stmt_expr: /* map_stmt_expr  */
#line 831 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6908 "src/parser_bison.c"
        break;

    case YYSYMBOL_prefix_stmt_expr: /* prefix_stmt_expr  */
#line 836 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6914 "src/parser_bison.c"
        break;

    case YYSYMBOL_range_stmt_expr: /* range_stmt_expr  */
#line 836 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6920 "src/parser_bison.c"
        break;

    case YYSYMBOL_multiton_stmt_expr: /* multiton_stmt_expr  */
#line 834 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6926 "src/parser_bison.c"
        break;

    case YYSYMBOL_stmt_expr: /* stmt_expr  */
#line 831 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6932 "src/parser_bison.c"
        break;

    case YYSYMBOL_masq_stmt: /* masq_stmt  */
#line 787 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6938 "src/parser_bison.c"
        break;

    case YYSYMBOL_masq_stmt_alloc: /* masq_stmt_alloc  */
#line 787 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6944 "src/parser_bison.c"
        break;

    case YYSYMBOL_redir_stmt: /* redir_stmt  */
#line 787 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6950 "src/parser_bison.c"
        break;

    case YYSYMBOL_redir_stmt_alloc: /* redir_stmt_alloc  */
#line 787 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6956 "src/parser_bison.c"
        break;

    case YYSYMBOL_dup_stmt: /* dup_stmt  */
#line 803 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6962 "src/parser_bison.c"
        break;

    case YYSYMBOL_fwd_stmt: /* fwd_stmt  */
#line 805 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6968 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt: /* queue_stmt  */
#line 798 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6974 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_compat: /* queue_stmt_compat  */
#line 798 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6980 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_alloc: /* queue_stmt_alloc  */
#line 798 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6986 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_expr: /* queue_expr  */
#line 800 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6992 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_expr_simple: /* queue_stmt_expr_simple  */
#line 800 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6998 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_expr: /* queue_stmt_expr  */
#line 800 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7004 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_stmt: /* set_elem_expr_stmt  */
#line 862 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7010 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_stmt_alloc: /* set_elem_expr_stmt_alloc  */
#line 862 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7016 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_stmt: /* set_stmt  */
#line 807 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7022 "src/parser_bison.c"
        break;

    case YYSYMBOL_map_stmt: /* map_stmt  */
#line 810 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7028 "src/parser_bison.c"
        break;

    case YYSYMBOL_meter_stmt: /* meter_stmt  */
#line 812 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7034 "src/parser_bison.c"
        break;

    case YYSYMBOL_meter_stmt_alloc: /* meter_stmt_alloc  */
#line 812 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7040 "src/parser_bison.c"
        break;

    case YYSYMBOL_match_stmt: /* match_stmt  */
#line 766 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7046 "src/parser_bison.c"
        break;

    case YYSYMBOL_variable_expr: /* variable_expr  */
#line 815 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7052 "src/parser_bison.c"
        break;

    case YYSYMBOL_symbol_expr: /* symbol_expr  */
#line 815 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7058 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_ref_expr: /* set_ref_expr  */
#line 823 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7064 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_ref_symbol_expr: /* set_ref_symbol_expr  */
#line 823 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7070 "src/parser_bison.c"
        break;

    case YYSYMBOL_integer_expr: /* integer_expr  */
#line 815 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7076 "src/parser_bison.c"
        break;

    case YYSYMBOL_primary_expr: /* primary_expr  */
#line 817 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7082 "src/parser_bison.c"
        break;

    case YYSYMBOL_fib_expr: /* fib_expr  */
#line 949 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7088 "src/parser_bison.c"
        break;

    case YYSYMBOL_osf_expr: /* osf_expr  */
#line 954 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7094 "src/parser_bison.c"
        break;

    case YYSYMBOL_shift_expr: /* shift_expr  */
#line 817 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7100 "src/parser_bison.c"
        break;

    case YYSYMBOL_and_expr: /* and_expr  */
#line 817 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7106 "src/parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_expr: /* exclusive_or_expr  */
#line 819 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7112 "src/parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_expr: /* inclusive_or_expr  */
#line 819 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7118 "src/parser_bison.c"
        break;

    case YYSYMBOL_basic_expr: /* basic_expr  */
#line 821 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7124 "src/parser_bison.c"
        break;

    case YYSYMBOL_concat_expr: /* concat_expr  */
#line 846 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7130 "src/parser_bison.c"
        break;

    case YYSYMBOL_prefix_rhs_expr: /* prefix_rhs_expr  */
#line 828 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7136 "src/parser_bison.c"
        break;

    case YYSYMBOL_range_rhs_expr: /* range_rhs_expr  */
#line 828 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7142 "src/parser_bison.c"
        break;

    case YYSYMBOL_multiton_rhs_expr: /* multiton_rhs_expr  */
#line 826 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7148 "src/parser_bison.c"
        break;

    case YYSYMBOL_map_expr: /* map_expr  */
#line 849 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7154 "src/parser_bison.c"
        break;

    case YYSYMBOL_expr: /* expr  */
#line 868 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7160 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_expr: /* set_expr  */
#line 858 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7166 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_list_expr: /* set_list_expr  */
#line 858 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7172 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_list_member_expr: /* set_list_member_expr  */
#line 858 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7178 "src/parser_bison.c"
        break;

    case YYSYMBOL_meter_key_expr: /* meter_key_expr  */
#line 865 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7184 "src/parser_bison.c"
        break;

    case YYSYMBOL_meter_key_expr_alloc: /* meter_key_expr_alloc  */
#line 865 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7190 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr: /* set_elem_expr  */
#line 860 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7196 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_key_expr: /* set_elem_key_expr  */
#line 1005 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7202 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_alloc: /* set_elem_expr_alloc  */
#line 860 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7208 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_stmt_list: /* set_elem_stmt_list  */
#line 764 "src/parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); free(((*yyvaluep).list)); }
#line 7214 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_stmt: /* set_elem_stmt  */
#line 766 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7220 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_lhs_expr: /* set_lhs_expr  */
#line 860 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7226 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_rhs_expr: /* set_rhs_expr  */
#line 860 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7232 "src/parser_bison.c"
        break;

    case YYSYMBOL_initializer_expr: /* initializer_expr  */
#line 868 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7238 "src/parser_bison.c"
        break;

    case YYSYMBOL_counter_obj: /* counter_obj  */
#line 878 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7244 "src/parser_bison.c"
        break;

    case YYSYMBOL_quota_obj: /* quota_obj  */
#line 878 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7250 "src/parser_bison.c"
        break;

    case YYSYMBOL_secmark_obj: /* secmark_obj  */
#line 878 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7256 "src/parser_bison.c"
        break;

    case YYSYMBOL_timeout_states: /* timeout_states  */
#line 998 "src/parser_bison.y"
            { timeout_states_free(((*yyvaluep).list)); }
#line 7262 "src/parser_bison.c"
        break;

    case YYSYMBOL_timeout_state: /* timeout_state  */
#line 995 "src/parser_bison.y"
            { timeout_state_free(((*yyvaluep).timeout_state)); }
#line 7268 "src/parser_bison.c"
        break;

    case YYSYMBOL_ct_obj_alloc: /* ct_obj_alloc  */
#line 878 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7274 "src/parser_bison.c"
        break;

    case YYSYMBOL_limit_obj: /* limit_obj  */
#line 878 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7280 "src/parser_bison.c"
        break;

    case YYSYMBOL_relational_expr: /* relational_expr  */
#line 881 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7286 "src/parser_bison.c"
        break;

    case YYSYMBOL_list_rhs_expr: /* list_rhs_expr  */
#line 873 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7292 "src/parser_bison.c"
        break;

    case YYSYMBOL_rhs_expr: /* rhs_expr  */
#line 871 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7298 "src/parser_bison.c"
        break;

    case YYSYMBOL_shift_rhs_expr: /* shift_rhs_expr  */
#line 873 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7304 "src/parser_bison.c"
        break;

    case YYSYMBOL_and_rhs_expr: /* and_rhs_expr  */
#line 875 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7310 "src/parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_rhs_expr: /* exclusive_or_rhs_expr  */
#line 875 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7316 "src/parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_rhs_expr: /* inclusive_or_rhs_expr  */
#line 875 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7322 "src/parser_bison.c"
        break;

    case YYSYMBOL_basic_rhs_expr: /* basic_rhs_expr  */
#line 871 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7328 "src/parser_bison.c"
        break;

    case YYSYMBOL_concat_rhs_expr: /* concat_rhs_expr  */
#line 871 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7334 "src/parser_bison.c"
        break;

    case YYSYMBOL_boolean_expr: /* boolean_expr  */
#line 985 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7340 "src/parser_bison.c"
        break;

    case YYSYMBOL_keyword_expr: /* keyword_expr  */
#line 868 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7346 "src/parser_bison.c"
        break;

    case YYSYMBOL_primary_rhs_expr: /* primary_rhs_expr  */
#line 873 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7352 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_expr: /* verdict_expr  */
#line 815 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7358 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_expr: /* chain_expr  */
#line 815 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7364 "src/parser_bison.c"
        break;

    case YYSYMBOL_meta_expr: /* meta_expr  */
#line 931 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7370 "src/parser_bison.c"
        break;

    case YYSYMBOL_meta_stmt: /* meta_stmt  */
#line 777 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7376 "src/parser_bison.c"
        break;

    case YYSYMBOL_socket_expr: /* socket_expr  */
#line 935 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7382 "src/parser_bison.c"
        break;

    case YYSYMBOL_numgen_expr: /* numgen_expr  */
#line 896 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7388 "src/parser_bison.c"
        break;

    case YYSYMBOL_xfrm_expr: /* xfrm_expr  */
#line 1002 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7394 "src/parser_bison.c"
        break;

    case YYSYMBOL_hash_expr: /* hash_expr  */
#line 896 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7400 "src/parser_bison.c"
        break;

    case YYSYMBOL_rt_expr: /* rt_expr  */
#line 941 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7406 "src/parser_bison.c"
        break;

    case YYSYMBOL_ct_expr: /* ct_expr  */
#line 945 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7412 "src/parser_bison.c"
        break;

    case YYSYMBOL_symbol_stmt_expr: /* symbol_stmt_expr  */
#line 873 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7418 "src/parser_bison.c"
        break;

    case YYSYMBOL_list_stmt_expr: /* list_stmt_expr  */
#line 841 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7424 "src/parser_bison.c"
        break;

    case YYSYMBOL_ct_stmt: /* ct_stmt  */
#line 775 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7430 "src/parser_bison.c"
        break;

    case YYSYMBOL_payload_stmt: /* payload_stmt  */
#line 773 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7436 "src/parser_bison.c"
        break;

    case YYSYMBOL_payload_expr: /* payload_expr  */
#line 885 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7442 "src/parser_bison.c"
        break;

    case YYSYMBOL_payload_raw_expr: /* payload_raw_expr  */
#line 885 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7448 "src/parser_bison.c"
        break;

    case YYSYMBOL_eth_hdr_expr: /* eth_hdr_expr  */
#line 890 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7454 "src/parser_bison.c"
        break;

    case YYSYMBOL_vlan_hdr_expr: /* vlan_hdr_expr  */
#line 890 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7460 "src/parser_bison.c"
        break;

    case YYSYMBOL_arp_hdr_expr: /* arp_hdr_expr  */
#line 893 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7466 "src/parser_bison.c"
        break;

    case YYSYMBOL_ip_hdr_expr: /* ip_hdr_expr  */
#line 896 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7472 "src/parser_bison.c"
        break;

    case YYSYMBOL_icmp_hdr_expr: /* icmp_hdr_expr  */
#line 896 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7478 "src/parser_bison.c"
        break;

    case YYSYMBOL_igmp_hdr_expr: /* igmp_hdr_expr  */
#line 896 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7484 "src/parser_bison.c"
        break;

    case YYSYMBOL_ip6_hdr_expr: /* ip6_hdr_expr  */
#line 900 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7490 "src/parser_bison.c"
        break;

    case YYSYMBOL_icmp6_hdr_expr: /* icmp6_hdr_expr  */
#line 900 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7496 "src/parser_bison.c"
        break;

    case YYSYMBOL_auth_hdr_expr: /* auth_hdr_expr  */
#line 903 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7502 "src/parser_bison.c"
        break;

    case YYSYMBOL_esp_hdr_expr: /* esp_hdr_expr  */
#line 903 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7508 "src/parser_bison.c"
        break;

    case YYSYMBOL_comp_hdr_expr: /* comp_hdr_expr  */
#line 903 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7514 "src/parser_bison.c"
        break;

    case YYSYMBOL_udp_hdr_expr: /* udp_hdr_expr  */
#line 906 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7520 "src/parser_bison.c"
        break;

    case YYSYMBOL_udplite_hdr_expr: /* udplite_hdr_expr  */
#line 906 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7526 "src/parser_bison.c"
        break;

    case YYSYMBOL_tcp_hdr_expr: /* tcp_hdr_expr  */
#line 964 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7532 "src/parser_bison.c"
        break;

    case YYSYMBOL_inner_inet_expr: /* inner_inet_expr  */
#line 972 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7538 "src/parser_bison.c"
        break;

    case YYSYMBOL_inner_eth_expr: /* inner_eth_expr  */
#line 972 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7544 "src/parser_bison.c"
        break;

    case YYSYMBOL_inner_expr: /* inner_expr  */
#line 972 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7550 "src/parser_bison.c"
        break;

    case YYSYMBOL_vxlan_hdr_expr: /* vxlan_hdr_expr  */
#line 975 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7556 "src/parser_bison.c"
        break;

    case YYSYMBOL_geneve_hdr_expr: /* geneve_hdr_expr  */
#line 975 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7562 "src/parser_bison.c"
        break;

    case YYSYMBOL_gre_hdr_expr: /* gre_hdr_expr  */
#line 975 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7568 "src/parser_bison.c"
        break;

    case YYSYMBOL_gretap_hdr_expr: /* gretap_hdr_expr  */
#line 975 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7574 "src/parser_bison.c"
        break;

    case YYSYMBOL_optstrip_stmt: /* optstrip_stmt  */
#line 979 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7580 "src/parser_bison.c"
        break;

    case YYSYMBOL_dccp_hdr_expr: /* dccp_hdr_expr  */
#line 909 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7586 "src/parser_bison.c"
        break;

    case YYSYMBOL_sctp_chunk_alloc: /* sctp_chunk_alloc  */
#line 909 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7592 "src/parser_bison.c"
        break;

    case YYSYMBOL_sctp_hdr_expr: /* sctp_hdr_expr  */
#line 909 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7598 "src/parser_bison.c"
        break;

    case YYSYMBOL_th_hdr_expr: /* th_hdr_expr  */
#line 915 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7604 "src/parser_bison.c"
        break;

    case YYSYMBOL_exthdr_expr: /* exthdr_expr  */
#line 919 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7610 "src/parser_bison.c"
        break;

    case YYSYMBOL_hbh_hdr_expr: /* hbh_hdr_expr  */
#line 921 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7616 "src/parser_bison.c"
        break;

    case YYSYMBOL_rt_hdr_expr: /* rt_hdr_expr  */
#line 924 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7622 "src/parser_bison.c"
        break;

    case YYSYMBOL_rt0_hdr_expr: /* rt0_hdr_expr  */
#line 924 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7628 "src/parser_bison.c"
        break;

    case YYSYMBOL_rt2_hdr_expr: /* rt2_hdr_expr  */
#line 924 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7634 "src/parser_bison.c"
        break;

    case YYSYMBOL_rt4_hdr_expr: /* rt4_hdr_expr  */
#line 924 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7640 "src/parser_bison.c"
        break;

    case YYSYMBOL_frag_hdr_expr: /* frag_hdr_expr  */
#line 921 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7646 "src/parser_bison.c"
        break;

    case YYSYMBOL_dst_hdr_expr: /* dst_hdr_expr  */
#line 921 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7652 "src/parser_bison.c"
        break;

    case YYSYMBOL_mh_hdr_expr: /* mh_hdr_expr  */
#line 927 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7658 "src/parser_bison.c"
        break;

    case YYSYMBOL_exthdr_exists_expr: /* exthdr_exists_expr  */
#line 989 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7664 "src/parser_bison.c"
        break;

      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */


/* User initialization code.  */
#line 214 "src/parser_bison.y"
{
	location_init(scanner, state, &yylloc);
	if (nft->debug_mask & NFT_DEBUG_SCANNER)
		nft_set_debug(1, scanner);
	if (nft->debug_mask & NFT_DEBUG_PARSER)
		yydebug = 1;
}

#line 7770 "src/parser_bison.c"

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, scanner);
    }

  if (yychar <= TOKEN_EOF)
    {
      yychar = TOKEN_EOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 3: /* input: input line  */
#line 1011 "src/parser_bison.y"
                        {
				if ((yyvsp[0].cmd) != NULL) {
					(yyvsp[0].cmd)->location = (yylsp[0]);
					list_add_tail(&(yyvsp[0].cmd)->list, state->cmds);
				}
			}
#line 7988 "src/parser_bison.c"
    break;

  case 8: /* close_scope_ah: %empty  */
#line 1027 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_AH); }
#line 7994 "src/parser_bison.c"
    break;

  case 9: /* close_scope_arp: %empty  */
#line 1028 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ARP); }
#line 8000 "src/parser_bison.c"
    break;

  case 10: /* close_scope_at: %empty  */
#line 1029 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_AT); }
#line 8006 "src/parser_bison.c"
    break;

  case 11: /* close_scope_comp: %empty  */
#line 1030 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_COMP); }
#line 8012 "src/parser_bison.c"
    break;

  case 12: /* close_scope_ct: %empty  */
#line 1031 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CT); }
#line 8018 "src/parser_bison.c"
    break;

  case 13: /* close_scope_counter: %empty  */
#line 1032 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_COUNTER); }
#line 8024 "src/parser_bison.c"
    break;

  case 14: /* close_scope_last: %empty  */
#line 1033 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_LAST); }
#line 8030 "src/parser_bison.c"
    break;

  case 15: /* close_scope_dccp: %empty  */
#line 1034 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DCCP); }
#line 8036 "src/parser_bison.c"
    break;

  case 16: /* close_scope_destroy: %empty  */
#line 1035 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_DESTROY); }
#line 8042 "src/parser_bison.c"
    break;

  case 17: /* close_scope_dst: %empty  */
#line 1036 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DST); }
#line 8048 "src/parser_bison.c"
    break;

  case 18: /* close_scope_dup: %empty  */
#line 1037 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_DUP); }
#line 8054 "src/parser_bison.c"
    break;

  case 19: /* close_scope_esp: %empty  */
#line 1038 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_ESP); }
#line 8060 "src/parser_bison.c"
    break;

  case 20: /* close_scope_eth: %empty  */
#line 1039 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ETH); }
#line 8066 "src/parser_bison.c"
    break;

  case 21: /* close_scope_export: %empty  */
#line 1040 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_EXPORT); }
#line 8072 "src/parser_bison.c"
    break;

  case 22: /* close_scope_fib: %empty  */
#line 1041 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FIB); }
#line 8078 "src/parser_bison.c"
    break;

  case 23: /* close_scope_frag: %empty  */
#line 1042 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FRAG); }
#line 8084 "src/parser_bison.c"
    break;

  case 24: /* close_scope_fwd: %empty  */
#line 1043 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_FWD); }
#line 8090 "src/parser_bison.c"
    break;

  case 25: /* close_scope_gre: %empty  */
#line 1044 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_GRE); }
#line 8096 "src/parser_bison.c"
    break;

  case 26: /* close_scope_hash: %empty  */
#line 1045 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HASH); }
#line 8102 "src/parser_bison.c"
    break;

  case 27: /* close_scope_hbh: %empty  */
#line 1046 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HBH); }
#line 8108 "src/parser_bison.c"
    break;

  case 28: /* close_scope_ip: %empty  */
#line 1047 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP); }
#line 8114 "src/parser_bison.c"
    break;

  case 29: /* close_scope_ip6: %empty  */
#line 1048 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP6); }
#line 8120 "src/parser_bison.c"
    break;

  case 30: /* close_scope_vlan: %empty  */
#line 1049 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_VLAN); }
#line 8126 "src/parser_bison.c"
    break;

  case 31: /* close_scope_icmp: %empty  */
#line 1050 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ICMP); }
#line 8132 "src/parser_bison.c"
    break;

  case 32: /* close_scope_igmp: %empty  */
#line 1051 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IGMP); }
#line 8138 "src/parser_bison.c"
    break;

  case 33: /* close_scope_import: %empty  */
#line 1052 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_IMPORT); }
#line 8144 "src/parser_bison.c"
    break;

  case 34: /* close_scope_ipsec: %empty  */
#line 1053 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_IPSEC); }
#line 8150 "src/parser_bison.c"
    break;

  case 35: /* close_scope_list: %empty  */
#line 1054 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_LIST); }
#line 8156 "src/parser_bison.c"
    break;

  case 36: /* close_scope_limit: %empty  */
#line 1055 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_LIMIT); }
#line 8162 "src/parser_bison.c"
    break;

  case 37: /* close_scope_meta: %empty  */
#line 1056 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_META); }
#line 8168 "src/parser_bison.c"
    break;

  case 38: /* close_scope_mh: %empty  */
#line 1057 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_MH); }
#line 8174 "src/parser_bison.c"
    break;

  case 39: /* close_scope_monitor: %empty  */
#line 1058 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_MONITOR); }
#line 8180 "src/parser_bison.c"
    break;

  case 40: /* close_scope_nat: %empty  */
#line 1059 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_NAT); }
#line 8186 "src/parser_bison.c"
    break;

  case 41: /* close_scope_numgen: %empty  */
#line 1060 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_NUMGEN); }
#line 8192 "src/parser_bison.c"
    break;

  case 42: /* close_scope_osf: %empty  */
#line 1061 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_OSF); }
#line 8198 "src/parser_bison.c"
    break;

  case 43: /* close_scope_policy: %empty  */
#line 1062 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_POLICY); }
#line 8204 "src/parser_bison.c"
    break;

  case 44: /* close_scope_quota: %empty  */
#line 1063 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_QUOTA); }
#line 8210 "src/parser_bison.c"
    break;

  case 45: /* close_scope_queue: %empty  */
#line 1064 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_QUEUE); }
#line 8216 "src/parser_bison.c"
    break;

  case 46: /* close_scope_reject: %empty  */
#line 1065 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_REJECT); }
#line 8222 "src/parser_bison.c"
    break;

  case 47: /* close_scope_reset: %empty  */
#line 1066 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_RESET); }
#line 8228 "src/parser_bison.c"
    break;

  case 48: /* close_scope_rt: %empty  */
#line 1067 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_RT); }
#line 8234 "src/parser_bison.c"
    break;

  case 49: /* close_scope_sctp: %empty  */
#line 1068 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_SCTP); }
#line 8240 "src/parser_bison.c"
    break;

  case 50: /* close_scope_sctp_chunk: %empty  */
#line 1069 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SCTP_CHUNK); }
#line 8246 "src/parser_bison.c"
    break;

  case 51: /* close_scope_secmark: %empty  */
#line 1070 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_SECMARK); }
#line 8252 "src/parser_bison.c"
    break;

  case 52: /* close_scope_socket: %empty  */
#line 1071 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SOCKET); }
#line 8258 "src/parser_bison.c"
    break;

  case 53: /* close_scope_tcp: %empty  */
#line 1072 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_TCP); }
#line 8264 "src/parser_bison.c"
    break;

  case 54: /* close_scope_tproxy: %empty  */
#line 1073 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_TPROXY); }
#line 8270 "src/parser_bison.c"
    break;

  case 55: /* close_scope_type: %empty  */
#line 1074 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_TYPE); }
#line 8276 "src/parser_bison.c"
    break;

  case 56: /* close_scope_th: %empty  */
#line 1075 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_TH); }
#line 8282 "src/parser_bison.c"
    break;

  case 57: /* close_scope_udp: %empty  */
#line 1076 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDP); }
#line 8288 "src/parser_bison.c"
    break;

  case 58: /* close_scope_udplite: %empty  */
#line 1077 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDPLITE); }
#line 8294 "src/parser_bison.c"
    break;

  case 59: /* close_scope_log: %empty  */
#line 1079 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_LOG); }
#line 8300 "src/parser_bison.c"
    break;

  case 60: /* close_scope_synproxy: %empty  */
#line 1080 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_SYNPROXY); }
#line 8306 "src/parser_bison.c"
    break;

  case 61: /* close_scope_xt: %empty  */
#line 1081 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_XT); }
#line 8312 "src/parser_bison.c"
    break;

  case 62: /* common_block: "include" "quoted string" stmt_separator  */
#line 1084 "src/parser_bison.y"
                        {
				if (scanner_include_file(nft, scanner, (yyvsp[-1].string), &(yyloc)) < 0) {
					free_const((yyvsp[-1].string));
					YYERROR;
				}
				free_const((yyvsp[-1].string));
			}
#line 8324 "src/parser_bison.c"
    break;

  case 63: /* common_block: "define" identifier '=' initializer_expr stmt_separator  */
#line 1092 "src/parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				if (symbol_lookup(scope, (yyvsp[-3].string)) != NULL) {
					erec_queue(error(&(yylsp[-3]), "redefinition of symbol '%s'", (yyvsp[-3].string)),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					free_const((yyvsp[-3].string));
					YYERROR;
				}

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				free_const((yyvsp[-3].string));
			}
#line 8343 "src/parser_bison.c"
    break;

  case 64: /* common_block: "redefine" identifier '=' initializer_expr stmt_separator  */
#line 1107 "src/parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				free_const((yyvsp[-3].string));
			}
#line 8354 "src/parser_bison.c"
    break;

  case 65: /* common_block: "undefine" identifier stmt_separator  */
#line 1114 "src/parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				if (symbol_unbind(scope, (yyvsp[-1].string)) < 0) {
					erec_queue(error(&(yylsp[-1]), "undefined symbol '%s'", (yyvsp[-1].string)),
						   state->msgs);
					free_const((yyvsp[-1].string));
					YYERROR;
				}
				free_const((yyvsp[-1].string));
			}
#line 8370 "src/parser_bison.c"
    break;

  case 66: /* common_block: error stmt_separator  */
#line 1126 "src/parser_bison.y"
                        {
				if (++state->nerrs == nft->parser_max_errors)
					YYABORT;
				yyerrok;
			}
#line 8380 "src/parser_bison.c"
    break;

  case 67: /* line: common_block  */
#line 1133 "src/parser_bison.y"
                                                                { (yyval.cmd) = NULL; }
#line 8386 "src/parser_bison.c"
    break;

  case 68: /* line: stmt_separator  */
#line 1134 "src/parser_bison.y"
                                                                { (yyval.cmd) = NULL; }
#line 8392 "src/parser_bison.c"
    break;

  case 69: /* line: base_cmd stmt_separator  */
#line 1135 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8398 "src/parser_bison.c"
    break;

  case 70: /* line: base_cmd "end of file"  */
#line 1137 "src/parser_bison.y"
                        {
				/*
				 * Very hackish workaround for bison >= 2.4: previous versions
				 * terminated parsing after EOF, 2.4+ tries to get further input
				 * in 'input' and calls the scanner again, causing a crash when
				 * the final input buffer has been popped. Terminate manually to
				 * avoid this. The correct fix should be to adjust the grammar
				 * to accept EOF in input, but for unknown reasons it does not
				 * work.
				 */
				if ((yyvsp[-1].cmd) != NULL) {
					(yyvsp[-1].cmd)->location = (yylsp[-1]);
					list_add_tail(&(yyvsp[-1].cmd)->list, state->cmds);
				}
				(yyval.cmd) = NULL;
				YYACCEPT;
			}
#line 8420 "src/parser_bison.c"
    break;

  case 71: /* base_cmd: add_cmd  */
#line 1156 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8426 "src/parser_bison.c"
    break;

  case 72: /* base_cmd: "add" add_cmd  */
#line 1157 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8432 "src/parser_bison.c"
    break;

  case 73: /* base_cmd: "replace" replace_cmd  */
#line 1158 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8438 "src/parser_bison.c"
    break;

  case 74: /* base_cmd: "create" create_cmd  */
#line 1159 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8444 "src/parser_bison.c"
    break;

  case 75: /* base_cmd: "insert" insert_cmd  */
#line 1160 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8450 "src/parser_bison.c"
    break;

  case 76: /* base_cmd: "delete" delete_cmd  */
#line 1161 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8456 "src/parser_bison.c"
    break;

  case 77: /* base_cmd: "get" get_cmd  */
#line 1162 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8462 "src/parser_bison.c"
    break;

  case 78: /* base_cmd: "list" list_cmd close_scope_list  */
#line 1163 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8468 "src/parser_bison.c"
    break;

  case 79: /* base_cmd: "reset" reset_cmd close_scope_reset  */
#line 1164 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8474 "src/parser_bison.c"
    break;

  case 80: /* base_cmd: "flush" flush_cmd  */
#line 1165 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8480 "src/parser_bison.c"
    break;

  case 81: /* base_cmd: "rename" rename_cmd  */
#line 1166 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8486 "src/parser_bison.c"
    break;

  case 82: /* base_cmd: "import" import_cmd close_scope_import  */
#line 1167 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8492 "src/parser_bison.c"
    break;

  case 83: /* base_cmd: "export" export_cmd close_scope_export  */
#line 1168 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8498 "src/parser_bison.c"
    break;

  case 84: /* base_cmd: "monitor" monitor_cmd close_scope_monitor  */
#line 1169 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8504 "src/parser_bison.c"
    break;

  case 85: /* base_cmd: "describe" describe_cmd  */
#line 1170 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8510 "src/parser_bison.c"
    break;

  case 86: /* base_cmd: "destroy" destroy_cmd close_scope_destroy  */
#line 1171 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8516 "src/parser_bison.c"
    break;

  case 87: /* add_cmd: "table" table_spec  */
#line 1175 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8524 "src/parser_bison.c"
    break;

  case 88: /* add_cmd: "table" table_spec table_block_alloc '{' table_block '}'  */
#line 1180 "src/parser_bison.y"
                        {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 8534 "src/parser_bison.c"
    break;

  case 89: /* add_cmd: "chain" chain_spec  */
#line 1186 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8542 "src/parser_bison.c"
    break;

  case 90: /* add_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1191 "src/parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8553 "src/parser_bison.c"
    break;

  case 91: /* add_cmd: "rule" rule_position rule  */
#line 1198 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8561 "src/parser_bison.c"
    break;

  case 92: /* add_cmd: rule_position rule  */
#line 1202 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8569 "src/parser_bison.c"
    break;

  case 93: /* add_cmd: "set" set_spec set_block_alloc '{' set_block '}'  */
#line 1207 "src/parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8579 "src/parser_bison.c"
    break;

  case 94: /* add_cmd: "map" set_spec map_block_alloc '{' map_block '}'  */
#line 1214 "src/parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8589 "src/parser_bison.c"
    break;

  case 95: /* add_cmd: "element" set_spec set_block_expr  */
#line 1220 "src/parser_bison.y"
                        {
				if (nft_cmd_collapse_elems(CMD_ADD, state->cmds, &(yyvsp[-1].handle), (yyvsp[0].expr))) {
					handle_free(&(yyvsp[-1].handle));
					expr_free((yyvsp[0].expr));
					(yyval.cmd) = NULL;
					break;
				}
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8603 "src/parser_bison.c"
    break;

  case 96: /* add_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1231 "src/parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8613 "src/parser_bison.c"
    break;

  case 97: /* add_cmd: "counter" obj_spec close_scope_counter  */
#line 1237 "src/parser_bison.y"
                        {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 8626 "src/parser_bison.c"
    break;

  case 98: /* add_cmd: "counter" obj_spec counter_obj counter_config close_scope_counter  */
#line 1246 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8634 "src/parser_bison.c"
    break;

  case 99: /* add_cmd: "counter" obj_spec counter_obj '{' counter_block '}' close_scope_counter  */
#line 1250 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8642 "src/parser_bison.c"
    break;

  case 100: /* add_cmd: "quota" obj_spec quota_obj quota_config close_scope_quota  */
#line 1254 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8650 "src/parser_bison.c"
    break;

  case 101: /* add_cmd: "quota" obj_spec quota_obj '{' quota_block '}' close_scope_quota  */
#line 1258 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8658 "src/parser_bison.c"
    break;

  case 102: /* add_cmd: "ct" "helper" obj_spec ct_obj_alloc '{' ct_helper_block '}' close_scope_ct  */
#line 1262 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8666 "src/parser_bison.c"
    break;

  case 103: /* add_cmd: "ct" "timeout" obj_spec ct_obj_alloc '{' ct_timeout_block '}' close_scope_ct  */
#line 1266 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8674 "src/parser_bison.c"
    break;

  case 104: /* add_cmd: "ct" "expectation" obj_spec ct_obj_alloc '{' ct_expect_block '}' close_scope_ct  */
#line 1270 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8682 "src/parser_bison.c"
    break;

  case 105: /* add_cmd: "limit" obj_spec limit_obj limit_config close_scope_limit  */
#line 1274 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8690 "src/parser_bison.c"
    break;

  case 106: /* add_cmd: "limit" obj_spec limit_obj '{' limit_block '}' close_scope_limit  */
#line 1278 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8698 "src/parser_bison.c"
    break;

  case 107: /* add_cmd: "secmark" obj_spec secmark_obj secmark_config close_scope_secmark  */
#line 1282 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8706 "src/parser_bison.c"
    break;

  case 108: /* add_cmd: "secmark" obj_spec secmark_obj '{' secmark_block '}' close_scope_secmark  */
#line 1286 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8714 "src/parser_bison.c"
    break;

  case 109: /* add_cmd: "synproxy" obj_spec synproxy_obj synproxy_config close_scope_synproxy  */
#line 1290 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8722 "src/parser_bison.c"
    break;

  case 110: /* add_cmd: "synproxy" obj_spec synproxy_obj '{' synproxy_block '}' close_scope_synproxy  */
#line 1294 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8730 "src/parser_bison.c"
    break;

  case 111: /* replace_cmd: "rule" ruleid_spec rule  */
#line 1300 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_REPLACE, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8738 "src/parser_bison.c"
    break;

  case 112: /* create_cmd: "table" table_spec  */
#line 1306 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8746 "src/parser_bison.c"
    break;

  case 113: /* create_cmd: "table" table_spec table_block_alloc '{' table_block '}'  */
#line 1311 "src/parser_bison.y"
                        {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 8756 "src/parser_bison.c"
    break;

  case 114: /* create_cmd: "chain" chain_spec  */
#line 1317 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8764 "src/parser_bison.c"
    break;

  case 115: /* create_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1322 "src/parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8775 "src/parser_bison.c"
    break;

  case 116: /* create_cmd: "set" set_spec set_block_alloc '{' set_block '}'  */
#line 1330 "src/parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8785 "src/parser_bison.c"
    break;

  case 117: /* create_cmd: "map" set_spec map_block_alloc '{' map_block '}'  */
#line 1337 "src/parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8795 "src/parser_bison.c"
    break;

  case 118: /* create_cmd: "element" set_spec set_block_expr  */
#line 1343 "src/parser_bison.y"
                        {
				if (nft_cmd_collapse_elems(CMD_CREATE, state->cmds, &(yyvsp[-1].handle), (yyvsp[0].expr))) {
					handle_free(&(yyvsp[-1].handle));
					expr_free((yyvsp[0].expr));
					(yyval.cmd) = NULL;
					break;
				}
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8809 "src/parser_bison.c"
    break;

  case 119: /* create_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1354 "src/parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8819 "src/parser_bison.c"
    break;

  case 120: /* create_cmd: "counter" obj_spec close_scope_counter  */
#line 1360 "src/parser_bison.y"
                        {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 8832 "src/parser_bison.c"
    break;

  case 121: /* create_cmd: "counter" obj_spec counter_obj counter_config close_scope_counter  */
#line 1369 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8840 "src/parser_bison.c"
    break;

  case 122: /* create_cmd: "quota" obj_spec quota_obj quota_config close_scope_quota  */
#line 1373 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8848 "src/parser_bison.c"
    break;

  case 123: /* create_cmd: "ct" "helper" obj_spec ct_obj_alloc '{' ct_helper_block '}' close_scope_ct  */
#line 1377 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8856 "src/parser_bison.c"
    break;

  case 124: /* create_cmd: "ct" "timeout" obj_spec ct_obj_alloc '{' ct_timeout_block '}' close_scope_ct  */
#line 1381 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8864 "src/parser_bison.c"
    break;

  case 125: /* create_cmd: "ct" "expectation" obj_spec ct_obj_alloc '{' ct_expect_block '}' close_scope_ct  */
#line 1385 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8872 "src/parser_bison.c"
    break;

  case 126: /* create_cmd: "limit" obj_spec limit_obj limit_config close_scope_limit  */
#line 1389 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8880 "src/parser_bison.c"
    break;

  case 127: /* create_cmd: "secmark" obj_spec secmark_obj secmark_config close_scope_secmark  */
#line 1393 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8888 "src/parser_bison.c"
    break;

  case 128: /* create_cmd: "synproxy" obj_spec synproxy_obj synproxy_config close_scope_synproxy  */
#line 1397 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8896 "src/parser_bison.c"
    break;

  case 129: /* insert_cmd: "rule" rule_position rule  */
#line 1403 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_INSERT, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8904 "src/parser_bison.c"
    break;

  case 138: /* delete_cmd: "table" table_or_id_spec  */
#line 1425 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8912 "src/parser_bison.c"
    break;

  case 139: /* delete_cmd: "chain" chain_or_id_spec  */
#line 1429 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8920 "src/parser_bison.c"
    break;

  case 140: /* delete_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1434 "src/parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8931 "src/parser_bison.c"
    break;

  case 141: /* delete_cmd: "rule" ruleid_spec  */
#line 1441 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8939 "src/parser_bison.c"
    break;

  case 142: /* delete_cmd: "set" set_or_id_spec  */
#line 1445 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8947 "src/parser_bison.c"
    break;

  case 143: /* delete_cmd: "map" set_spec  */
#line 1449 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8955 "src/parser_bison.c"
    break;

  case 144: /* delete_cmd: "element" set_spec set_block_expr  */
#line 1453 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8963 "src/parser_bison.c"
    break;

  case 145: /* delete_cmd: "flowtable" flowtable_spec  */
#line 1457 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8971 "src/parser_bison.c"
    break;

  case 146: /* delete_cmd: "flowtable" flowtableid_spec  */
#line 1461 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8979 "src/parser_bison.c"
    break;

  case 147: /* delete_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1466 "src/parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8989 "src/parser_bison.c"
    break;

  case 148: /* delete_cmd: "counter" obj_or_id_spec close_scope_counter  */
#line 1472 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8997 "src/parser_bison.c"
    break;

  case 149: /* delete_cmd: "quota" obj_or_id_spec close_scope_quota  */
#line 1476 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9005 "src/parser_bison.c"
    break;

  case 150: /* delete_cmd: "ct" ct_obj_type obj_spec ct_obj_alloc close_scope_ct  */
#line 1480 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DELETE, (yyvsp[-3].val), &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
				if ((yyvsp[-3].val) == NFT_OBJECT_CT_TIMEOUT)
					init_list_head(&(yyvsp[-1].obj)->ct_timeout.timeout_list);
			}
#line 9015 "src/parser_bison.c"
    break;

  case 151: /* delete_cmd: "limit" obj_or_id_spec close_scope_limit  */
#line 1486 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9023 "src/parser_bison.c"
    break;

  case 152: /* delete_cmd: "secmark" obj_or_id_spec close_scope_secmark  */
#line 1490 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9031 "src/parser_bison.c"
    break;

  case 153: /* delete_cmd: "synproxy" obj_or_id_spec close_scope_synproxy  */
#line 1494 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9039 "src/parser_bison.c"
    break;

  case 154: /* destroy_cmd: "table" table_or_id_spec  */
#line 1500 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9047 "src/parser_bison.c"
    break;

  case 155: /* destroy_cmd: "chain" chain_or_id_spec  */
#line 1504 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9055 "src/parser_bison.c"
    break;

  case 156: /* destroy_cmd: "rule" ruleid_spec  */
#line 1508 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9063 "src/parser_bison.c"
    break;

  case 157: /* destroy_cmd: "set" set_or_id_spec  */
#line 1512 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9071 "src/parser_bison.c"
    break;

  case 158: /* destroy_cmd: "map" set_spec  */
#line 1516 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9079 "src/parser_bison.c"
    break;

  case 159: /* destroy_cmd: "element" set_spec set_block_expr  */
#line 1520 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 9087 "src/parser_bison.c"
    break;

  case 160: /* destroy_cmd: "flowtable" flowtable_spec  */
#line 1524 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9095 "src/parser_bison.c"
    break;

  case 161: /* destroy_cmd: "flowtable" flowtableid_spec  */
#line 1528 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9103 "src/parser_bison.c"
    break;

  case 162: /* destroy_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1533 "src/parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 9113 "src/parser_bison.c"
    break;

  case 163: /* destroy_cmd: "counter" obj_or_id_spec close_scope_counter  */
#line 1539 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9121 "src/parser_bison.c"
    break;

  case 164: /* destroy_cmd: "quota" obj_or_id_spec close_scope_quota  */
#line 1543 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9129 "src/parser_bison.c"
    break;

  case 165: /* destroy_cmd: "ct" ct_obj_type obj_spec ct_obj_alloc close_scope_ct  */
#line 1547 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DESTROY, (yyvsp[-3].val), &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
				if ((yyvsp[-3].val) == NFT_OBJECT_CT_TIMEOUT)
					init_list_head(&(yyvsp[-1].obj)->ct_timeout.timeout_list);
			}
#line 9139 "src/parser_bison.c"
    break;

  case 166: /* destroy_cmd: "limit" obj_or_id_spec close_scope_limit  */
#line 1553 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9147 "src/parser_bison.c"
    break;

  case 167: /* destroy_cmd: "secmark" obj_or_id_spec close_scope_secmark  */
#line 1557 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9155 "src/parser_bison.c"
    break;

  case 168: /* destroy_cmd: "synproxy" obj_or_id_spec close_scope_synproxy  */
#line 1561 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9163 "src/parser_bison.c"
    break;

  case 169: /* get_cmd: "element" set_spec set_block_expr  */
#line 1568 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_GET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 9171 "src/parser_bison.c"
    break;

  case 170: /* list_cmd: "table" table_spec  */
#line 1574 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9179 "src/parser_bison.c"
    break;

  case 171: /* list_cmd: "tables" ruleset_spec  */
#line 1578 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9187 "src/parser_bison.c"
    break;

  case 172: /* list_cmd: "chain" chain_spec  */
#line 1582 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9195 "src/parser_bison.c"
    break;

  case 173: /* list_cmd: "chains" ruleset_spec  */
#line 1586 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAINS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9203 "src/parser_bison.c"
    break;

  case 174: /* list_cmd: "sets" ruleset_spec  */
#line 1590 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9211 "src/parser_bison.c"
    break;

  case 175: /* list_cmd: "sets" "table" table_spec  */
#line 1594 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9219 "src/parser_bison.c"
    break;

  case 176: /* list_cmd: "set" set_spec  */
#line 1598 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9227 "src/parser_bison.c"
    break;

  case 177: /* list_cmd: "counters" ruleset_spec  */
#line 1602 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9235 "src/parser_bison.c"
    break;

  case 178: /* list_cmd: "counters" "table" table_spec  */
#line 1606 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9243 "src/parser_bison.c"
    break;

  case 179: /* list_cmd: "counter" obj_spec close_scope_counter  */
#line 1610 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9251 "src/parser_bison.c"
    break;

  case 180: /* list_cmd: "quotas" ruleset_spec  */
#line 1614 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9259 "src/parser_bison.c"
    break;

  case 181: /* list_cmd: "quotas" "table" table_spec  */
#line 1618 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9267 "src/parser_bison.c"
    break;

  case 182: /* list_cmd: "quota" obj_spec close_scope_quota  */
#line 1622 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9275 "src/parser_bison.c"
    break;

  case 183: /* list_cmd: "limits" ruleset_spec  */
#line 1626 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9283 "src/parser_bison.c"
    break;

  case 184: /* list_cmd: "limits" "table" table_spec  */
#line 1630 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9291 "src/parser_bison.c"
    break;

  case 185: /* list_cmd: "limit" obj_spec close_scope_limit  */
#line 1634 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9299 "src/parser_bison.c"
    break;

  case 186: /* list_cmd: "secmarks" ruleset_spec  */
#line 1638 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9307 "src/parser_bison.c"
    break;

  case 187: /* list_cmd: "secmarks" "table" table_spec  */
#line 1642 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9315 "src/parser_bison.c"
    break;

  case 188: /* list_cmd: "secmark" obj_spec close_scope_secmark  */
#line 1646 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9323 "src/parser_bison.c"
    break;

  case 189: /* list_cmd: "synproxys" ruleset_spec  */
#line 1650 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9331 "src/parser_bison.c"
    break;

  case 190: /* list_cmd: "synproxys" "table" table_spec  */
#line 1654 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9339 "src/parser_bison.c"
    break;

  case 191: /* list_cmd: "synproxy" obj_spec close_scope_synproxy  */
#line 1658 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9347 "src/parser_bison.c"
    break;

  case 192: /* list_cmd: "ruleset" ruleset_spec  */
#line 1662 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9355 "src/parser_bison.c"
    break;

  case 193: /* list_cmd: "flow" "tables" ruleset_spec  */
#line 1666 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9363 "src/parser_bison.c"
    break;

  case 194: /* list_cmd: "flow" "table" set_spec  */
#line 1670 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9371 "src/parser_bison.c"
    break;

  case 195: /* list_cmd: "meters" ruleset_spec  */
#line 1674 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9379 "src/parser_bison.c"
    break;

  case 196: /* list_cmd: "meter" set_spec  */
#line 1678 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9387 "src/parser_bison.c"
    break;

  case 197: /* list_cmd: "flowtables" ruleset_spec  */
#line 1682 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9395 "src/parser_bison.c"
    break;

  case 198: /* list_cmd: "flowtable" flowtable_spec  */
#line 1686 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9403 "src/parser_bison.c"
    break;

  case 199: /* list_cmd: "maps" ruleset_spec  */
#line 1690 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAPS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9411 "src/parser_bison.c"
    break;

  case 200: /* list_cmd: "map" set_spec  */
#line 1694 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9419 "src/parser_bison.c"
    break;

  case 201: /* list_cmd: "ct" ct_obj_type obj_spec close_scope_ct  */
#line 1698 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_LIST, (yyvsp[-2].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9427 "src/parser_bison.c"
    break;

  case 202: /* list_cmd: "ct" ct_cmd_type "table" table_spec close_scope_ct  */
#line 1702 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, (yyvsp[-3].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9435 "src/parser_bison.c"
    break;

  case 203: /* list_cmd: "hooks" basehook_spec  */
#line 1706 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_HOOKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9443 "src/parser_bison.c"
    break;

  case 204: /* basehook_device_name: "device" "string"  */
#line 1712 "src/parser_bison.y"
                        {
				(yyval.string) = (yyvsp[0].string);
			}
#line 9451 "src/parser_bison.c"
    break;

  case 205: /* basehook_spec: ruleset_spec  */
#line 1718 "src/parser_bison.y"
                        {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 9459 "src/parser_bison.c"
    break;

  case 206: /* basehook_spec: ruleset_spec basehook_device_name  */
#line 1722 "src/parser_bison.y"
                        {
				if ((yyvsp[0].string)) {
					(yyvsp[-1].handle).obj.name = (yyvsp[0].string);
					(yyvsp[-1].handle).obj.location = (yylsp[0]);
				}
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9471 "src/parser_bison.c"
    break;

  case 207: /* reset_cmd: "counters" ruleset_spec  */
#line 1732 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9479 "src/parser_bison.c"
    break;

  case 208: /* reset_cmd: "counters" table_spec  */
#line 1736 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9487 "src/parser_bison.c"
    break;

  case 209: /* reset_cmd: "counters" "table" table_spec  */
#line 1740 "src/parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9496 "src/parser_bison.c"
    break;

  case 210: /* reset_cmd: "counter" obj_spec close_scope_counter  */
#line 1745 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTER, &(yyvsp[-1].handle),&(yyloc), NULL);
			}
#line 9504 "src/parser_bison.c"
    break;

  case 211: /* reset_cmd: "quotas" ruleset_spec  */
#line 1749 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9512 "src/parser_bison.c"
    break;

  case 212: /* reset_cmd: "quotas" "table" table_spec  */
#line 1753 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9520 "src/parser_bison.c"
    break;

  case 213: /* reset_cmd: "quotas" table_spec  */
#line 1757 "src/parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9529 "src/parser_bison.c"
    break;

  case 214: /* reset_cmd: "quota" obj_spec close_scope_quota  */
#line 1762 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9537 "src/parser_bison.c"
    break;

  case 215: /* reset_cmd: "rules" ruleset_spec  */
#line 1766 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9545 "src/parser_bison.c"
    break;

  case 216: /* reset_cmd: "rules" table_spec  */
#line 1770 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9553 "src/parser_bison.c"
    break;

  case 217: /* reset_cmd: "rules" "table" table_spec  */
#line 1774 "src/parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9562 "src/parser_bison.c"
    break;

  case 218: /* reset_cmd: "rules" chain_spec  */
#line 1779 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9570 "src/parser_bison.c"
    break;

  case 219: /* reset_cmd: "rules" "chain" chain_spec  */
#line 1783 "src/parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9579 "src/parser_bison.c"
    break;

  case 220: /* reset_cmd: "rule" ruleid_spec  */
#line 1788 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9587 "src/parser_bison.c"
    break;

  case 221: /* reset_cmd: "element" set_spec set_block_expr  */
#line 1792 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 9595 "src/parser_bison.c"
    break;

  case 222: /* reset_cmd: "set" set_or_id_spec  */
#line 1796 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9603 "src/parser_bison.c"
    break;

  case 223: /* reset_cmd: "map" set_or_id_spec  */
#line 1800 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9611 "src/parser_bison.c"
    break;

  case 224: /* flush_cmd: "table" table_spec  */
#line 1806 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9619 "src/parser_bison.c"
    break;

  case 225: /* flush_cmd: "chain" chain_spec  */
#line 1810 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9627 "src/parser_bison.c"
    break;

  case 226: /* flush_cmd: "set" set_spec  */
#line 1814 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9635 "src/parser_bison.c"
    break;

  case 227: /* flush_cmd: "map" set_spec  */
#line 1818 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9643 "src/parser_bison.c"
    break;

  case 228: /* flush_cmd: "flow" "table" set_spec  */
#line 1822 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9651 "src/parser_bison.c"
    break;

  case 229: /* flush_cmd: "meter" set_spec  */
#line 1826 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9659 "src/parser_bison.c"
    break;

  case 230: /* flush_cmd: "ruleset" ruleset_spec  */
#line 1830 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9667 "src/parser_bison.c"
    break;

  case 231: /* rename_cmd: "chain" chain_spec identifier  */
#line 1836 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RENAME, CMD_OBJ_CHAIN, &(yyvsp[-1].handle), &(yyloc), NULL);
				(yyval.cmd)->arg = (yyvsp[0].string);
			}
#line 9676 "src/parser_bison.c"
    break;

  case 232: /* import_cmd: "ruleset" markup_format  */
#line 1843 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9686 "src/parser_bison.c"
    break;

  case 233: /* import_cmd: markup_format  */
#line 1849 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9696 "src/parser_bison.c"
    break;

  case 234: /* export_cmd: "ruleset" markup_format  */
#line 1857 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9706 "src/parser_bison.c"
    break;

  case 235: /* export_cmd: markup_format  */
#line 1863 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9716 "src/parser_bison.c"
    break;

  case 236: /* monitor_cmd: monitor_event monitor_object monitor_format  */
#line 1871 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct monitor *m = monitor_alloc((yyvsp[0].val), (yyvsp[-1].val), (yyvsp[-2].string));
				m->location = (yylsp[-2]);
				(yyval.cmd) = cmd_alloc(CMD_MONITOR, CMD_OBJ_MONITOR, &h, &(yyloc), m);
			}
#line 9727 "src/parser_bison.c"
    break;

  case 237: /* monitor_event: %empty  */
#line 1879 "src/parser_bison.y"
                                                { (yyval.string) = NULL; }
#line 9733 "src/parser_bison.c"
    break;

  case 238: /* monitor_event: "string"  */
#line 1880 "src/parser_bison.y"
                                                { (yyval.string) = (yyvsp[0].string); }
#line 9739 "src/parser_bison.c"
    break;

  case 239: /* monitor_object: %empty  */
#line 1883 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_ANY; }
#line 9745 "src/parser_bison.c"
    break;

  case 240: /* monitor_object: "tables"  */
#line 1884 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_TABLES; }
#line 9751 "src/parser_bison.c"
    break;

  case 241: /* monitor_object: "chains"  */
#line 1885 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_CHAINS; }
#line 9757 "src/parser_bison.c"
    break;

  case 242: /* monitor_object: "sets"  */
#line 1886 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_SETS; }
#line 9763 "src/parser_bison.c"
    break;

  case 243: /* monitor_object: "rules"  */
#line 1887 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_RULES; }
#line 9769 "src/parser_bison.c"
    break;

  case 244: /* monitor_object: "elements"  */
#line 1888 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_ELEMS; }
#line 9775 "src/parser_bison.c"
    break;

  case 245: /* monitor_object: "ruleset"  */
#line 1889 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_RULESET; }
#line 9781 "src/parser_bison.c"
    break;

  case 246: /* monitor_object: "trace"  */
#line 1890 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_TRACE; }
#line 9787 "src/parser_bison.c"
    break;

  case 247: /* monitor_format: %empty  */
#line 1893 "src/parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_DEFAULT; }
#line 9793 "src/parser_bison.c"
    break;

  case 249: /* markup_format: "xml"  */
#line 1897 "src/parser_bison.y"
                                                { (yyval.val) = __NFT_OUTPUT_NOTSUPP; }
#line 9799 "src/parser_bison.c"
    break;

  case 250: /* markup_format: "json"  */
#line 1898 "src/parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 9805 "src/parser_bison.c"
    break;

  case 251: /* markup_format: "vm" "json"  */
#line 1899 "src/parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 9811 "src/parser_bison.c"
    break;

  case 252: /* describe_cmd: primary_expr  */
#line 1903 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				(yyval.cmd) = cmd_alloc(CMD_DESCRIBE, CMD_OBJ_EXPR, &h, &(yyloc), NULL);
				(yyval.cmd)->expr = (yyvsp[0].expr);
			}
#line 9821 "src/parser_bison.c"
    break;

  case 253: /* table_block_alloc: %empty  */
#line 1911 "src/parser_bison.y"
                        {
				(yyval.table) = table_alloc();
				if (open_scope(state, &(yyval.table)->scope) < 0) {
					erec_queue(error(&(yyloc), "too many levels of nesting"),
						   state->msgs);
					state->nerrs++;
				}
			}
#line 9834 "src/parser_bison.c"
    break;

  case 254: /* table_options: "flags" table_flags  */
#line 1922 "src/parser_bison.y"
                        {
				(yyvsp[-2].table)->flags |= (yyvsp[0].val);
			}
#line 9842 "src/parser_bison.c"
    break;

  case 255: /* table_options: comment_spec  */
#line 1926 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].table)->comment, &(yyloc), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].table)->comment = (yyvsp[0].string);
			}
#line 9854 "src/parser_bison.c"
    break;

  case 257: /* table_flags: table_flags "comma" table_flag  */
#line 1937 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 9862 "src/parser_bison.c"
    break;

  case 258: /* table_flag: "string"  */
#line 1942 "src/parser_bison.y"
                        {
				(yyval.val) = parse_table_flag((yyvsp[0].string));
				if ((yyval.val) == 0) {
					erec_queue(error(&(yylsp[0]), "unknown table option %s", (yyvsp[0].string)),
						   state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}

				free_const((yyvsp[0].string));
			}
#line 9878 "src/parser_bison.c"
    break;

  case 259: /* table_block: %empty  */
#line 1955 "src/parser_bison.y"
                                                { (yyval.table) = (yyvsp[(-1) - (0)].table); }
#line 9884 "src/parser_bison.c"
    break;

  case 263: /* table_block: table_block "chain" chain_identifier chain_block_alloc '{' chain_block '}' stmt_separator  */
#line 1962 "src/parser_bison.y"
                        {
				(yyvsp[-4].chain)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].chain)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				close_scope(state);
				list_add_tail(&(yyvsp[-4].chain)->list, &(yyvsp[-7].table)->chains);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9897 "src/parser_bison.c"
    break;

  case 264: /* table_block: table_block "set" set_identifier set_block_alloc '{' set_block '}' stmt_separator  */
#line 1973 "src/parser_bison.y"
                        {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9909 "src/parser_bison.c"
    break;

  case 265: /* table_block: table_block "map" set_identifier map_block_alloc '{' map_block '}' stmt_separator  */
#line 1983 "src/parser_bison.y"
                        {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9921 "src/parser_bison.c"
    break;

  case 266: /* table_block: table_block "flowtable" flowtable_identifier flowtable_block_alloc '{' flowtable_block '}' stmt_separator  */
#line 1994 "src/parser_bison.y"
                        {
				(yyvsp[-4].flowtable)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].flowtable)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].flowtable)->list, &(yyvsp[-7].table)->flowtables);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9933 "src/parser_bison.c"
    break;

  case 267: /* table_block: table_block "counter" obj_identifier obj_block_alloc '{' counter_block '}' stmt_separator close_scope_counter  */
#line 2004 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_COUNTER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9946 "src/parser_bison.c"
    break;

  case 268: /* table_block: table_block "quota" obj_identifier obj_block_alloc '{' quota_block '}' stmt_separator close_scope_quota  */
#line 2015 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_QUOTA;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9959 "src/parser_bison.c"
    break;

  case 269: /* table_block: table_block "ct" "helper" obj_identifier obj_block_alloc '{' ct_helper_block '}' stmt_separator close_scope_ct  */
#line 2024 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_HELPER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 9972 "src/parser_bison.c"
    break;

  case 270: /* table_block: table_block "ct" "timeout" obj_identifier obj_block_alloc '{' ct_timeout_block '}' stmt_separator close_scope_ct  */
#line 2033 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_TIMEOUT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 9985 "src/parser_bison.c"
    break;

  case 271: /* table_block: table_block "ct" "expectation" obj_identifier obj_block_alloc '{' ct_expect_block '}' stmt_separator close_scope_ct  */
#line 2042 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_EXPECT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 9998 "src/parser_bison.c"
    break;

  case 272: /* table_block: table_block "limit" obj_identifier obj_block_alloc '{' limit_block '}' stmt_separator close_scope_limit  */
#line 2053 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_LIMIT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 10011 "src/parser_bison.c"
    break;

  case 273: /* table_block: table_block "secmark" obj_identifier obj_block_alloc '{' secmark_block '}' stmt_separator close_scope_secmark  */
#line 2064 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SECMARK;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 10024 "src/parser_bison.c"
    break;

  case 274: /* table_block: table_block "synproxy" obj_identifier obj_block_alloc '{' synproxy_block '}' stmt_separator close_scope_synproxy  */
#line 2075 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SYNPROXY;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 10037 "src/parser_bison.c"
    break;

  case 275: /* chain_block_alloc: %empty  */
#line 2086 "src/parser_bison.y"
                        {
				(yyval.chain) = chain_alloc();
				if (open_scope(state, &(yyval.chain)->scope) < 0) {
					erec_queue(error(&(yyloc), "too many levels of nesting"),
						   state->msgs);
					state->nerrs++;
				}
			}
#line 10050 "src/parser_bison.c"
    break;

  case 276: /* chain_block: %empty  */
#line 2096 "src/parser_bison.y"
                                                { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 10056 "src/parser_bison.c"
    break;

  case 282: /* chain_block: chain_block rule stmt_separator  */
#line 2103 "src/parser_bison.y"
                        {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 10065 "src/parser_bison.c"
    break;

  case 283: /* chain_block: chain_block "devices" '=' flowtable_expr stmt_separator  */
#line 2108 "src/parser_bison.y"
                        {
				if ((yyval.chain)->dev_expr) {
					list_splice_init(&(yyvsp[-1].expr)->expressions, &(yyval.chain)->dev_expr->expressions);
					expr_free((yyvsp[-1].expr));
					break;
				}
				(yyval.chain)->dev_expr = (yyvsp[-1].expr);
			}
#line 10078 "src/parser_bison.c"
    break;

  case 284: /* chain_block: chain_block comment_spec stmt_separator  */
#line 2117 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-2].chain)->comment, &(yylsp[-1]), state)) {
					free_const((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].chain)->comment = (yyvsp[-1].string);
			}
#line 10090 "src/parser_bison.c"
    break;

  case 285: /* subchain_block: %empty  */
#line 2126 "src/parser_bison.y"
                                                { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 10096 "src/parser_bison.c"
    break;

  case 287: /* subchain_block: subchain_block rule stmt_separator  */
#line 2129 "src/parser_bison.y"
                        {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 10105 "src/parser_bison.c"
    break;

  case 288: /* typeof_verdict_expr: primary_expr  */
#line 2136 "src/parser_bison.y"
                        {
				struct expr *e = (yyvsp[0].expr);

				if (e->etype == EXPR_SYMBOL &&
				    strcmp("verdict", e->identifier) == 0) {
					struct expr *v = verdict_expr_alloc(&(yylsp[0]), NF_ACCEPT, NULL);

					expr_free(e);
					v->flags &= ~EXPR_F_CONSTANT;
					e = v;
				}

				if (expr_ops(e)->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "map data type '%s' lacks typeof serialization", expr_ops(e)->name),
						   state->msgs);
					expr_free(e);
					YYERROR;
				}
				(yyval.expr) = e;
			}
#line 10130 "src/parser_bison.c"
    break;

  case 289: /* typeof_verdict_expr: typeof_expr "." primary_expr  */
#line 2157 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10143 "src/parser_bison.c"
    break;

  case 290: /* typeof_data_expr: "interval" typeof_expr  */
#line 2168 "src/parser_bison.y"
                        {
				(yyvsp[0].expr)->flags |= EXPR_F_INTERVAL;
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10152 "src/parser_bison.c"
    break;

  case 291: /* typeof_data_expr: typeof_verdict_expr  */
#line 2173 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10160 "src/parser_bison.c"
    break;

  case 292: /* typeof_data_expr: "queue"  */
#line 2177 "src/parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &queue_type, BYTEORDER_HOST_ENDIAN, 16, NULL);
			}
#line 10168 "src/parser_bison.c"
    break;

  case 293: /* typeof_expr: primary_expr  */
#line 2183 "src/parser_bison.y"
                        {
				if (expr_ops((yyvsp[0].expr))->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "primary expression type '%s' lacks typeof serialization", expr_ops((yyvsp[0].expr))->name),
						   state->msgs);
					expr_free((yyvsp[0].expr));
					YYERROR;
				}

				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10183 "src/parser_bison.c"
    break;

  case 294: /* typeof_expr: typeof_expr "." primary_expr  */
#line 2194 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10196 "src/parser_bison.c"
    break;

  case 295: /* set_block_alloc: %empty  */
#line 2206 "src/parser_bison.y"
                        {
				(yyval.set) = set_alloc(&internal_location);
			}
#line 10204 "src/parser_bison.c"
    break;

  case 296: /* typeof_key_expr: "typeof" typeof_expr  */
#line 2211 "src/parser_bison.y"
                                                    { (yyval.expr) = (yyvsp[0].expr); }
#line 10210 "src/parser_bison.c"
    break;

  case 297: /* typeof_key_expr: "type" data_type_expr close_scope_type  */
#line 2212 "src/parser_bison.y"
                                                                        { (yyval.expr) = (yyvsp[-1].expr); }
#line 10216 "src/parser_bison.c"
    break;

  case 298: /* set_block: %empty  */
#line 2215 "src/parser_bison.y"
                                                { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 10222 "src/parser_bison.c"
    break;

  case 301: /* set_block: set_block typeof_key_expr stmt_separator  */
#line 2219 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-2].set)->key, &(yylsp[-1]), state)) {
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}

				(yyvsp[-2].set)->key = (yyvsp[-1].expr);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 10236 "src/parser_bison.c"
    break;

  case 302: /* set_block: set_block "flags" set_flag_list stmt_separator  */
#line 2229 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->flags = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10245 "src/parser_bison.c"
    break;

  case 303: /* set_block: set_block "timeout" time_spec stmt_separator  */
#line 2234 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10254 "src/parser_bison.c"
    break;

  case 304: /* set_block: set_block "gc-interval" time_spec stmt_separator  */
#line 2239 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10263 "src/parser_bison.c"
    break;

  case 305: /* set_block: set_block stateful_stmt_list stmt_separator  */
#line 2244 "src/parser_bison.y"
                        {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 10273 "src/parser_bison.c"
    break;

  case 306: /* set_block: set_block "elements" '=' set_block_expr  */
#line 2250 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-3].set)->init, &(yylsp[-2]), state)) {
					expr_free((yyvsp[0].expr));
					YYERROR;
				}
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10286 "src/parser_bison.c"
    break;

  case 307: /* set_block: set_block "auto-merge"  */
#line 2259 "src/parser_bison.y"
                        {
				(yyvsp[-1].set)->automerge = true;
				(yyval.set) = (yyvsp[-1].set);
			}
#line 10295 "src/parser_bison.c"
    break;

  case 309: /* set_block: set_block comment_spec stmt_separator  */
#line 2265 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					free_const((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 10308 "src/parser_bison.c"
    break;

  case 312: /* set_flag_list: set_flag_list "comma" set_flag  */
#line 2280 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 10316 "src/parser_bison.c"
    break;

  case 314: /* set_flag: "constant"  */
#line 2286 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_CONSTANT; }
#line 10322 "src/parser_bison.c"
    break;

  case 315: /* set_flag: "interval"  */
#line 2287 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_INTERVAL; }
#line 10328 "src/parser_bison.c"
    break;

  case 316: /* set_flag: "timeout"  */
#line 2288 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_TIMEOUT; }
#line 10334 "src/parser_bison.c"
    break;

  case 317: /* set_flag: "dynamic"  */
#line 2289 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_EVAL; }
#line 10340 "src/parser_bison.c"
    break;

  case 318: /* map_block_alloc: %empty  */
#line 2293 "src/parser_bison.y"
                        {
				(yyval.set) = set_alloc(&internal_location);
			}
#line 10348 "src/parser_bison.c"
    break;

  case 319: /* ct_obj_type_map: "timeout"  */
#line 2298 "src/parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 10354 "src/parser_bison.c"
    break;

  case 320: /* ct_obj_type_map: "expectation"  */
#line 2299 "src/parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 10360 "src/parser_bison.c"
    break;

  case 321: /* map_block_obj_type: "counter" close_scope_counter  */
#line 2302 "src/parser_bison.y"
                                                            { (yyval.val) = NFT_OBJECT_COUNTER; }
#line 10366 "src/parser_bison.c"
    break;

  case 322: /* map_block_obj_type: "quota" close_scope_quota  */
#line 2303 "src/parser_bison.y"
                                                          { (yyval.val) = NFT_OBJECT_QUOTA; }
#line 10372 "src/parser_bison.c"
    break;

  case 323: /* map_block_obj_type: "limit" close_scope_limit  */
#line 2304 "src/parser_bison.y"
                                                          { (yyval.val) = NFT_OBJECT_LIMIT; }
#line 10378 "src/parser_bison.c"
    break;

  case 324: /* map_block_obj_type: "secmark" close_scope_secmark  */
#line 2305 "src/parser_bison.y"
                                                            { (yyval.val) = NFT_OBJECT_SECMARK; }
#line 10384 "src/parser_bison.c"
    break;

  case 325: /* map_block_obj_type: "synproxy" close_scope_synproxy  */
#line 2306 "src/parser_bison.y"
                                                              { (yyval.val) = NFT_OBJECT_SYNPROXY; }
#line 10390 "src/parser_bison.c"
    break;

  case 327: /* map_block_obj_typeof: "ct" ct_obj_type_map close_scope_ct  */
#line 2310 "src/parser_bison.y"
                                                                        { (yyval.val) = (yyvsp[-1].val); }
#line 10396 "src/parser_bison.c"
    break;

  case 328: /* map_block_data_interval: "interval"  */
#line 2313 "src/parser_bison.y"
                                         { (yyval.val) = EXPR_F_INTERVAL; }
#line 10402 "src/parser_bison.c"
    break;

  case 329: /* map_block_data_interval: %empty  */
#line 2314 "src/parser_bison.y"
                                { (yyval.val) = 0; }
#line 10408 "src/parser_bison.c"
    break;

  case 330: /* map_block: %empty  */
#line 2317 "src/parser_bison.y"
                                                { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 10414 "src/parser_bison.c"
    break;

  case 333: /* map_block: map_block "timeout" time_spec stmt_separator  */
#line 2321 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10423 "src/parser_bison.c"
    break;

  case 334: /* map_block: map_block "gc-interval" time_spec stmt_separator  */
#line 2326 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10432 "src/parser_bison.c"
    break;

  case 335: /* map_block: map_block "type" data_type_expr "colon" map_block_data_interval data_type_expr stmt_separator close_scope_type  */
#line 2333 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-7].set)->key, &(yylsp[-6]), state)) {
					expr_free((yyvsp[-5].expr));
					expr_free((yyvsp[-2].expr));
					YYERROR;
				}

				(yyvsp[-7].set)->key = (yyvsp[-5].expr);
				(yyvsp[-7].set)->data = (yyvsp[-2].expr);
				(yyvsp[-7].set)->data->flags |= (yyvsp[-3].val);

				(yyvsp[-7].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-7].set);
			}
#line 10451 "src/parser_bison.c"
    break;

  case 336: /* map_block: map_block "typeof" typeof_expr "colon" typeof_data_expr stmt_separator  */
#line 2350 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-5].set)->key, &(yylsp[-4]), state)) {
					expr_free((yyvsp[-3].expr));
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}

				(yyvsp[-5].set)->key = (yyvsp[-3].expr);

				if ((yyvsp[-1].expr)->etype == EXPR_CT && (yyvsp[-1].expr)->ct.key == NFT_CT_HELPER) {
					(yyvsp[-5].set)->objtype = NFT_OBJECT_CT_HELPER;
					(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
					expr_free((yyvsp[-1].expr));
				} else {
					(yyvsp[-5].set)->data = (yyvsp[-1].expr);
					(yyvsp[-5].set)->flags |= NFT_SET_MAP;
				}

				(yyval.set) = (yyvsp[-5].set);
			}
#line 10476 "src/parser_bison.c"
    break;

  case 337: /* map_block: map_block "type" data_type_expr "colon" map_block_obj_type stmt_separator close_scope_type  */
#line 2373 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-6].set)->key, &(yylsp[-5]), state)) {
					expr_free((yyvsp[-4].expr));
					YYERROR;
				}

				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				(yyvsp[-6].set)->objtype = (yyvsp[-2].val);
				(yyvsp[-6].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 10492 "src/parser_bison.c"
    break;

  case 338: /* map_block: map_block "typeof" typeof_expr "colon" map_block_obj_typeof stmt_separator  */
#line 2387 "src/parser_bison.y"
                        {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = (yyvsp[-1].val);
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 10503 "src/parser_bison.c"
    break;

  case 339: /* map_block: map_block "flags" set_flag_list stmt_separator  */
#line 2394 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->flags |= (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10512 "src/parser_bison.c"
    break;

  case 340: /* map_block: map_block stateful_stmt_list stmt_separator  */
#line 2399 "src/parser_bison.y"
                        {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 10522 "src/parser_bison.c"
    break;

  case 341: /* map_block: map_block "elements" '=' set_block_expr  */
#line 2405 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10531 "src/parser_bison.c"
    break;

  case 342: /* map_block: map_block comment_spec stmt_separator  */
#line 2410 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					free_const((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 10544 "src/parser_bison.c"
    break;

  case 344: /* set_mechanism: "policy" set_policy_spec close_scope_policy  */
#line 2422 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->policy = (yyvsp[-1].val);
			}
#line 10552 "src/parser_bison.c"
    break;

  case 345: /* set_mechanism: "size" "number"  */
#line 2426 "src/parser_bison.y"
                        {
				(yyvsp[-2].set)->desc.size = (yyvsp[0].val);
			}
#line 10560 "src/parser_bison.c"
    break;

  case 346: /* set_policy_spec: "performance"  */
#line 2431 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_POL_PERFORMANCE; }
#line 10566 "src/parser_bison.c"
    break;

  case 347: /* set_policy_spec: "memory"  */
#line 2432 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_POL_MEMORY; }
#line 10572 "src/parser_bison.c"
    break;

  case 348: /* flowtable_block_alloc: %empty  */
#line 2436 "src/parser_bison.y"
                        {
				(yyval.flowtable) = flowtable_alloc(&internal_location);
			}
#line 10580 "src/parser_bison.c"
    break;

  case 349: /* flowtable_block: %empty  */
#line 2441 "src/parser_bison.y"
                                                { (yyval.flowtable) = (yyvsp[(-1) - (0)].flowtable); }
#line 10586 "src/parser_bison.c"
    break;

  case 352: /* flowtable_block: flowtable_block "hook" "string" prio_spec stmt_separator  */
#line 2445 "src/parser_bison.y"
                        {
				(yyval.flowtable)->hook.loc = (yylsp[-2]);
				(yyval.flowtable)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyval.flowtable)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					free_const((yyvsp[-2].string));
					YYERROR;
				}
				free_const((yyvsp[-2].string));

				(yyval.flowtable)->priority = (yyvsp[-1].prio_spec);
			}
#line 10604 "src/parser_bison.c"
    break;

  case 353: /* flowtable_block: flowtable_block "devices" '=' flowtable_expr stmt_separator  */
#line 2459 "src/parser_bison.y"
                        {
				(yyval.flowtable)->dev_expr = (yyvsp[-1].expr);
			}
#line 10612 "src/parser_bison.c"
    break;

  case 354: /* flowtable_block: flowtable_block "counter" close_scope_counter  */
#line 2463 "src/parser_bison.y"
                        {
				(yyval.flowtable)->flags |= NFT_FLOWTABLE_COUNTER;
			}
#line 10620 "src/parser_bison.c"
    break;

  case 355: /* flowtable_block: flowtable_block "flags" "offload" stmt_separator  */
#line 2467 "src/parser_bison.y"
                        {
				(yyval.flowtable)->flags |= FLOWTABLE_F_HW_OFFLOAD;
			}
#line 10628 "src/parser_bison.c"
    break;

  case 356: /* flowtable_expr: '{' flowtable_list_expr '}'  */
#line 2473 "src/parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10637 "src/parser_bison.c"
    break;

  case 357: /* flowtable_expr: variable_expr  */
#line 2478 "src/parser_bison.y"
                        {
				(yyvsp[0].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10646 "src/parser_bison.c"
    break;

  case 358: /* flowtable_list_expr: flowtable_expr_member  */
#line 2485 "src/parser_bison.y"
                        {
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10655 "src/parser_bison.c"
    break;

  case 359: /* flowtable_list_expr: flowtable_list_expr "comma" flowtable_expr_member  */
#line 2490 "src/parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 10664 "src/parser_bison.c"
    break;

  case 361: /* flowtable_expr_member: "quoted string"  */
#line 2498 "src/parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = expr;
			}
#line 10677 "src/parser_bison.c"
    break;

  case 362: /* flowtable_expr_member: "string"  */
#line 2507 "src/parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = expr;
			}
#line 10690 "src/parser_bison.c"
    break;

  case 363: /* flowtable_expr_member: variable_expr  */
#line 2516 "src/parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10699 "src/parser_bison.c"
    break;

  case 364: /* data_type_atom_expr: type_identifier  */
#line 2523 "src/parser_bison.y"
                        {
				const struct datatype *dtype = datatype_lookup_byname((yyvsp[0].string));
				if (dtype == NULL) {
					erec_queue(error(&(yylsp[0]), "unknown datatype %s", (yyvsp[0].string)),
						   state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), dtype, dtype->byteorder,
							 dtype->size, NULL);
				free_const((yyvsp[0].string));
			}
#line 10716 "src/parser_bison.c"
    break;

  case 365: /* data_type_atom_expr: "time"  */
#line 2536 "src/parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), &time_type, time_type.byteorder,
							 time_type.size, NULL);
			}
#line 10725 "src/parser_bison.c"
    break;

  case 367: /* data_type_expr: data_type_expr "." data_type_atom_expr  */
#line 2544 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10738 "src/parser_bison.c"
    break;

  case 368: /* obj_block_alloc: %empty  */
#line 2555 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&internal_location);
			}
#line 10746 "src/parser_bison.c"
    break;

  case 369: /* counter_block: %empty  */
#line 2560 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10752 "src/parser_bison.c"
    break;

  case 372: /* counter_block: counter_block counter_config  */
#line 2564 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10760 "src/parser_bison.c"
    break;

  case 373: /* counter_block: counter_block comment_spec  */
#line 2568 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10772 "src/parser_bison.c"
    break;

  case 374: /* quota_block: %empty  */
#line 2577 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10778 "src/parser_bison.c"
    break;

  case 377: /* quota_block: quota_block quota_config  */
#line 2581 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10786 "src/parser_bison.c"
    break;

  case 378: /* quota_block: quota_block comment_spec  */
#line 2585 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10798 "src/parser_bison.c"
    break;

  case 379: /* ct_helper_block: %empty  */
#line 2594 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10804 "src/parser_bison.c"
    break;

  case 382: /* ct_helper_block: ct_helper_block ct_helper_config  */
#line 2598 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10812 "src/parser_bison.c"
    break;

  case 383: /* ct_helper_block: ct_helper_block comment_spec  */
#line 2602 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10824 "src/parser_bison.c"
    break;

  case 384: /* ct_timeout_block: %empty  */
#line 2612 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[(-1) - (0)].obj);
				init_list_head(&(yyval.obj)->ct_timeout.timeout_list);
				(yyval.obj)->type = NFT_OBJECT_CT_TIMEOUT;
			}
#line 10834 "src/parser_bison.c"
    break;

  case 387: /* ct_timeout_block: ct_timeout_block ct_timeout_config  */
#line 2620 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10842 "src/parser_bison.c"
    break;

  case 388: /* ct_timeout_block: ct_timeout_block comment_spec  */
#line 2624 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10854 "src/parser_bison.c"
    break;

  case 389: /* ct_expect_block: %empty  */
#line 2633 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10860 "src/parser_bison.c"
    break;

  case 392: /* ct_expect_block: ct_expect_block ct_expect_config  */
#line 2637 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10868 "src/parser_bison.c"
    break;

  case 393: /* ct_expect_block: ct_expect_block comment_spec  */
#line 2641 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10880 "src/parser_bison.c"
    break;

  case 394: /* limit_block: %empty  */
#line 2650 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10886 "src/parser_bison.c"
    break;

  case 397: /* limit_block: limit_block limit_config  */
#line 2654 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10894 "src/parser_bison.c"
    break;

  case 398: /* limit_block: limit_block comment_spec  */
#line 2658 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10906 "src/parser_bison.c"
    break;

  case 399: /* secmark_block: %empty  */
#line 2667 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10912 "src/parser_bison.c"
    break;

  case 402: /* secmark_block: secmark_block secmark_config  */
#line 2671 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10920 "src/parser_bison.c"
    break;

  case 403: /* secmark_block: secmark_block comment_spec  */
#line 2675 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10932 "src/parser_bison.c"
    break;

  case 404: /* synproxy_block: %empty  */
#line 2684 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10938 "src/parser_bison.c"
    break;

  case 407: /* synproxy_block: synproxy_block synproxy_config  */
#line 2688 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10946 "src/parser_bison.c"
    break;

  case 408: /* synproxy_block: synproxy_block comment_spec  */
#line 2692 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10958 "src/parser_bison.c"
    break;

  case 409: /* type_identifier: "string"  */
#line 2701 "src/parser_bison.y"
                                        { (yyval.string) = (yyvsp[0].string); }
#line 10964 "src/parser_bison.c"
    break;

  case 410: /* type_identifier: "mark"  */
#line 2702 "src/parser_bison.y"
                                        { (yyval.string) = xstrdup("mark"); }
#line 10970 "src/parser_bison.c"
    break;

  case 411: /* type_identifier: "dscp"  */
#line 2703 "src/parser_bison.y"
                                        { (yyval.string) = xstrdup("dscp"); }
#line 10976 "src/parser_bison.c"
    break;

  case 412: /* type_identifier: "ecn"  */
#line 2704 "src/parser_bison.y"
                                        { (yyval.string) = xstrdup("ecn"); }
#line 10982 "src/parser_bison.c"
    break;

  case 413: /* type_identifier: "classid"  */
#line 2705 "src/parser_bison.y"
                                        { (yyval.string) = xstrdup("classid"); }
#line 10988 "src/parser_bison.c"
    break;

  case 414: /* hook_spec: "type" close_scope_type "string" "hook" "string" dev_spec prio_spec  */
#line 2709 "src/parser_bison.y"
                        {
				const char *chain_type = chain_type_name_lookup((yyvsp[-4].string));

				if (chain_type == NULL) {
					erec_queue(error(&(yylsp[-4]), "unknown chain type"),
						   state->msgs);
					free_const((yyvsp[-4].string));
					free_const((yyvsp[-2].string));
					expr_free((yyvsp[-1].expr));
					expr_free((yyvsp[0].prio_spec).expr);
					YYERROR;
				}
				(yyvsp[-7].chain)->type.loc = (yylsp[-4]);
				(yyvsp[-7].chain)->type.str = xstrdup(chain_type);
				free_const((yyvsp[-4].string));

				(yyvsp[-7].chain)->loc = (yyloc);
				(yyvsp[-7].chain)->hook.loc = (yylsp[-2]);
				(yyvsp[-7].chain)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyvsp[-7].chain)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					free_const((yyvsp[-2].string));
					expr_free((yyvsp[-1].expr));
					expr_free((yyvsp[0].prio_spec).expr);
					YYERROR;
				}
				free_const((yyvsp[-2].string));

				(yyvsp[-7].chain)->dev_expr	= (yyvsp[-1].expr);
				(yyvsp[-7].chain)->priority	= (yyvsp[0].prio_spec);
				(yyvsp[-7].chain)->flags	|= CHAIN_F_BASECHAIN;
			}
#line 11026 "src/parser_bison.c"
    break;

  case 415: /* prio_spec: "priority" extended_prio_spec  */
#line 2745 "src/parser_bison.y"
                        {
				(yyval.prio_spec) = (yyvsp[0].prio_spec);
				(yyval.prio_spec).loc = (yyloc);
			}
#line 11035 "src/parser_bison.c"
    break;

  case 416: /* extended_prio_name: "out"  */
#line 2752 "src/parser_bison.y"
                        {
				(yyval.string) = strdup("out");
			}
#line 11043 "src/parser_bison.c"
    break;

  case 418: /* extended_prio_spec: int_num  */
#line 2759 "src/parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &integer_type,
								BYTEORDER_HOST_ENDIAN,
								sizeof(int) *
								BITS_PER_BYTE, &(yyvsp[0].val32));
				(yyval.prio_spec) = spec;
			}
#line 11057 "src/parser_bison.c"
    break;

  case 419: /* extended_prio_spec: variable_expr  */
#line 2769 "src/parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = (yyvsp[0].expr);
				(yyval.prio_spec) = spec;
			}
#line 11068 "src/parser_bison.c"
    break;

  case 420: /* extended_prio_spec: extended_prio_name  */
#line 2776 "src/parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen((yyvsp[0].string)) * BITS_PER_BYTE,
								(yyvsp[0].string));
				free_const((yyvsp[0].string));
				(yyval.prio_spec) = spec;
			}
#line 11083 "src/parser_bison.c"
    break;

  case 421: /* extended_prio_spec: extended_prio_name "+" "number"  */
#line 2787 "src/parser_bison.y"
                        {
				struct prio_spec spec = {0};

				char str[NFT_NAME_MAXLEN];
				snprintf(str, sizeof(str), "%s + %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				free_const((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 11100 "src/parser_bison.c"
    break;

  case 422: /* extended_prio_spec: extended_prio_name "-" "number"  */
#line 2800 "src/parser_bison.y"
                        {
				struct prio_spec spec = {0};
				char str[NFT_NAME_MAXLEN];

				snprintf(str, sizeof(str), "%s - %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				free_const((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 11117 "src/parser_bison.c"
    break;

  case 423: /* int_num: "number"  */
#line 2814 "src/parser_bison.y"
                                                        { (yyval.val32) = (yyvsp[0].val); }
#line 11123 "src/parser_bison.c"
    break;

  case 424: /* int_num: "-" "number"  */
#line 2815 "src/parser_bison.y"
                                                        { (yyval.val32) = -(yyvsp[0].val); }
#line 11129 "src/parser_bison.c"
    break;

  case 425: /* dev_spec: "device" string  */
#line 2819 "src/parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), expr);

			}
#line 11144 "src/parser_bison.c"
    break;

  case 426: /* dev_spec: "device" variable_expr  */
#line 2830 "src/parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11154 "src/parser_bison.c"
    break;

  case 427: /* dev_spec: "devices" '=' flowtable_expr  */
#line 2836 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 11162 "src/parser_bison.c"
    break;

  case 428: /* dev_spec: %empty  */
#line 2839 "src/parser_bison.y"
                                                        { (yyval.expr) = NULL; }
#line 11168 "src/parser_bison.c"
    break;

  case 429: /* flags_spec: "flags" "offload"  */
#line 2843 "src/parser_bison.y"
                        {
				(yyvsp[-2].chain)->flags |= CHAIN_F_HW_OFFLOAD;
			}
#line 11176 "src/parser_bison.c"
    break;

  case 430: /* policy_spec: "policy" policy_expr close_scope_policy  */
#line 2849 "src/parser_bison.y"
                        {
				if ((yyvsp[-3].chain)->policy) {
					erec_queue(error(&(yyloc), "you cannot set chain policy twice"),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}
				(yyvsp[-3].chain)->policy		= (yyvsp[-1].expr);
				(yyvsp[-3].chain)->policy->location	= (yyloc);
			}
#line 11191 "src/parser_bison.c"
    break;

  case 431: /* policy_expr: variable_expr  */
#line 2862 "src/parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &policy_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 11200 "src/parser_bison.c"
    break;

  case 432: /* policy_expr: chain_policy  */
#line 2867 "src/parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(int) *
							 BITS_PER_BYTE, &(yyvsp[0].val32));
			}
#line 11211 "src/parser_bison.c"
    break;

  case 433: /* chain_policy: "accept"  */
#line 2875 "src/parser_bison.y"
                                                { (yyval.val32) = NF_ACCEPT; }
#line 11217 "src/parser_bison.c"
    break;

  case 434: /* chain_policy: "drop"  */
#line 2876 "src/parser_bison.y"
                                                { (yyval.val32) = NF_DROP;   }
#line 11223 "src/parser_bison.c"
    break;

  case 436: /* identifier: "last"  */
#line 2880 "src/parser_bison.y"
                                                { (yyval.string) = xstrdup("last"); }
#line 11229 "src/parser_bison.c"
    break;

  case 440: /* time_spec: "string"  */
#line 2889 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t res;

				erec = time_parse(&(yylsp[0]), (yyvsp[0].string), &res);
				free_const((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = res;
			}
#line 11246 "src/parser_bison.c"
    break;

  case 442: /* time_spec_or_num_s: time_spec  */
#line 2905 "src/parser_bison.y"
                                          { (yyval.val) = (yyvsp[0].val) / 1000u; }
#line 11252 "src/parser_bison.c"
    break;

  case 443: /* family_spec: %empty  */
#line 2908 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV4; }
#line 11258 "src/parser_bison.c"
    break;

  case 445: /* family_spec_explicit: "ip" close_scope_ip  */
#line 2912 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV4; }
#line 11264 "src/parser_bison.c"
    break;

  case 446: /* family_spec_explicit: "ip6" close_scope_ip6  */
#line 2913 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV6; }
#line 11270 "src/parser_bison.c"
    break;

  case 447: /* family_spec_explicit: "inet"  */
#line 2914 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_INET; }
#line 11276 "src/parser_bison.c"
    break;

  case 448: /* family_spec_explicit: "arp" close_scope_arp  */
#line 2915 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_ARP; }
#line 11282 "src/parser_bison.c"
    break;

  case 449: /* family_spec_explicit: "bridge"  */
#line 2916 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_BRIDGE; }
#line 11288 "src/parser_bison.c"
    break;

  case 450: /* family_spec_explicit: "netdev"  */
#line 2917 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_NETDEV; }
#line 11294 "src/parser_bison.c"
    break;

  case 451: /* table_spec: family_spec identifier  */
#line 2921 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[-1].val);
				(yyval.handle).table.location = (yylsp[0]);
				(yyval.handle).table.name	= (yyvsp[0].string);
			}
#line 11305 "src/parser_bison.c"
    break;

  case 452: /* tableid_spec: family_spec "handle" "number"  */
#line 2930 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family 		= (yyvsp[-2].val);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
				(yyval.handle).handle.location	= (yylsp[0]);
			}
#line 11316 "src/parser_bison.c"
    break;

  case 453: /* chain_spec: table_spec identifier  */
#line 2939 "src/parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).chain.name	= (yyvsp[0].string);
				(yyval.handle).chain.location = (yylsp[0]);
			}
#line 11326 "src/parser_bison.c"
    break;

  case 454: /* chainid_spec: table_spec "handle" "number"  */
#line 2947 "src/parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 11336 "src/parser_bison.c"
    break;

  case 455: /* chain_identifier: identifier  */
#line 2955 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).chain.name		= (yyvsp[0].string);
				(yyval.handle).chain.location	= (yylsp[0]);
			}
#line 11346 "src/parser_bison.c"
    break;

  case 456: /* set_spec: table_spec identifier  */
#line 2963 "src/parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 11356 "src/parser_bison.c"
    break;

  case 457: /* setid_spec: table_spec "handle" "number"  */
#line 2971 "src/parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 11366 "src/parser_bison.c"
    break;

  case 458: /* set_identifier: identifier  */
#line 2979 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 11376 "src/parser_bison.c"
    break;

  case 459: /* flowtable_spec: table_spec identifier  */
#line 2987 "src/parser_bison.y"
                        {
				(yyval.handle)			= (yyvsp[-1].handle);
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 11386 "src/parser_bison.c"
    break;

  case 460: /* flowtableid_spec: table_spec "handle" "number"  */
#line 2995 "src/parser_bison.y"
                        {
				(yyval.handle)			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11396 "src/parser_bison.c"
    break;

  case 461: /* flowtable_identifier: identifier  */
#line 3003 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 11406 "src/parser_bison.c"
    break;

  case 462: /* obj_spec: table_spec identifier  */
#line 3011 "src/parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).obj.name	= (yyvsp[0].string);
				(yyval.handle).obj.location	= (yylsp[0]);
			}
#line 11416 "src/parser_bison.c"
    break;

  case 463: /* objid_spec: table_spec "handle" "number"  */
#line 3019 "src/parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11426 "src/parser_bison.c"
    break;

  case 464: /* obj_identifier: identifier  */
#line 3027 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).obj.name		= (yyvsp[0].string);
				(yyval.handle).obj.location		= (yylsp[0]);
			}
#line 11436 "src/parser_bison.c"
    break;

  case 465: /* handle_spec: "handle" "number"  */
#line 3035 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11446 "src/parser_bison.c"
    break;

  case 466: /* position_spec: "position" "number"  */
#line 3043 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).position.location	= (yyloc);
				(yyval.handle).position.id		= (yyvsp[0].val);
			}
#line 11456 "src/parser_bison.c"
    break;

  case 467: /* index_spec: "index" "number"  */
#line 3051 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).index.location	= (yyloc);
				(yyval.handle).index.id		= (yyvsp[0].val) + 1;
			}
#line 11466 "src/parser_bison.c"
    break;

  case 468: /* rule_position: chain_spec  */
#line 3059 "src/parser_bison.y"
                        {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 11474 "src/parser_bison.c"
    break;

  case 469: /* rule_position: chain_spec position_spec  */
#line 3063 "src/parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11483 "src/parser_bison.c"
    break;

  case 470: /* rule_position: chain_spec handle_spec  */
#line 3068 "src/parser_bison.y"
                        {
				(yyvsp[0].handle).position.location = (yyvsp[0].handle).handle.location;
				(yyvsp[0].handle).position.id = (yyvsp[0].handle).handle.id;
				(yyvsp[0].handle).handle.id = 0;
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11495 "src/parser_bison.c"
    break;

  case 471: /* rule_position: chain_spec index_spec  */
#line 3076 "src/parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11504 "src/parser_bison.c"
    break;

  case 472: /* ruleid_spec: chain_spec handle_spec  */
#line 3083 "src/parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11513 "src/parser_bison.c"
    break;

  case 473: /* comment_spec: "comment" string  */
#line 3090 "src/parser_bison.y"
                        {
				if (strlen((yyvsp[0].string)) > NFTNL_UDATA_COMMENT_MAXLEN) {
					erec_queue(error(&(yylsp[0]), "comment too long, %d characters maximum allowed",
							 NFTNL_UDATA_COMMENT_MAXLEN),
						   state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyval.string) = (yyvsp[0].string);
			}
#line 11528 "src/parser_bison.c"
    break;

  case 474: /* ruleset_spec: %empty  */
#line 3103 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= NFPROTO_UNSPEC;
			}
#line 11537 "src/parser_bison.c"
    break;

  case 475: /* ruleset_spec: family_spec_explicit  */
#line 3108 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[0].val);
			}
#line 11546 "src/parser_bison.c"
    break;

  case 476: /* rule: rule_alloc  */
#line 3115 "src/parser_bison.y"
                        {
				(yyval.rule)->comment = NULL;
			}
#line 11554 "src/parser_bison.c"
    break;

  case 477: /* rule: rule_alloc comment_spec  */
#line 3119 "src/parser_bison.y"
                        {
				(yyval.rule)->comment = (yyvsp[0].string);
			}
#line 11562 "src/parser_bison.c"
    break;

  case 478: /* rule_alloc: stmt_list  */
#line 3125 "src/parser_bison.y"
                        {
				struct stmt *i;

				(yyval.rule) = rule_alloc(&(yyloc), NULL);
				list_for_each_entry(i, (yyvsp[0].list), list)
					(yyval.rule)->num_stmts++;
				list_splice_tail((yyvsp[0].list), &(yyval.rule)->stmts);
				free((yyvsp[0].list));
			}
#line 11576 "src/parser_bison.c"
    break;

  case 479: /* stmt_list: stmt  */
#line 3137 "src/parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 11586 "src/parser_bison.c"
    break;

  case 480: /* stmt_list: stmt_list stmt  */
#line 3143 "src/parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 11595 "src/parser_bison.c"
    break;

  case 481: /* stateful_stmt_list: stateful_stmt  */
#line 3150 "src/parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 11605 "src/parser_bison.c"
    break;

  case 482: /* stateful_stmt_list: stateful_stmt_list stateful_stmt  */
#line 3156 "src/parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 11614 "src/parser_bison.c"
    break;

  case 483: /* objref_stmt_counter: "counter" "name" stmt_expr close_scope_counter  */
#line 3163 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_COUNTER;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11624 "src/parser_bison.c"
    break;

  case 484: /* objref_stmt_limit: "limit" "name" stmt_expr close_scope_limit  */
#line 3171 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_LIMIT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11634 "src/parser_bison.c"
    break;

  case 485: /* objref_stmt_quota: "quota" "name" stmt_expr close_scope_quota  */
#line 3179 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_QUOTA;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11644 "src/parser_bison.c"
    break;

  case 486: /* objref_stmt_synproxy: "synproxy" "name" stmt_expr close_scope_synproxy  */
#line 3187 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_SYNPROXY;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11654 "src/parser_bison.c"
    break;

  case 487: /* objref_stmt_ct: "ct" "timeout" "set" stmt_expr close_scope_ct  */
#line 3195 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_TIMEOUT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);

			}
#line 11665 "src/parser_bison.c"
    break;

  case 488: /* objref_stmt_ct: "ct" "expectation" "set" stmt_expr close_scope_ct  */
#line 3202 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_EXPECT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11675 "src/parser_bison.c"
    break;

  case 522: /* xt_stmt: "xt" "string" string  */
#line 3249 "src/parser_bison.y"
                        {
				(yyval.stmt) = NULL;
				free_const((yyvsp[-1].string));
				free_const((yyvsp[0].string));
				erec_queue(error(&(yyloc), "unsupported xtables compat expression, use iptables-nft with this ruleset"),
					   state->msgs);
				YYERROR;
			}
#line 11688 "src/parser_bison.c"
    break;

  case 523: /* chain_stmt_type: "jump"  */
#line 3259 "src/parser_bison.y"
                                        { (yyval.val) = NFT_JUMP; }
#line 11694 "src/parser_bison.c"
    break;

  case 524: /* chain_stmt_type: "goto"  */
#line 3260 "src/parser_bison.y"
                                        { (yyval.val) = NFT_GOTO; }
#line 11700 "src/parser_bison.c"
    break;

  case 525: /* chain_stmt: chain_stmt_type chain_block_alloc '{' subchain_block '}'  */
#line 3264 "src/parser_bison.y"
                        {
				(yyvsp[-3].chain)->location = (yylsp[-3]);
				close_scope(state);
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				(yyval.stmt) = chain_stmt_alloc(&(yyloc), (yyvsp[-1].chain), (yyvsp[-4].val));
			}
#line 11711 "src/parser_bison.c"
    break;

  case 526: /* verdict_stmt: verdict_expr  */
#line 3273 "src/parser_bison.y"
                        {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 11719 "src/parser_bison.c"
    break;

  case 527: /* verdict_stmt: verdict_map_stmt  */
#line 3277 "src/parser_bison.y"
                        {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 11727 "src/parser_bison.c"
    break;

  case 528: /* verdict_map_stmt: concat_expr "vmap" verdict_map_expr  */
#line 3283 "src/parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11735 "src/parser_bison.c"
    break;

  case 529: /* verdict_map_expr: '{' verdict_map_list_expr '}'  */
#line 3289 "src/parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11744 "src/parser_bison.c"
    break;

  case 531: /* verdict_map_list_expr: verdict_map_list_member_expr  */
#line 3297 "src/parser_bison.y"
                        {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11753 "src/parser_bison.c"
    break;

  case 532: /* verdict_map_list_expr: verdict_map_list_expr "comma" verdict_map_list_member_expr  */
#line 3302 "src/parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 11762 "src/parser_bison.c"
    break;

  case 534: /* verdict_map_list_member_expr: opt_newline set_elem_expr "colon" verdict_expr opt_newline  */
#line 3310 "src/parser_bison.y"
                        {
				(yyval.expr) = mapping_expr_alloc(&(yylsp[-3]), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 11770 "src/parser_bison.c"
    break;

  case 535: /* connlimit_stmt: "ct" "count" "number" close_scope_ct  */
#line 3316 "src/parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 11779 "src/parser_bison.c"
    break;

  case 536: /* connlimit_stmt: "ct" "count" "over" "number" close_scope_ct  */
#line 3321 "src/parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 11789 "src/parser_bison.c"
    break;

  case 539: /* counter_stmt_alloc: "counter"  */
#line 3332 "src/parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 11797 "src/parser_bison.c"
    break;

  case 540: /* counter_args: counter_arg  */
#line 3338 "src/parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11805 "src/parser_bison.c"
    break;

  case 542: /* counter_arg: "packets" "number"  */
#line 3345 "src/parser_bison.y"
                        {
				assert((yyvsp[-2].stmt)->ops->type == STMT_COUNTER);
				(yyvsp[-2].stmt)->counter.packets = (yyvsp[0].val);
			}
#line 11814 "src/parser_bison.c"
    break;

  case 543: /* counter_arg: "bytes" "number"  */
#line 3350 "src/parser_bison.y"
                        {
				assert((yyvsp[-2].stmt)->ops->type == STMT_COUNTER);
				(yyvsp[-2].stmt)->counter.bytes	 = (yyvsp[0].val);
			}
#line 11823 "src/parser_bison.c"
    break;

  case 544: /* last_stmt: "last"  */
#line 3357 "src/parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 11831 "src/parser_bison.c"
    break;

  case 545: /* last_stmt: "last" "used" "never"  */
#line 3361 "src/parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 11839 "src/parser_bison.c"
    break;

  case 546: /* last_stmt: "last" "used" time_spec  */
#line 3365 "src/parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
				(yyval.stmt)->last.used = (yyvsp[0].val);
				(yyval.stmt)->last.set = true;
			}
#line 11849 "src/parser_bison.c"
    break;

  case 549: /* log_stmt_alloc: "log"  */
#line 3377 "src/parser_bison.y"
                        {
				(yyval.stmt) = log_stmt_alloc(&(yyloc));
			}
#line 11857 "src/parser_bison.c"
    break;

  case 550: /* log_args: log_arg  */
#line 3383 "src/parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11865 "src/parser_bison.c"
    break;

  case 552: /* log_arg: "prefix" string  */
#line 3390 "src/parser_bison.y"
                        {
				struct scope *scope = current_scope(state);
				struct error_record *erec;
				const char *prefix;

				prefix = str_preprocess(state, &(yylsp[0]), scope, (yyvsp[0].string), &erec);
				if (!prefix) {
					erec_queue(erec, state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}

				free_const((yyvsp[0].string));
				(yyvsp[-2].stmt)->log.prefix = prefix;
				(yyvsp[-2].stmt)->log.flags |= STMT_LOG_PREFIX;
			}
#line 11886 "src/parser_bison.c"
    break;

  case 553: /* log_arg: "group" "number"  */
#line 3407 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.group	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_GROUP;
			}
#line 11895 "src/parser_bison.c"
    break;

  case 554: /* log_arg: "snaplen" "number"  */
#line 3412 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.snaplen	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_SNAPLEN;
			}
#line 11904 "src/parser_bison.c"
    break;

  case 555: /* log_arg: "queue-threshold" "number"  */
#line 3417 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.qthreshold = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_QTHRESHOLD;
			}
#line 11913 "src/parser_bison.c"
    break;

  case 556: /* log_arg: "level" level_type  */
#line 3422 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.level	= (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_LEVEL;
			}
#line 11922 "src/parser_bison.c"
    break;

  case 557: /* log_arg: "flags" log_flags  */
#line 3427 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.logflags	|= (yyvsp[0].val);
			}
#line 11930 "src/parser_bison.c"
    break;

  case 558: /* level_type: string  */
#line 3433 "src/parser_bison.y"
                        {
				if (!strcmp("emerg", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_EMERG;
				else if (!strcmp("alert", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ALERT;
				else if (!strcmp("crit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_CRIT;
				else if (!strcmp("err", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ERR;
				else if (!strcmp("warn", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_WARNING;
				else if (!strcmp("notice", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_NOTICE;
				else if (!strcmp("info", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_INFO;
				else if (!strcmp("debug", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_DEBUG;
				else if (!strcmp("audit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_AUDIT;
				else {
					erec_queue(error(&(yylsp[0]), "invalid log level"),
						   state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				free_const((yyvsp[0].string));
			}
#line 11962 "src/parser_bison.c"
    break;

  case 559: /* log_flags: "tcp" log_flags_tcp close_scope_tcp  */
#line 3463 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-1].val);
			}
#line 11970 "src/parser_bison.c"
    break;

  case 560: /* log_flags: "ip" "options" close_scope_ip  */
#line 3467 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_IPOPT;
			}
#line 11978 "src/parser_bison.c"
    break;

  case 561: /* log_flags: "skuid"  */
#line 3471 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_UID;
			}
#line 11986 "src/parser_bison.c"
    break;

  case 562: /* log_flags: "ether" close_scope_eth  */
#line 3475 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_MACDECODE;
			}
#line 11994 "src/parser_bison.c"
    break;

  case 563: /* log_flags: "all"  */
#line 3479 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_MASK;
			}
#line 12002 "src/parser_bison.c"
    break;

  case 564: /* log_flags_tcp: log_flags_tcp "comma" log_flag_tcp  */
#line 3485 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 12010 "src/parser_bison.c"
    break;

  case 566: /* log_flag_tcp: "seq"  */
#line 3492 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_TCPSEQ;
			}
#line 12018 "src/parser_bison.c"
    break;

  case 567: /* log_flag_tcp: "options"  */
#line 3496 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_TCPOPT;
			}
#line 12026 "src/parser_bison.c"
    break;

  case 568: /* limit_stmt: "limit" "rate" limit_mode limit_rate_pkts limit_burst_pkts close_scope_limit  */
#line 3502 "src/parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "packet limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 12044 "src/parser_bison.c"
    break;

  case 569: /* limit_stmt: "limit" "rate" limit_mode limit_rate_bytes limit_burst_bytes close_scope_limit  */
#line 3516 "src/parser_bison.y"
                        {
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 12057 "src/parser_bison.c"
    break;

  case 570: /* quota_mode: "over"  */
#line 3526 "src/parser_bison.y"
                                                { (yyval.val) = NFT_QUOTA_F_INV; }
#line 12063 "src/parser_bison.c"
    break;

  case 571: /* quota_mode: "until"  */
#line 3527 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12069 "src/parser_bison.c"
    break;

  case 572: /* quota_mode: %empty  */
#line 3528 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12075 "src/parser_bison.c"
    break;

  case 573: /* quota_unit: "bytes"  */
#line 3531 "src/parser_bison.y"
                                                { (yyval.string) = xstrdup("bytes"); }
#line 12081 "src/parser_bison.c"
    break;

  case 574: /* quota_unit: "string"  */
#line 3532 "src/parser_bison.y"
                                                { (yyval.string) = (yyvsp[0].string); }
#line 12087 "src/parser_bison.c"
    break;

  case 575: /* quota_used: %empty  */
#line 3535 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12093 "src/parser_bison.c"
    break;

  case 576: /* quota_used: "used" "number" quota_unit  */
#line 3537 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				free_const((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 12110 "src/parser_bison.c"
    break;

  case 577: /* quota_stmt: "quota" quota_mode "number" quota_unit quota_used close_scope_quota  */
#line 3552 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-2].string), &rate);
				free_const((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-3].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[-1].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-4].val);
			}
#line 12130 "src/parser_bison.c"
    break;

  case 578: /* limit_mode: "over"  */
#line 3569 "src/parser_bison.y"
                                                                { (yyval.val) = NFT_LIMIT_F_INV; }
#line 12136 "src/parser_bison.c"
    break;

  case 579: /* limit_mode: "until"  */
#line 3570 "src/parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 12142 "src/parser_bison.c"
    break;

  case 580: /* limit_mode: %empty  */
#line 3571 "src/parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 12148 "src/parser_bison.c"
    break;

  case 581: /* limit_burst_pkts: %empty  */
#line 3574 "src/parser_bison.y"
                                                                { (yyval.val) = 5; }
#line 12154 "src/parser_bison.c"
    break;

  case 582: /* limit_burst_pkts: "burst" "number" "packets"  */
#line 3575 "src/parser_bison.y"
                                                                { (yyval.val) = (yyvsp[-1].val); }
#line 12160 "src/parser_bison.c"
    break;

  case 583: /* limit_rate_pkts: "number" "/" time_unit  */
#line 3579 "src/parser_bison.y"
                        {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 12169 "src/parser_bison.c"
    break;

  case 584: /* limit_burst_bytes: %empty  */
#line 3585 "src/parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 12175 "src/parser_bison.c"
    break;

  case 585: /* limit_burst_bytes: "burst" limit_bytes  */
#line 3586 "src/parser_bison.y"
                                                                { (yyval.val) = (yyvsp[0].val); }
#line 12181 "src/parser_bison.c"
    break;

  case 586: /* limit_rate_bytes: "number" "string"  */
#line 3590 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[0].string), &rate, &unit);
				free_const((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.limit_rate).rate = rate * (yyvsp[-1].val);
				(yyval.limit_rate).unit = unit;
			}
#line 12199 "src/parser_bison.c"
    break;

  case 587: /* limit_rate_bytes: limit_bytes "/" time_unit  */
#line 3604 "src/parser_bison.y"
                        {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 12208 "src/parser_bison.c"
    break;

  case 588: /* limit_bytes: "number" "bytes"  */
#line 3610 "src/parser_bison.y"
                                                        { (yyval.val) = (yyvsp[-1].val); }
#line 12214 "src/parser_bison.c"
    break;

  case 589: /* limit_bytes: "number" "string"  */
#line 3612 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				free_const((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 12231 "src/parser_bison.c"
    break;

  case 590: /* time_unit: "second"  */
#line 3626 "src/parser_bison.y"
                                                { (yyval.val) = 1ULL; }
#line 12237 "src/parser_bison.c"
    break;

  case 591: /* time_unit: "minute"  */
#line 3627 "src/parser_bison.y"
                                                { (yyval.val) = 1ULL * 60; }
#line 12243 "src/parser_bison.c"
    break;

  case 592: /* time_unit: "hour"  */
#line 3628 "src/parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60; }
#line 12249 "src/parser_bison.c"
    break;

  case 593: /* time_unit: "day"  */
#line 3629 "src/parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60 * 24; }
#line 12255 "src/parser_bison.c"
    break;

  case 594: /* time_unit: "week"  */
#line 3630 "src/parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60 * 24 * 7; }
#line 12261 "src/parser_bison.c"
    break;

  case 596: /* reject_stmt_alloc: "reject"  */
#line 3637 "src/parser_bison.y"
                        {
				(yyval.stmt) = reject_stmt_alloc(&(yyloc));
			}
#line 12269 "src/parser_bison.c"
    break;

  case 597: /* reject_with_expr: "string"  */
#line 3643 "src/parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state), (yyvsp[0].string));
				free_const((yyvsp[0].string));
			}
#line 12279 "src/parser_bison.c"
    break;

  case 598: /* reject_with_expr: integer_expr  */
#line 3648 "src/parser_bison.y"
                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12285 "src/parser_bison.c"
    break;

  case 599: /* reject_opts: %empty  */
#line 3652 "src/parser_bison.y"
                        {
				(yyvsp[0].stmt)->reject.type = -1;
				(yyvsp[0].stmt)->reject.icmp_code = -1;
			}
#line 12294 "src/parser_bison.c"
    break;

  case 600: /* reject_opts: "with" "icmp" "type" reject_with_expr close_scope_type close_scope_icmp  */
#line 3657 "src/parser_bison.y"
                        {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &reject_icmp_code_type);
			}
#line 12305 "src/parser_bison.c"
    break;

  case 601: /* reject_opts: "with" "icmp" reject_with_expr  */
#line 3664 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &reject_icmp_code_type);
			}
#line 12316 "src/parser_bison.c"
    break;

  case 602: /* reject_opts: "with" "icmpv6" "type" reject_with_expr close_scope_type close_scope_icmp  */
#line 3671 "src/parser_bison.y"
                        {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &reject_icmpv6_code_type);
			}
#line 12327 "src/parser_bison.c"
    break;

  case 603: /* reject_opts: "with" "icmpv6" reject_with_expr  */
#line 3678 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &reject_icmpv6_code_type);
			}
#line 12338 "src/parser_bison.c"
    break;

  case 604: /* reject_opts: "with" "icmpx" "type" reject_with_expr close_scope_type  */
#line 3685 "src/parser_bison.y"
                        {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-5].stmt)->reject.expr = (yyvsp[-1].expr);
				datatype_set((yyvsp[-5].stmt)->reject.expr, &reject_icmpx_code_type);
			}
#line 12348 "src/parser_bison.c"
    break;

  case 605: /* reject_opts: "with" "icmpx" reject_with_expr  */
#line 3691 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &reject_icmpx_code_type);
			}
#line 12358 "src/parser_bison.c"
    break;

  case 606: /* reject_opts: "with" "tcp" close_scope_tcp "reset" close_scope_reset  */
#line 3697 "src/parser_bison.y"
                        {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_TCP_RST;
			}
#line 12366 "src/parser_bison.c"
    break;

  case 608: /* nat_stmt_alloc: "snat"  */
#line 3705 "src/parser_bison.y"
                                        { (yyval.stmt) = nat_stmt_alloc(&(yyloc), __NFT_NAT_SNAT); }
#line 12372 "src/parser_bison.c"
    break;

  case 609: /* nat_stmt_alloc: "dnat"  */
#line 3706 "src/parser_bison.y"
                                        { (yyval.stmt) = nat_stmt_alloc(&(yyloc), __NFT_NAT_DNAT); }
#line 12378 "src/parser_bison.c"
    break;

  case 610: /* tproxy_stmt: "tproxy" "to" stmt_expr  */
#line 3710 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 12388 "src/parser_bison.c"
    break;

  case 611: /* tproxy_stmt: "tproxy" nf_key_proto "to" stmt_expr  */
#line 3716 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-2].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 12398 "src/parser_bison.c"
    break;

  case 612: /* tproxy_stmt: "tproxy" "to" "colon" stmt_expr  */
#line 3722 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12408 "src/parser_bison.c"
    break;

  case 613: /* tproxy_stmt: "tproxy" "to" stmt_expr "colon" stmt_expr  */
#line 3728 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12419 "src/parser_bison.c"
    break;

  case 614: /* tproxy_stmt: "tproxy" nf_key_proto "to" stmt_expr "colon" stmt_expr  */
#line 3735 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-4].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12430 "src/parser_bison.c"
    break;

  case 615: /* tproxy_stmt: "tproxy" nf_key_proto "to" "colon" stmt_expr  */
#line 3742 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-3].val);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12440 "src/parser_bison.c"
    break;

  case 618: /* synproxy_stmt_alloc: "synproxy"  */
#line 3754 "src/parser_bison.y"
                        {
				(yyval.stmt) = synproxy_stmt_alloc(&(yyloc));
			}
#line 12448 "src/parser_bison.c"
    break;

  case 619: /* synproxy_args: synproxy_arg  */
#line 3760 "src/parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 12456 "src/parser_bison.c"
    break;

  case 621: /* synproxy_arg: "mss" "number"  */
#line 3767 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->synproxy.mss = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_MSS;
			}
#line 12465 "src/parser_bison.c"
    break;

  case 622: /* synproxy_arg: "wscale" "number"  */
#line 3772 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->synproxy.wscale = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_WSCALE;
			}
#line 12474 "src/parser_bison.c"
    break;

  case 623: /* synproxy_arg: "timestamp"  */
#line 3777 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 12482 "src/parser_bison.c"
    break;

  case 624: /* synproxy_arg: "sack-permitted"  */
#line 3781 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 12490 "src/parser_bison.c"
    break;

  case 625: /* synproxy_config: "mss" "number" "wscale" "number" synproxy_ts synproxy_sack  */
#line 3787 "src/parser_bison.y"
                        {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-6].obj)->synproxy;
				synproxy->mss = (yyvsp[-4].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-2].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 12510 "src/parser_bison.c"
    break;

  case 626: /* synproxy_config: "mss" "number" stmt_separator "wscale" "number" stmt_separator synproxy_ts synproxy_sack  */
#line 3803 "src/parser_bison.y"
                        {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-8].obj)->synproxy;
				synproxy->mss = (yyvsp[-6].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-3].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 12530 "src/parser_bison.c"
    break;

  case 627: /* synproxy_obj: %empty  */
#line 3821 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SYNPROXY;
			}
#line 12539 "src/parser_bison.c"
    break;

  case 628: /* synproxy_ts: %empty  */
#line 3827 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12545 "src/parser_bison.c"
    break;

  case 629: /* synproxy_ts: "timestamp"  */
#line 3829 "src/parser_bison.y"
                        {
				(yyval.val) = NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 12553 "src/parser_bison.c"
    break;

  case 630: /* synproxy_sack: %empty  */
#line 3834 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12559 "src/parser_bison.c"
    break;

  case 631: /* synproxy_sack: "sack-permitted"  */
#line 3836 "src/parser_bison.y"
                        {
				(yyval.val) = NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 12567 "src/parser_bison.c"
    break;

  case 632: /* primary_stmt_expr: symbol_expr  */
#line 3841 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12573 "src/parser_bison.c"
    break;

  case 633: /* primary_stmt_expr: integer_expr  */
#line 3842 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12579 "src/parser_bison.c"
    break;

  case 634: /* primary_stmt_expr: boolean_expr  */
#line 3843 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12585 "src/parser_bison.c"
    break;

  case 635: /* primary_stmt_expr: meta_expr  */
#line 3844 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12591 "src/parser_bison.c"
    break;

  case 636: /* primary_stmt_expr: rt_expr  */
#line 3845 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12597 "src/parser_bison.c"
    break;

  case 637: /* primary_stmt_expr: ct_expr  */
#line 3846 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12603 "src/parser_bison.c"
    break;

  case 638: /* primary_stmt_expr: numgen_expr  */
#line 3847 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12609 "src/parser_bison.c"
    break;

  case 639: /* primary_stmt_expr: hash_expr  */
#line 3848 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12615 "src/parser_bison.c"
    break;

  case 640: /* primary_stmt_expr: payload_expr  */
#line 3849 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12621 "src/parser_bison.c"
    break;

  case 641: /* primary_stmt_expr: keyword_expr  */
#line 3850 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12627 "src/parser_bison.c"
    break;

  case 642: /* primary_stmt_expr: socket_expr  */
#line 3851 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12633 "src/parser_bison.c"
    break;

  case 643: /* primary_stmt_expr: osf_expr  */
#line 3852 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12639 "src/parser_bison.c"
    break;

  case 644: /* primary_stmt_expr: '(' basic_stmt_expr ')'  */
#line 3853 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 12645 "src/parser_bison.c"
    break;

  case 646: /* shift_stmt_expr: shift_stmt_expr "<<" primary_stmt_expr  */
#line 3858 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12653 "src/parser_bison.c"
    break;

  case 647: /* shift_stmt_expr: shift_stmt_expr ">>" primary_stmt_expr  */
#line 3862 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12661 "src/parser_bison.c"
    break;

  case 649: /* and_stmt_expr: and_stmt_expr "&" shift_stmt_expr  */
#line 3869 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12669 "src/parser_bison.c"
    break;

  case 651: /* exclusive_or_stmt_expr: exclusive_or_stmt_expr "^" and_stmt_expr  */
#line 3876 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12677 "src/parser_bison.c"
    break;

  case 653: /* inclusive_or_stmt_expr: inclusive_or_stmt_expr '|' exclusive_or_stmt_expr  */
#line 3883 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12685 "src/parser_bison.c"
    break;

  case 656: /* concat_stmt_expr: concat_stmt_expr "." primary_stmt_expr  */
#line 3893 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 12698 "src/parser_bison.c"
    break;

  case 659: /* map_stmt_expr: concat_stmt_expr "map" map_stmt_expr_set  */
#line 3908 "src/parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12706 "src/parser_bison.c"
    break;

  case 660: /* map_stmt_expr: concat_stmt_expr  */
#line 3911 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 12712 "src/parser_bison.c"
    break;

  case 661: /* prefix_stmt_expr: basic_stmt_expr "/" "number"  */
#line 3915 "src/parser_bison.y"
                        {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 12720 "src/parser_bison.c"
    break;

  case 662: /* range_stmt_expr: basic_stmt_expr "-" basic_stmt_expr  */
#line 3921 "src/parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12728 "src/parser_bison.c"
    break;

  case 668: /* nat_stmt_args: stmt_expr  */
#line 3936 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12736 "src/parser_bison.c"
    break;

  case 669: /* nat_stmt_args: "to" stmt_expr  */
#line 3940 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12744 "src/parser_bison.c"
    break;

  case 670: /* nat_stmt_args: nf_key_proto "to" stmt_expr  */
#line 3944 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.family = (yyvsp[-2].val);
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12753 "src/parser_bison.c"
    break;

  case 671: /* nat_stmt_args: stmt_expr "colon" stmt_expr  */
#line 3949 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12762 "src/parser_bison.c"
    break;

  case 672: /* nat_stmt_args: "to" stmt_expr "colon" stmt_expr  */
#line 3954 "src/parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12771 "src/parser_bison.c"
    break;

  case 673: /* nat_stmt_args: nf_key_proto "to" stmt_expr "colon" stmt_expr  */
#line 3959 "src/parser_bison.y"
                        {
				(yyvsp[-5].stmt)->nat.family = (yyvsp[-4].val);
				(yyvsp[-5].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12781 "src/parser_bison.c"
    break;

  case 674: /* nat_stmt_args: "colon" stmt_expr  */
#line 3965 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12789 "src/parser_bison.c"
    break;

  case 675: /* nat_stmt_args: "to" "colon" stmt_expr  */
#line 3969 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12797 "src/parser_bison.c"
    break;

  case 676: /* nat_stmt_args: nat_stmt_args nf_nat_flags  */
#line 3973 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12805 "src/parser_bison.c"
    break;

  case 677: /* nat_stmt_args: nf_key_proto "addr" "." "port" "to" stmt_expr  */
#line 3977 "src/parser_bison.y"
                        {
				(yyvsp[-6].stmt)->nat.family = (yyvsp[-5].val);
				(yyvsp[-6].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-6].stmt)->nat.type_flags = STMT_NAT_F_CONCAT;
			}
#line 12815 "src/parser_bison.c"
    break;

  case 678: /* nat_stmt_args: nf_key_proto "interval" "to" stmt_expr  */
#line 3983 "src/parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12824 "src/parser_bison.c"
    break;

  case 679: /* nat_stmt_args: "interval" "to" stmt_expr  */
#line 3988 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12832 "src/parser_bison.c"
    break;

  case 680: /* nat_stmt_args: nf_key_proto "prefix" "to" stmt_expr  */
#line 3992 "src/parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-4].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-4].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 12844 "src/parser_bison.c"
    break;

  case 681: /* nat_stmt_args: "prefix" "to" stmt_expr  */
#line 4000 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-3].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-3].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 12855 "src/parser_bison.c"
    break;

  case 684: /* masq_stmt_alloc: "masquerade"  */
#line 4012 "src/parser_bison.y"
                                                { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_MASQ); }
#line 12861 "src/parser_bison.c"
    break;

  case 685: /* masq_stmt_args: "to" "colon" stmt_expr  */
#line 4016 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12869 "src/parser_bison.c"
    break;

  case 686: /* masq_stmt_args: "to" "colon" stmt_expr nf_nat_flags  */
#line 4020 "src/parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12878 "src/parser_bison.c"
    break;

  case 687: /* masq_stmt_args: nf_nat_flags  */
#line 4025 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12886 "src/parser_bison.c"
    break;

  case 690: /* redir_stmt_alloc: "redirect"  */
#line 4034 "src/parser_bison.y"
                                                { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_REDIR); }
#line 12892 "src/parser_bison.c"
    break;

  case 691: /* redir_stmt_arg: "to" stmt_expr  */
#line 4038 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12900 "src/parser_bison.c"
    break;

  case 692: /* redir_stmt_arg: "to" "colon" stmt_expr  */
#line 4042 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12908 "src/parser_bison.c"
    break;

  case 693: /* redir_stmt_arg: nf_nat_flags  */
#line 4046 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12916 "src/parser_bison.c"
    break;

  case 694: /* redir_stmt_arg: "to" stmt_expr nf_nat_flags  */
#line 4050 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-3].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12925 "src/parser_bison.c"
    break;

  case 695: /* redir_stmt_arg: "to" "colon" stmt_expr nf_nat_flags  */
#line 4055 "src/parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12934 "src/parser_bison.c"
    break;

  case 696: /* dup_stmt: "dup" "to" stmt_expr  */
#line 4062 "src/parser_bison.y"
                        {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[0].expr);
			}
#line 12943 "src/parser_bison.c"
    break;

  case 697: /* dup_stmt: "dup" "to" stmt_expr "device" stmt_expr  */
#line 4067 "src/parser_bison.y"
                        {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[-2].expr);
				(yyval.stmt)->dup.dev = (yyvsp[0].expr);
			}
#line 12953 "src/parser_bison.c"
    break;

  case 698: /* fwd_stmt: "fwd" "to" stmt_expr  */
#line 4075 "src/parser_bison.y"
                        {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 12962 "src/parser_bison.c"
    break;

  case 699: /* fwd_stmt: "fwd" nf_key_proto "to" stmt_expr "device" stmt_expr  */
#line 4080 "src/parser_bison.y"
                        {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.family = (yyvsp[-4].val);
				(yyval.stmt)->fwd.addr = (yyvsp[-2].expr);
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 12973 "src/parser_bison.c"
    break;

  case 701: /* nf_nat_flags: nf_nat_flags "comma" nf_nat_flag  */
#line 4090 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 12981 "src/parser_bison.c"
    break;

  case 702: /* nf_nat_flag: "random"  */
#line 4095 "src/parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM; }
#line 12987 "src/parser_bison.c"
    break;

  case 703: /* nf_nat_flag: "fully-random"  */
#line 4096 "src/parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM_FULLY; }
#line 12993 "src/parser_bison.c"
    break;

  case 704: /* nf_nat_flag: "persistent"  */
#line 4097 "src/parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PERSISTENT; }
#line 12999 "src/parser_bison.c"
    break;

  case 706: /* queue_stmt: "queue" "to" queue_stmt_expr close_scope_queue  */
#line 4102 "src/parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), 0);
			}
#line 13007 "src/parser_bison.c"
    break;

  case 707: /* queue_stmt: "queue" "flags" queue_stmt_flags "to" queue_stmt_expr close_scope_queue  */
#line 4106 "src/parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-3].val));
			}
#line 13015 "src/parser_bison.c"
    break;

  case 708: /* queue_stmt: "queue" "flags" queue_stmt_flags "num" queue_stmt_expr_simple close_scope_queue  */
#line 4110 "src/parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-3].val));
			}
#line 13023 "src/parser_bison.c"
    break;

  case 711: /* queue_stmt_alloc: "queue"  */
#line 4120 "src/parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), NULL, 0);
			}
#line 13031 "src/parser_bison.c"
    break;

  case 712: /* queue_stmt_args: queue_stmt_arg  */
#line 4126 "src/parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 13039 "src/parser_bison.c"
    break;

  case 714: /* queue_stmt_arg: "num" queue_stmt_expr_simple  */
#line 4133 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->queue.queue = (yyvsp[0].expr);
				(yyvsp[-2].stmt)->queue.queue->location = (yyloc);
			}
#line 13048 "src/parser_bison.c"
    break;

  case 715: /* queue_stmt_arg: queue_stmt_flags  */
#line 4138 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->queue.flags |= (yyvsp[0].val);
			}
#line 13056 "src/parser_bison.c"
    break;

  case 720: /* queue_stmt_expr_simple: queue_expr "-" queue_expr  */
#line 4150 "src/parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13064 "src/parser_bison.c"
    break;

  case 726: /* queue_stmt_flags: queue_stmt_flags "comma" queue_stmt_flag  */
#line 4163 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 13072 "src/parser_bison.c"
    break;

  case 727: /* queue_stmt_flag: "bypass"  */
#line 4168 "src/parser_bison.y"
                                        { (yyval.val) = NFT_QUEUE_FLAG_BYPASS; }
#line 13078 "src/parser_bison.c"
    break;

  case 728: /* queue_stmt_flag: "fanout"  */
#line 4169 "src/parser_bison.y"
                                        { (yyval.val) = NFT_QUEUE_FLAG_CPU_FANOUT; }
#line 13084 "src/parser_bison.c"
    break;

  case 731: /* set_elem_expr_stmt_alloc: concat_expr  */
#line 4177 "src/parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 13092 "src/parser_bison.c"
    break;

  case 732: /* set_stmt: "set" set_stmt_op set_elem_expr_stmt set_ref_expr  */
#line 4183 "src/parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-2].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[0].expr);
			}
#line 13103 "src/parser_bison.c"
    break;

  case 733: /* set_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt '}'  */
#line 4190 "src/parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-4].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[-3].expr);
			}
#line 13114 "src/parser_bison.c"
    break;

  case 734: /* set_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt stateful_stmt_list '}'  */
#line 4197 "src/parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-5].val);
				(yyval.stmt)->set.key = (yyvsp[-2].expr);
				(yyval.stmt)->set.set = (yyvsp[-4].expr);
				list_splice_tail((yyvsp[-1].list), &(yyval.stmt)->set.stmt_list);
				free((yyvsp[-1].list));
			}
#line 13127 "src/parser_bison.c"
    break;

  case 735: /* set_stmt_op: "add"  */
#line 4207 "src/parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_ADD; }
#line 13133 "src/parser_bison.c"
    break;

  case 736: /* set_stmt_op: "update"  */
#line 4208 "src/parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_UPDATE; }
#line 13139 "src/parser_bison.c"
    break;

  case 737: /* set_stmt_op: "delete"  */
#line 4209 "src/parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_DELETE; }
#line 13145 "src/parser_bison.c"
    break;

  case 738: /* map_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt "colon" set_elem_expr_stmt '}'  */
#line 4213 "src/parser_bison.y"
                        {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-6].val);
				(yyval.stmt)->map.key = (yyvsp[-3].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-5].expr);
			}
#line 13157 "src/parser_bison.c"
    break;

  case 739: /* map_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt stateful_stmt_list "colon" set_elem_expr_stmt '}'  */
#line 4221 "src/parser_bison.y"
                        {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-7].val);
				(yyval.stmt)->map.key = (yyvsp[-4].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-6].expr);
				list_splice_tail((yyvsp[-3].list), &(yyval.stmt)->map.stmt_list);
				free((yyvsp[-3].list));
			}
#line 13171 "src/parser_bison.c"
    break;

  case 740: /* meter_stmt: meter_stmt_alloc  */
#line 4232 "src/parser_bison.y"
                                                                { (yyval.stmt) = (yyvsp[0].stmt); }
#line 13177 "src/parser_bison.c"
    break;

  case 741: /* meter_stmt_alloc: "meter" identifier '{' meter_key_expr stmt '}'  */
#line 4236 "src/parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-4].string);
				(yyval.stmt)->meter.size = 0;
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 13190 "src/parser_bison.c"
    break;

  case 742: /* meter_stmt_alloc: "meter" identifier "size" "number" '{' meter_key_expr stmt '}'  */
#line 4245 "src/parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-6].string);
				(yyval.stmt)->meter.size = (yyvsp[-4].val);
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 13203 "src/parser_bison.c"
    break;

  case 743: /* match_stmt: relational_expr  */
#line 4256 "src/parser_bison.y"
                        {
				(yyval.stmt) = expr_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 13211 "src/parser_bison.c"
    break;

  case 744: /* variable_expr: '$' identifier  */
#line 4262 "src/parser_bison.y"
                        {
				struct scope *scope = current_scope(state);
				struct symbol *sym;

				sym = symbol_get(scope, (yyvsp[0].string));
				if (!sym) {
					sym = symbol_lookup_fuzzy(scope, (yyvsp[0].string));
					if (sym) {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
								      "did you mean identifier '%s’?",
								      (yyvsp[0].string), sym->identifier),
							   state->msgs);
					} else {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'", (yyvsp[0].string)),
							   state->msgs);
					}
					free_const((yyvsp[0].string));
					YYERROR;
				}

				(yyval.expr) = variable_expr_alloc(&(yyloc), scope, sym);
				free_const((yyvsp[0].string));
			}
#line 13239 "src/parser_bison.c"
    break;

  case 746: /* symbol_expr: string  */
#line 4289 "src/parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				free_const((yyvsp[0].string));
			}
#line 13250 "src/parser_bison.c"
    break;

  case 749: /* set_ref_symbol_expr: "@" identifier close_scope_at  */
#line 4302 "src/parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_SET,
						       current_scope(state),
						       (yyvsp[-1].string));
				free_const((yyvsp[-1].string));
			}
#line 13261 "src/parser_bison.c"
    break;

  case 750: /* integer_expr: "number"  */
#line 4311 "src/parser_bison.y"
                        {
				char str[64];

				snprintf(str, sizeof(str), "%" PRIu64, (yyvsp[0].val));
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       str);
			}
#line 13274 "src/parser_bison.c"
    break;

  case 751: /* primary_expr: symbol_expr  */
#line 4321 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13280 "src/parser_bison.c"
    break;

  case 752: /* primary_expr: integer_expr  */
#line 4322 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13286 "src/parser_bison.c"
    break;

  case 753: /* primary_expr: payload_expr  */
#line 4323 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13292 "src/parser_bison.c"
    break;

  case 754: /* primary_expr: exthdr_expr  */
#line 4324 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13298 "src/parser_bison.c"
    break;

  case 755: /* primary_expr: exthdr_exists_expr  */
#line 4325 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13304 "src/parser_bison.c"
    break;

  case 756: /* primary_expr: meta_expr  */
#line 4326 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13310 "src/parser_bison.c"
    break;

  case 757: /* primary_expr: socket_expr  */
#line 4327 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13316 "src/parser_bison.c"
    break;

  case 758: /* primary_expr: rt_expr  */
#line 4328 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13322 "src/parser_bison.c"
    break;

  case 759: /* primary_expr: ct_expr  */
#line 4329 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13328 "src/parser_bison.c"
    break;

  case 760: /* primary_expr: numgen_expr  */
#line 4330 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13334 "src/parser_bison.c"
    break;

  case 761: /* primary_expr: hash_expr  */
#line 4331 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13340 "src/parser_bison.c"
    break;

  case 762: /* primary_expr: fib_expr  */
#line 4332 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13346 "src/parser_bison.c"
    break;

  case 763: /* primary_expr: osf_expr  */
#line 4333 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13352 "src/parser_bison.c"
    break;

  case 764: /* primary_expr: xfrm_expr  */
#line 4334 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13358 "src/parser_bison.c"
    break;

  case 765: /* primary_expr: '(' basic_expr ')'  */
#line 4335 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 13364 "src/parser_bison.c"
    break;

  case 766: /* fib_expr: "fib" fib_tuple fib_result close_scope_fib  */
#line 4339 "src/parser_bison.y"
                        {
				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) == 0) {
					erec_queue(error(&(yylsp[-2]), "fib: need either saddr or daddr"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) ==
					  (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) {
					erec_queue(error(&(yylsp[-2]), "fib: saddr and daddr are mutually exclusive"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) ==
					  (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) {
					erec_queue(error(&(yylsp[-2]), "fib: iif and oif are mutually exclusive"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = fib_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 13389 "src/parser_bison.c"
    break;

  case 767: /* fib_result: "oif"  */
#line 4361 "src/parser_bison.y"
                                        { (yyval.val) =NFT_FIB_RESULT_OIF; }
#line 13395 "src/parser_bison.c"
    break;

  case 768: /* fib_result: "oifname"  */
#line 4362 "src/parser_bison.y"
                                        { (yyval.val) =NFT_FIB_RESULT_OIFNAME; }
#line 13401 "src/parser_bison.c"
    break;

  case 769: /* fib_result: "type" close_scope_type  */
#line 4363 "src/parser_bison.y"
                                                                { (yyval.val) =NFT_FIB_RESULT_ADDRTYPE; }
#line 13407 "src/parser_bison.c"
    break;

  case 770: /* fib_flag: "saddr"  */
#line 4366 "src/parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_SADDR; }
#line 13413 "src/parser_bison.c"
    break;

  case 771: /* fib_flag: "daddr"  */
#line 4367 "src/parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_DADDR; }
#line 13419 "src/parser_bison.c"
    break;

  case 772: /* fib_flag: "mark"  */
#line 4368 "src/parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_MARK; }
#line 13425 "src/parser_bison.c"
    break;

  case 773: /* fib_flag: "iif"  */
#line 4369 "src/parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_IIF; }
#line 13431 "src/parser_bison.c"
    break;

  case 774: /* fib_flag: "oif"  */
#line 4370 "src/parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_OIF; }
#line 13437 "src/parser_bison.c"
    break;

  case 775: /* fib_tuple: fib_flag "." fib_tuple  */
#line 4374 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 13445 "src/parser_bison.c"
    break;

  case 777: /* osf_expr: "osf" osf_ttl "version" close_scope_osf  */
#line 4381 "src/parser_bison.y"
                        {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), NFT_OSF_F_VERSION);
			}
#line 13453 "src/parser_bison.c"
    break;

  case 778: /* osf_expr: "osf" osf_ttl "name" close_scope_osf  */
#line 4385 "src/parser_bison.y"
                        {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), 0);
			}
#line 13461 "src/parser_bison.c"
    break;

  case 779: /* osf_ttl: %empty  */
#line 4391 "src/parser_bison.y"
                        {
				(yyval.val) = NF_OSF_TTL_TRUE;
			}
#line 13469 "src/parser_bison.c"
    break;

  case 780: /* osf_ttl: "ttl" "string"  */
#line 4395 "src/parser_bison.y"
                        {
				if (!strcmp((yyvsp[0].string), "loose"))
					(yyval.val) = NF_OSF_TTL_LESS;
				else if (!strcmp((yyvsp[0].string), "skip"))
					(yyval.val) = NF_OSF_TTL_NOCHECK;
				else {
					erec_queue(error(&(yylsp[0]), "invalid ttl option"),
						   state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				free_const((yyvsp[0].string));
			}
#line 13487 "src/parser_bison.c"
    break;

  case 782: /* shift_expr: shift_expr "<<" primary_rhs_expr  */
#line 4412 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13495 "src/parser_bison.c"
    break;

  case 783: /* shift_expr: shift_expr ">>" primary_rhs_expr  */
#line 4416 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13503 "src/parser_bison.c"
    break;

  case 785: /* and_expr: and_expr "&" shift_rhs_expr  */
#line 4423 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13511 "src/parser_bison.c"
    break;

  case 787: /* exclusive_or_expr: exclusive_or_expr "^" and_rhs_expr  */
#line 4430 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13519 "src/parser_bison.c"
    break;

  case 789: /* inclusive_or_expr: inclusive_or_expr '|' exclusive_or_rhs_expr  */
#line 4437 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13527 "src/parser_bison.c"
    break;

  case 792: /* concat_expr: concat_expr "." basic_expr  */
#line 4447 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 13540 "src/parser_bison.c"
    break;

  case 793: /* prefix_rhs_expr: basic_rhs_expr "/" "number"  */
#line 4458 "src/parser_bison.y"
                        {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 13548 "src/parser_bison.c"
    break;

  case 794: /* range_rhs_expr: basic_rhs_expr "-" basic_rhs_expr  */
#line 4464 "src/parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13556 "src/parser_bison.c"
    break;

  case 797: /* map_expr: concat_expr "map" rhs_expr  */
#line 4474 "src/parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13564 "src/parser_bison.c"
    break;

  case 801: /* set_expr: '{' set_list_expr '}'  */
#line 4485 "src/parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13573 "src/parser_bison.c"
    break;

  case 802: /* set_list_expr: set_list_member_expr  */
#line 4492 "src/parser_bison.y"
                        {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 13582 "src/parser_bison.c"
    break;

  case 803: /* set_list_expr: set_list_expr "comma" set_list_member_expr  */
#line 4497 "src/parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 13591 "src/parser_bison.c"
    break;

  case 805: /* set_list_member_expr: opt_newline set_expr opt_newline  */
#line 4505 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13599 "src/parser_bison.c"
    break;

  case 806: /* set_list_member_expr: opt_newline set_elem_expr opt_newline  */
#line 4509 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13607 "src/parser_bison.c"
    break;

  case 807: /* set_list_member_expr: opt_newline set_elem_expr "colon" set_rhs_expr opt_newline  */
#line 4513 "src/parser_bison.y"
                        {
				(yyval.expr) = mapping_expr_alloc(&(yylsp[-3]), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 13615 "src/parser_bison.c"
    break;

  case 809: /* meter_key_expr: meter_key_expr_alloc set_elem_options  */
#line 4520 "src/parser_bison.y"
                        {
				(yyval.expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13624 "src/parser_bison.c"
    break;

  case 810: /* meter_key_expr_alloc: concat_expr  */
#line 4527 "src/parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 13632 "src/parser_bison.c"
    break;

  case 813: /* set_elem_expr: set_elem_expr_alloc set_elem_expr_options set_elem_stmt_list  */
#line 4535 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-2].expr);
				list_splice_tail((yyvsp[0].list), &(yyval.expr)->stmt_list);
				free((yyvsp[0].list));
			}
#line 13642 "src/parser_bison.c"
    break;

  case 814: /* set_elem_key_expr: set_lhs_expr  */
#line 4542 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 13648 "src/parser_bison.c"
    break;

  case 815: /* set_elem_key_expr: "*"  */
#line 4543 "src/parser_bison.y"
                                                        { (yyval.expr) = set_elem_catchall_expr_alloc(&(yylsp[0])); }
#line 13654 "src/parser_bison.c"
    break;

  case 816: /* set_elem_expr_alloc: set_elem_key_expr set_elem_stmt_list  */
#line 4547 "src/parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[-1]), (yyvsp[-1].expr));
				list_splice_tail((yyvsp[0].list), &(yyval.expr)->stmt_list);
				free((yyvsp[0].list));
			}
#line 13664 "src/parser_bison.c"
    break;

  case 817: /* set_elem_expr_alloc: set_elem_key_expr  */
#line 4553 "src/parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 13672 "src/parser_bison.c"
    break;

  case 818: /* set_elem_options: set_elem_option  */
#line 4559 "src/parser_bison.y"
                        {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 13680 "src/parser_bison.c"
    break;

  case 820: /* set_elem_time_spec: "string"  */
#line 4566 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t res;

				if (!strcmp("never", (yyvsp[0].string))) {
					free_const((yyvsp[0].string));
					(yyval.val) = NFT_NEVER_TIMEOUT;
					break;
				}

				erec = time_parse(&(yylsp[0]), (yyvsp[0].string), &res);
				free_const((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = res;
			}
#line 13703 "src/parser_bison.c"
    break;

  case 821: /* set_elem_option: "timeout" time_spec  */
#line 4587 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 13711 "src/parser_bison.c"
    break;

  case 822: /* set_elem_option: "expires" time_spec  */
#line 4591 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 13719 "src/parser_bison.c"
    break;

  case 823: /* set_elem_option: comment_spec  */
#line 4595 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 13731 "src/parser_bison.c"
    break;

  case 824: /* set_elem_expr_options: set_elem_expr_option  */
#line 4605 "src/parser_bison.y"
                        {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 13739 "src/parser_bison.c"
    break;

  case 826: /* set_elem_stmt_list: set_elem_stmt  */
#line 4612 "src/parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 13749 "src/parser_bison.c"
    break;

  case 827: /* set_elem_stmt_list: set_elem_stmt_list set_elem_stmt  */
#line 4618 "src/parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 13758 "src/parser_bison.c"
    break;

  case 828: /* set_elem_stmt: "counter" close_scope_counter  */
#line 4625 "src/parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 13766 "src/parser_bison.c"
    break;

  case 829: /* set_elem_stmt: "counter" "packets" "number" "bytes" "number" close_scope_counter  */
#line 4629 "src/parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
				(yyval.stmt)->counter.packets = (yyvsp[-3].val);
				(yyval.stmt)->counter.bytes = (yyvsp[-1].val);
			}
#line 13776 "src/parser_bison.c"
    break;

  case 830: /* set_elem_stmt: "limit" "rate" limit_mode limit_rate_pkts limit_burst_pkts close_scope_limit  */
#line 4635 "src/parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 13794 "src/parser_bison.c"
    break;

  case 831: /* set_elem_stmt: "limit" "rate" limit_mode limit_rate_bytes limit_burst_bytes close_scope_limit  */
#line 4649 "src/parser_bison.y"
                        {
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 13807 "src/parser_bison.c"
    break;

  case 832: /* set_elem_stmt: "ct" "count" "number" close_scope_ct  */
#line 4658 "src/parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 13816 "src/parser_bison.c"
    break;

  case 833: /* set_elem_stmt: "ct" "count" "over" "number" close_scope_ct  */
#line 4663 "src/parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 13826 "src/parser_bison.c"
    break;

  case 834: /* set_elem_stmt: "quota" quota_mode "number" quota_unit quota_used close_scope_quota  */
#line 4669 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-2].string), &rate);
				free_const((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-3].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[-1].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-4].val);
			}
#line 13846 "src/parser_bison.c"
    break;

  case 835: /* set_elem_stmt: "last" "used" "never" close_scope_last  */
#line 4685 "src/parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 13854 "src/parser_bison.c"
    break;

  case 836: /* set_elem_stmt: "last" "used" time_spec close_scope_last  */
#line 4689 "src/parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
				(yyval.stmt)->last.used = (yyvsp[-1].val);
				(yyval.stmt)->last.set = true;
			}
#line 13864 "src/parser_bison.c"
    break;

  case 837: /* set_elem_expr_option: "timeout" set_elem_time_spec  */
#line 4697 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 13872 "src/parser_bison.c"
    break;

  case 838: /* set_elem_expr_option: "expires" time_spec  */
#line 4701 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 13880 "src/parser_bison.c"
    break;

  case 839: /* set_elem_expr_option: comment_spec  */
#line 4705 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 13892 "src/parser_bison.c"
    break;

  case 845: /* initializer_expr: '{' '}'  */
#line 4723 "src/parser_bison.y"
                                                { (yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_SET); }
#line 13898 "src/parser_bison.c"
    break;

  case 846: /* initializer_expr: "-" "number"  */
#line 4725 "src/parser_bison.y"
                        {
				int32_t num = -(yyvsp[0].val);

				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(num) * BITS_PER_BYTE,
							 &num);
			}
#line 13911 "src/parser_bison.c"
    break;

  case 847: /* counter_config: "packets" "number" "bytes" "number"  */
#line 4736 "src/parser_bison.y"
                        {
				struct counter *counter;

				counter = &(yyvsp[-4].obj)->counter;
				counter->packets = (yyvsp[-2].val);
				counter->bytes = (yyvsp[0].val);
			}
#line 13923 "src/parser_bison.c"
    break;

  case 848: /* counter_obj: %empty  */
#line 4746 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_COUNTER;
			}
#line 13932 "src/parser_bison.c"
    break;

  case 849: /* quota_config: quota_mode "number" quota_unit quota_used  */
#line 4753 "src/parser_bison.y"
                        {
				struct error_record *erec;
				struct quota *quota;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				free_const((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				quota = &(yyvsp[-4].obj)->quota;
				quota->bytes	= (yyvsp[-2].val) * rate;
				quota->used	= (yyvsp[0].val);
				quota->flags	= (yyvsp[-3].val);
			}
#line 13954 "src/parser_bison.c"
    break;

  case 850: /* quota_obj: %empty  */
#line 4773 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_QUOTA;
			}
#line 13963 "src/parser_bison.c"
    break;

  case 851: /* secmark_config: string  */
#line 4780 "src/parser_bison.y"
                        {
				int ret;
				struct secmark *secmark;

				secmark = &(yyvsp[-1].obj)->secmark;
				ret = snprintf(secmark->ctx, sizeof(secmark->ctx), "%s", (yyvsp[0].string));
				if (ret <= 0 || ret >= (int)sizeof(secmark->ctx)) {
					erec_queue(error(&(yylsp[0]), "invalid context '%s', max length is %u\n", (yyvsp[0].string), (int)sizeof(secmark->ctx)), state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				free_const((yyvsp[0].string));
			}
#line 13981 "src/parser_bison.c"
    break;

  case 852: /* secmark_obj: %empty  */
#line 4796 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SECMARK;
			}
#line 13990 "src/parser_bison.c"
    break;

  case 853: /* ct_obj_type: "helper"  */
#line 4802 "src/parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_HELPER; }
#line 13996 "src/parser_bison.c"
    break;

  case 854: /* ct_obj_type: "timeout"  */
#line 4803 "src/parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 14002 "src/parser_bison.c"
    break;

  case 855: /* ct_obj_type: "expectation"  */
#line 4804 "src/parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 14008 "src/parser_bison.c"
    break;

  case 856: /* ct_cmd_type: "helpers"  */
#line 4807 "src/parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_HELPERS; }
#line 14014 "src/parser_bison.c"
    break;

  case 857: /* ct_cmd_type: "timeout"  */
#line 4808 "src/parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_TIMEOUTS; }
#line 14020 "src/parser_bison.c"
    break;

  case 858: /* ct_cmd_type: "expectation"  */
#line 4809 "src/parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_EXPECTATIONS; }
#line 14026 "src/parser_bison.c"
    break;

  case 859: /* ct_l4protoname: "tcp" close_scope_tcp  */
#line 4812 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_TCP; }
#line 14032 "src/parser_bison.c"
    break;

  case 860: /* ct_l4protoname: "udp" close_scope_udp  */
#line 4813 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_UDP; }
#line 14038 "src/parser_bison.c"
    break;

  case 861: /* ct_helper_config: "type" "quoted string" "protocol" ct_l4protoname stmt_separator close_scope_type  */
#line 4817 "src/parser_bison.y"
                        {
				struct ct_helper *ct;
				int ret;

				ct = &(yyvsp[-6].obj)->ct_helper;

				if (ct->l4proto) {
					erec_queue(error(&(yylsp[-4]), "You can only specify this once. This statement is already set for %s.", ct->name), state->msgs);
					free_const((yyvsp[-4].string));
					YYERROR;
				}

				ret = snprintf(ct->name, sizeof(ct->name), "%s", (yyvsp[-4].string));
				if (ret <= 0 || ret >= (int)sizeof(ct->name)) {
					erec_queue(error(&(yylsp[-4]), "invalid name '%s', max length is %u\n", (yyvsp[-4].string), (int)sizeof(ct->name)), state->msgs);
					free_const((yyvsp[-4].string));
					YYERROR;
				}
				free_const((yyvsp[-4].string));

				ct->l4proto = (yyvsp[-2].val);
			}
#line 14065 "src/parser_bison.c"
    break;

  case 862: /* ct_helper_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4840 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_helper.l3proto = (yyvsp[-1].val);
			}
#line 14073 "src/parser_bison.c"
    break;

  case 863: /* timeout_states: timeout_state  */
#line 4846 "src/parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].timeout_state)->head, (yyval.list));
			}
#line 14083 "src/parser_bison.c"
    break;

  case 864: /* timeout_states: timeout_states "comma" timeout_state  */
#line 4852 "src/parser_bison.y"
                        {
				list_add_tail(&(yyvsp[0].timeout_state)->head, (yyvsp[-2].list));
				(yyval.list) = (yyvsp[-2].list);
			}
#line 14092 "src/parser_bison.c"
    break;

  case 865: /* timeout_state: "string" "colon" time_spec_or_num_s  */
#line 4859 "src/parser_bison.y"
                        {
				struct timeout_state *ts;

				ts = xzalloc(sizeof(*ts));
				ts->timeout_str = (yyvsp[-2].string);
				ts->timeout_value = (yyvsp[0].val);
				ts->location = (yylsp[-2]);
				init_list_head(&ts->head);
				(yyval.timeout_state) = ts;
			}
#line 14107 "src/parser_bison.c"
    break;

  case 866: /* ct_timeout_config: "protocol" ct_l4protoname stmt_separator  */
#line 4872 "src/parser_bison.y"
                        {
				struct ct_timeout *ct;
				int l4proto = (yyvsp[-1].val);

				ct = &(yyvsp[-3].obj)->ct_timeout;
				ct->l4proto = l4proto;
			}
#line 14119 "src/parser_bison.c"
    break;

  case 867: /* ct_timeout_config: "policy" '=' '{' timeout_states '}' stmt_separator close_scope_policy  */
#line 4880 "src/parser_bison.y"
                        {
				struct ct_timeout *ct;

				ct = &(yyvsp[-7].obj)->ct_timeout;
				list_splice_tail((yyvsp[-3].list), &ct->timeout_list);
				free((yyvsp[-3].list));
			}
#line 14131 "src/parser_bison.c"
    break;

  case 868: /* ct_timeout_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4888 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_timeout.l3proto = (yyvsp[-1].val);
			}
#line 14139 "src/parser_bison.c"
    break;

  case 869: /* ct_expect_config: "protocol" ct_l4protoname stmt_separator  */
#line 4894 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.l4proto = (yyvsp[-1].val);
			}
#line 14147 "src/parser_bison.c"
    break;

  case 870: /* ct_expect_config: "dport" "number" stmt_separator  */
#line 4898 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.dport = (yyvsp[-1].val);
			}
#line 14155 "src/parser_bison.c"
    break;

  case 871: /* ct_expect_config: "timeout" time_spec stmt_separator  */
#line 4902 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.timeout = (yyvsp[-1].val);
			}
#line 14163 "src/parser_bison.c"
    break;

  case 872: /* ct_expect_config: "size" "number" stmt_separator  */
#line 4906 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.size = (yyvsp[-1].val);
			}
#line 14171 "src/parser_bison.c"
    break;

  case 873: /* ct_expect_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4910 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.l3proto = (yyvsp[-1].val);
			}
#line 14179 "src/parser_bison.c"
    break;

  case 874: /* ct_obj_alloc: %empty  */
#line 4916 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
			}
#line 14187 "src/parser_bison.c"
    break;

  case 875: /* limit_config: "rate" limit_mode limit_rate_pkts limit_burst_pkts  */
#line 4922 "src/parser_bison.y"
                        {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKTS;
				limit->flags	= (yyvsp[-2].val);
			}
#line 14202 "src/parser_bison.c"
    break;

  case 876: /* limit_config: "rate" limit_mode limit_rate_bytes limit_burst_bytes  */
#line 4933 "src/parser_bison.y"
                        {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKT_BYTES;
				limit->flags	= (yyvsp[-2].val);
			}
#line 14217 "src/parser_bison.c"
    break;

  case 877: /* limit_obj: %empty  */
#line 4946 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_LIMIT;
			}
#line 14226 "src/parser_bison.c"
    break;

  case 878: /* relational_expr: expr rhs_expr  */
#line 4953 "src/parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 14234 "src/parser_bison.c"
    break;

  case 879: /* relational_expr: expr list_rhs_expr  */
#line 4957 "src/parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 14242 "src/parser_bison.c"
    break;

  case 880: /* relational_expr: expr basic_rhs_expr "/" list_rhs_expr  */
#line 4961 "src/parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14250 "src/parser_bison.c"
    break;

  case 881: /* relational_expr: expr list_rhs_expr "/" list_rhs_expr  */
#line 4965 "src/parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14258 "src/parser_bison.c"
    break;

  case 882: /* relational_expr: expr relational_op basic_rhs_expr "/" list_rhs_expr  */
#line 4969 "src/parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14266 "src/parser_bison.c"
    break;

  case 883: /* relational_expr: expr relational_op list_rhs_expr "/" list_rhs_expr  */
#line 4973 "src/parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14274 "src/parser_bison.c"
    break;

  case 884: /* relational_expr: expr relational_op rhs_expr  */
#line 4977 "src/parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14282 "src/parser_bison.c"
    break;

  case 885: /* relational_expr: expr relational_op list_rhs_expr  */
#line 4981 "src/parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14290 "src/parser_bison.c"
    break;

  case 886: /* list_rhs_expr: basic_rhs_expr "comma" basic_rhs_expr  */
#line 4987 "src/parser_bison.y"
                        {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 14300 "src/parser_bison.c"
    break;

  case 887: /* list_rhs_expr: list_rhs_expr "comma" basic_rhs_expr  */
#line 4993 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 14310 "src/parser_bison.c"
    break;

  case 888: /* rhs_expr: concat_rhs_expr  */
#line 5000 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14316 "src/parser_bison.c"
    break;

  case 889: /* rhs_expr: set_expr  */
#line 5001 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14322 "src/parser_bison.c"
    break;

  case 890: /* rhs_expr: set_ref_symbol_expr  */
#line 5002 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14328 "src/parser_bison.c"
    break;

  case 892: /* shift_rhs_expr: shift_rhs_expr "<<" primary_rhs_expr  */
#line 5007 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14336 "src/parser_bison.c"
    break;

  case 893: /* shift_rhs_expr: shift_rhs_expr ">>" primary_rhs_expr  */
#line 5011 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14344 "src/parser_bison.c"
    break;

  case 895: /* and_rhs_expr: and_rhs_expr "&" shift_rhs_expr  */
#line 5018 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14352 "src/parser_bison.c"
    break;

  case 897: /* exclusive_or_rhs_expr: exclusive_or_rhs_expr "^" and_rhs_expr  */
#line 5025 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14360 "src/parser_bison.c"
    break;

  case 899: /* inclusive_or_rhs_expr: inclusive_or_rhs_expr '|' exclusive_or_rhs_expr  */
#line 5032 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14368 "src/parser_bison.c"
    break;

  case 903: /* concat_rhs_expr: concat_rhs_expr "." multiton_rhs_expr  */
#line 5043 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 14381 "src/parser_bison.c"
    break;

  case 904: /* concat_rhs_expr: concat_rhs_expr "." basic_rhs_expr  */
#line 5052 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 14394 "src/parser_bison.c"
    break;

  case 905: /* boolean_keys: "exists"  */
#line 5062 "src/parser_bison.y"
                                                { (yyval.val8) = true; }
#line 14400 "src/parser_bison.c"
    break;

  case 906: /* boolean_keys: "missing"  */
#line 5063 "src/parser_bison.y"
                                                { (yyval.val8) = false; }
#line 14406 "src/parser_bison.c"
    break;

  case 907: /* boolean_expr: boolean_keys  */
#line 5067 "src/parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &boolean_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof((yyvsp[0].val8)) * BITS_PER_BYTE, &(yyvsp[0].val8));
			}
#line 14416 "src/parser_bison.c"
    break;

  case 908: /* keyword_expr: "ether" close_scope_eth  */
#line 5074 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ether"); }
#line 14422 "src/parser_bison.c"
    break;

  case 909: /* keyword_expr: "ip" close_scope_ip  */
#line 5075 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ip"); }
#line 14428 "src/parser_bison.c"
    break;

  case 910: /* keyword_expr: "ip6" close_scope_ip6  */
#line 5076 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ip6"); }
#line 14434 "src/parser_bison.c"
    break;

  case 911: /* keyword_expr: "vlan" close_scope_vlan  */
#line 5077 "src/parser_bison.y"
                                                         { (yyval.expr) = symbol_value(&(yyloc), "vlan"); }
#line 14440 "src/parser_bison.c"
    break;

  case 912: /* keyword_expr: "arp" close_scope_arp  */
#line 5078 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "arp"); }
#line 14446 "src/parser_bison.c"
    break;

  case 913: /* keyword_expr: "dnat" close_scope_nat  */
#line 5079 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "dnat"); }
#line 14452 "src/parser_bison.c"
    break;

  case 914: /* keyword_expr: "snat" close_scope_nat  */
#line 5080 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "snat"); }
#line 14458 "src/parser_bison.c"
    break;

  case 915: /* keyword_expr: "ecn"  */
#line 5081 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ecn"); }
#line 14464 "src/parser_bison.c"
    break;

  case 916: /* keyword_expr: "reset" close_scope_reset  */
#line 5082 "src/parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "reset"); }
#line 14470 "src/parser_bison.c"
    break;

  case 917: /* keyword_expr: "destroy" close_scope_destroy  */
#line 5083 "src/parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "destroy"); }
#line 14476 "src/parser_bison.c"
    break;

  case 918: /* keyword_expr: "original"  */
#line 5084 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "original"); }
#line 14482 "src/parser_bison.c"
    break;

  case 919: /* keyword_expr: "reply"  */
#line 5085 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "reply"); }
#line 14488 "src/parser_bison.c"
    break;

  case 920: /* keyword_expr: "label"  */
#line 5086 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "label"); }
#line 14494 "src/parser_bison.c"
    break;

  case 921: /* keyword_expr: "last" close_scope_last  */
#line 5087 "src/parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "last"); }
#line 14500 "src/parser_bison.c"
    break;

  case 922: /* primary_rhs_expr: symbol_expr  */
#line 5090 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14506 "src/parser_bison.c"
    break;

  case 923: /* primary_rhs_expr: integer_expr  */
#line 5091 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14512 "src/parser_bison.c"
    break;

  case 924: /* primary_rhs_expr: boolean_expr  */
#line 5092 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14518 "src/parser_bison.c"
    break;

  case 925: /* primary_rhs_expr: keyword_expr  */
#line 5093 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14524 "src/parser_bison.c"
    break;

  case 926: /* primary_rhs_expr: "tcp" close_scope_tcp  */
#line 5095 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_TCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14535 "src/parser_bison.c"
    break;

  case 927: /* primary_rhs_expr: "udp" close_scope_udp  */
#line 5102 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_UDP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14546 "src/parser_bison.c"
    break;

  case 928: /* primary_rhs_expr: "udplite" close_scope_udplite  */
#line 5109 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_UDPLITE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14557 "src/parser_bison.c"
    break;

  case 929: /* primary_rhs_expr: "esp" close_scope_esp  */
#line 5116 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_ESP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14568 "src/parser_bison.c"
    break;

  case 930: /* primary_rhs_expr: "ah" close_scope_ah  */
#line 5123 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_AH;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14579 "src/parser_bison.c"
    break;

  case 931: /* primary_rhs_expr: "icmp" close_scope_icmp  */
#line 5130 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_ICMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14590 "src/parser_bison.c"
    break;

  case 932: /* primary_rhs_expr: "igmp"  */
#line 5137 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_IGMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14601 "src/parser_bison.c"
    break;

  case 933: /* primary_rhs_expr: "icmpv6" close_scope_icmp  */
#line 5144 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_ICMPV6;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14612 "src/parser_bison.c"
    break;

  case 934: /* primary_rhs_expr: "gre" close_scope_gre  */
#line 5151 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_GRE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14623 "src/parser_bison.c"
    break;

  case 935: /* primary_rhs_expr: "comp" close_scope_comp  */
#line 5158 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_COMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14634 "src/parser_bison.c"
    break;

  case 936: /* primary_rhs_expr: "dccp" close_scope_dccp  */
#line 5165 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_DCCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14645 "src/parser_bison.c"
    break;

  case 937: /* primary_rhs_expr: "sctp" close_scope_sctp  */
#line 5172 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_SCTP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14656 "src/parser_bison.c"
    break;

  case 938: /* primary_rhs_expr: "redirect" close_scope_nat  */
#line 5179 "src/parser_bison.y"
                        {
				uint8_t data = ICMP_REDIRECT;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &icmp_type_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14667 "src/parser_bison.c"
    break;

  case 939: /* primary_rhs_expr: '(' basic_rhs_expr ')'  */
#line 5185 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 14673 "src/parser_bison.c"
    break;

  case 940: /* relational_op: "=="  */
#line 5188 "src/parser_bison.y"
                                                { (yyval.val) = OP_EQ; }
#line 14679 "src/parser_bison.c"
    break;

  case 941: /* relational_op: "!="  */
#line 5189 "src/parser_bison.y"
                                                { (yyval.val) = OP_NEQ; }
#line 14685 "src/parser_bison.c"
    break;

  case 942: /* relational_op: "<"  */
#line 5190 "src/parser_bison.y"
                                                { (yyval.val) = OP_LT; }
#line 14691 "src/parser_bison.c"
    break;

  case 943: /* relational_op: ">"  */
#line 5191 "src/parser_bison.y"
                                                { (yyval.val) = OP_GT; }
#line 14697 "src/parser_bison.c"
    break;

  case 944: /* relational_op: ">="  */
#line 5192 "src/parser_bison.y"
                                                { (yyval.val) = OP_GTE; }
#line 14703 "src/parser_bison.c"
    break;

  case 945: /* relational_op: "<="  */
#line 5193 "src/parser_bison.y"
                                                { (yyval.val) = OP_LTE; }
#line 14709 "src/parser_bison.c"
    break;

  case 946: /* relational_op: "!"  */
#line 5194 "src/parser_bison.y"
                                                { (yyval.val) = OP_NEG; }
#line 14715 "src/parser_bison.c"
    break;

  case 947: /* verdict_expr: "accept"  */
#line 5198 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_ACCEPT, NULL);
			}
#line 14723 "src/parser_bison.c"
    break;

  case 948: /* verdict_expr: "drop"  */
#line 5202 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_DROP, NULL);
			}
#line 14731 "src/parser_bison.c"
    break;

  case 949: /* verdict_expr: "continue"  */
#line 5206 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_CONTINUE, NULL);
			}
#line 14739 "src/parser_bison.c"
    break;

  case 950: /* verdict_expr: "jump" chain_expr  */
#line 5210 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_JUMP, (yyvsp[0].expr));
			}
#line 14747 "src/parser_bison.c"
    break;

  case 951: /* verdict_expr: "goto" chain_expr  */
#line 5214 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_GOTO, (yyvsp[0].expr));
			}
#line 14755 "src/parser_bison.c"
    break;

  case 952: /* verdict_expr: "return"  */
#line 5218 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_RETURN, NULL);
			}
#line 14763 "src/parser_bison.c"
    break;

  case 954: /* chain_expr: identifier  */
#line 5225 "src/parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE,
							 (yyvsp[0].string));
				free_const((yyvsp[0].string));
			}
#line 14775 "src/parser_bison.c"
    break;

  case 955: /* meta_expr: "meta" meta_key close_scope_meta  */
#line 5235 "src/parser_bison.y"
                        {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[-1].val));
			}
#line 14783 "src/parser_bison.c"
    break;

  case 956: /* meta_expr: meta_key_unqualified  */
#line 5239 "src/parser_bison.y"
                        {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 14791 "src/parser_bison.c"
    break;

  case 957: /* meta_expr: "meta" "string" close_scope_meta  */
#line 5243 "src/parser_bison.y"
                        {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-1].string), &key);
				free_const((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.expr) = meta_expr_alloc(&(yyloc), key);
			}
#line 14809 "src/parser_bison.c"
    break;

  case 960: /* meta_key_qualified: "length"  */
#line 5262 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_LEN; }
#line 14815 "src/parser_bison.c"
    break;

  case 961: /* meta_key_qualified: "protocol"  */
#line 5263 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_PROTOCOL; }
#line 14821 "src/parser_bison.c"
    break;

  case 962: /* meta_key_qualified: "priority"  */
#line 5264 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_PRIORITY; }
#line 14827 "src/parser_bison.c"
    break;

  case 963: /* meta_key_qualified: "random"  */
#line 5265 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_PRANDOM; }
#line 14833 "src/parser_bison.c"
    break;

  case 964: /* meta_key_qualified: "secmark" close_scope_secmark  */
#line 5266 "src/parser_bison.y"
                                                            { (yyval.val) = NFT_META_SECMARK; }
#line 14839 "src/parser_bison.c"
    break;

  case 965: /* meta_key_unqualified: "mark"  */
#line 5269 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_MARK; }
#line 14845 "src/parser_bison.c"
    break;

  case 966: /* meta_key_unqualified: "iif"  */
#line 5270 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_IIF; }
#line 14851 "src/parser_bison.c"
    break;

  case 967: /* meta_key_unqualified: "iifname"  */
#line 5271 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFNAME; }
#line 14857 "src/parser_bison.c"
    break;

  case 968: /* meta_key_unqualified: "iiftype"  */
#line 5272 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFTYPE; }
#line 14863 "src/parser_bison.c"
    break;

  case 969: /* meta_key_unqualified: "oif"  */
#line 5273 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_OIF; }
#line 14869 "src/parser_bison.c"
    break;

  case 970: /* meta_key_unqualified: "oifname"  */
#line 5274 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFNAME; }
#line 14875 "src/parser_bison.c"
    break;

  case 971: /* meta_key_unqualified: "oiftype"  */
#line 5275 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFTYPE; }
#line 14881 "src/parser_bison.c"
    break;

  case 972: /* meta_key_unqualified: "skuid"  */
#line 5276 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_SKUID; }
#line 14887 "src/parser_bison.c"
    break;

  case 973: /* meta_key_unqualified: "skgid"  */
#line 5277 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_SKGID; }
#line 14893 "src/parser_bison.c"
    break;

  case 974: /* meta_key_unqualified: "nftrace"  */
#line 5278 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_NFTRACE; }
#line 14899 "src/parser_bison.c"
    break;

  case 975: /* meta_key_unqualified: "rtclassid"  */
#line 5279 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_RTCLASSID; }
#line 14905 "src/parser_bison.c"
    break;

  case 976: /* meta_key_unqualified: "ibriport"  */
#line 5280 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 14911 "src/parser_bison.c"
    break;

  case 977: /* meta_key_unqualified: "obriport"  */
#line 5281 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 14917 "src/parser_bison.c"
    break;

  case 978: /* meta_key_unqualified: "ibrname"  */
#line 5282 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 14923 "src/parser_bison.c"
    break;

  case 979: /* meta_key_unqualified: "obrname"  */
#line 5283 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 14929 "src/parser_bison.c"
    break;

  case 980: /* meta_key_unqualified: "pkttype"  */
#line 5284 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_PKTTYPE; }
#line 14935 "src/parser_bison.c"
    break;

  case 981: /* meta_key_unqualified: "cpu"  */
#line 5285 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_CPU; }
#line 14941 "src/parser_bison.c"
    break;

  case 982: /* meta_key_unqualified: "iifgroup"  */
#line 5286 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFGROUP; }
#line 14947 "src/parser_bison.c"
    break;

  case 983: /* meta_key_unqualified: "oifgroup"  */
#line 5287 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFGROUP; }
#line 14953 "src/parser_bison.c"
    break;

  case 984: /* meta_key_unqualified: "cgroup"  */
#line 5288 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_CGROUP; }
#line 14959 "src/parser_bison.c"
    break;

  case 985: /* meta_key_unqualified: "ipsec" close_scope_ipsec  */
#line 5289 "src/parser_bison.y"
                                                          { (yyval.val) = NFT_META_SECPATH; }
#line 14965 "src/parser_bison.c"
    break;

  case 986: /* meta_key_unqualified: "time"  */
#line 5290 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_NS; }
#line 14971 "src/parser_bison.c"
    break;

  case 987: /* meta_key_unqualified: "day"  */
#line 5291 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_DAY; }
#line 14977 "src/parser_bison.c"
    break;

  case 988: /* meta_key_unqualified: "hour"  */
#line 5292 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_HOUR; }
#line 14983 "src/parser_bison.c"
    break;

  case 989: /* meta_stmt: "meta" meta_key "set" stmt_expr close_scope_meta  */
#line 5296 "src/parser_bison.y"
                        {
				switch ((yyvsp[-3].val)) {
				case NFT_META_SECMARK:
					switch ((yyvsp[-1].expr)->etype) {
					case EXPR_CT:
						(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
						break;
					default:
						(yyval.stmt) = objref_stmt_alloc(&(yyloc));
						(yyval.stmt)->objref.type = NFT_OBJECT_SECMARK;
						(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
						break;
					}
					break;
				default:
					(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
					break;
				}
			}
#line 15007 "src/parser_bison.c"
    break;

  case 990: /* meta_stmt: meta_key_unqualified "set" stmt_expr  */
#line 5316 "src/parser_bison.y"
                        {
				(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
			}
#line 15015 "src/parser_bison.c"
    break;

  case 991: /* meta_stmt: "meta" "string" "set" stmt_expr close_scope_meta  */
#line 5320 "src/parser_bison.y"
                        {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-3].string), &key);
				free_const((yyvsp[-3].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}

				(yyval.stmt) = meta_stmt_alloc(&(yyloc), key, (yyvsp[-1].expr));
			}
#line 15034 "src/parser_bison.c"
    break;

  case 992: /* meta_stmt: "notrack"  */
#line 5335 "src/parser_bison.y"
                        {
				(yyval.stmt) = notrack_stmt_alloc(&(yyloc));
			}
#line 15042 "src/parser_bison.c"
    break;

  case 993: /* meta_stmt: "flow" "offload" "@" string close_scope_at  */
#line 5339 "src/parser_bison.y"
                        {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 15050 "src/parser_bison.c"
    break;

  case 994: /* meta_stmt: "flow" "add" "@" string close_scope_at  */
#line 5343 "src/parser_bison.y"
                        {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 15058 "src/parser_bison.c"
    break;

  case 995: /* socket_expr: "socket" socket_key close_scope_socket  */
#line 5349 "src/parser_bison.y"
                        {
				(yyval.expr) = socket_expr_alloc(&(yyloc), (yyvsp[-1].val), 0);
			}
#line 15066 "src/parser_bison.c"
    break;

  case 996: /* socket_expr: "socket" "cgroupv2" "level" "number" close_scope_socket  */
#line 5353 "src/parser_bison.y"
                        {
				(yyval.expr) = socket_expr_alloc(&(yyloc), NFT_SOCKET_CGROUPV2, (yyvsp[-1].val));
			}
#line 15074 "src/parser_bison.c"
    break;

  case 997: /* socket_key: "transparent"  */
#line 5358 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_TRANSPARENT; }
#line 15080 "src/parser_bison.c"
    break;

  case 998: /* socket_key: "mark"  */
#line 5359 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_MARK; }
#line 15086 "src/parser_bison.c"
    break;

  case 999: /* socket_key: "wildcard"  */
#line 5360 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_WILDCARD; }
#line 15092 "src/parser_bison.c"
    break;

  case 1000: /* offset_opt: %empty  */
#line 5363 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 15098 "src/parser_bison.c"
    break;

  case 1001: /* offset_opt: "offset" "number"  */
#line 5364 "src/parser_bison.y"
                                                { (yyval.val) = (yyvsp[0].val); }
#line 15104 "src/parser_bison.c"
    break;

  case 1002: /* numgen_type: "inc"  */
#line 5367 "src/parser_bison.y"
                                                { (yyval.val) = NFT_NG_INCREMENTAL; }
#line 15110 "src/parser_bison.c"
    break;

  case 1003: /* numgen_type: "random"  */
#line 5368 "src/parser_bison.y"
                                                { (yyval.val) = NFT_NG_RANDOM; }
#line 15116 "src/parser_bison.c"
    break;

  case 1004: /* numgen_expr: "numgen" numgen_type "mod" "number" offset_opt close_scope_numgen  */
#line 5372 "src/parser_bison.y"
                        {
				(yyval.expr) = numgen_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 15124 "src/parser_bison.c"
    break;

  case 1005: /* xfrm_spnum: "spnum" "number"  */
#line 5377 "src/parser_bison.y"
                                            { (yyval.val) = (yyvsp[0].val); }
#line 15130 "src/parser_bison.c"
    break;

  case 1006: /* xfrm_spnum: %empty  */
#line 5378 "src/parser_bison.y"
                                            { (yyval.val) = 0; }
#line 15136 "src/parser_bison.c"
    break;

  case 1007: /* xfrm_dir: "in"  */
#line 5381 "src/parser_bison.y"
                                        { (yyval.val) = XFRM_POLICY_IN; }
#line 15142 "src/parser_bison.c"
    break;

  case 1008: /* xfrm_dir: "out"  */
#line 5382 "src/parser_bison.y"
                                        { (yyval.val) = XFRM_POLICY_OUT; }
#line 15148 "src/parser_bison.c"
    break;

  case 1009: /* xfrm_state_key: "spi"  */
#line 5385 "src/parser_bison.y"
                                    { (yyval.val) = NFT_XFRM_KEY_SPI; }
#line 15154 "src/parser_bison.c"
    break;

  case 1010: /* xfrm_state_key: "reqid"  */
#line 5386 "src/parser_bison.y"
                                      { (yyval.val) = NFT_XFRM_KEY_REQID; }
#line 15160 "src/parser_bison.c"
    break;

  case 1011: /* xfrm_state_proto_key: "daddr"  */
#line 5389 "src/parser_bison.y"
                                                { (yyval.val) = NFT_XFRM_KEY_DADDR_IP4; }
#line 15166 "src/parser_bison.c"
    break;

  case 1012: /* xfrm_state_proto_key: "saddr"  */
#line 5390 "src/parser_bison.y"
                                                { (yyval.val) = NFT_XFRM_KEY_SADDR_IP4; }
#line 15172 "src/parser_bison.c"
    break;

  case 1013: /* xfrm_expr: "ipsec" xfrm_dir xfrm_spnum xfrm_state_key close_scope_ipsec  */
#line 5394 "src/parser_bison.y"
                        {
				if ((yyvsp[-2].val) > 255) {
					erec_queue(error(&(yylsp[-2]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 15184 "src/parser_bison.c"
    break;

  case 1014: /* xfrm_expr: "ipsec" xfrm_dir xfrm_spnum nf_key_proto xfrm_state_proto_key close_scope_ipsec  */
#line 5402 "src/parser_bison.y"
                        {
				enum nft_xfrm_keys xfrmk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_XFRM_KEY_SADDR_IP4)
						xfrmk = NFT_XFRM_KEY_SADDR_IP6;
					else if ((yyvsp[-1].val) == NFT_XFRM_KEY_DADDR_IP4)
						xfrmk = NFT_XFRM_KEY_DADDR_IP6;
					break;
				default:
					YYERROR;
					break;
				}

				if ((yyvsp[-3].val) > 255) {
					erec_queue(error(&(yylsp[-3]), "value too large"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-3].val), xfrmk);
			}
#line 15213 "src/parser_bison.c"
    break;

  case 1015: /* hash_expr: "jhash" expr "mod" "number" "seed" "number" offset_opt close_scope_hash  */
#line 5429 "src/parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-4].val), true, (yyvsp[-2].val), (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-6].expr);
			}
#line 15222 "src/parser_bison.c"
    break;

  case 1016: /* hash_expr: "jhash" expr "mod" "number" offset_opt close_scope_hash  */
#line 5434 "src/parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-4].expr);
			}
#line 15231 "src/parser_bison.c"
    break;

  case 1017: /* hash_expr: "symhash" "mod" "number" offset_opt close_scope_hash  */
#line 5439 "src/parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_SYM);
			}
#line 15239 "src/parser_bison.c"
    break;

  case 1018: /* nf_key_proto: "ip" close_scope_ip  */
#line 5444 "src/parser_bison.y"
                                                       { (yyval.val) = NFPROTO_IPV4; }
#line 15245 "src/parser_bison.c"
    break;

  case 1019: /* nf_key_proto: "ip6" close_scope_ip6  */
#line 5445 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV6; }
#line 15251 "src/parser_bison.c"
    break;

  case 1020: /* rt_expr: "rt" rt_key close_scope_rt  */
#line 5449 "src/parser_bison.y"
                        {
				(yyval.expr) = rt_expr_alloc(&(yyloc), (yyvsp[-1].val), true);
			}
#line 15259 "src/parser_bison.c"
    break;

  case 1021: /* rt_expr: "rt" nf_key_proto rt_key close_scope_rt  */
#line 5453 "src/parser_bison.y"
                        {
				enum nft_rt_keys rtk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_RT_NEXTHOP4)
						rtk = NFT_RT_NEXTHOP6;
					break;
				default:
					YYERROR;
					break;
				}

				(yyval.expr) = rt_expr_alloc(&(yyloc), rtk, false);
			}
#line 15281 "src/parser_bison.c"
    break;

  case 1022: /* rt_key: "classid"  */
#line 5472 "src/parser_bison.y"
                                                { (yyval.val) = NFT_RT_CLASSID; }
#line 15287 "src/parser_bison.c"
    break;

  case 1023: /* rt_key: "nexthop"  */
#line 5473 "src/parser_bison.y"
                                                { (yyval.val) = NFT_RT_NEXTHOP4; }
#line 15293 "src/parser_bison.c"
    break;

  case 1024: /* rt_key: "mtu"  */
#line 5474 "src/parser_bison.y"
                                                { (yyval.val) = NFT_RT_TCPMSS; }
#line 15299 "src/parser_bison.c"
    break;

  case 1025: /* rt_key: "ipsec" close_scope_ipsec  */
#line 5475 "src/parser_bison.y"
                                                          { (yyval.val) = NFT_RT_XFRM; }
#line 15305 "src/parser_bison.c"
    break;

  case 1026: /* ct_expr: "ct" ct_key close_scope_ct  */
#line 5479 "src/parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), -1);
			}
#line 15313 "src/parser_bison.c"
    break;

  case 1027: /* ct_expr: "ct" ct_dir ct_key_dir close_scope_ct  */
#line 5483 "src/parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 15321 "src/parser_bison.c"
    break;

  case 1028: /* ct_expr: "ct" ct_dir ct_key_proto_field close_scope_ct  */
#line 5487 "src/parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 15329 "src/parser_bison.c"
    break;

  case 1029: /* ct_dir: "original"  */
#line 5492 "src/parser_bison.y"
                                                { (yyval.val) = IP_CT_DIR_ORIGINAL; }
#line 15335 "src/parser_bison.c"
    break;

  case 1030: /* ct_dir: "reply"  */
#line 5493 "src/parser_bison.y"
                                                { (yyval.val) = IP_CT_DIR_REPLY; }
#line 15341 "src/parser_bison.c"
    break;

  case 1031: /* ct_key: "l3proto"  */
#line 5496 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 15347 "src/parser_bison.c"
    break;

  case 1032: /* ct_key: "protocol"  */
#line 5497 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTOCOL; }
#line 15353 "src/parser_bison.c"
    break;

  case 1033: /* ct_key: "mark"  */
#line 5498 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_MARK; }
#line 15359 "src/parser_bison.c"
    break;

  case 1034: /* ct_key: "state"  */
#line 5499 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_STATE; }
#line 15365 "src/parser_bison.c"
    break;

  case 1035: /* ct_key: "direction"  */
#line 5500 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_DIRECTION; }
#line 15371 "src/parser_bison.c"
    break;

  case 1036: /* ct_key: "status"  */
#line 5501 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_STATUS; }
#line 15377 "src/parser_bison.c"
    break;

  case 1037: /* ct_key: "expiration"  */
#line 5502 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_EXPIRATION; }
#line 15383 "src/parser_bison.c"
    break;

  case 1038: /* ct_key: "helper"  */
#line 5503 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_HELPER; }
#line 15389 "src/parser_bison.c"
    break;

  case 1039: /* ct_key: "saddr"  */
#line 5504 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_SRC; }
#line 15395 "src/parser_bison.c"
    break;

  case 1040: /* ct_key: "daddr"  */
#line 5505 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_DST; }
#line 15401 "src/parser_bison.c"
    break;

  case 1041: /* ct_key: "proto-src"  */
#line 5506 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 15407 "src/parser_bison.c"
    break;

  case 1042: /* ct_key: "proto-dst"  */
#line 5507 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_DST; }
#line 15413 "src/parser_bison.c"
    break;

  case 1043: /* ct_key: "label"  */
#line 5508 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_LABELS; }
#line 15419 "src/parser_bison.c"
    break;

  case 1044: /* ct_key: "event"  */
#line 5509 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_EVENTMASK; }
#line 15425 "src/parser_bison.c"
    break;

  case 1045: /* ct_key: "secmark" close_scope_secmark  */
#line 5510 "src/parser_bison.y"
                                                            { (yyval.val) = NFT_CT_SECMARK; }
#line 15431 "src/parser_bison.c"
    break;

  case 1046: /* ct_key: "id"  */
#line 5511 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_ID; }
#line 15437 "src/parser_bison.c"
    break;

  case 1048: /* ct_key_dir: "saddr"  */
#line 5515 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_SRC; }
#line 15443 "src/parser_bison.c"
    break;

  case 1049: /* ct_key_dir: "daddr"  */
#line 5516 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_DST; }
#line 15449 "src/parser_bison.c"
    break;

  case 1050: /* ct_key_dir: "l3proto"  */
#line 5517 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 15455 "src/parser_bison.c"
    break;

  case 1051: /* ct_key_dir: "protocol"  */
#line 5518 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTOCOL; }
#line 15461 "src/parser_bison.c"
    break;

  case 1052: /* ct_key_dir: "proto-src"  */
#line 5519 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 15467 "src/parser_bison.c"
    break;

  case 1053: /* ct_key_dir: "proto-dst"  */
#line 5520 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_DST; }
#line 15473 "src/parser_bison.c"
    break;

  case 1055: /* ct_key_proto_field: "ip" "saddr" close_scope_ip  */
#line 5524 "src/parser_bison.y"
                                                               { (yyval.val) = NFT_CT_SRC_IP; }
#line 15479 "src/parser_bison.c"
    break;

  case 1056: /* ct_key_proto_field: "ip" "daddr" close_scope_ip  */
#line 5525 "src/parser_bison.y"
                                                               { (yyval.val) = NFT_CT_DST_IP; }
#line 15485 "src/parser_bison.c"
    break;

  case 1057: /* ct_key_proto_field: "ip6" "saddr" close_scope_ip6  */
#line 5526 "src/parser_bison.y"
                                                                { (yyval.val) = NFT_CT_SRC_IP6; }
#line 15491 "src/parser_bison.c"
    break;

  case 1058: /* ct_key_proto_field: "ip6" "daddr" close_scope_ip6  */
#line 5527 "src/parser_bison.y"
                                                                { (yyval.val) = NFT_CT_DST_IP6; }
#line 15497 "src/parser_bison.c"
    break;

  case 1059: /* ct_key_dir_optional: "bytes"  */
#line 5530 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_BYTES; }
#line 15503 "src/parser_bison.c"
    break;

  case 1060: /* ct_key_dir_optional: "packets"  */
#line 5531 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PKTS; }
#line 15509 "src/parser_bison.c"
    break;

  case 1061: /* ct_key_dir_optional: "avgpkt"  */
#line 5532 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_AVGPKT; }
#line 15515 "src/parser_bison.c"
    break;

  case 1062: /* ct_key_dir_optional: "zone"  */
#line 5533 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_ZONE; }
#line 15521 "src/parser_bison.c"
    break;

  case 1065: /* list_stmt_expr: symbol_stmt_expr "comma" symbol_stmt_expr  */
#line 5541 "src/parser_bison.y"
                        {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 15531 "src/parser_bison.c"
    break;

  case 1066: /* list_stmt_expr: list_stmt_expr "comma" symbol_stmt_expr  */
#line 5547 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 15541 "src/parser_bison.c"
    break;

  case 1067: /* ct_stmt: "ct" ct_key "set" stmt_expr close_scope_ct  */
#line 5555 "src/parser_bison.y"
                        {
				switch ((yyvsp[-3].val)) {
				case NFT_CT_HELPER:
					(yyval.stmt) = objref_stmt_alloc(&(yyloc));
					(yyval.stmt)->objref.type = NFT_OBJECT_CT_HELPER;
					(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
					break;
				default:
					(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), -1, (yyvsp[-1].expr));
					break;
				}
			}
#line 15558 "src/parser_bison.c"
    break;

  case 1068: /* ct_stmt: "ct" ct_dir ct_key_dir_optional "set" stmt_expr close_scope_ct  */
#line 5568 "src/parser_bison.y"
                        {
				(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].val), (yyvsp[-1].expr));
			}
#line 15566 "src/parser_bison.c"
    break;

  case 1069: /* payload_stmt: payload_expr "set" stmt_expr  */
#line 5574 "src/parser_bison.y"
                        {
				if ((yyvsp[-2].expr)->etype == EXPR_EXTHDR)
					(yyval.stmt) = exthdr_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
				else
					(yyval.stmt) = payload_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 15577 "src/parser_bison.c"
    break;

  case 1092: /* payload_raw_len: "number"  */
#line 5607 "src/parser_bison.y"
                        {
				if ((yyvsp[0].val) > NFT_MAX_EXPR_LEN_BITS) {
					erec_queue(error(&(yylsp[0]), "raw payload length %u exceeds upper limit of %u",
							 (yyvsp[0].val), NFT_MAX_EXPR_LEN_BITS),
						 state->msgs);
					YYERROR;
				}

				if ((yyvsp[0].val) == 0) {
					erec_queue(error(&(yylsp[0]), "raw payload length cannot be 0"), state->msgs);
					YYERROR;
				}

				(yyval.val) = (yyvsp[0].val);
			}
#line 15597 "src/parser_bison.c"
    break;

  case 1093: /* payload_raw_expr: "@" payload_base_spec "comma" "number" "comma" payload_raw_len close_scope_at  */
#line 5625 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), NULL, 0);
				payload_init_raw((yyval.expr), (yyvsp[-5].val), (yyvsp[-3].val), (yyvsp[-1].val));
				(yyval.expr)->byteorder		= BYTEORDER_BIG_ENDIAN;
				(yyval.expr)->payload.is_raw	= true;
			}
#line 15608 "src/parser_bison.c"
    break;

  case 1094: /* payload_base_spec: "ll"  */
#line 5633 "src/parser_bison.y"
                                                { (yyval.val) = PROTO_BASE_LL_HDR; }
#line 15614 "src/parser_bison.c"
    break;

  case 1095: /* payload_base_spec: "nh"  */
#line 5634 "src/parser_bison.y"
                                                { (yyval.val) = PROTO_BASE_NETWORK_HDR; }
#line 15620 "src/parser_bison.c"
    break;

  case 1096: /* payload_base_spec: "th" close_scope_th  */
#line 5635 "src/parser_bison.y"
                                                                { (yyval.val) = PROTO_BASE_TRANSPORT_HDR; }
#line 15626 "src/parser_bison.c"
    break;

  case 1097: /* payload_base_spec: "string"  */
#line 5637 "src/parser_bison.y"
                        {
				if (!strcmp((yyvsp[0].string), "ih")) {
					(yyval.val) = PROTO_BASE_INNER_HDR;
				} else {
					erec_queue(error(&(yylsp[0]), "unknown raw payload base"), state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				free_const((yyvsp[0].string));
			}
#line 15641 "src/parser_bison.c"
    break;

  case 1098: /* eth_hdr_expr: "ether" eth_hdr_field close_scope_eth  */
#line 5650 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_eth, (yyvsp[-1].val));
			}
#line 15649 "src/parser_bison.c"
    break;

  case 1099: /* eth_hdr_field: "saddr"  */
#line 5655 "src/parser_bison.y"
                                                { (yyval.val) = ETHHDR_SADDR; }
#line 15655 "src/parser_bison.c"
    break;

  case 1100: /* eth_hdr_field: "daddr"  */
#line 5656 "src/parser_bison.y"
                                                { (yyval.val) = ETHHDR_DADDR; }
#line 15661 "src/parser_bison.c"
    break;

  case 1101: /* eth_hdr_field: "type" close_scope_type  */
#line 5657 "src/parser_bison.y"
                                                                        { (yyval.val) = ETHHDR_TYPE; }
#line 15667 "src/parser_bison.c"
    break;

  case 1102: /* vlan_hdr_expr: "vlan" vlan_hdr_field close_scope_vlan  */
#line 5661 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_vlan, (yyvsp[-1].val));
			}
#line 15675 "src/parser_bison.c"
    break;

  case 1103: /* vlan_hdr_field: "id"  */
#line 5666 "src/parser_bison.y"
                                                { (yyval.val) = VLANHDR_VID; }
#line 15681 "src/parser_bison.c"
    break;

  case 1104: /* vlan_hdr_field: "cfi"  */
#line 5667 "src/parser_bison.y"
                                                { (yyval.val) = VLANHDR_CFI; }
#line 15687 "src/parser_bison.c"
    break;

  case 1105: /* vlan_hdr_field: "dei"  */
#line 5668 "src/parser_bison.y"
                                                { (yyval.val) = VLANHDR_DEI; }
#line 15693 "src/parser_bison.c"
    break;

  case 1106: /* vlan_hdr_field: "pcp"  */
#line 5669 "src/parser_bison.y"
                                                { (yyval.val) = VLANHDR_PCP; }
#line 15699 "src/parser_bison.c"
    break;

  case 1107: /* vlan_hdr_field: "type" close_scope_type  */
#line 5670 "src/parser_bison.y"
                                                                        { (yyval.val) = VLANHDR_TYPE; }
#line 15705 "src/parser_bison.c"
    break;

  case 1108: /* arp_hdr_expr: "arp" arp_hdr_field close_scope_arp  */
#line 5674 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_arp, (yyvsp[-1].val));
			}
#line 15713 "src/parser_bison.c"
    break;

  case 1109: /* arp_hdr_field: "htype"  */
#line 5679 "src/parser_bison.y"
                                                { (yyval.val) = ARPHDR_HRD; }
#line 15719 "src/parser_bison.c"
    break;

  case 1110: /* arp_hdr_field: "ptype"  */
#line 5680 "src/parser_bison.y"
                                                { (yyval.val) = ARPHDR_PRO; }
#line 15725 "src/parser_bison.c"
    break;

  case 1111: /* arp_hdr_field: "hlen"  */
#line 5681 "src/parser_bison.y"
                                                { (yyval.val) = ARPHDR_HLN; }
#line 15731 "src/parser_bison.c"
    break;

  case 1112: /* arp_hdr_field: "plen"  */
#line 5682 "src/parser_bison.y"
                                                { (yyval.val) = ARPHDR_PLN; }
#line 15737 "src/parser_bison.c"
    break;

  case 1113: /* arp_hdr_field: "operation"  */
#line 5683 "src/parser_bison.y"
                                                { (yyval.val) = ARPHDR_OP; }
#line 15743 "src/parser_bison.c"
    break;

  case 1114: /* arp_hdr_field: "saddr" "ether" close_scope_eth  */
#line 5684 "src/parser_bison.y"
                                                                { (yyval.val) = ARPHDR_SADDR_ETHER; }
#line 15749 "src/parser_bison.c"
    break;

  case 1115: /* arp_hdr_field: "daddr" "ether" close_scope_eth  */
#line 5685 "src/parser_bison.y"
                                                                { (yyval.val) = ARPHDR_DADDR_ETHER; }
#line 15755 "src/parser_bison.c"
    break;

  case 1116: /* arp_hdr_field: "saddr" "ip" close_scope_ip  */
#line 5686 "src/parser_bison.y"
                                                                { (yyval.val) = ARPHDR_SADDR_IP; }
#line 15761 "src/parser_bison.c"
    break;

  case 1117: /* arp_hdr_field: "daddr" "ip" close_scope_ip  */
#line 5687 "src/parser_bison.y"
                                                                { (yyval.val) = ARPHDR_DADDR_IP; }
#line 15767 "src/parser_bison.c"
    break;

  case 1118: /* ip_hdr_expr: "ip" ip_hdr_field close_scope_ip  */
#line 5691 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip, (yyvsp[-1].val));
			}
#line 15775 "src/parser_bison.c"
    break;

  case 1119: /* ip_hdr_expr: "ip" "option" ip_option_type ip_option_field close_scope_ip  */
#line 5695 "src/parser_bison.y"
                        {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
				if (!(yyval.expr)) {
					erec_queue(error(&(yylsp[-4]), "unknown ip option type/field"), state->msgs);
					YYERROR;
				}
			}
#line 15787 "src/parser_bison.c"
    break;

  case 1120: /* ip_hdr_expr: "ip" "option" ip_option_type close_scope_ip  */
#line 5703 "src/parser_bison.y"
                        {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-1].val), IPOPT_FIELD_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 15796 "src/parser_bison.c"
    break;

  case 1121: /* ip_hdr_field: "version"  */
#line 5709 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_VERSION; }
#line 15802 "src/parser_bison.c"
    break;

  case 1122: /* ip_hdr_field: "hdrlength"  */
#line 5710 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_HDRLENGTH; }
#line 15808 "src/parser_bison.c"
    break;

  case 1123: /* ip_hdr_field: "dscp"  */
#line 5711 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_DSCP; }
#line 15814 "src/parser_bison.c"
    break;

  case 1124: /* ip_hdr_field: "ecn"  */
#line 5712 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_ECN; }
#line 15820 "src/parser_bison.c"
    break;

  case 1125: /* ip_hdr_field: "length"  */
#line 5713 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_LENGTH; }
#line 15826 "src/parser_bison.c"
    break;

  case 1126: /* ip_hdr_field: "id"  */
#line 5714 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_ID; }
#line 15832 "src/parser_bison.c"
    break;

  case 1127: /* ip_hdr_field: "frag-off"  */
#line 5715 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_FRAG_OFF; }
#line 15838 "src/parser_bison.c"
    break;

  case 1128: /* ip_hdr_field: "ttl"  */
#line 5716 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_TTL; }
#line 15844 "src/parser_bison.c"
    break;

  case 1129: /* ip_hdr_field: "protocol"  */
#line 5717 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_PROTOCOL; }
#line 15850 "src/parser_bison.c"
    break;

  case 1130: /* ip_hdr_field: "checksum"  */
#line 5718 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_CHECKSUM; }
#line 15856 "src/parser_bison.c"
    break;

  case 1131: /* ip_hdr_field: "saddr"  */
#line 5719 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_SADDR; }
#line 15862 "src/parser_bison.c"
    break;

  case 1132: /* ip_hdr_field: "daddr"  */
#line 5720 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_DADDR; }
#line 15868 "src/parser_bison.c"
    break;

  case 1133: /* ip_option_type: "lsrr"  */
#line 5723 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_LSRR; }
#line 15874 "src/parser_bison.c"
    break;

  case 1134: /* ip_option_type: "rr"  */
#line 5724 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_RR; }
#line 15880 "src/parser_bison.c"
    break;

  case 1135: /* ip_option_type: "ssrr"  */
#line 5725 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_SSRR; }
#line 15886 "src/parser_bison.c"
    break;

  case 1136: /* ip_option_type: "ra"  */
#line 5726 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_RA; }
#line 15892 "src/parser_bison.c"
    break;

  case 1137: /* ip_option_field: "type" close_scope_type  */
#line 5729 "src/parser_bison.y"
                                                                        { (yyval.val) = IPOPT_FIELD_TYPE; }
#line 15898 "src/parser_bison.c"
    break;

  case 1138: /* ip_option_field: "length"  */
#line 5730 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_LENGTH; }
#line 15904 "src/parser_bison.c"
    break;

  case 1139: /* ip_option_field: "value"  */
#line 5731 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_VALUE; }
#line 15910 "src/parser_bison.c"
    break;

  case 1140: /* ip_option_field: "ptr"  */
#line 5732 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_PTR; }
#line 15916 "src/parser_bison.c"
    break;

  case 1141: /* ip_option_field: "addr"  */
#line 5733 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_ADDR_0; }
#line 15922 "src/parser_bison.c"
    break;

  case 1142: /* icmp_hdr_expr: "icmp" icmp_hdr_field close_scope_icmp  */
#line 5737 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp, (yyvsp[-1].val));
			}
#line 15930 "src/parser_bison.c"
    break;

  case 1143: /* icmp_hdr_field: "type" close_scope_type  */
#line 5742 "src/parser_bison.y"
                                                                        { (yyval.val) = ICMPHDR_TYPE; }
#line 15936 "src/parser_bison.c"
    break;

  case 1144: /* icmp_hdr_field: "code"  */
#line 5743 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_CODE; }
#line 15942 "src/parser_bison.c"
    break;

  case 1145: /* icmp_hdr_field: "checksum"  */
#line 5744 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_CHECKSUM; }
#line 15948 "src/parser_bison.c"
    break;

  case 1146: /* icmp_hdr_field: "id"  */
#line 5745 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_ID; }
#line 15954 "src/parser_bison.c"
    break;

  case 1147: /* icmp_hdr_field: "seq"  */
#line 5746 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_SEQ; }
#line 15960 "src/parser_bison.c"
    break;

  case 1148: /* icmp_hdr_field: "gateway"  */
#line 5747 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_GATEWAY; }
#line 15966 "src/parser_bison.c"
    break;

  case 1149: /* icmp_hdr_field: "mtu"  */
#line 5748 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_MTU; }
#line 15972 "src/parser_bison.c"
    break;

  case 1150: /* igmp_hdr_expr: "igmp" igmp_hdr_field close_scope_igmp  */
#line 5752 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_igmp, (yyvsp[-1].val));
			}
#line 15980 "src/parser_bison.c"
    break;

  case 1151: /* igmp_hdr_field: "type" close_scope_type  */
#line 5757 "src/parser_bison.y"
                                                                        { (yyval.val) = IGMPHDR_TYPE; }
#line 15986 "src/parser_bison.c"
    break;

  case 1152: /* igmp_hdr_field: "checksum"  */
#line 5758 "src/parser_bison.y"
                                                { (yyval.val) = IGMPHDR_CHECKSUM; }
#line 15992 "src/parser_bison.c"
    break;

  case 1153: /* igmp_hdr_field: "mrt"  */
#line 5759 "src/parser_bison.y"
                                                { (yyval.val) = IGMPHDR_MRT; }
#line 15998 "src/parser_bison.c"
    break;

  case 1154: /* igmp_hdr_field: "group"  */
#line 5760 "src/parser_bison.y"
                                                { (yyval.val) = IGMPHDR_GROUP; }
#line 16004 "src/parser_bison.c"
    break;

  case 1155: /* ip6_hdr_expr: "ip6" ip6_hdr_field close_scope_ip6  */
#line 5764 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip6, (yyvsp[-1].val));
			}
#line 16012 "src/parser_bison.c"
    break;

  case 1156: /* ip6_hdr_field: "version"  */
#line 5769 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_VERSION; }
#line 16018 "src/parser_bison.c"
    break;

  case 1157: /* ip6_hdr_field: "dscp"  */
#line 5770 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_DSCP; }
#line 16024 "src/parser_bison.c"
    break;

  case 1158: /* ip6_hdr_field: "ecn"  */
#line 5771 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_ECN; }
#line 16030 "src/parser_bison.c"
    break;

  case 1159: /* ip6_hdr_field: "flowlabel"  */
#line 5772 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_FLOWLABEL; }
#line 16036 "src/parser_bison.c"
    break;

  case 1160: /* ip6_hdr_field: "length"  */
#line 5773 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_LENGTH; }
#line 16042 "src/parser_bison.c"
    break;

  case 1161: /* ip6_hdr_field: "nexthdr"  */
#line 5774 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_NEXTHDR; }
#line 16048 "src/parser_bison.c"
    break;

  case 1162: /* ip6_hdr_field: "hoplimit"  */
#line 5775 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_HOPLIMIT; }
#line 16054 "src/parser_bison.c"
    break;

  case 1163: /* ip6_hdr_field: "saddr"  */
#line 5776 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_SADDR; }
#line 16060 "src/parser_bison.c"
    break;

  case 1164: /* ip6_hdr_field: "daddr"  */
#line 5777 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_DADDR; }
#line 16066 "src/parser_bison.c"
    break;

  case 1165: /* icmp6_hdr_expr: "icmpv6" icmp6_hdr_field close_scope_icmp  */
#line 5780 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp6, (yyvsp[-1].val));
			}
#line 16074 "src/parser_bison.c"
    break;

  case 1166: /* icmp6_hdr_field: "type" close_scope_type  */
#line 5785 "src/parser_bison.y"
                                                                        { (yyval.val) = ICMP6HDR_TYPE; }
#line 16080 "src/parser_bison.c"
    break;

  case 1167: /* icmp6_hdr_field: "code"  */
#line 5786 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_CODE; }
#line 16086 "src/parser_bison.c"
    break;

  case 1168: /* icmp6_hdr_field: "checksum"  */
#line 5787 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_CHECKSUM; }
#line 16092 "src/parser_bison.c"
    break;

  case 1169: /* icmp6_hdr_field: "param-problem"  */
#line 5788 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_PPTR; }
#line 16098 "src/parser_bison.c"
    break;

  case 1170: /* icmp6_hdr_field: "mtu"  */
#line 5789 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_MTU; }
#line 16104 "src/parser_bison.c"
    break;

  case 1171: /* icmp6_hdr_field: "id"  */
#line 5790 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_ID; }
#line 16110 "src/parser_bison.c"
    break;

  case 1172: /* icmp6_hdr_field: "seq"  */
#line 5791 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_SEQ; }
#line 16116 "src/parser_bison.c"
    break;

  case 1173: /* icmp6_hdr_field: "max-delay"  */
#line 5792 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_MAXDELAY; }
#line 16122 "src/parser_bison.c"
    break;

  case 1174: /* icmp6_hdr_field: "taddr"  */
#line 5793 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_TADDR; }
#line 16128 "src/parser_bison.c"
    break;

  case 1175: /* icmp6_hdr_field: "daddr"  */
#line 5794 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_DADDR; }
#line 16134 "src/parser_bison.c"
    break;

  case 1176: /* auth_hdr_expr: "ah" auth_hdr_field close_scope_ah  */
#line 5798 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ah, (yyvsp[-1].val));
			}
#line 16142 "src/parser_bison.c"
    break;

  case 1177: /* auth_hdr_field: "nexthdr"  */
#line 5803 "src/parser_bison.y"
                                                { (yyval.val) = AHHDR_NEXTHDR; }
#line 16148 "src/parser_bison.c"
    break;

  case 1178: /* auth_hdr_field: "hdrlength"  */
#line 5804 "src/parser_bison.y"
                                                { (yyval.val) = AHHDR_HDRLENGTH; }
#line 16154 "src/parser_bison.c"
    break;

  case 1179: /* auth_hdr_field: "reserved"  */
#line 5805 "src/parser_bison.y"
                                                { (yyval.val) = AHHDR_RESERVED; }
#line 16160 "src/parser_bison.c"
    break;

  case 1180: /* auth_hdr_field: "spi"  */
#line 5806 "src/parser_bison.y"
                                                { (yyval.val) = AHHDR_SPI; }
#line 16166 "src/parser_bison.c"
    break;

  case 1181: /* auth_hdr_field: "seq"  */
#line 5807 "src/parser_bison.y"
                                                { (yyval.val) = AHHDR_SEQUENCE; }
#line 16172 "src/parser_bison.c"
    break;

  case 1182: /* esp_hdr_expr: "esp" esp_hdr_field close_scope_esp  */
#line 5811 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_esp, (yyvsp[-1].val));
			}
#line 16180 "src/parser_bison.c"
    break;

  case 1183: /* esp_hdr_field: "spi"  */
#line 5816 "src/parser_bison.y"
                                                { (yyval.val) = ESPHDR_SPI; }
#line 16186 "src/parser_bison.c"
    break;

  case 1184: /* esp_hdr_field: "seq"  */
#line 5817 "src/parser_bison.y"
                                                { (yyval.val) = ESPHDR_SEQUENCE; }
#line 16192 "src/parser_bison.c"
    break;

  case 1185: /* comp_hdr_expr: "comp" comp_hdr_field close_scope_comp  */
#line 5821 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_comp, (yyvsp[-1].val));
			}
#line 16200 "src/parser_bison.c"
    break;

  case 1186: /* comp_hdr_field: "nexthdr"  */
#line 5826 "src/parser_bison.y"
                                                { (yyval.val) = COMPHDR_NEXTHDR; }
#line 16206 "src/parser_bison.c"
    break;

  case 1187: /* comp_hdr_field: "flags"  */
#line 5827 "src/parser_bison.y"
                                                { (yyval.val) = COMPHDR_FLAGS; }
#line 16212 "src/parser_bison.c"
    break;

  case 1188: /* comp_hdr_field: "cpi"  */
#line 5828 "src/parser_bison.y"
                                                { (yyval.val) = COMPHDR_CPI; }
#line 16218 "src/parser_bison.c"
    break;

  case 1189: /* udp_hdr_expr: "udp" udp_hdr_field close_scope_udp  */
#line 5832 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udp, (yyvsp[-1].val));
			}
#line 16226 "src/parser_bison.c"
    break;

  case 1190: /* udp_hdr_field: "sport"  */
#line 5837 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_SPORT; }
#line 16232 "src/parser_bison.c"
    break;

  case 1191: /* udp_hdr_field: "dport"  */
#line 5838 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_DPORT; }
#line 16238 "src/parser_bison.c"
    break;

  case 1192: /* udp_hdr_field: "length"  */
#line 5839 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_LENGTH; }
#line 16244 "src/parser_bison.c"
    break;

  case 1193: /* udp_hdr_field: "checksum"  */
#line 5840 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_CHECKSUM; }
#line 16250 "src/parser_bison.c"
    break;

  case 1194: /* udplite_hdr_expr: "udplite" udplite_hdr_field close_scope_udplite  */
#line 5844 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udplite, (yyvsp[-1].val));
			}
#line 16258 "src/parser_bison.c"
    break;

  case 1195: /* udplite_hdr_field: "sport"  */
#line 5849 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_SPORT; }
#line 16264 "src/parser_bison.c"
    break;

  case 1196: /* udplite_hdr_field: "dport"  */
#line 5850 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_DPORT; }
#line 16270 "src/parser_bison.c"
    break;

  case 1197: /* udplite_hdr_field: "csumcov"  */
#line 5851 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_LENGTH; }
#line 16276 "src/parser_bison.c"
    break;

  case 1198: /* udplite_hdr_field: "checksum"  */
#line 5852 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_CHECKSUM; }
#line 16282 "src/parser_bison.c"
    break;

  case 1199: /* tcp_hdr_expr: "tcp" tcp_hdr_field  */
#line 5856 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_tcp, (yyvsp[0].val));
			}
#line 16290 "src/parser_bison.c"
    break;

  case 1200: /* tcp_hdr_expr: "tcp" "option" tcp_hdr_option_type  */
#line 5860 "src/parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].val), TCPOPT_COMMON_KIND);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 16299 "src/parser_bison.c"
    break;

  case 1201: /* tcp_hdr_expr: "tcp" "option" tcp_hdr_option_kind_and_field  */
#line 5865 "src/parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].tcp_kind_field).kind, (yyvsp[0].tcp_kind_field).field);
				if ((yyval.expr) == NULL) {
					erec_queue(error(&(yylsp[-2]), "Could not find a tcp option template"), state->msgs);
					YYERROR;
				}
			}
#line 16311 "src/parser_bison.c"
    break;

  case 1202: /* tcp_hdr_expr: "tcp" "option" "@" close_scope_at tcp_hdr_option_type "comma" "number" "comma" payload_raw_len  */
#line 5873 "src/parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-4].val), 0);
				tcpopt_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val), 0);
			}
#line 16320 "src/parser_bison.c"
    break;

  case 1222: /* vxlan_hdr_expr: "vxlan" vxlan_hdr_field  */
#line 5905 "src/parser_bison.y"
                        {
				struct expr *expr;

				expr = payload_expr_alloc(&(yyloc), &proto_vxlan, (yyvsp[0].val));
				expr->payload.inner_desc = &proto_vxlan;
				(yyval.expr) = expr;
			}
#line 16332 "src/parser_bison.c"
    break;

  case 1223: /* vxlan_hdr_expr: "vxlan" inner_expr  */
#line 5913 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->location = (yyloc);
				(yyval.expr)->payload.inner_desc = &proto_vxlan;
			}
#line 16342 "src/parser_bison.c"
    break;

  case 1224: /* vxlan_hdr_field: "vni"  */
#line 5920 "src/parser_bison.y"
                                                        { (yyval.val) = VXLANHDR_VNI; }
#line 16348 "src/parser_bison.c"
    break;

  case 1225: /* vxlan_hdr_field: "flags"  */
#line 5921 "src/parser_bison.y"
                                                        { (yyval.val) = VXLANHDR_FLAGS; }
#line 16354 "src/parser_bison.c"
    break;

  case 1226: /* geneve_hdr_expr: "geneve" geneve_hdr_field  */
#line 5925 "src/parser_bison.y"
                        {
				struct expr *expr;

				expr = payload_expr_alloc(&(yyloc), &proto_geneve, (yyvsp[0].val));
				expr->payload.inner_desc = &proto_geneve;
				(yyval.expr) = expr;
			}
#line 16366 "src/parser_bison.c"
    break;

  case 1227: /* geneve_hdr_expr: "geneve" inner_expr  */
#line 5933 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->location = (yyloc);
				(yyval.expr)->payload.inner_desc = &proto_geneve;
			}
#line 16376 "src/parser_bison.c"
    break;

  case 1228: /* geneve_hdr_field: "vni"  */
#line 5940 "src/parser_bison.y"
                                                        { (yyval.val) = GNVHDR_VNI; }
#line 16382 "src/parser_bison.c"
    break;

  case 1229: /* geneve_hdr_field: "type"  */
#line 5941 "src/parser_bison.y"
                                                        { (yyval.val) = GNVHDR_TYPE; }
#line 16388 "src/parser_bison.c"
    break;

  case 1230: /* gre_hdr_expr: "gre" gre_hdr_field close_scope_gre  */
#line 5945 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_gre, (yyvsp[-1].val));
			}
#line 16396 "src/parser_bison.c"
    break;

  case 1231: /* gre_hdr_expr: "gre" close_scope_gre inner_inet_expr  */
#line 5949 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->payload.inner_desc = &proto_gre;
			}
#line 16405 "src/parser_bison.c"
    break;

  case 1232: /* gre_hdr_field: "version"  */
#line 5955 "src/parser_bison.y"
                                                        { (yyval.val) = GREHDR_VERSION;	}
#line 16411 "src/parser_bison.c"
    break;

  case 1233: /* gre_hdr_field: "flags"  */
#line 5956 "src/parser_bison.y"
                                                        { (yyval.val) = GREHDR_FLAGS; }
#line 16417 "src/parser_bison.c"
    break;

  case 1234: /* gre_hdr_field: "protocol"  */
#line 5957 "src/parser_bison.y"
                                                        { (yyval.val) = GREHDR_PROTOCOL; }
#line 16423 "src/parser_bison.c"
    break;

  case 1235: /* gretap_hdr_expr: "gretap" close_scope_gre inner_expr  */
#line 5961 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->payload.inner_desc = &proto_gretap;
			}
#line 16432 "src/parser_bison.c"
    break;

  case 1236: /* optstrip_stmt: "reset" "tcp" "option" tcp_hdr_option_type close_scope_tcp  */
#line 5968 "src/parser_bison.y"
                        {
				(yyval.stmt) = optstrip_stmt_alloc(&(yyloc), tcpopt_expr_alloc(&(yyloc),
										(yyvsp[-1].val), TCPOPT_COMMON_KIND));
			}
#line 16441 "src/parser_bison.c"
    break;

  case 1237: /* tcp_hdr_field: "sport"  */
#line 5974 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_SPORT; }
#line 16447 "src/parser_bison.c"
    break;

  case 1238: /* tcp_hdr_field: "dport"  */
#line 5975 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_DPORT; }
#line 16453 "src/parser_bison.c"
    break;

  case 1239: /* tcp_hdr_field: "seq"  */
#line 5976 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_SEQ; }
#line 16459 "src/parser_bison.c"
    break;

  case 1240: /* tcp_hdr_field: "ackseq"  */
#line 5977 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_ACKSEQ; }
#line 16465 "src/parser_bison.c"
    break;

  case 1241: /* tcp_hdr_field: "doff"  */
#line 5978 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_DOFF; }
#line 16471 "src/parser_bison.c"
    break;

  case 1242: /* tcp_hdr_field: "reserved"  */
#line 5979 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_RESERVED; }
#line 16477 "src/parser_bison.c"
    break;

  case 1243: /* tcp_hdr_field: "flags"  */
#line 5980 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_FLAGS; }
#line 16483 "src/parser_bison.c"
    break;

  case 1244: /* tcp_hdr_field: "window"  */
#line 5981 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_WINDOW; }
#line 16489 "src/parser_bison.c"
    break;

  case 1245: /* tcp_hdr_field: "checksum"  */
#line 5982 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_CHECKSUM; }
#line 16495 "src/parser_bison.c"
    break;

  case 1246: /* tcp_hdr_field: "urgptr"  */
#line 5983 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_URGPTR; }
#line 16501 "src/parser_bison.c"
    break;

  case 1247: /* tcp_hdr_option_kind_and_field: "mss" tcpopt_field_maxseg  */
#line 5987 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MAXSEG, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16510 "src/parser_bison.c"
    break;

  case 1248: /* tcp_hdr_option_kind_and_field: tcp_hdr_option_sack tcpopt_field_sack  */
#line 5992 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16519 "src/parser_bison.c"
    break;

  case 1249: /* tcp_hdr_option_kind_and_field: "window" tcpopt_field_window  */
#line 5997 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_WINDOW, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16528 "src/parser_bison.c"
    break;

  case 1250: /* tcp_hdr_option_kind_and_field: "timestamp" tcpopt_field_tsopt  */
#line 6002 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_TIMESTAMP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16537 "src/parser_bison.c"
    break;

  case 1251: /* tcp_hdr_option_kind_and_field: tcp_hdr_option_type "length"  */
#line 6007 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = TCPOPT_COMMON_LENGTH };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16546 "src/parser_bison.c"
    break;

  case 1252: /* tcp_hdr_option_kind_and_field: "mptcp" tcpopt_field_mptcp  */
#line 6012 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MPTCP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16555 "src/parser_bison.c"
    break;

  case 1253: /* tcp_hdr_option_sack: "sack"  */
#line 6018 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK; }
#line 16561 "src/parser_bison.c"
    break;

  case 1254: /* tcp_hdr_option_sack: "sack0"  */
#line 6019 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK; }
#line 16567 "src/parser_bison.c"
    break;

  case 1255: /* tcp_hdr_option_sack: "sack1"  */
#line 6020 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK1; }
#line 16573 "src/parser_bison.c"
    break;

  case 1256: /* tcp_hdr_option_sack: "sack2"  */
#line 6021 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK2; }
#line 16579 "src/parser_bison.c"
    break;

  case 1257: /* tcp_hdr_option_sack: "sack3"  */
#line 6022 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK3; }
#line 16585 "src/parser_bison.c"
    break;

  case 1258: /* tcp_hdr_option_type: "echo"  */
#line 6025 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_ECHO; }
#line 16591 "src/parser_bison.c"
    break;

  case 1259: /* tcp_hdr_option_type: "eol"  */
#line 6026 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_EOL; }
#line 16597 "src/parser_bison.c"
    break;

  case 1260: /* tcp_hdr_option_type: "fastopen"  */
#line 6027 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_FASTOPEN; }
#line 16603 "src/parser_bison.c"
    break;

  case 1261: /* tcp_hdr_option_type: "md5sig"  */
#line 6028 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MD5SIG; }
#line 16609 "src/parser_bison.c"
    break;

  case 1262: /* tcp_hdr_option_type: "mptcp"  */
#line 6029 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MPTCP; }
#line 16615 "src/parser_bison.c"
    break;

  case 1263: /* tcp_hdr_option_type: "mss"  */
#line 6030 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MAXSEG; }
#line 16621 "src/parser_bison.c"
    break;

  case 1264: /* tcp_hdr_option_type: "nop"  */
#line 6031 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_NOP; }
#line 16627 "src/parser_bison.c"
    break;

  case 1265: /* tcp_hdr_option_type: "sack-permitted"  */
#line 6032 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_SACK_PERMITTED; }
#line 16633 "src/parser_bison.c"
    break;

  case 1266: /* tcp_hdr_option_type: "timestamp"  */
#line 6033 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_TIMESTAMP; }
#line 16639 "src/parser_bison.c"
    break;

  case 1267: /* tcp_hdr_option_type: "window"  */
#line 6034 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_WINDOW; }
#line 16645 "src/parser_bison.c"
    break;

  case 1268: /* tcp_hdr_option_type: tcp_hdr_option_sack  */
#line 6035 "src/parser_bison.y"
                                                        { (yyval.val) = (yyvsp[0].val); }
#line 16651 "src/parser_bison.c"
    break;

  case 1269: /* tcp_hdr_option_type: "number"  */
#line 6036 "src/parser_bison.y"
                                                        {
				if ((yyvsp[0].val) > 255) {
					erec_queue(error(&(yylsp[0]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[0].val);
			}
#line 16663 "src/parser_bison.c"
    break;

  case 1270: /* tcpopt_field_sack: "left"  */
#line 6045 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_SACK_LEFT; }
#line 16669 "src/parser_bison.c"
    break;

  case 1271: /* tcpopt_field_sack: "right"  */
#line 6046 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_SACK_RIGHT; }
#line 16675 "src/parser_bison.c"
    break;

  case 1272: /* tcpopt_field_window: "count"  */
#line 6049 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_WINDOW_COUNT; }
#line 16681 "src/parser_bison.c"
    break;

  case 1273: /* tcpopt_field_tsopt: "tsval"  */
#line 6052 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_TS_TSVAL; }
#line 16687 "src/parser_bison.c"
    break;

  case 1274: /* tcpopt_field_tsopt: "tsecr"  */
#line 6053 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_TS_TSECR; }
#line 16693 "src/parser_bison.c"
    break;

  case 1275: /* tcpopt_field_maxseg: "size"  */
#line 6056 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_MAXSEG_SIZE; }
#line 16699 "src/parser_bison.c"
    break;

  case 1276: /* tcpopt_field_mptcp: "subtype"  */
#line 6059 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_MPTCP_SUBTYPE; }
#line 16705 "src/parser_bison.c"
    break;

  case 1277: /* dccp_hdr_expr: "dccp" dccp_hdr_field close_scope_dccp  */
#line 6063 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_dccp, (yyvsp[-1].val));
			}
#line 16713 "src/parser_bison.c"
    break;

  case 1278: /* dccp_hdr_expr: "dccp" "option" "number" close_scope_dccp  */
#line 6067 "src/parser_bison.y"
                        {
				if ((yyvsp[-1].val) > DCCPOPT_TYPE_MAX) {
					erec_queue(error(&(yylsp[-3]), "value too large"),
						   state->msgs);
					YYERROR;
				}
				(yyval.expr) = dccpopt_expr_alloc(&(yyloc), (yyvsp[-1].val));
			}
#line 16726 "src/parser_bison.c"
    break;

  case 1279: /* dccp_hdr_field: "sport"  */
#line 6077 "src/parser_bison.y"
                                                { (yyval.val) = DCCPHDR_SPORT; }
#line 16732 "src/parser_bison.c"
    break;

  case 1280: /* dccp_hdr_field: "dport"  */
#line 6078 "src/parser_bison.y"
                                                { (yyval.val) = DCCPHDR_DPORT; }
#line 16738 "src/parser_bison.c"
    break;

  case 1281: /* dccp_hdr_field: "type" close_scope_type  */
#line 6079 "src/parser_bison.y"
                                                                        { (yyval.val) = DCCPHDR_TYPE; }
#line 16744 "src/parser_bison.c"
    break;

  case 1282: /* sctp_chunk_type: "data"  */
#line 6082 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_DATA; }
#line 16750 "src/parser_bison.c"
    break;

  case 1283: /* sctp_chunk_type: "init"  */
#line 6083 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_INIT; }
#line 16756 "src/parser_bison.c"
    break;

  case 1284: /* sctp_chunk_type: "init-ack"  */
#line 6084 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_INIT_ACK; }
#line 16762 "src/parser_bison.c"
    break;

  case 1285: /* sctp_chunk_type: "sack"  */
#line 6085 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SACK; }
#line 16768 "src/parser_bison.c"
    break;

  case 1286: /* sctp_chunk_type: "heartbeat"  */
#line 6086 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT; }
#line 16774 "src/parser_bison.c"
    break;

  case 1287: /* sctp_chunk_type: "heartbeat-ack"  */
#line 6087 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT_ACK; }
#line 16780 "src/parser_bison.c"
    break;

  case 1288: /* sctp_chunk_type: "abort"  */
#line 6088 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ABORT; }
#line 16786 "src/parser_bison.c"
    break;

  case 1289: /* sctp_chunk_type: "shutdown"  */
#line 6089 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN; }
#line 16792 "src/parser_bison.c"
    break;

  case 1290: /* sctp_chunk_type: "shutdown-ack"  */
#line 6090 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_ACK; }
#line 16798 "src/parser_bison.c"
    break;

  case 1291: /* sctp_chunk_type: "error"  */
#line 6091 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ERROR; }
#line 16804 "src/parser_bison.c"
    break;

  case 1292: /* sctp_chunk_type: "cookie-echo"  */
#line 6092 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ECHO; }
#line 16810 "src/parser_bison.c"
    break;

  case 1293: /* sctp_chunk_type: "cookie-ack"  */
#line 6093 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ACK; }
#line 16816 "src/parser_bison.c"
    break;

  case 1294: /* sctp_chunk_type: "ecne"  */
#line 6094 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ECNE; }
#line 16822 "src/parser_bison.c"
    break;

  case 1295: /* sctp_chunk_type: "cwr"  */
#line 6095 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_CWR; }
#line 16828 "src/parser_bison.c"
    break;

  case 1296: /* sctp_chunk_type: "shutdown-complete"  */
#line 6096 "src/parser_bison.y"
                                                  { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_COMPLETE; }
#line 16834 "src/parser_bison.c"
    break;

  case 1297: /* sctp_chunk_type: "asconf-ack"  */
#line 6097 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF_ACK; }
#line 16840 "src/parser_bison.c"
    break;

  case 1298: /* sctp_chunk_type: "forward-tsn"  */
#line 6098 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_FORWARD_TSN; }
#line 16846 "src/parser_bison.c"
    break;

  case 1299: /* sctp_chunk_type: "asconf"  */
#line 6099 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF; }
#line 16852 "src/parser_bison.c"
    break;

  case 1300: /* sctp_chunk_common_field: "type" close_scope_type  */
#line 6102 "src/parser_bison.y"
                                                                { (yyval.val) = SCTP_CHUNK_COMMON_TYPE; }
#line 16858 "src/parser_bison.c"
    break;

  case 1301: /* sctp_chunk_common_field: "flags"  */
#line 6103 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_COMMON_FLAGS; }
#line 16864 "src/parser_bison.c"
    break;

  case 1302: /* sctp_chunk_common_field: "length"  */
#line 6104 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_COMMON_LENGTH; }
#line 16870 "src/parser_bison.c"
    break;

  case 1303: /* sctp_chunk_data_field: "tsn"  */
#line 6107 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_TSN; }
#line 16876 "src/parser_bison.c"
    break;

  case 1304: /* sctp_chunk_data_field: "stream"  */
#line 6108 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_STREAM; }
#line 16882 "src/parser_bison.c"
    break;

  case 1305: /* sctp_chunk_data_field: "ssn"  */
#line 6109 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_SSN; }
#line 16888 "src/parser_bison.c"
    break;

  case 1306: /* sctp_chunk_data_field: "ppid"  */
#line 6110 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_PPID; }
#line 16894 "src/parser_bison.c"
    break;

  case 1307: /* sctp_chunk_init_field: "init-tag"  */
#line 6113 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_TAG; }
#line 16900 "src/parser_bison.c"
    break;

  case 1308: /* sctp_chunk_init_field: "a-rwnd"  */
#line 6114 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_RWND; }
#line 16906 "src/parser_bison.c"
    break;

  case 1309: /* sctp_chunk_init_field: "num-outbound-streams"  */
#line 6115 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_OSTREAMS; }
#line 16912 "src/parser_bison.c"
    break;

  case 1310: /* sctp_chunk_init_field: "num-inbound-streams"  */
#line 6116 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_ISTREAMS; }
#line 16918 "src/parser_bison.c"
    break;

  case 1311: /* sctp_chunk_init_field: "initial-tsn"  */
#line 6117 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_TSN; }
#line 16924 "src/parser_bison.c"
    break;

  case 1312: /* sctp_chunk_sack_field: "cum-tsn-ack"  */
#line 6120 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_CTSN_ACK; }
#line 16930 "src/parser_bison.c"
    break;

  case 1313: /* sctp_chunk_sack_field: "a-rwnd"  */
#line 6121 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_RWND; }
#line 16936 "src/parser_bison.c"
    break;

  case 1314: /* sctp_chunk_sack_field: "num-gap-ack-blocks"  */
#line 6122 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_GACK_BLOCKS; }
#line 16942 "src/parser_bison.c"
    break;

  case 1315: /* sctp_chunk_sack_field: "num-dup-tsns"  */
#line 6123 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_DUP_TSNS; }
#line 16948 "src/parser_bison.c"
    break;

  case 1316: /* sctp_chunk_alloc: sctp_chunk_type  */
#line 6127 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[0].val), SCTP_CHUNK_COMMON_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 16957 "src/parser_bison.c"
    break;

  case 1317: /* sctp_chunk_alloc: sctp_chunk_type sctp_chunk_common_field  */
#line 6132 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 16965 "src/parser_bison.c"
    break;

  case 1318: /* sctp_chunk_alloc: "data" sctp_chunk_data_field  */
#line 6136 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_DATA, (yyvsp[0].val));
			}
#line 16973 "src/parser_bison.c"
    break;

  case 1319: /* sctp_chunk_alloc: "init" sctp_chunk_init_field  */
#line 6140 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT, (yyvsp[0].val));
			}
#line 16981 "src/parser_bison.c"
    break;

  case 1320: /* sctp_chunk_alloc: "init-ack" sctp_chunk_init_field  */
#line 6144 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT_ACK, (yyvsp[0].val));
			}
#line 16989 "src/parser_bison.c"
    break;

  case 1321: /* sctp_chunk_alloc: "sack" sctp_chunk_sack_field  */
#line 6148 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SACK, (yyvsp[0].val));
			}
#line 16997 "src/parser_bison.c"
    break;

  case 1322: /* sctp_chunk_alloc: "shutdown" "cum-tsn-ack"  */
#line 6152 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SHUTDOWN,
							   SCTP_CHUNK_SHUTDOWN_CTSN_ACK);
			}
#line 17006 "src/parser_bison.c"
    break;

  case 1323: /* sctp_chunk_alloc: "ecne" "lowest-tsn"  */
#line 6157 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ECNE,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 17015 "src/parser_bison.c"
    break;

  case 1324: /* sctp_chunk_alloc: "cwr" "lowest-tsn"  */
#line 6162 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_CWR,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 17024 "src/parser_bison.c"
    break;

  case 1325: /* sctp_chunk_alloc: "asconf-ack" "seqno"  */
#line 6167 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF_ACK,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 17033 "src/parser_bison.c"
    break;

  case 1326: /* sctp_chunk_alloc: "forward-tsn" "new-cum-tsn"  */
#line 6172 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_FORWARD_TSN,
							   SCTP_CHUNK_FORWARD_TSN_NCTSN);
			}
#line 17042 "src/parser_bison.c"
    break;

  case 1327: /* sctp_chunk_alloc: "asconf" "seqno"  */
#line 6177 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 17051 "src/parser_bison.c"
    break;

  case 1328: /* sctp_hdr_expr: "sctp" sctp_hdr_field close_scope_sctp  */
#line 6184 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_sctp, (yyvsp[-1].val));
			}
#line 17059 "src/parser_bison.c"
    break;

  case 1329: /* sctp_hdr_expr: "sctp" "chunk" sctp_chunk_alloc close_scope_sctp_chunk close_scope_sctp  */
#line 6188 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 17067 "src/parser_bison.c"
    break;

  case 1330: /* sctp_hdr_field: "sport"  */
#line 6193 "src/parser_bison.y"
                                                { (yyval.val) = SCTPHDR_SPORT; }
#line 17073 "src/parser_bison.c"
    break;

  case 1331: /* sctp_hdr_field: "dport"  */
#line 6194 "src/parser_bison.y"
                                                { (yyval.val) = SCTPHDR_DPORT; }
#line 17079 "src/parser_bison.c"
    break;

  case 1332: /* sctp_hdr_field: "vtag"  */
#line 6195 "src/parser_bison.y"
                                                { (yyval.val) = SCTPHDR_VTAG; }
#line 17085 "src/parser_bison.c"
    break;

  case 1333: /* sctp_hdr_field: "checksum"  */
#line 6196 "src/parser_bison.y"
                                                { (yyval.val) = SCTPHDR_CHECKSUM; }
#line 17091 "src/parser_bison.c"
    break;

  case 1334: /* th_hdr_expr: "th" th_hdr_field close_scope_th  */
#line 6200 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_th, (yyvsp[-1].val));
				if ((yyval.expr))
					(yyval.expr)->payload.is_raw = true;
			}
#line 17101 "src/parser_bison.c"
    break;

  case 1335: /* th_hdr_field: "sport"  */
#line 6207 "src/parser_bison.y"
                                                { (yyval.val) = THDR_SPORT; }
#line 17107 "src/parser_bison.c"
    break;

  case 1336: /* th_hdr_field: "dport"  */
#line 6208 "src/parser_bison.y"
                                                { (yyval.val) = THDR_DPORT; }
#line 17113 "src/parser_bison.c"
    break;

  case 1345: /* hbh_hdr_expr: "hbh" hbh_hdr_field close_scope_hbh  */
#line 6222 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_hbh, (yyvsp[-1].val));
			}
#line 17121 "src/parser_bison.c"
    break;

  case 1346: /* hbh_hdr_field: "nexthdr"  */
#line 6227 "src/parser_bison.y"
                                                { (yyval.val) = HBHHDR_NEXTHDR; }
#line 17127 "src/parser_bison.c"
    break;

  case 1347: /* hbh_hdr_field: "hdrlength"  */
#line 6228 "src/parser_bison.y"
                                                { (yyval.val) = HBHHDR_HDRLENGTH; }
#line 17133 "src/parser_bison.c"
    break;

  case 1348: /* rt_hdr_expr: "rt" rt_hdr_field close_scope_rt  */
#line 6232 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt, (yyvsp[-1].val));
			}
#line 17141 "src/parser_bison.c"
    break;

  case 1349: /* rt_hdr_field: "nexthdr"  */
#line 6237 "src/parser_bison.y"
                                                { (yyval.val) = RTHDR_NEXTHDR; }
#line 17147 "src/parser_bison.c"
    break;

  case 1350: /* rt_hdr_field: "hdrlength"  */
#line 6238 "src/parser_bison.y"
                                                { (yyval.val) = RTHDR_HDRLENGTH; }
#line 17153 "src/parser_bison.c"
    break;

  case 1351: /* rt_hdr_field: "type" close_scope_type  */
#line 6239 "src/parser_bison.y"
                                                                        { (yyval.val) = RTHDR_TYPE; }
#line 17159 "src/parser_bison.c"
    break;

  case 1352: /* rt_hdr_field: "seg-left"  */
#line 6240 "src/parser_bison.y"
                                                { (yyval.val) = RTHDR_SEG_LEFT; }
#line 17165 "src/parser_bison.c"
    break;

  case 1353: /* rt0_hdr_expr: "rt0" rt0_hdr_field close_scope_rt  */
#line 6244 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt0, (yyvsp[-1].val));
			}
#line 17173 "src/parser_bison.c"
    break;

  case 1354: /* rt0_hdr_field: "addr" '[' "number" ']'  */
#line 6250 "src/parser_bison.y"
                        {
				(yyval.val) = RT0HDR_ADDR_1 + (yyvsp[-1].val) - 1;
			}
#line 17181 "src/parser_bison.c"
    break;

  case 1355: /* rt2_hdr_expr: "rt2" rt2_hdr_field close_scope_rt  */
#line 6256 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt2, (yyvsp[-1].val));
			}
#line 17189 "src/parser_bison.c"
    break;

  case 1356: /* rt2_hdr_field: "addr"  */
#line 6261 "src/parser_bison.y"
                                                { (yyval.val) = RT2HDR_ADDR; }
#line 17195 "src/parser_bison.c"
    break;

  case 1357: /* rt4_hdr_expr: "srh" rt4_hdr_field close_scope_rt  */
#line 6265 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt4, (yyvsp[-1].val));
			}
#line 17203 "src/parser_bison.c"
    break;

  case 1358: /* rt4_hdr_field: "last-entry"  */
#line 6270 "src/parser_bison.y"
                                                { (yyval.val) = RT4HDR_LASTENT; }
#line 17209 "src/parser_bison.c"
    break;

  case 1359: /* rt4_hdr_field: "flags"  */
#line 6271 "src/parser_bison.y"
                                                { (yyval.val) = RT4HDR_FLAGS; }
#line 17215 "src/parser_bison.c"
    break;

  case 1360: /* rt4_hdr_field: "tag"  */
#line 6272 "src/parser_bison.y"
                                                { (yyval.val) = RT4HDR_TAG; }
#line 17221 "src/parser_bison.c"
    break;

  case 1361: /* rt4_hdr_field: "sid" '[' "number" ']'  */
#line 6274 "src/parser_bison.y"
                        {
				(yyval.val) = RT4HDR_SID_1 + (yyvsp[-1].val) - 1;
			}
#line 17229 "src/parser_bison.c"
    break;

  case 1362: /* frag_hdr_expr: "frag" frag_hdr_field close_scope_frag  */
#line 6280 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_frag, (yyvsp[-1].val));
			}
#line 17237 "src/parser_bison.c"
    break;

  case 1363: /* frag_hdr_field: "nexthdr"  */
#line 6285 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_NEXTHDR; }
#line 17243 "src/parser_bison.c"
    break;

  case 1364: /* frag_hdr_field: "reserved"  */
#line 6286 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_RESERVED; }
#line 17249 "src/parser_bison.c"
    break;

  case 1365: /* frag_hdr_field: "frag-off"  */
#line 6287 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_FRAG_OFF; }
#line 17255 "src/parser_bison.c"
    break;

  case 1366: /* frag_hdr_field: "reserved2"  */
#line 6288 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_RESERVED2; }
#line 17261 "src/parser_bison.c"
    break;

  case 1367: /* frag_hdr_field: "more-fragments"  */
#line 6289 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_MFRAGS; }
#line 17267 "src/parser_bison.c"
    break;

  case 1368: /* frag_hdr_field: "id"  */
#line 6290 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_ID; }
#line 17273 "src/parser_bison.c"
    break;

  case 1369: /* dst_hdr_expr: "dst" dst_hdr_field close_scope_dst  */
#line 6294 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_dst, (yyvsp[-1].val));
			}
#line 17281 "src/parser_bison.c"
    break;

  case 1370: /* dst_hdr_field: "nexthdr"  */
#line 6299 "src/parser_bison.y"
                                                { (yyval.val) = DSTHDR_NEXTHDR; }
#line 17287 "src/parser_bison.c"
    break;

  case 1371: /* dst_hdr_field: "hdrlength"  */
#line 6300 "src/parser_bison.y"
                                                { (yyval.val) = DSTHDR_HDRLENGTH; }
#line 17293 "src/parser_bison.c"
    break;

  case 1372: /* mh_hdr_expr: "mh" mh_hdr_field close_scope_mh  */
#line 6304 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_mh, (yyvsp[-1].val));
			}
#line 17301 "src/parser_bison.c"
    break;

  case 1373: /* mh_hdr_field: "nexthdr"  */
#line 6309 "src/parser_bison.y"
                                                { (yyval.val) = MHHDR_NEXTHDR; }
#line 17307 "src/parser_bison.c"
    break;

  case 1374: /* mh_hdr_field: "hdrlength"  */
#line 6310 "src/parser_bison.y"
                                                { (yyval.val) = MHHDR_HDRLENGTH; }
#line 17313 "src/parser_bison.c"
    break;

  case 1375: /* mh_hdr_field: "type" close_scope_type  */
#line 6311 "src/parser_bison.y"
                                                                        { (yyval.val) = MHHDR_TYPE; }
#line 17319 "src/parser_bison.c"
    break;

  case 1376: /* mh_hdr_field: "reserved"  */
#line 6312 "src/parser_bison.y"
                                                { (yyval.val) = MHHDR_RESERVED; }
#line 17325 "src/parser_bison.c"
    break;

  case 1377: /* mh_hdr_field: "checksum"  */
#line 6313 "src/parser_bison.y"
                                                { (yyval.val) = MHHDR_CHECKSUM; }
#line 17331 "src/parser_bison.c"
    break;

  case 1378: /* exthdr_exists_expr: "exthdr" exthdr_key  */
#line 6317 "src/parser_bison.y"
                        {
				const struct exthdr_desc *desc;

				desc = exthdr_find_proto((yyvsp[0].val));

				/* Assume that NEXTHDR template is always
				 * the first one in list of templates.
				 */
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), desc, 1);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 17347 "src/parser_bison.c"
    break;

  case 1379: /* exthdr_key: "hbh" close_scope_hbh  */
#line 6330 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_HOPOPTS; }
#line 17353 "src/parser_bison.c"
    break;

  case 1380: /* exthdr_key: "rt" close_scope_rt  */
#line 6331 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_ROUTING; }
#line 17359 "src/parser_bison.c"
    break;

  case 1381: /* exthdr_key: "frag" close_scope_frag  */
#line 6332 "src/parser_bison.y"
                                                                { (yyval.val) = IPPROTO_FRAGMENT; }
#line 17365 "src/parser_bison.c"
    break;

  case 1382: /* exthdr_key: "dst" close_scope_dst  */
#line 6333 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_DSTOPTS; }
#line 17371 "src/parser_bison.c"
    break;

  case 1383: /* exthdr_key: "mh" close_scope_mh  */
#line 6334 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_MH; }
#line 17377 "src/parser_bison.c"
    break;


#line 17381 "src/parser_bison.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken, &yylloc};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (&yylloc, nft, scanner, state, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= TOKEN_EOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == TOKEN_EOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, nft, scanner, state);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, nft, scanner, state, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, nft, scanner, state);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 6337 "src/parser_bison.y"

